License

Navigation: »No topics above this level«

License

NetCart AB VisualCron End-User License Agreement

This VisualCron End-User License Agreement (this "Agreement") is dated as of the date specified in the Sales Order (the "Effective Date") by and between You ("Licensee") and NetCart AB ("Licensor").

License Grant

"We", "us" and "our" refer to the NetCart AB company (with its initial development team and web site, http://www.visualcron.com).

We hereby grant you a perpetual, nonexclusive license to use one copy of the VisualCron Server on any single computer, provided the Server software is in use only on one computer at any time. The "Software" includes the VisualCron Server, the VisualCron Client and other software components downloaded from http://www.visualcron.com. "Use" means to download, install, access, execute, or otherwise benefit from the Software.

This is a license, not a sales agreement, between you, the end-user and NetCart AB. "You" and "your" refer to any person or entity acquiring or using the Software, Documentation or any other item from visualcron.com ("VisualCron product" ) under the terms of this License Agreement, including any Affiliate, where "Affiliate" means any corporation or other legal entity that controls, is controlled by, or is under common control with You.

You may copy the VisualCron product for back-up, disaster recovery, testing and archival purposes, provided that the original and each copy is kept in your possession and that your installation and use of the VisualCron product does not exceed what is allowed by this License Grant.

The activation code delivered to you is personal to you and cannot be disclosed to any other person other than as a transfer of all your rights as described below. The use of your activation code by anyone other than you will be deemed a willful violation of this license.

Proprietary Rights

The VisualCron product is intellectual property of NetCart AB and is protected by Swedish copyright and patent laws, international treaty provisions, and applicable laws of the country in which it is being used. You agree to protect all copyright and other ownership interests of NetCart AB for all items in the VisualCron product supplied under this License Agreement. You agree that all copies of the items in the VisualCron product, reproduced for any reason by you, contain the same copyright notices, and other proprietary notices as appropriate, as appear on or in the original items delivered by NetCart AB.

NetCart AB retains title and ownership of the items in the VisualCron product, and all subsequent copies, regardless of the form or media in or on which the original and other copies may exist. Except as stated above, this License Agreement does not grant you any rights to patents, copyrights, trade secrets, trademarks or any other rights in respect to the items in the VisualCron product.

NetCart AB may transfer the ownership of the VisualCron product to another owner without prior notice at any time, subject to the terms of this Agreement.

NetCart AB guarantees it is the owner of VisualCron product and has the legal right to sell it.

Distribution

This VisualCron product may be freely distributed by special agreements between NetCart AB and other parties. Links to the http://www.visualcron.com website are welcome.

Things You May Not Do

1.Copy the VisualCron product except to make archival, disaster recovery, testing or backup copies or as provided above;

2.Modify or adapt the Software or merge it into another program;

3.Reverse-engineer, disassemble, decompile or make any attempt to discover the source code of the Software;

4.Sell, sublicense, rent, lease or lend any portion of the VisualCron product to any third party;

5.Transfer the license to anyone

Documentation

Documentation is provided online and by installation in PDF-format. Use Adobe Acrobat Reader to open the document. The Documentation can be changed anytime and therefore we recommend using the online documentation instead.

Update of the online Documentation is generally done with a new software release and as this is noted to our customers with a valid licence and/or registered users, this also indicates that the Documentation may be updated. See the specific release note for areas that are subject to the update.

Trial period

Each VisualCron product has a trial period of 45 days. The trial period gives you a chance to fully test the software, for free. After the trial period has ended you will no longer be able to control the VisualCron Server through the VisualCron Client.

If the trial period has ended, there is no way of using future upgrades without ordering the full license. See Upgrade/Updates.

Support limitations

·The VisualCron support requires that the end-user has an active Maintenance License.

·The active Maintenance License is required on the Server in question that the support is related to.

·The support is limited to the employees of the end-user. Any third party, i.e. external or third party support or developers need to own at least one active Maintenance License in addition to the active Maintenance License(s) for the end user.

Version - End of life support

Each version is supported 1 year after release day. After that upgrade is recommended to keep up with all the technical changes that occur within a year. Release dates can be found here.

Activation code

The activation key will lock the Software to the computer it is installed on. Once the activation key is used the code is consumed. This means that you only can activate once. Under limited circumstances, like the server has crashed, the activation key can be unlocked and consumed again. You may request to Move a license to another server. These operations (reset/transfer/move) require a) that you have an active Maintenance b) that the operation is manually approved by VisualCron staff (to avoid excessive use).

Notwithstanding anything herein, we represent and warrant that we will not include any Trojan horses, worms or other codes designed to disable the Software once installed pursuant to a full license.

Activation and deactivation of a license

Deactivation / Move a license requires that you have an active Maintenance.

License types and limitations

Single server licenses - can be installed in and moved but may not be used on more than one server at the same time. This is installation purpose; may it be test, development or production machine.

Site license - allows unlimited server installations within a single physical location (typically a data center).

Country license - allows unlimited server installations within a single country.

World license - allows unlimited server installations world wide.

For "unlimited" cloud installations it is up to discussion depending on usage, expected quantity and locations. The suggested solution may result in a specific agreement that results in 2 or more Site licenses, a Country license or a World license.

Upgrades/Updates

Updates with new functionality and bug fixes may be released anytime. You need a Maintenance pack license in order to upgrade to a newer version than was existing at purchase date. The Maintenance license also give you access to priority support. The Maintenance pack must be purchased at the same time as when you purchase the license or within 30 days.

Bugs

If you find bugs, please report them on the contact web page.

Lifetime of VisualCron

Support

The support is limited to the way using of the Software functions included in the VisualCron download. No products or commands, outside the VisualCron download, are supported. The support is limited to the product life cycle described in Upgrades/Updates.

Term and Termination

This license agreement takes effect upon your downloading or acquisition of the VisualCron product and remains effective until terminated. You may terminate it at any time by destroying all copies of the VisualCron product in your possession. This license agreement will terminate upon 30 days written notice if you fail to comply with any of its terms or conditions. You agree on termination of this license to destroy all copies of the VisualCron product in your possession.

Product lifetime

The goal is to keep the VisualCron product "alive" and online as long as possible. The VisualCron product may cease to exist anytime without notice. All VisualCron product services like support, upgrades and unlocking will then also cease to exist. Notwithstanding anything herein to the contrary, in the event the VisualCron product ceases to exist with respect to support or availability, you shall retain all rights to use the product pursuant to the perpetual license set forth herein, except for the right to receive support, Upgrades or Updates.

No Warranty

VisualCron is a useful but also powerful tool. Any misuse can cause loss of data. The VisualCron product has no warranty of fitness, suitability for a particular purpose or satisfactory quality. The VisualCron product is provided to licensee "as is". NetCart AB is not responsible for any damage that may come through any use of the VisualCron product, except to the extent caused by our gross negligence or intentional misconduct.

General Provisions

This written license agreement is the exclusive agreement between you and us concerning the VisualCron product and supersedes any prior communication, advertising or representation concerning the VisualCron product.

This license agreement may be modified only by a writing signed by you and us.

In the event of litigation between you and us concerning the VisualCron product, the prevailing party in the litigation will be entitled to recover attorney fees and expenses from the other party.

Downloading and installing this Software indicates your acceptance of the foregoing agreement. If you choose to decline the foregoing agreement, you should not download or install the software.


VisualCron -Automation tool for Windows

Navigation: »No topics above this level«

VisualCron -Automation tool for Windows

VisualCron is an advanced Job/Task scheduler for Windows. text here.


About VisualCron

Navigation: VisualCron - Automation tool for Windows >

About VisualCron

VisualCron is a tool/utility that runs other commands/programs/tools/utilities at predefined time(s), interval(s) or events. VisualCron is designed for Windows with the intention to simplify scheduling of Windows Tasks.

VisualCron is provided by the NetCart company (neteject.com), a company that develops applications and web services. Don't hesitate to use contact web page for improvement suggestions, problem reports or business proposals.


VisualCron Documentation

Navigation: VisualCron - Automation tool for Windows >

VisualCron Documentation

This is the VisualCron documentation, build date 4/3/2020.

This document describes VisualCron 8.

See changes from VisualCron 4.x to 5.x here and 5.x to 6.x here and 6.x to 7.x here and 7.x to 8x here.

This documentation is provided as is, please check visualcron.com for latest documentation and support information. For a quick introduction in VisualCron, click on the top right flash tutorial area in the VisualCron web site. The goal is to have a tool tip to every enter field, label and combo box in the VisualCron Client application. Hovering the mouse over a field is an easy way to get quick information and what to enter.

Note: If you Download help file from visualcron.com, don't forget to "unblock" the file before opening. Due to the Windows security system, the help chapters might show an "Illegal address" message indicating a wrong address entered in an internet browser, instead of the help text. Right-click on the downloaded file Properties -> General -> Unblock (Windows XP).


Get VisualCron

Navigation: »No topics above this level«

Get VisualCron

You can get your copy of VisualCron from several sites on the Internet. To be sure to get the latest version, we encourage you to download VisualCron from this web page.


System Requirements

Navigation: Get VisualCron >

System Requirements

VisualCron is designed for Windows based computers and runs on the following operating systems:

·Windows 2008

·Windows 2012 R2

·Windows 2016

·Windows 2019

·Windows 7

·Windows 8

·Windows 10

Other requirements:

·.NET Framework, version 4.8 or above

Requirements for other software:

·PDF reader (e.g. Adobe Reader), required for reading of some documents


Download, Install, Upgrade and Uninstall

Navigation: Get VisualCron >

Download, Install, Upgrade and Uninstall

Download

VisualCron 7 utilizes functions and features in the .NET Framework 4.0. The .NET runtime, typically Version 4.0 Redistributable Package, can be downloaded from Microsoft.

Download the latest VisualCron version from VisualCron.

Backup

Always make a backup of existing settings to a safe location before upgrading. This way you can rollback to any previous version if needed. You backup existing settings by connecting with Client to Server. Choose File > Import/Export > Export settings tab.

Install/Upgrade

The below steps cover how to install VisualCron. Please note that the installer uninstalls the current installation. No manual uninstall needed first.

1.Double click on the VisualCron.exe install executable and the below window will appear. This is the pre-installer that is preparing installation files for the msi package - for example, stopping existing applications and uninstalling VisualCron.

2. When the pre-installer is complete it starts the msi-package

3. Select I Agree in the License Agreement page and click Next

4. The VisualCron installation executable contains installation files both for the VisualCron Client and the Server. You may choose to install both by selecting the first item or just the Client by selecting the second item. When installing just the client the service for the Server will still be installed but "Disabled". If you later need to run the Server on this computer, you can change the service to "Automatic" in Control Panel > Administrative tools > Services > VisualCron and then mark and "Start" the service. Click Next to continue.

5. Now it is time to choose the installation folder. If you have no objections of the suggested choice just leave it as it is. Click Next to continue.

6. This window shows that VisualCron is ready to copy the files and perform the installation. Click Next to continue.

7. The installation has been started and the progress bar shows the current status. Please be patient. The installation may take some minutes depending on the speed of your computer.

8. The below window will only appear if you have a previous VisualCron installation. VisualCron 5 will be installed in the new %PROGRAMFILES%\VisualCron\ folder and the VisualCron service will be started with the "VisualCron" name. Click Start to proceed with the listed upgrade steps.

9. The install is now finished. If you have a previous VisualCron installation, it will be uninstalled in the background. Click Close to continue.

10. When you have closed the msi-installtion the pre-installer asks you if you want to start the VisualCron Client. Click Yes to start it.

11. The Client is starting. If you get a connection error at startup then wait 60 seconds and click Yes to reconnect. There is a lot of configuration and loading during startup which might affect first time startup time for the Server.

Firewall

If you have some kind of firewall activated, this application might require user interaction during installation and the initial start of VisualCron. A firewall should detect both that VisualCron is trying to act as a server and that VisualCron is trying to access internet. Normally, you shall respond with something like "allow all connections on all ports" for VisualCron initiated requests.

Upgrade

If you already have VisualCron installed, you will get an upgrade message when trying to install. This message informs about the current version and what version you are about to install. Click OK to this message to upgrade.

Uninstall/Remove

VisualCron can be uninstalled by opening the Control Panel -> Add/Remove programs. Browse down to "VisualCron x.x.x", select and click on the Remove button. If you can't find the "VisualCron 5.x.x" entry in Add/Remove programs list, you may have to run the VisualCron installation program again which will open a window with a remove option.

Installation troubleshooting

MSI errors

1.Download the silent package from the VisualCron download page.

2.Extract it

3.Open command prompt

4.Write something like to log the installation file: msiexec /i "C:\MyPackage\Example.msi" /L*V "C:\log\example.log"

5.Send the log file to support@visualcron.com

Antivirus and problems with psexec.exe

Your antivirus may block installation of a file called psexec.exe included in our package:

PsExec is a tool from Microsoft used for remote execution (https://docs.microsoft.com/en-us/sysinternals/downloads/psexec). We use it for optional remote VisualCron installation (from the Client). You can safely allow this file for installation.

Windows Defender SmartScreen

Sometimes our application need to validate and gain reputation (when new version). Then you might get a popup like below when trying to install. As long as you see publisher "NetCart AB" the file is safe.


Remote and customized installation

Remote, silent and customized installation

Navigation: Get VisualCron >

Remote, silent and customized installation

Perhaps you have the need for an automated installation of VisualCron on different servers. Since the VisualCron installation is based on MSI you can use already existing Windows tools to perform the installation silently and remotely. You are also able to control where you want to install (installation folder) and if you want to install both the Client and the Server package or just the Client.

In the download page there is a link for "silent" installation. This means an installation with no user interaction and something you can run across the network if you have the right permissions.

Custom installation

1. Download the "Custom installation package" from the download page.

2. Unzip the content to an empty folder

3. Open the command window (cmd.exe)

4. In the command window, go to the folder where the installation is unzipped

To install the Client & Server package, write:

msiexec /i VisualCron.msi /q INSTALLMODE="1"

To install the Client only, write:

msiexec /i VisualCron.msi /q INSTALLMODE="2"

To use other than the default installation folder, write:

msiexec /i VisualCron.msi /q INSTALLMODE="1" TARGETDIR="C:\Program Files\your folder\"

Remote installation

It is possible to install VisualCron remotely - on a domain or private network.

1. To do this you need to use a tool called "PsExec" which is downloadable from Microsoft PsExec. Once downloaded, unzip the content of the PSTools.zip file into the "C:\WINDOWS\system 32\" folder.

2. Download the "Custom installation package" from the download page.

3. Unzip the package on a shared drive on your network.

4. Open the command window (cmd.exe)

5. Combine the row below with the command string above in the Custom installation section like this:

psexec \\remoteservername -u adminusername -p adminpassword msiexec /i \\remoteservername\locationofyourmsi\VisualCron.msi

In the zip file of the silent installation you have two bat files:

install_clientSILENT.bat - installs the Client only

REM

REM path_to_remote_install_folder\psexec \\remote_server_name -u username -p password path_to_remote_install_folder\install_serverANDclientSILENT.bat path_to_local_install_folder

REM

REM Set working folder from parameter "path_to_local_install_folder"

cd %1

REM Stop running processes

taskkill /F /IM VCtray.exe

taskkill /F /IM VisualCronClient.exe

REM Stop the VisualCron service

net stop VisualCron4

REM Uninstall the old version

msiexec /x VisualCron.msi /q

REM Install new version

msiexec /i VisualCron.msi /q INSTALLMODE="2" REINSTALLMODE=dmus

install_serverANDclientSILENT.bat - installs both Client and Server

REM

REM path_to_remote_install_folder\psexec \\remote_server_name -u username -p password path_to_remote_install_folder\install_serverANDclientSILENT.bat path_to_local_install_folder

REM

REM Set working folder from parameter "path_to_local_install_folder"

cd %1

REM Stop running processes

taskkill /F /IM VCtray.exe

taskkill /F /IM VisualCronClient.exe

REM Stop the VisualCron service

net stop VisualCron4

REM Uninstall the old version

msiexec /x VisualCron.msi /q

REM Install new version

msiexec /i VisualCron.msi /q INSTALLMODE="1" REINSTALLMODE=dmus


Multiple Clients on the same machine

Navigation: Get VisualCron >

Multiple Clients on the same machine

Normally, Clients work best if the corresponding Server version is the same as the Client version. This is because new features might be introduced in either Client or Server. If version is not the same there might be misunderstandings in the communication between Client and Server. This can result in unwanted settings or behavior.

VisualCron is built to support one version of Client installed on a server. If you install both the Client and the Server it is guaranteed that that version is the same.

If you want to install multiple versions of Client on one machine (to be able to Connect to multiple versions of Server) there is one workaround for that;

1. find the corresponding Client version for download here and download it to the Client computer

2. extract the exe file with tool like 7zip into a folder

3. copy that folder to a location where you would like it to be installed

4. right click on the VisualCronClient.exe file and create a shortcut

5. copy that shortcut to desktop and then we recommend that you rename it with the version number like "VisualCron - Client (8.5.2)" or similar


Upgrading from VisualCron 2.x to 4.x

Navigation: Get VisualCron >

Upgrading from VisualCron 2.x to 4.x

The VisualCron 4 (VC4) release is the most reworked version since the introduction of VisualCron. Fundamental changes have been made in most parts of the application in order to increase functionality, quality and performance. It is the result of the large amount of requests that have been received from our customers.

VC4 is by default stored in C:\Program Files\VisualCron 4\. The reason for a different folder than VC2, is the difference in file structure and formats.

Also, the installation utility is changed in VC4 which means that if you install VC4, it will not uninstall the present VC2 version. An existing VC2 installation will remain until you uninstall it via the Windows Control panel.

The VC4 Job file (jobs.xml) is not compatible with VC2 even though the file name not is changed. The VC4 version of jobs.xml is now stored in the settings folder (not in the installation root folder as for VC2).

Furthermore, Import and Export between VC4 and VC2 does not work. One reason is that the VC4 Job type is more complex than VC2.

UPDATE 2008-05-20

We have created a simple upgrade tool that may help you but not all the way. Please download it here and follow the instructions on the screen. http://www.visualcron.com/files/VisualCron2-4.zip


Upgrading from VisualCron 3.x to 4.x

Navigation: Get VisualCron >

Upgrading from VisualCron 3.x to 4.x

The below window will only appear as a part of the installation if you have VisualCron 3 and upgrade to VisualCron 4.

This window informs you that VisualCron 4 now will exist in the VisualCron 4 folder and all settings will be copied from the VisualCron 3 folder. Click Proceed to continue.


Upgrading from VisualCron 4.x to 5.x

Navigation: Get VisualCron >

Upgrading from VisualCron 4.x to 5.x

In version VisualCron version 5 we have optimized a lot of the code structure in earlier version of VisualCron. However, this it was not possible to be completely compatible with version 4, which means that you will lose some information when upgrading from version 4 to 5. Also, other changes exist that may or not affect you. Below is a list of changes for version 5 and how they might affect you and your Jobs.

Install and location

VisualCron 5 will now install by default in %PROGRAMFILES%\VisualCron\. Previously, VisualCron was installed in %PROGRAMFILES%\VisualCron 4\. The installation of VisualCron 5 will not uninstall version 4. Both versions can co-exist.

Service name

The service name for VisualCron 5 is VisualCron. For version 4, the service name is VisualCron 4. If you previously used a specific user for version 4 you need to set that user to run the VisualCron service for version 5. That information is not transferred automatically.

API

If you are using the API you have to upgrade to the latest version of the API for version 5 in order to connect to version 5. Old version can still connect to VisualCron 4.

Desktop short cut

The desktop shortcut is named VisualCron 5.

Task changes

SQL Task

The connection string is no longer stored in the Task. We wanted to make the actual Connection global and we are now storing the connection in Connections. This means that your old connection string will be missing and that you have to create a Connection and select it in the Task.

FTP/S Task

We have removed the direct link to the certificate file and are now storing Client certificates in Certificates. You need to import any existing certificate in Certificates and the select the actual Certificate in the Task.

SFTP Task

We have removed the direct link to the certificate file and are now storing Client certificates in Certificates. You need to import any existing certificate in Certificates and the select the actual Certificate in the Task.

Notification changes

SQL Notification

The connection string is no longer stored in the Notification. We wanted to make the actual Connection global and we are now storing the connection in Connections. This means that your old connection string will be missing and that you have to create a Connection and select it in the Notification.

Installation notes

If VisualCron 4 is already installed and VisualCron 5 is installed, the following notes are applicable:

·The complete VisualCron 4 installation is kept

·A start guide performs VisualCron 5 installation which copies the log, settings and backup sub folders from the %PROGRAMFILES%\VisualCron 4\ folder to the %PROGRAMFILES%\VisualCron\ folder. Normally this is done in interactive mode meaning that dialogs are showing the result, but it is also possible to use quiet install (Custom) which performs the same action without dialogs

·A start guide shows a few windows with some basic client/server settings. This guide may be issued later using the client main menu File -> Start Guide option

·The VisualCron 4 Tray client is removed

·The VisualCron 4 service is shut down and disabled. If VisualCron 4 shall be run, the VisualCron (5) service has to be stopped manually and the VisualCron 4 service has to be started manually

·Some settings cannot be copied to VisualCron 5 automatically, see the above notes. These have to be updated manually using the VisualCron 5 client

·When VisualCron 5 is running with all settings verified, you manually uninstall VisualCron 4 by using the Control Panel -> Add/Remove programs option

·When uninstalling VisualCron 4, the Tray Client may be stopped/killed. If that happens you just start it again from the Start menu -> Program -> VisualCron 5 -> VisualCron Tray Client


Upgrading from VisualCron 5.x to 6.x

Navigation: Get VisualCron >

Upgrading from VisualCron 5.x to 6.x

A full list of changes between version 5 and 6 can be found here http://www.visualcron.com/ChangeLog.aspx

API

If you are using the API you have to upgrade to the latest version of the API for version 6 in order to connect to version 6.

Desktop short cut

The desktop shortcut is named VisualCron 6.

Installation notes

Always make a backup before upgrading to another version. You can do a backup in Client File > Import/Export > Export settings - export to another location than default.

Version 6 version requires .NET 3.5 (previous version required 2.0). .NET redistributable can be downloaded here: http://www.microsoft.com/download/en/details.aspx?id=21

VisualCron installer will uninstall the current version and install the new version. Old settings will remain and if needed properties will be upgraded.

You may need to verify these Task types because of changes from version 5.x:

·PGP Encrypt/Decrypt

·Rename Task

·Archive compress/decompress

Especially check source and destination folder properties.

Credentials

The way we handle Credentials have changed to provide more control of the actual Credential. Please read more about Credentials here


Upgrading from VisualCron 6.x to 7.x

Navigation: Get VisualCron >

Upgrading from VisualCron 6.x to 7.x

General changes

A lot of things concerning Notifications, On error and exit code handling has been changed from version 6 to 7.

Notifications

Notifications has been upgraded to use existing Tasks. This affects the Email Notification for example which previously couldn’t send secure emails – you were bound to use the Email Task. Also, the Popup Notification was obsolete in many ways.

The way to use Notifications has been changed. The Notifications tab is gone and you are now adding Notifications through the Flow Tab. This new approach adds possibilities to notify you in other situations than the previous. Previously you could just send “On start”, “On complete”, “On error”. There was never a “On success” or send a Notification based on output or based on a specific exit code. This has been added now.

If you use Variables like {TASK(Active,StdOut)} in Notifications you need to change them to {TASK(PrevTask,StdOut)}. The reason is that the new Notifications now inherit from Tasks which means that Active refers to the current Task (in this case Notification). By using PrevTask you step back on step to the last Task that was ran in the Job.

Exit codes and collection

Exit code handling works differently. Previously, an error could be ignored and was then reset to 0. Now, we keep the original exit code and focus on another property – the result of the actual Exit code collection that is used for the Task.

Backwards compatibility and import

Notifications

Notifications should be automatically moved to the “Flow” tab with some exceptions:

Email Notification – we are able to move most settings but as we are using Connections instead of settings from Server settings to configure email settings we have tried to create a new Connection based on previous settings.

Popup Notification – the new Popup Notification is simply too advanced and different. You need to look over settings in that Notification in order for it to work fully.

Conditions

If you are using Conditions that look at exit code in combination with ignoring certain errors you might want to adjust the Condition as the actual exit code is no longer reset to 0 when a Task error is ignored.


Upgrading from VisualCron 7.x to 8.x

Navigation: Get VisualCron >

Upgrading from VisualCron 7.x to 8.x

Version 7 messages and protocol is similar to version 8. We have found the following that might cause undesired effects:

FTP Download Task

The feature Create FTP folder structure has never worked in version 7 but was fixed in version. As this was enabled by default in version 7 it might cause undesired effects.


Upgrading from VisualCron 8.x to 9.x

Navigation: Get VisualCron >

Upgrading from VisualCron 8.x to 9.x

There some breaking changes in VisualCron related to how we store encrypted values. We have increased encryption from 3DES to AES256. This means old version cannot read AES256 values but new version can convert from old.

This means that you cannot do this:

·Export from version 9.x to 8.x

·Connect from version 9.x Client to 8.x Server

·Connection from version 8.x Client to 9.x Server.

You can:

·Import from version 8.x to 9.x (this will happen automatically on upgrade.

From version 9.0.0 you need .NET 4.8. .NET 4.8 is not supported in XP, Windows Vista, 2003, 2008 (only 2008 R2).


Language management

Navigation: Get VisualCron >

Language management

When the VisualCron client is started after an initial installation, it is possible to select a preferred language. However, this language selection only affects the language in the client user interface.

In VisualCron system related functions, it is not possible to change language from English. Examples of such areas are states (e.g. Server On/Off) and logging.

The information in the VisualCron web site and all documentation/demos etc. are only available in English. The user definable texts in demo Jobs/Tasks available after an initial installation are also in English.


Custom branding

Navigation: Get VisualCron >

Custom branding

It is possible to change some parts of the VisualCron including name and images. The customization is done by placing a specific xml file in the installation folder. This feature was presented in version 6.1.7.

Customization file

The latest customization file can be downloaded here: http://neteject.com/download/VisualCron/custom.xml

Place this file in the root of the installation folder of VisualCron. Normally c:/program files/VisualCron

Customization

Customization is done by changing the xml file that can be downloaded and then place it in installation folder.

Customization options

ClientAppName

This is the long name displayed in some places (default "VisualCron - Client")

ServerAppName

This is the long name displayed in some places (default "VisualCron - Server")

ProductName

This is the short name of the product (default "VisualCron")

SupportEmail

This is the support email displayed in some places (default "support@visualcron.com")

SalesEmail

This is the sales email displayed in some places (default "sales@visualcron.com")

SplashRelativePath

This is the relative path (from VisualCron installation folder) to the splash image displayed at startup (default "img\400x250.bmp")

ShowLinks

This property controls if links to the VisualCron web site should be shown (default "true")


Using VisualCron

Navigation: »No topics above this level«

Using VisualCron

Using VisualCron is simple, just start the VisualCron client. With the ordinary Windows graphical interface, all Jobs, Tasks and settings are managed. Unless otherwise stated, all user actions refer to VisualCron client application.

Please note that VisualCron is initially started with server status On. Read here for more information.

For some actions like log, debug and email notification, you need to have knowledge in computer file handling and email account settings.


How does VisualCron work?

Navigation: Using VisualCron >

How does VisualCron work?

In one aspect, VisualCron works similarly to the Unix/Linux Cron utility. Down to details of seconds, VisualCron can run any executable file periodically, within a time interval or once. However, in VisualCron also an event can be set to trig a Job.

It is important to understand the structure of all VisualCron objects in order to utilize the new features. The flow is: Trigger > Condition > Task > Notification. One trigger (type time or event) fires a Job to run. A condition is a "check" which is evaluated before a Job or a Task is launched. A Job can include one or more Tasks of different types. When the Job and/or its Tasks are completed, one or more notifications (of different types) may be performed.

Note: In the above figure, the lists of Conditions, Tasks and Notifications are just illustrations and not complete. The actual features in VisualCron is constantly expanding.

One way for VisualCron to trig a Job is to keep track of time and match the current time with the time settings in the list of Jobs in order to perform the defined actions. Also, the more simple time interval can be used to trig a Job. The second way of initiating a Job is via an event trigger.

When you are add or edit a Job, the list of Jobs and and Tasks are updated. This list defines how the Job will be managed by the VisualCron server.

Each Task will run as a separate process. When a Task is run, VisualCron will save some statistical values like how long time it took to run the current process.

It's possible to set a Job to be run only once. After this run, the Job stays in the Job list but will be ignored when the Job list is checked at later occasions.


VisualCron Server

Navigation: Using VisualCron >

VisualCron Server

The VisualCron server runs as a Windows service in the background. The server service status is Started when the server computer is started.

The VisualCron server application status can be On or Off. If the server is On, it will be looking for Jobs to run. If Off, no Jobs will be run unless a user forces it manually in a client. The server application is running, even if no one is logged on to the computer where the server is running or if no client application is connected to the server.

In the VisualCron client, the currently selected server name is displayed in the main menu Server [<server name>] tab and in the Username/Server entry in the the Server/Groups/Jobs/Tasks grid and in status bar. Server connections are global, thus if you change a connection definition, this will affect all commands associated with this connection.

The default port number between the VisualCron Server and the Client is 16444. This means, that if you are connecting remotely from the outside you may have to open port 16444 in your firewall, software and/or hardware.


Login

Navigation: Using VisualCron >

Login

When the VisualCron client is started, an initial login (to server) window is opened. You need to login because the server may be accessed also from other computers. If you haven't defined any connection, VisualCron will use the default server login parameters.

For security reasons, you should change user name and password after the initial login in the main menu Server > Main settings > User permissions dialog.

If you want to add new connections, for example to other computers, you select the main menu File > Servers > Manage servers option. See manage servers for more information.


Limitations

Navigation: Using VisualCron >

Limitations

There are some limitations in VisualCron which are listed below:

·VisualCron is designed for a set of System Requirements

·The function "run missed Jobs" doesn't take time exceptions into account. A missed Job will run even if there was a time exception during that time

·Calculation of next run doesn't take time exceptions into account

·In Windows 2000 the Credentials are not fully supported. They work in the execute Task but not in other places like Archive, FTP and Notifications. To come around this you can run the VisualCron service as a certain user and map network drives for that account.


Licensing

Navigation: Using VisualCron >

Licensing

VisualCron uses a per Server licensing model. You only need a license for the Server, the Client does not require a license.

Requires license:

·Server installation

Do not require license:

·Using the VisualCron Client

·Using the VisualCron .NET API

·Using the VisualCron Web API

·Using the VisualCron Web Client


Trial time

Navigation: Using VisualCron > Licensing >

Trial time

Trial

You are able to use all VisualCron functions for free for a limited period (45 days). Check the remaining trial days in the main menu About -> About VisualCron dialog. After the trial period is over, you can't control the server with the client. However, the server will still run all Jobs in the background even though your trial period is over. To be able to manage your Jobs again you must obtain a license.

If you want to extend you trial period you can contact support@visualcron.com and you will get a trial extension code. Enter the trial extension code in Client->Server tab->License->Activate and Trial extension tab.


Choosing the right license

Navigation: Using VisualCron > Licensing >

Choosing the right license

We recommend looking at this online topic for choosing the right license type.


Basic vs Pro edition

Navigation: Using VisualCron > Licensing >

Basic vs Pro edition

We recommend looking at this online topic for choosing the edition for you.

Basic/Pro was introduced 21st of April 2019. Any license purchased before that is considered a Pro license.


License and activation

Navigation: Using VisualCron > Licensing >

License and activation

License

You need an activation code to activate VisualCron. An activation code is included in the license. A license can be obtained at the VisualCron web site, here. The license is per server. When you activate VisualCron, you activate the current server you are connected to. You can use several clients to connect to one server with one license.

Activation

Once you have an activation code you can activate VisualCron. To activate VisualCron you must login to the server that you want to activate. If you have trial time left you can go to main menu Client->Server tab->License->Activate, which opens the activation form. If you don't have any trial time left, the activation form will open automatically when logging in. Enter the activation code in the fields.

Online activation

To be able to validate your activation code you have to connect to the VisualCron web site, this is done automatically when you click on the Activate button. However, you need to:

1. Be connected to the Internet

2. Let VisualCron access Internet. If your firewall asks you what to do, you must permit VisualCron to access Internet

Offline activation

This feature is available if you have a server without Internet access. Note that you still can use online activation if your desktop computer has access to Internet and if your desktop computer can be internally connected (within your network) to the server. If that is not possible you can use offlien activation. Offline activation can be done with the following steps:

1.Start the Client locally on your server

2.Choose Activate in the About menu

3.Choose Offline activation tab

4.Enter your activation code

5.After entering you will get an URL. Copy that url in some way to USB stick or paper. Enter the URL in a browser on a computer that has Internet access. You will then get an offline ID.

6.Enter the Offline ID in the Client

Deactivation / Move a licenses

Go to Server tab->License->Deactivate to Move a license. Please note that Deactivation / Move a license requires that you have an active Maintenance.


Maintenance

Navigation: Using VisualCron > Licensing >

Maintenance

See general information about Maintenance and priority support at: https://www.visualcron.com/maintenance.aspx.

VisualCron licenses are perpetual, but in order to get the latest version and receive support you need an active Maintenance. Each license has a Maintenance expiration date. Usually, this is one year after purchase and can be renewed here. The Maintenance expiration date is covering any version released within that time period, minor or major version.

This is what you get with an active Maintenance:

- support

- upgrades (minor or major)

- ability to deactivate / move a license

Online/Offline validation

From time to time we validate the license. Both that the actual activation code is valid and the Maintenance is covering the current version. If our servers cannot be reached you need to do a manual validation from time to time.We strongly recommend that you open firewall to host visualcron.com on port 443 so this can be validated and updated without you having to do a manual validation.

If you fail to validate VisualCron will either stop working or you will not be able to connect to the Server with the Client.

Troubleshooting

Maintenance expiration date is not refreshing

Normally, VisualCron refreshes the Maintenance expiration date that you see on the Server row in the main grid of the Client. You can also force this refresh by right clicking on Server row and select Refresh license data. Make sure that VisualCron can connect to Internet against hostname visualcron.com on port 443. If you still have problems with refreshing the maintenance expiration date please follow these steps:

1. close the VisualCron Client

2. right click on the VisualCron Tray Client and choose Client->Open log folder

3. move up one folder to the VisualCron folder. Enter the settings folder.

4. exit the VisualCron Tray Client application

5. delete the file servers.xml

6. start the VisualCron Tray Client

7. start the VisualCron Client.


Maintenance expiration

Navigation: Using VisualCron > Licensing > Maintenance >

Maintenance expiration

In the Client you can see the expiration date for the Maintenance in the Server row. This date is refreshed from time to time and may not be directly synced in Client when you purchase a renewal of the Maintenance. To force a sync you can right click on the Server row and choose Refresh license data. If the date is not refreshed please make sure you have associated the Maintenance code online that you purchased with the license you wanted to renew. After doing that you can choose to Refresh license data again.


License Validation

Navigation: Using VisualCron > Licensing > Maintenance >

License Validation

From time to time we need to validate your licenses and keep you and VisualCron updated about Maintenance expiration. Please follow the steps below to validate on a computer that has Internet access. To avoid having to do this, please enable access to www.visualcron.com on port 443.

The below screen is shown when the computer where the VisualCron Client runs has been offline for a while. The screen is also shown when the Server > Information > License > Refresh license data is issued when the VisualCron Client is offline.


Move a license

Navigation: Using VisualCron > Licensing >

Move a license

1. Download and install VisualCron on your new server (if this is the first time you install VisualCron you will have 45 days of trial with full functionality)

2. Validate on the My licenses page that you have a Maintenance contract that supports the installed new version for the latest version so you do not run into license problems when trying to activate it later

3. Go to the old server and backup your settings using Export from the menu File > Export settings

4. Transfer the file to the new server and import it clearing existing settings (unless you already created new Jobs on Server)

5. If the import was successful you can choose Server > Information > License > Deactivate in the old Server

6. Go to the new Server and Activate it with the old activation code

If you have any Deactivation/Activation problems contact us here.

If the Server is decommissioned and no longer available please go to My licenses page and click on the Move button next to the activation code.

Deactivation / Move a license requires that you have an active Maintenance.


Using VisualCron in a clustered environment

Navigation: Using VisualCron >

Using VisualCron in a clustered environment

Failover Clustering

It is possible to use VisualCron in a failover clustered environment. We recommend using the built in Windows Server Feature Failover Clustering for this.

A failover cluster is a group of independent computers that work together to increase the availability and scalability of clustered roles (formerly called clustered applications and services). The clustered servers (called nodes) are connected by physical cables and by software. If one or more of the cluster nodes fail, other nodes begin to provide service (a process known as failover). In addition, the clustered roles are proactively monitored to verify that they are working properly. If they are not working, they are restarted or moved to another node.

Failover clusters also provide Cluster Shared Volume (CSV) functionality that provides a consistent, distributed namespace that clustered roles can use to access shared storage from all nodes. With the Failover Clustering feature, users experience a minimum of disruptions in service.

Failover Clustering has many practical applications, including:

Highly available or continuously available file share storage for applications such as Microsoft SQL Server and Hyper-V virtual machines

Highly available clustered roles that run on physical servers or on virtual machines that are installed on servers running Hyper-V

You can read more about Windows Failover Cluster here.

Licensing

A unique license (or unlimited license) needs to be activated on each node in the cluster.

However, VisualCron must be manually activated for each cluster.

Installation and preparation

There are two major steps:

1. Installing the Windows Failover Cluster

2. Install and Setup VisualCron on Failover Cluster


Installing Windows Failover Cluster

Navigation: Using VisualCron > Using VisualCron in a clustered environment >

Installing Windows Failover Cluster

Below is a guide for installing the feature Failover Cluster on Windows 2016.

Installing the Failover Cluster Feature in Windows Server 2016

Requirements

To use Failover Cluster Feature we need:

1.Server that will be a “Failover cluster access point” (FCAP) with Active Directory

2.At least 2 servers that will be an “Cluster nodes”

Steps

1. Configure roles / features on Failover Cluster access point (FCAP)

2. Configure roles / features on Nodes

3. Create a iSCI network drive

4. Connecting to iSCSI network drives

5. Create the failover cluster


Configure roles / features on Failover cluster access point (FCAP)

1. Configure roles / features on Failover cluster access point (FCAP)

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Installing Windows Failover Cluster >

1. Configure roles / features on Failover cluster access point (FCAP)

In the Server Manager > Dashboard, click Add roles and features.

The Before you begin window is displayed. Click Next.

The select Installation Type window is displayed. Select Role-based or feature-based installation. Click Next.

The Select destination server window is displayed. Select the server that you are logged in on. Click Next.

The Select server roles window is displayed. In the Roles list, select File Server, iSCI Target Server, iSCI Target Storage Provider.

Click Next.

The Select features window is displayed. In the Features list, select Failover Clustering, Failover Clustering Tools. If it wasn’t installed before, the Add features that are required for Failover Clustering window will pop up. This window shows the dependencies that will be installed with this feature.

.

Click Add Features. Click Next. The Confirm installation selections window is displayed. Check the setting to ensure all selected items to be installed.

Click Install. The chosen Role and Feature will be installed on your machine.

When the installation is complete, restart the machine to finalize the installation.


2. Configure roles / features on Nodes

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Installing Windows Failover Cluster >

2. Configure roles / features on Nodes

Add All Nodes to AD. Change DNS server addresses to your Active Directory Server ip address.

Add Node to Domain by changing “Member of” in Computer name tab of System Properties window.

In the Server Manager > Dashboard, click Add roles and features.

The Before you begin window is displayed. Click Next.

The Select installation type window is displayed. Select Role-based or feature-based installation. Click Next.

The Select destination server window is displayed. Select the server that you are logged in on. Click Next.

The Select server roles window is displayed.Click Next.

The Select features window is displayed. In the Features list, select Failover Clustering, Failover Clustering Tools. If it wasn’t installed before, the Add features that are required for Failover Clustering window will pop up. This window shows the dependencies that will be installed with this feature.

Click Add Features.Click Next. The Confirm installation selections window is displayed. Check the setting to ensure all selected items to be installed.

Click Install.

The chosen Role and Feature will be installed on your machine.

When the installation is complete, restart the machine to finalize the installation.


3. Create a iSCSI network drive

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Installing Windows Failover Cluster >

3. Create a iSCSI network drive

In the Server Manager > File and Storage Services > iSCSI, click “to create an iSCSI virtual disk”.

The New iSCSI Virtual Disk Wizard window is displayed. Select Disk that you want yo use as location for iSCSI Virtual Disk.

Click Next. The Specify iSCI virtual disk name will be displayed.

Choose disk name, add description if it’s needed and click Next. The Specify iSCSI virtual disk size window will be displayed.

Type size of a disk. Click Next. The Assign iSCSI target window is displayed.

Choose New iSCSI target , click Next. The Specify target name window is displayed.

Choose new target name, description if needed and click Next. The specify Access servers window is displayed.

Click Add to specify the iSCSI initiators of added to AD nodes. The Add initiator ID pop up will be displayed.

At this popup you can select new Computer IDs by selection Query initiator computer for ID and clicking Browse button. The Select Computer popup will be shown.

In this popup you can type Computer names, or click to advanced button, and find them at AD network.

Add One-by-One all nodes to accessed servers.

Another way is to select already known initiators from the initiator cache on the target server.

Add One-by-One all nodes to accessed servers.

After All nodes added, click Next.

The Enable Authentication window is displayed. Setup CHAP protocol settings if it’s needed and click Next.

The Confirm selections windows is displayed. You can check all iSCSI settings that you selected before. After that click Create.

The Results windows will be displayed. After Creation will be succeed click Close.

Now you can see new iSCSI virtual drive and targets.


4. Connecting to iSCSI network drives

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Installing Windows Failover Cluster >

4. Connecting to iSCSI network drives

Start the iSCSI initiator then connect to your SAN drives:

·Click Start > Windows Administrative Tools > iSCSI Initiator.

·Ensure the drives are set to allow simultaneous connections. This is configured on your SAN. Make sure you have granted access to your cluster servers.

·Open iSCSI initiator.

·Click the Targets tab.

·In Target, enter the IP address for the SAN.

·Click Quick Connect. Or you can click to Refresh to auto discover targets.

·Your advertised drives are displayed.

·Highlight a drive; then click connect to connect to drive.

When a drive is connected, click Done. Click the Volumes and Devices tab.

·Click Auto Configure.

·Click OK.

·When you are connected on the first machine, click Start > WIndows Administrative tools > Computer Management > Disk Management.

Your disks appear as Unknown and Offline. They also display the size you configured on the SAN (eg: 16GB). You need to bring the disks online by Right-clicking the disk number and selecting Online.

Initialize the disks:

·Right-click the disk number next to one of the new drives. Select Initialize disk.

·In the box that appears, ensure that your new disk have a tick mark next to them.

Set as MBR.

·Click OK.

·Configure the new drive. Right-click on the drive.

Select Create New Simple Volume. Leave the defaults in place. Choose a drive letter to assign.

Label your drive f.ex. as ClusterStorage

Once this is done for your first node (Server), repeat these steps on your additional nodes (Servers). For example, from the two listed servers above (Server1 and Server2), you must connect the iSCSI drives on both systems before they will be available for your cluster.

As the simple volume is now configured, you only need to initialize the disks on the other Nodes, not recreate the Volume.


5. Create the failover cluster

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Installing Windows Failover Cluster >

5. Create the failover cluster

5.Create the failover cluster

Click Start > Windows Administrative tools > Failover Cluster Manager to launch the Failover Cluster Manager.

Click Create Cluster. The Before you Begin window is displayed.

Click Next. The Select Servers window is displayed.

Enter the server names that you want to add to the cluster. Alternatively, you can locate them via Browse.

Click OK. The Servers will be verified.

·Click Next.

·The Validation Warning window is displayed.

·Select Yes to allow verification of the cluster services.

·Click Next.

·The Validate a Configuration Wizard is displayed. This wizard validates the server configuration.

Click Next. The Testing Options window is displayed.

·Select Run all tests (recommended).

·Click Next.

·The Confirmation window is displayed. This window lists all of the tests that will be run.

·Click Next.

·The Validating window is displayed while all of the clustering tests are being run. This process may take several minutes depending on your network infrastructure and the number of nodes you have chosen to add to your cluster.

When the tests have completed, check the report then fix any configuration errors. The cluster setup will fail if any errors exist.

The Access Point for Administering the Cluster window in the Create Cluster wizard is displayed.

·In Cluster Name, enter a name for your cluster.

·If one or more DHCP IPv4 addresses wasn’t configured automatically you can provide an IP address for the cluster. This name and IP address will be registered in your DNS

·Click Next.

·The Confirmation window is displayed. This window lists the settings to be applied to your new cluster.

·Select the Add all eligible storage to the cluster check box.

·The system will now try to assign any storage it can find.

·Click Next.

·The system attempts to create the new cluster in your domain. This may take a while as there are several checks that must take place and tests that are conducted while the system is configured.

When the process is complete, the Summary window is displayed stating that the cluster wizard completed successfully.

Click Finish.


Install and Setup VisualCron on Failover Cluster

Navigation: Using VisualCron > Using VisualCron in a clustered environment >

Install and Setup VisualCron on Failover Cluster

Requirements

1.2 pre-install nodes

2.2 unique VisualCron licenses (or 1 unlimited license)

Steps

1. Create iSCSI drive with the already existing target

2. Add new drive as shared drive to cluster nodes

3. Install VisualCron on both nodes in the same share directory

4. Add Shared Drive to Cluster

5. Add Generic Service

6. Manually changing current node for Generic Service

7. Setup Failover Generic Service properties

8. Individual node activation


1. Create iSCSI drive with the already existing target

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

1. Create iSCSI drive with the already existing target

In the Server Manager > File and Storage Services > iSCSI, make a right click and inside context menu press to the “New iSCSI Virtual Disk”.

The New iSCSI Virtual Disk Wizard window is displayed.

Selec Disk that you want yo use as location for iSCSI Virtual Disk

Click Next.

The Specify iSCI virtual disk name will be displayed.

Choose disk name, add description if it’s needed and click Next.

The Specify iSCSI virtual disk size window will be displayed.

Type size of a disk. Click Next.

The Assign iSCSI target window is displayed.

You need to select already existed target that use access rights for your nodes.

Choose Already existed iSCSI target , click Next.

The Confirm selections windows is displayed.

You can check all iSCSI settings that you selected before. After that click Create.

The Results windows will be displayed. After Creation will be succeed click Close.

Now you can see new iSCSI virtual drive.


2. Add new drive as shared drive to cluster nodes

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

2. Add new drive as shared drive to cluster nodes

At now on both nodes new iSCSI shared drive is unallocated and offline

On both nodes you need to go to iSCSI Initiator Properties , to the Volumes and Drives tab.

And click to Auto Configure button. Current node will update information about shared drive.

After that you need to close this window by pressing OK button.

When you are connected on the first machine, click Start > WIndows Administrative tools > Computer Management > Disk Management.

Your disks appear as Unknown and Offline. They also display the size you configured on the SAN (eg: 10GB). You need to bring the disks online by Right-clicking the disk number and selecting Online.

Initialize the disks:

Right-click the disk number next to one of the new drives. Select Initialize disk.

In the box that appears, ensure that your new disk have a tick mark next to them.

Set as MBR.

Click OK.

Configure the new drive. Right-click on the drive.

Select Create New Simple Volume. Leave the defaults in place. Choose a drive letter to assign.

Label your drive f.ex. as VisualCronStorage

Click Next.

Once this is done for your first node, repeat these steps on your additional nodes. you must connect the iSCSI drives on both systems before they will be available for your cluster.

As the simple volume is now configured, you only need to initialise the disks on the other Nodes, not recreate the Volume. Shared drive should have the same disk letters on both nodes.


3. Install VisualCron on both nodes in the same shared directory

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

3. Install VisualCron on both nodes in the same shared directory

Run the VisualCron installation file.

And install it on Shared Drive.

After it successfully installed you need allow firewall.

Click to Firewall denies and apply settings. Close VisualCron client.

Stop VisualCron service from task manager.

And Install it to the same folder at next node.

Before shared drive connected to cluster it will be visible at all nodes.


4. Add Shared Drive to Cluster

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

4. Add Shared Drive to Cluster

Click Start > Windows Administrative tools > Failover Cluster Manager to launch the Failover Cluster Manager.

Click to Storage -> Disks.

Click to Add Disk.

The Add Disks to a Cluster window will be displayed.

Select cluster disk and click Ok button. Shared disk will be added to our cluster.

One of the drives (Cluster Drive 1) is configured for your Quorum and the other is configured for the virtual machines (Cluster Drive 2). Cluster Drive 2 will shown to us like Available Storage and this disk can be used with Cluster Roles.


5. Add Generic Service

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

5. Add Generic Service

Generic Service resource type allows us to handle failover based on a Windows Service status - in this case we track the VisualCron service.

At Failover Cluster Manager go to Roles. You will see current roles list.

Click to Configure Role to create a new role.

The Before you begin window is displayed. Click Next.

The Select Role window is displayed. Select Generic Service item at the role list and click Next.

The Select Service window is displayed/ Select VisualCron service in current list and click Next.

The Client Access Point window is displayed. Choose NetBIOS name for cluster role. This name can be used to connect to VisualCron server. Click Next.

The Select Storage window will be displayed. Select shared drive with installed VisualCron on it. This storage will be used on active node to run VisualCron service. Click Next.

The Replicate Registry Settings window is displayed. Here you can add additional registry settings if it’s needed. When it’s done, click Next.

The Confirmation window will be displayed. Check all settings and click Next.

After creation of Generic Role was successfully completed close window by clicking Finish.


6. Manually changing current node for Generic Service

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

6. Manually changing current node for Generic Service

At Failover Cluster Manager go to Roles. You will see current roles list.

To move Generic Service to another node you can right click at selected role to open context menu, and go to Move -> Select Node.

Or select role and click to Move ->Select Node.

The Move Cluster Role popup will be shown.

Choose node for generic service and click Ok.

Service will be switched to selected node.


7. Setup Failover Generic Service properties

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

7. Setup Failover Generic Service properties

At Failover Cluster Manager go to Roles. You will see current roles list.

Select role and click on Properties (or use context menu by right click on selected role).

The Generic Service Properties popup will be displayed.Click on Failover tab, to change Failover settings.

At this tab you can change Cluster service Failover settings.


8. Individual node activation

Navigation: Using VisualCron > Using VisualCron in a clustered environment > Install and Setup VisualCron on Failover Cluster >

8. Individual node activation

After nodes are created you can activate your nodes. You need either a unique activation or an unlimited one (like Site license) for each node.

1.Go to active node and use activation code and use activation code there (unique or unlimited)

2.Switch to second node and check activation status. If it is already activated the deactivate this node and activate with the second activation code (if you are not using an unlimited one).


Interacting with VisualCron

Navigation: Using VisualCron >

Interacting with VisualCron


VisualCron Client

Navigation: Using VisualCron > Interacting with VisualCron >

VisualCron Client

The VisualCron Client is a separate application that constitutes the main type of user interface for VisualCron. With the client you configure VisualCron and manage the Jobs and Tasks that are run by the server.

Several VisualCron clients can be connected to the same VisualCron server, typically a user have both the VisualCron client application and the VisualCron tray client connected to the same server. See main menu Server > Main settings > Client connections for a list of clients that are connected to the currently selected server.

The VisualCron client application can also switch its server connection in the server selection drop-down list in the leftmost part of the toolbar.


Starting VisualCron Client

Navigation: Using VisualCron > Interacting with VisualCron > VisualCron Client >

Starting VisualCron Client

The client application is started from the Windows desktop icon (VisualCron X) or the Start menu Program > VisualCron X > VisualCron Client. You can also double click on or open the VisualCron Tray Client to start the VisualCron Client.

As the VisualCron server handles the defined Jobs, the VisualCron client can only connect to the VisualCron server when the server is running.

As the VisualCron server runs as a service, the client application can be closed without affecting the core server activities.


VisualCron Tray Client

Navigation: Using VisualCron > Interacting with VisualCron >

VisualCron Tray Client

The VisualCron Tray Client is an application that is part of the VisualCron system. It is shown with a VisualCron icon in the notification area normally located in the bottom right of the Windows screen.

The Tray Client is located to the right in the below image. Right click to interact.

Tray Client Startup

The VisualCron Tray Client starts when a user logs in to the Windows server. When the Tray Client starts, it attempts to connect to the VisualCron Server in order to provide control, allow foreground execution and be able to notify the currently logged in user. When the Tray Client is connected it shows the normal VisualCron icon in the System Tray.

If the Tray Client icon includes a red cross, it is not connected to a server service. One of the reasons may be a stopped service. The change of the icon between having and not having a cross, is based on repeated "ping" from the client and thus it is somewhat delayed related to the actual state of the connection.

Tray Client Features

When the VisualCron Tray Client is connected to the VisualCron Server your are able to control the Client and the Server.

By double clicking on the Tray Client icon you start the VisualCron Client. The Client can also be started by right-click on the Tray Client icon and select Client > Start.

By right-click on the Tray Client icon you can choose Server > Stop/Start. You can also Stop and Start the Server service.

Foreground execution

One of the main purposes of the VisualCron Tray Client is to provide foreground execution.

VisualCron Tray Client > Right-click > Settings > Main tab

Start Tray Client on startup

Controls if the tray client should be loaded when each user logs on to the server machine.

VisualCron Tray Client > Right-click > Settings > Notifications tab

In the Notifications window you can control VisualCron Tray Client Notifications. These notifications are MSN-like pop-ups that can show when a Job starts or stops. You can switch off/on these pop-ups here.

VisualCron Tray Client > Right-click > Settings > Log tab

By default Log to file (to the log directory) is active in order to be able to debug any problems. You can turn off this logging here.


VisualCron Web Client

Navigation: Using VisualCron > Interacting with VisualCron >

VisualCron Web Client

The VisualCron Web Client was introduced in version 7.6.5. It lets you connect from any device (phone/browser) to the VisualCron Server. The web client has a real time interface for viewing Job and Task information. It is still very limited compared to the normal Client but good for getting an overview and do basic things like running, activating and stopping Jobs and Tasks.

Installation and troubleshooting


Installation of Web Client

Navigation: Using VisualCron > Interacting with VisualCron > VisualCron Web Client >

Installation of Web Client

Installing the web client

Requirements

IIS 7 or later.

Installation

The web client runs inside Microsoft IIS - a web server. It is possible to install the web client in an existing IIS or install in the free IIS Express version. Installation and configuration of ports are done in Server settings->Web client.

Server > Settings > Web Client tab

The two group boxes display installation status of either IIS or IIS Express. You can see:

·which version of IIS is installed

·if the Web client is installed

·the local link to the web client

·the local path where the web Client is installed

·which port is used

Install

Click on Install to install the web Client. We recommend that you use the normal IIS if it is already installed. If you click Install on IIS Express then IIS Express will be installed first (if not installed already).

If you need to change port you can do that in IIS or by uninstalling and installing again with a new port.

Windows authentication

If you are using Active Directory as authentication method in VisualCron > Permissions then you probably want to enable Windows Authentication in the Web Client. Click the Enable button to enable.

Troubleshooting Web Client and installation

Preparations

Make sure that you have installed the selected roles and features in the Windows server.

Windows 2016 Server > Server Manager > Dashboard > Add roles and features

Installation errors when clicking install from the Client

Make sure that you have started the application as Administrator by right clicking on VisualCronClient.exe and select "Run as Administrator". Alternatively, turn off UAC and reboot.

HTTP Error 403.14 error - Forbidden

Please install ASP.NET 3.5 and 4.5 and other features in list mentioned above. Reboot if needed.

Web interface does not display correctly or not working

We recommend using Chrome or Firefox. If using IE make sure that Emulation mode is set to 10. See image below.

AD logon is not working

Open the website in IIS manager and make sure that Windows Authentication is enabled and all other authentication mechanisms are disabled.

When creating a new Server connection in server connection manager; 1. check Use AD 2. leave username and password empty

Installing the Web Client on other location than Server

Easiest way is to install the VisualCron Server on the IIS Server. Start the Client and connect locally and go to Server settings->Web client and install the web client as usual. Then stop and disable the VC service. For a custom installation package please contact support.

Web Client settings and logon

You logon into the web Client the same way you logon to the Windows Client. But, if you want to store settings you can click on the Login link to the upper right. It is possible to link settings and logon information to different open authentication systems like:

The advantage is that you can store settings like:

·Server connections

·Column settings

Facebook setup

1. create an App in Facebook

2. set facebookAppID and facebookAppSecret in web.config

Windows Live Id setup

1. You need to create your own app on https://account.live.com/developers/applications/index

2. * In API parameters add an URL for redirection, which finished with:

~/Home/WindowsLiveIdLogIn

( any domain can be used, like

"http://example.localhost.com:54257/Home/WindowsLiveIdLogIn" )

on the "Application settings" tab need to find an application Id and secret key.

3. In order to use redirection to local IP adrress (127.0.0.1) two approaches can be used:

a. Create a DNS record like "localhost.yourcompany.com" which points to 127.0.0.1

b. Or add a record to local "host" file ( %windir%/system32/drivers/etc/host, need to have administrative rights to edit that):

127.0.0.1 example.localhost.com

4. Setup IIS

4.1 * For IIS EXPRESS in C:\Users%username%\Documents\IISExpress\config\applicationhost.config

Change

<binding protocol="http" bindingInformation="*:54257:localhost" />

to

<binding protocol="http" bindingInformation="*:54257:example.localhost.com" />

4.2 * For IIS

Open Internet Information Services (IIS) Manager:

In the Connections pane, expand the server name, expand Sites, and then click the Web site on which you want to configure the bindings.

In the Actions pane, click Bindings.

In the Site Bindings dialog box, click Add.

In the Add Site Binding dialog box, add the binding information(example.localhost.com), and then click OK.

5. in web.config update these entries with app Id and secret from liveId application :

<add key="wll_appid" value="appid" />

<add key="wll_secret" value="secret" />

Manual Web Client installation

It is possible to manually install the web client. The current requirements are:

·the Web Client needs to be installed on the same machine as VisualCron

·IIS 7 or later is required on that machine

·a specific folder needs to be referenced from IIS

Steps for installing the Web Client are:

1. install the VisualCron Server on the machine

2. open IIS and add an application pool called "VisualCronWebClientAppPool". Setings are .NET 4.0 and Integrated mode

3. Right click on Sites > Add Website.

4. Select the VisualCronWebClientAppPool as Application pool.

5. Set the site name to "VisualCronWebClient".

6. Set the physical path to the "WebClient" folder in the VisualCron installation folder (normally in program files (x86)/VisualCron/WebClient).

7. Set any port (default 9000).

8. Click OK to save the web site

9. If you want to us AD for authentication you need to disable Anonymous Authentication and enable Windows Authentication

10. Enter url localhost:9000 in your browser to access the Web Client


Enable Windows authentication / Active Directory logon

Navigation: Using VisualCron > Interacting with VisualCron > VisualCron Web Client >

Enable Windows authentication / Active Directory logon

To enable AD authentication you need to:

1. enable Windows Auth in IIS and disable other methods

2. click on the Manage Servers button in the Web Client. Add new User and check "Use AD"


VisualCron API

.NET API

Navigation: Using VisualCron > Interacting with VisualCron >

.NET API

The VisualCron API is an easy way to control the VisualCron Server. The .NET API is as powerful as the VisualCron Client. The Client itself uses the API to perform all actions.

You can find the API quick start manual and the API reference documentation by the main menu Help > API selection.

Basically, you can use these languages:

· .NET - c# or VB.NET

· PowerShell

Visual Basic 6

We do no longer support Visual Basic 6.


.NET (C#/VB.NET)

.NET (c# or VB.NET)

Navigation: Using VisualCron > Interacting with VisualCron > VisualCron API >

.NET (c# or VB.NET)

.NET

A c# project sample with a lot of functionality exists in the API folder of the installation folder.

We recommend looking at the basic tutorial for the API here - then look at the API sample project.

Below is a quick sample in c#:

// create Server object that holds all VisualCron objects like Jobs, Credentials, Connections etc.

Server s;

// create Client object that is used to connect to the Server

Client c = new Client();

// create a Connection object which tells how VisualCron should connect

Connection conn = new Connection();

// use remote connection method to connect to a Server instance on another computer (default local connection)

conn.ConnectionType = Connection.ConnectionT.Remote;

// specify the DNS name or IP of remote server

conn.Address = "192.168.1.123";

// specify username you want connect as (default "admin") - user must exist in the Manage user Permissions window at Server

conn.UserName = "admin";

// specify password you want to connect with (default empty)

conn.PassWord = "";

// set below to true if you want to connect with your AD credentials (must be setup on Server to support) - if set you ignore setting username and password

//conn.UseADLogon = true;

// connect to Server, set sync to true to get all Server objects

s = c.Connect(conn, true);

// loop through existing Jobs

foreach (JobClass j in s.Jobs.GetAll())

{

       // write Job name to console

       Console.WriteLine(j.Name);

}

// finally disconnect

s.Disconnect();


PowerShell

Navigation: Using VisualCron > Interacting with VisualCron > VisualCron API >

PowerShell

PowerShell

Some of our users have started to use PowerShell to interact with VisualCron. Below are some basic code snippets:

Snippet #1

# Load the VisualCron API Dlls

$VC                = [Reflection.Assembly]::LoadFrom("C:\Program Files (x86)\VisualCron\VisualCron.dll");

$VCAPI        = [Reflection.Assembly]::LoadFrom("C:\Program Files (x86)\VisualCron\VisualCronAPI.dll");

# Define Client & Server Objects

# Globals to allow sharing of connections

$Global:Client        = New-Object -TypeName VisualCronAPI.Client

$Global:Server        = New-Object -TypeName VisualCronAPI.Server

# Read Only VisualCron User for API Access

# VisualCron UserName and Password from your Site

$Conn_UserName                        =        'username'

$Conn_PassWord                        =        'password'

$Conn_Address                        =        'localhost'

# Standard Settings

$Conn_Port                                =        16444

$Conn_ConnectionType        =        'Remote'

# Function to Connect to a VisualCron Server using the API

function VCAPI-ConnectServer ([string]$Conn_Address) {

# Define Connection Object

$Conn = New-Object -TypeName VisualCronAPI.Connection

# Set Connection Values

$Conn.Address                        =        $Conn_Address

$Conn.UserName                =        $Conn_UserName

$Conn.PassWord                        =        $Conn_PassWord

$Conn.Port                                =        $Conn_Port

$Conn.ConnectionType        =        $Conn_ConnectionType

# Try to Connect to the VisualCron Server

try

{

         $Global:Server = $Client.Connect($conn, $true);

}

catch [$ClientLoginFailedException ex]

{

  MessageBox.Show(ex.Message);

}

}

# Function to retrieve a User Variable Value using the API

# wrapper for generic get variable API call below

function VCAPI-Get-User-Variable ([string]$Variable_Name) {

$Variable_Value = VCAPI-Get-Variable("USERVAR(" + $Variable_Name + ")")

Return $Variable_Value

}

# wrapper for the get-variable API call

# Returns Varian;e Value

function VCAPI-Get-Variable ([string]$Variable_Name) {

$Variable_Name        = "{" + $Variable_Name + "}"

$Variable_Value = $Global:Server.Variables.GetGenericVariable($Variable_Name)

Return $Variable_Value

}

Snippet #2

# Determine Script Path

$Path = Split-Path $MyInvocation.MyCommand.Path

# Determine Script Drive

$Drive = (Get-Item $Path).Root.Name

Remove-Variable -Force HOME

Set-Variable HOME $Path

# include the VisualCron API

. "$HOME\VisualCron_API.ps1"

# API Information - Example - Direct API Call

$OSVersion = [VisualCronAPI.ComputerInfoAPI]::GetOSVersion()

Write-Host '$OSVersion : ' $OSVersion

# API Information - Example - Direct API Call

$LocalAdmins = [VisualCronAPI.ComputerInfoAPI]::GetLocalAdministrators()

Write-Host '$LocalAdmins : ' $LocalAdmins

# Set Client Values - Example using $Client Object

$Client.LogToFile = $False

################################################################################

# Server Connection and API Calls

#

################################################################################

# Connect using Server Name (Fully Qualified)

#VCAPI-ConnectServer('washington.somewhere.com.au')

# or

# IP Address

VCAPI-ConnectServer("123.145.167.89")

# Various Variable Calls - Replace First 2 With UserVariable Names from Your Site

$VCUserVariable = VCAPI-Get-User-Variable("SERVER01")

Write-Host '$VCUserVariable : ' $VCUserVariable

$VCServerName = VCAPI-Get-Variable("USERVAR(SERVER02)")

Write-Host '$VCServerName : ' $VCServerName

$VCServerIP = VCAPI-Get-Variable("SERVER(IP)")

Write-Host '$VCServerIP : ' $VCServerIP

$VCServerPort = VCAPI-Get-Variable("SERVER(Port)")

Write-Host '$VCServerPort : ' $VCServerPort

Snippet #3

https://gist.github.com/atifaziz/9400489


Web API

VisualCron Web API

Navigation: Using VisualCron > Interacting with VisualCron >

VisualCron Web API

The VisualCron Web API is an alternative way to interact with VisualCron and extract information.

Server > Settings > Web API tab

Allow Web API

When checked VisualCron open ports for Web API.

Unencrypted/Encrypted ports

The Web API uses two ports for communication. The encrypted one uses a certificate created by VisualCron to enable a secure communication channel.

Permissions

The Web API uses the same permission system as in VisualCron which means that you need to add a user in Manage user permissions window first.

Available methods

Once the WebAPI is allowed you can see available methods here:

http://localhost:8001/VisualCron/text/Docs

Calling the Web API

There are two ways of requesting information:

1. REST

The VisualCron REST service communicate through the HTTP protocol. By making simple HTTP calls against the VisualCron service you can easily extract information and interact with VisualCron. The REST service is able to return 3 different result outputs:

Text - plain text output

XML - XML output

JSON - JSON output

The output method is controlled through the url:

https://localhost:8002/visualcron / text/job/list?token=[token]

https://localhost:8002/visualcron/xml/job/list?token=[token]

https://localhost:8002/visualcron/json/job/list?token=[token]

Output result

By default, if you use text as output headers are added (property names). If you want to exclude these you can set &includeheaders=false in the query. By default available properties will be listed but you can also set which properties (columns) to include like this:

http://localhost:8001/visualcron/text/job/List?id=1&token=[token]&columns=id,name,runmissed,tasks

It is possible to control the field separator, text qualifier and line break like this:

http://localhost:8001/visualcron/text/job/List?id=1&token=[token]=59&textQualifier=34&lineBreak=10

Tokens and authentication

It is possible to authenticate once and use a token that will work for 24 hours (and will be renewed for each call). The token is then used in each call. You can also authenticate each time you call a method. Using token and a method requires at least 2 calls instead of supplying user name and password in each call. However, using tokens is faster in the long run and generally more secure.

Get token

To get a token you authenticate against the the logon method:

http://localhost:8001/visualcron/text/logon?username=admin&password=qwerty123

This call returns a token that you can used in following calls like:

http://localhost:8001/visualcron/text/job/List?token=[token]

Authenticate in call

By adding user name and password parameters you can work directly with the method without using tokens:

http://localhost:8001/visualcron/text/job/List?username=admin&password=qwerty123

2. Web service/SOAP

It is also possible to communicate with VisualCron through the web service API. The wsdl URL can be found in the Web API tab in Server settings.

There is the following example in the API folder (sample TestClient project):

var binding = new BasicHttpBinding()

{

MaxBufferPoolSize = int.MaxValue,

MaxReceivedMessageSize = int.MaxValue,

ReaderQuotas =

new XmlDictionaryReaderQuotas()

{

MaxArrayLength = int.MaxValue,

MaxStringContentLength = int.MaxValue,

MaxNameTableCharCount = int.MaxValue

},

Security = new BasicHttpSecurity()

{

Mode = BasicHttpSecurityMode.TransportCredentialOnly,

Transport = new HttpTransportSecurity()

{

ClientCredentialType = HttpClientCredentialType.Basic

}

}

};

var client = new WebServiceClient(binding, new EndpointAddress("http://localhost:8001/VisualCron"));

//or just:

//

//var client = new WebServiceClient();

//

//but better setup binding

if (client.ChannelFactory.Credentials != null)

{

//set Credentials

client.ChannelFactory.Credentials.UserName.UserName = txtUserName.Text;

client.ChannelFactory.Credentials.UserName.Password = txtPassWord.Text;

}

try

{

//just call methods

var jobs = client.Job_List();

foreach (var job in jobs)

{

Console.WriteLine(job.Name);

}

}

catch

{

}

Troubleshooting

Can't connect securely to this page (outdated TLS security settings)

Install .NET 4.7.1 and reboot.


VCCommand

Navigation: Using VisualCron > Interacting with VisualCron >

VCCommand

VCCommand.exe is a command line tool residing in the install folder\VCommand folder. The VCCommand is an alternate way, just like the API to interact with a local or remote server. This command line tool is based on command line switches that can perform the following actions at the moment:

·Run a Job

·Activate a Job

·Deactivate a Job

·Stop a Job

·Run a Task

·List Jobs

·Activate license

·Deactivate license

You can see existing command switches and examples by running VCCommand.exe without any parameters:

Example: VCCommand --action runjob --connectionmode local --username admin --password xyz --name "Job Id or Name"

Example: VCCommand --action activatejob --connectionmode local --username admin --password xyz --name "Job Id or Name"

Example: VCCommand --action deactivatejob --connectionmode local --username admin --password xyz --name "Job Id or Name"

Example: VCCommand --action stopjob --connectionmode local --username admin --password xyz --name "Job Id or Name"

Example: VCCommand --action runtask --ip 127.0.0.1 --connectionmode remote --username admin --password xyz --name "Job Id or Name"

Example: VCCommand --action runjob --ip 127.0.0.1 --connectionmode remote --username admin --password xyz --name "Job Id or Name"

Example: VCCommand --action listjobs --connectionmode local --username admin --password xyz

Example: VCCommand --logontype ad --action listtasks --connectionmode local

Example: VCCommand --action activate --r xxxxx-xxx-xxxx-xxxx --connectionmode local --username admin --password xyz

Example: VCCommand --action deactivate --connectionmode local --username admin --password xyz


Client User Interface

Navigation: »No topics above this level«

Client User Interface

The Windows VisualCron client user interface consists of a Windows Caption (top row), a tab/sub tab based menu system, a Toolbar (servers and job handling), a Grid filter (Servers/Groups/Jobs/Tasks), a Server/Group/Job/Task grid (major part) and a Status Bar (bottom row).

There is also a Windows VisualCron Tray client by which you can control some basic features.


Main menu

Navigation: Client User Interface >

Main menu

The main menu is located in the top of the VisualCron client screen, just under the Windows caption.


File

Navigation: Client User Interface > Main menu >

File

The File tab is a part of the main menu.


Import/Export - Import Settings

Navigation: Client User Interface > Main menu > File >

Import/Export - Import Settings

The main menu File > Import/Export > Import settings option lets you import settings to the currently connected VisualCron server from a previous backup/export. You may import a settings file across the Internet.

VisualCron settings consists of many files. By using Export settings you can regularly create backups of your settings. The Export settings create one zip file with all settings which you later can import here. Select the exported zip file here and click start.

File > Import/Export > Import settings

File to import

Enter full file path or click the File icon to browse and select a previously exported settings file. The default file for Export settings is C:\Program Files (x86)\VisualCron\backup\VC-Settings.zip

Password

If the exported zip file was protected with password then enter the password here.

Clear existing

Clears all previous settings, then adds the new settings. A setting is only cleared if that setting exists in the exported file. For example, if only Jobs were exported, only the Jobs will be cleared when importing.

Update existing

Updates existing settings. For example, all previous Jobs will remain and updated, if a Job with the same id exists in the file.

Import all server settings

Imports all settings that exist in the file you import.

Import the following settings

Select the settings that you want to import. Note that the setting must exist in the file (must have been previously exported).

Start

Click on the Start button to begin the import.

Troubleshooting

Access denied

This error is coming if the Client is not running as administrator. Close the Client and go to the installation folder. Then right click on "VisualCronClient.exe" and choose "Run as administrator".

Workaround

If you have problems importing settings and if you want to overwrite all settings on destination server you can perform the following steps:

1. stop the VisualCron service in the destination server

2. delete all files in the settings folder of installation except license.xml and server_settings.xml

3. copy all settings from source settings folder (except the files above) to destination settings folder

4. start the service


Import/Export - Export Settings

Navigation: Client User Interface > Main menu > File >

Import/Export - Export Settings

The main menu File > Import/Export > Export settings option makes a backup of the the currently connected VisualCron server settings. The backup/export may also be used to import these settings to another VisualCron server or to be used as a part of a problem report or a in fault tracing activity. You may Export/Import across the Internet.

It is recommended to perform regular backups using the Export settings function. If a setting error occurs and a backup file exists in the default backup file path, VisualCron will use the backup file and automatically restore settings. It is a recommendation that you keep a backup file both in the default folder and in another place.

The exported settings consists of many files, but the Export settings function creates one VC-Settings.zip file.

File > Import/Export > Export settings

Select settings

Select the Server settings in the list which you want to export. If there are no specific reason for the export, it is strongly advised that you export all settings, you may later choose to import just some settings. Note that when importing settings again and using "Clear existing settings" only existing object types will be cleared. For example, if you only export your Jobs the Jobs will only be cleared when importing.

Default file path

The default file for Export is C:\Program Files (x86)\VisualCron\backup\VC-Settings.zip.

Custom file path

If you want to use another destination for the exported file than the default file path then specify another file path.

Password

If you want to password protect and encrypt the backup you enter a password here.

Start

Click on the Start button to begin the export.


Import/Export - Task scheduler

Navigation: Client User Interface > Main menu > File >

Import/Export - Task scheduler

With the main menu File > Import/Export > Task scheduler option it is possible to import tasks from the built in Task scheduler. There are some limitations as VisualCron uses different Trigger types and different Tasks. Also, you might need to update information after importing. See more information below in sections Limitations and Manual update.

Connecting

To connect to an existing Task scheduler instance you enter information below and the click Connect.

Host name

This is the IP/host name of the local or remote server.

User name

This is the username - used for authenticating against the remote server.

Password

This is the password - used for authenticating against the remote server.

Domain

This is the domain name - used for authenticating against the remote server.

Grid information

The grid displays all Tasks, if they are active or not, the folder they reside in, the name, description and any warnings during the import.

Actual Actions or Triggers within the Task are not visible in the grid but they will be imported.

Task selection

Select the Task you want to import into VisualCron. You can choose to select each one by one, select all or deselect all.

Importing

Click Import selected to start the import. Usually, this goes very fast as tasks are already converted and just needs to be sent to VisualCron Server. Jobs that are created will get the Folder property of the task as group name.

Limitations

Task/Action limitations

·One difference is that currently VisualCron does not fall back to background execution when foreground execution fails.

Trigger limitations

·There are properties that cannot be directly transferred into VisualCron like the repetition property.

·There are some Trigger types that is not supported like "Registration","Idle"

Warnings

Any warnings, mostly related to limitations, will be displayed in the Warnings column next to each task and also in the log textbox.

Manual update

Manual updates of imported tasks might be required. Some manual changes are stated in the log. These type of changes concern two things:

Credentials - update of password. After import go to Manage Credentials and update the password of any new, imported Credentials.

Connections - update of SMTP server information. After import go to Manage Connections and update SMTP server details.

Other types of changes might be to update existing Execute Task. VisualCron does not execute the same way as the Task Scheduler and manual alterations might be needed. For example, if you use cmd.exe you should instead call the full path to the executable/script in the command line instead. This is because VisualCron needs that to be able to capture exit code and output.


Updates - Check for Updates

Navigation: Client User Interface > Main menu > File >

Updates - Check for Updates

The main menu File > Updates > Check for updates option connects to the VisualCron web site i order to find if there is a later version available.

In case of this response, you should repeat the updates function at a later date until the official version is available.

If the VisualCron Client is off, the computer where the VisualCron Client runs is offline and the VisualCron Client is started, the below message is displayed. It is also shown when the computer where the VisualCron Client runs is offline and the File > Updates > Check for updates is clicked.

In File > Settings > Client settings > Main settings tab, uncheck Check for updates at startup if desired.

In this case you are encouraged to download the latest official version.


Settings - Client Settings

Navigation: Client User Interface > Main menu > File >

Settings - Client Settings

Some general settings are available for the Client. These are located in the main menu File > Settings > Client settings.

File > Settings > Client settings > Main settings tab

Show tooltips

If this option is selected, an "Info" window is opened when the mouse points to some settings. The displayed text provides additional information related to the specific setting.

Check for updates at startup

If this option is selected, a connection to visualcron.com is performed at VisualCron client startup in order to check for and notify the user of possible later VisualCron versions.

Auto translate to UNC path

When this is checked all logical drives (i.e. Z) is translated to the UNC path (\\servername\folder\file)

Show Server message boxes

If alerts should be displayed. Otherwise shown in log window.

File > Settings > Client settings > Language tab

Choose client language

Select language to be used in VisualCron client. In order for the new language to take effect, the client have to be restarted.

Note: The documentation, web, log and debug entries are in English, independently of the language setting. User entered texts, e.g. Job description, remains in the entered language.

File > Settings > Client settings > Proxy tab

Enter specific proxy server data to be used for connection to a server. See description of Server proxy settings for more information.

File > Settings > Client settings > Grid tab

Auto sort on update

If VisualCron should sort all Jobs when updates are received. Checking this degrades Client performance. Default off.

Delay/Cache update

To improve performance you can delay row updates. Default off.


Settings - Start Guide

Navigation: Client User Interface > Main menu > File >

Settings - Start Guide

The main menu File > Settings > Start guide option repeats the start screens you were presented to when you installed VisualCron for the first time:


Servers - Manage Servers

Navigation: Client User Interface > Main menu > File >

Servers - Manage Servers

With the main menu File > Servers > Manage servers option, the currently connected server name is displayed in the main menu Server [<server name>] tab, as a Server/Username entry in the Server/Jobs/Tasks grid and in the status bar.

By default, the VisualCron server is installed and started on the same computer as the client. Managing servers is a way to add/edit/delete connections to other VisualCron servers. Thus, it is easy to switch between different connections. It is in the login window you choose what server connection to use when you are connecting. All the server connections are displayed in the combo box at top of the login window.

Manager servers window

In the Manage Servers window you can Add, Edit and Delete Servers that you want to connect to from the Client. You can add any number of Servers that you want the Client to connect to, either manually or automatically when the Client is starting up.

Scanning for unassigned servers

In the Manage servers window there is a built in function for scanning the network for Windows servers and any VisualCron servers. This way you can let VisualCron detect existing ones and then add the servers for connection based on what is found.

Switching between servers

Also, when using the VisualCron client it is possible to switch to another server.

The easiest way to switch between servers is to click on a server in a Server/Username "track" in the Server/Job/Task grid. Clicking on another server than the currently connected, immediately updates all parts of the client window with information related the new server.

Switching may also be done by using the toolbar server connection control (Default: "admin@localhost:IPC"):

Use the drop down list in the leftmost part of the toolbar to select a new server. If the icon to the left of the server connection is disconnected, all items in the main menu is "greyed out" and not accessible. Click the Connect icon immediately to the right of the drop down server list to connect to the new server. By this, the server name is updated in all parts of the VisualCron client and also all Jobs/Tasks related to the connected server are shown in the Server/Job/Task grid.

Edit and add a server

Choose a server from the list in the File > Servers > Manage servers window if you want to edit or delete a server. If you click on Edit the connection information will be shown in the text boxes. Edit any value and click Update.

To add a connection, click the Add icon (or the Clear button if you are in edit mode). Enter the values and click on the Add button to add the connection.

Auto connect at startup

If you want the Client to automatically connect to this Server at startup you should check this option.

Is a local server

VisualCron can connect to local and remote Servers. Choose Is a local server if you are connecting to a computer on the same machine, this will increase the login speed to the server significantly.

Server

This can be a server name, or IP number. VisualCron will try to resolve or names. Default: "localhost" (your computer).

Port

Default: "16444". You can only change the port number (which the server is listening to) while you are logged in. If you change the port here, remember to change it in the server. Also, be sure to check that, if you use a firewall, that the port is you enter is opened on that computer for incoming traffic.

Use Active Directory logon/Use internal logon

VisualCron has two different authentication systems; one internal and one that is extended by Active Directory. If you want to allow Active directory logon you need to do that in user logon settings.

Username

Default: "admin". This is the user name the server uses. Be sure to change this after the initial login.

Password

By default it is blank. This is the password that the server uses. Be sure to change this after the initial login.

Prompt for login

If you want to enter Username and/or password at connection then you should check this box.

Proxy

Proxy settings concerns checking for update, http Job type and activation. The Proxy setup does not apply to the SSL connection between the VisualCron Client and the VisualCron Server.

If you are using a proxy to connect to the Internet and can't connect, uncheck the Autodetect checkbox and enter your settings or contact the network administrator.

Troubleshooting

The client and server cannot communicate, because they do not process a common algorithm

You might have disabled TLS 1.2 on the machine. Install .NET 4.7.x or greater and reboot.


Translation - Open translation page

Navigation: Client User Interface > Main menu > File >

Translation - Open translation page

The main menu File > Translation > Open translation page option handles VisualCron appearing in specific languages. If your language is missing in VisualCron or if a specific VisualCron caption is missing in your language, and you want to contribute with translation work, please contact VisualCron support.


Translation - Update translation files

Navigation: Client User Interface > Main menu > File >

Translation - Update translation files

The main menu File > Translation > Update translation files option handles VisualCron appearing in specific languages. If your language is missing in VisualCron or if a specific VisualCron caption is missing in your language, and you want to contribute with translation work, please contact VisualCron support.


Server

Navigation: Client User Interface > Main menu >

Server

The Server tab is a part of the main menu.


Main - Server On/Off

Navigation: Client User Interface > Main menu > Server >

Main - Server On/Off

In the main menu Server > Main settings > Server dialog, the VisualCron server status can be set to "On" or "Off". The server status is indicated and/or managed by any connected client by the "Server [On]" or "Server [Off]" text in the main menu Server option.

The status "Server [Off]" means that the service is running but the server doesn't execute the defined Jobs or Tasks, and the NextRun field for any active Job will show the "Server off" text. Switching to "Server[Off]" may be used as an emergency stop for the current Job/Task execution.

Once you have changed the server status, the status will be saved and VisualCron will use that status the next time the server computer is started.


Main - Settings

Navigation: Client User Interface > Main menu > Server >

Main - Settings

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. See the following sub chapters for information about other tabs than Main settings:

· Main - Settings - Users/Logon

· Main - Settings - Log settings

· Main - Settings - Email settings

· Main - Settings - Proxy

· Main - Settings - Folders

· Main - Settings - Web API

· Main - Settings - Web Client

Main > Settings > Main settings tab

Installed in a cluster environment

Check this if you are installing VisualCron (on two nodes) on a shared drive.

Server port

VisualCron sends encrypted information across the default TCP port 16444. If you want to change this port you enter a new integer value here.

Override HTTP connection limit

This general setting controls number of HTTP connections that can be done from VisualCron. Increasing this might be good if you plan to run many HTTP requests at once (for example through the HTTP Task).

Default exit code collection

This sets the default exit code collection that is pre-selected in On error tab of a Task.

Renaming standard

For various Tasks VisualCron offers "rename" of various strings. Depending on your requirements there are 2 different implementations. The REN command standard follows renaming conventions of REN command. As many of these conventions were not logical to us and our customers we implemented our own renaming standard - adjusting some of the standards of the REN command.

Server language

This controls the language used on the Server (when writing to logs etc).

UAC - set UAC status

This control the Local Security Policy settings "User Account Control: Turn on Admin Approval Mode" and affects Execute Task primarily. If you use the Execute Task along with a Credential and get error -1073741502 you should disabled this property and reboot after the change.

This policy setting controls the behavior of all User Account Control (UAC) policy settings for the computer. If you change this policy setting, you must reboot your computer. The options are:

·UAC is disabled: (Default) Admin Approval Mode and all related UAC policy settings are disabled. Note: If this policy setting is disabled, the Security Center notifies you that the overall security of the operating system has been reduced.

·UAC is enabled: Admin Approval Mode is enabled. This policy must be enabled and related UAC policy settings must also be set appropriately to allow the built-in Administrator account and all other users who are members of the Administrators group to run in Admin Approval Mode.

Alternatively you can edit the registry and set:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows\NoInteractiveServices to 0


Settings - Default flows

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Default flows

In the main menu Server > Main settings > Settings dialog, you can choose to add Flows that will be added as default for new Jobs OR Tasks. Once you have created a default flow here, the flow will be suggested whenever you open a Job or Task for editing/adding. In this way, Default flows has some resemblances to other global objects but it is not quite the same.

Main > Settings > Default flows tab

Add/Edit/Clone/Delete

Click the Default flows icons to update the list of default flows for Jobs and Tasks.

Main > Settings > Default flows > Add > Job flow window

A created default flow will add this flow to all new Jobs or Tasks and will show up in one of the lists in the Edit Job > Flows tab or the Edit Task > Flows tab. Note that Tasks always have two flows included by default; On success - Continue with next Task and On error - Stop Job.

If the new default flow is also desired for previously defined Jobs/Tasks, you need to click the Get default flows icon for each Job/Task flow you want the default flow for.

Independently if you right click in the Default flows window or in a Job Flow or Task Flow window, you have the option to add or remove a flow for all Jobs OR Tasks. This will take some seconds and it will run in the background. Thus, the update will not immediately be seen in the Job Flow or Task Flow window and the Cancel button (not OK) shall be clicked when leaving the window in order not to save the screen contents. The Default Flow Add/Edit/Clone/Delete is based on a hidden Id of the unique flow that is created - not the actual actions it takes (i.e Run Notification, Retry etc). This means that even if you create a Flow that behaves exactly like another existing one it is considered a new Flow as it has another Id. Because of this, if you first create a Default flow and then push it out for all Jobs - then modify the Flow to, let say run other Notification, then push it out again to update all.

Each single flow in the Job/Task flow lists can be deleted and the list is immediately updated, in case the Job Flow or Task Flow windows are closed by the OK button.


Settings - Users/Logon

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Users/Logon

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the users and logon settings are managed.

Main > Settings > Users/Logon tab

Only allow local connections

This setting closes the remote port 16444 for incoming connections. Local login is only possible.

Allow Active Directory logon

VisualCron has two different authentication systems; one internal and one that is extended by Active Directory. This box needs to be checked in order to allow AD logon.

AD Server

When using Active Directory logon you need to specify server name or IP address. This will be used as default when working with user permissions. Please add :636 to make secure LDAP connections, i.e. adhostname:636. Otherwise non-secure connection will be used.

Credential

The AD Server Credential that will be used as default when working with user permissions.


Settings - Log settings

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Log settings

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the log settings are managed.

Main > Settings > Log settings > Settings sub tab

Extended debug logging

If you experience problems the VisualCron support may ask you to turn on extended debugging. When the support process is done you uncheck this option as it leverages the system.

Log to event log

Use Windows event log for logging.

Log to file - Client events

Controls if Client should write events to a file (placed in VisualCron X/log folder).

Log to file - Server events

Controls if Server should write events to a file (placed in VisualCron X/log folder).

Log to file

If any option is activated, a log file will be created and entries will be written into the log file. A new log file is created for each day. If no Job has been run during a day (with logging on) - no file will be created. The server/client log file names are "log_serverYYYYMMDD.txt"/"log_remoteYYYYMMDD.txt". By default the log files are located in the "C:\Program Files\VisualCron\log\" folder.

Main > Settings > Log settings > Error handling sub tab

Send unhandled server errors to VisualCron

If you check this all errors are reported back to VisualCron. This way we can get enough information to detect and fix bugs as soon as possible.

Main > Settings > Log settings > Database settings sub tab

VisualCron uses an internal database to log server events and Job/Task result/output and audit logging. These are stored in separate tables in an internal database. You can control how many and/or how long time this data should be stored in each table. It is possible to store these logs externally.

Log to database

This controls if the internal database should be used or not.

Log DB location

This controls if VisualCron should log to the internal SQL Compact database or any external database.

Location

Only visible when using Internal logging. This shows the location of the internal database (for debugging purposes).

Connection

Only visible when using External logging. Select an existing Connection. If Integrated Authentication is used you need to select a Credential.

Credential

Only visible when using External logging. Select a Credential if Integrated Authentication is used (Windows Auth).

Create DB tables

Creates the External DB tables in the selected Connection. The following tables are created:

·AuditLogs - stores the Audit logs

·DBVersions - controls the version of the database (for upgrades)

·GeneralLogs - stores the General logs

·JobLogs - stores the Job logs

·TaskLogs - stores the Task logs

Size

This shows the current size of the database.

General/Audit/Job/Task Rows

The current number of rows in the current log type

General/Audit/Job/Task Range

The date range of the current stored objects.

General/Audit/Job/Task Keep a maximum of x rows in database

This option controls how many rows to store. If unchecked then unlimited rows will be stored (or limited by number of days in setting below).

General/Audit/Job/Task Delete rows older than x days

This option controls how many days to store. If unchecked then unlimited days will be stored (or limited by number of rows in setting above).

General/Audit/Job/Task Clear all

This option deletes all entries for the current log type.

Reset database completely

If the database has exceeded maximum size you may have to manually delete it to restore. Here are the steps:

1. Open the Main > Settings > Folders tab and click on the Output cache folder > Open button.

2. Stop the VisualCron service

3. In the Explorer window enter the folder "log" and delete the file "VisualCron4.sdf"

4. Start the service again

Main > Settings > Log settings > Output settings sub tab

Limit output size

If checked, Task output will be limited in the Task log table to the value you set below. It is recommended to have some kind of limitation so that the database file do not grow to fast which makes it hard to control and connection slow between Client and Server.

Max output size

This is the max output size we store in real time. If a Task has larger output than specified we cap at at this level.


Settings - Email settings

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Email settings

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the email settings are managed.

These are the default settings that will be used for the Email Tasks. The SMTP connection details are managed in the Connections - SMTP Connection.

Main > Settings > Email settings tab

To email

By entering information in this field, the fields at Add Job, will be automatically entered. You can send to several email addresses at the same time by separating these with a semicolon (";"). The To email address(es) shall be a valid email address(es) to where the email(s) will be sent.

From email

By entering information in this field, the fields at Add Job, will be automatically entered. This is the default email address that VisualCron uses to send email from.

From name

The origin of the the email message. By default it is the server name.


Settings - Proxy

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Proxy

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the proxy settings are managed.

Main > Settings > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be used.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Settings - Folders

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Folders

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the folder settings are managed.

Main > Settings > Folders tab

In the folders tab you view and change the folders that are used within VisualCron.

Log folder

This is where server logs are stored, for example log_serverDATE.txt.

Settings folder

This is where settings are stored.

Backup folder

This is the default backup folder for the default Job "Backup settings".

Output cache folder

This is were temporary output and the internal database files are stored (sub folder log).

Temp folder

This is the temporary folder that VisualCron uses for storing temporary files when working with various Tasks. This folder is cleaned up from time to time - do not keep any important files here.


Settings - Web API

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Web API

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the web API settings are managed.

The Web API consists of a REST and web services API. It is possible to use encrypted or unencrypted communication (on different ports).

Main > Settings > Web API tab

Allow Web API

Enables the Web API.

Unencrypted port

Set the port you want to use for the web API for unencrypted communication.

Encrypted port

Set the port you want to use for the web API for encrypted communication.


Settings - Web Client

Navigation: Client User Interface > Main menu > Server > Main - Settings >

Settings - Web Client

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. In this tab, the web client settings are managed.

Main > Settings > Web Client tab

See the Web Client section.


Main - User Permissions

Navigation: Client User Interface > Main menu > Server >

Main - User Permissions

In the main menu Server > Main settings > User permissions dialog, user credentials for different items (Jobs, Tasks, Triggers, Notifications, Client settings, Server settings, Time exceptions, User administration and Log) are handled.

VisualCron uses an internal system for authentication and granting permissions to different objects within VisualCron. The internal system can be extended with users or groups from Active directory to provide a more seamless login.

A user is a set of user name and password. A user can belong to one or more groups. The actual permissions is located in the group. By default, there is a "Administrators" group which can do everything. You can create your own group in order to manage detailed user permissions for this group.

Active directory

By default the internal system is used. To enable Active Directory support you need to enter Users/Logon settings.

Server > Main settings > Settings > Users/Logon tab

When creating the Server Connection you also need to check "Use Active Directory logon". This way you tell the Client to use AD user login method.

File > Servers > Manage Servers > Add > AD

The main dialog of the User permissions window lists all users and AD groups that are allowed to connect to this server. A user can be active (green check icon) or inactive (red cross icon). When active, the user is granted login with the predefined permissions.

The Add, Edit, Clone or Delete buttons are context sensitive to the tab you are in. Clone makes a shallow copy, a new user with the same permissions as the original user/group. If you want to add an AD group you need to select that tab and then click Add.

Server > Main settings > User permissions

When you add, edit or clone a user you are presented with the Add/Edit user window.

Server > Main settings > User permissions > Users > Add > Credentials tab

Is AD user

You can select users from the active directory by clicking on the Search button next to the Name.

User permissions from AD Group

It is possible to inherit the permissions from the Groups tab of the AD group. This is enabled by default if user is created from a group. If unchecked, the Groups tab, from the Add user window will be used instead of the settings from the AD group.

Name

This is the name that will be seen in the Manage users list, logs and "created by"/"modified by" in the Job list.

Username

This is the user name which is used at login.

Password

This is the password which is used at login.

Email

In a future version of VisualCron, the email field will be used for an administrator to send a reminder of the login credentials.

Active

If the current user is active or not (login enabled).

Server > Main settings > User permissions > AD groups > Add tab

Group name

The AD group name. This can not be altered manually - you need to search and select the group.

Active

If the current group is active or not (login enabled).

Let users inherit (not clone) permissions

Whenever an AD user logs on that belongs to an existing group the AD user is created in the AD user section. By default, there is a reference to the VisualCron group permissions from the AD group in the new AD user. But you can also uncheck this to be able to set specific group permissions after (so that it not references).

A user can belong to one or more groups. The groups contains the actual permissions. If a specific permission is requested and granted in any of users groups the user is granted to the specific permission.

Server > Main settings > User permissions > Add > Groups tab

Server > Main settings > User permissions > Add > Groups > Edit tab

Name

Name of the group.

Default group for new users

If this group should be the default group when a new user is created.

Permission

A permission can have the following attributes:

·"Read" - Allows the object to be viewed/showed in some way. This can be a window or a list

·"Add" - Allows the user to add and object to a list

·"Edit" - Allows the user to edit an object in a list or window

·"Delete" - Allows the user to delete an object from a list

·"Execute" - Allows the user to run/execute something

Not all permissions has, for obvious reasons, all attributes available. For example, permission "Log" can only be viewable or not and has, therefore, only the "Read" setting is available for change. When a setting cannot be changed for a permission it is grayed out/disabled.

For each permission, use the select boxes to update the valid attribute types. Your changes to a user will be saved when clicking OK.

Permissions

Manage Credentials

·Read - Controls if the user can open the Manage Credentials window

·Add - Controls if the user can Add new Credentials

·Edit - Controls if the user can Edit existing Credentials

·Execute - Controls if a user can Execute a Task or similar with the selected Credential

·Delete - Controls if the user can Delete Credentials

Overriding group permissions

From VisualCron version 6.1.2. permissions can be overridden on Job level so you can set specific permission for a group on a specific Job. From version 8.4.2 you can override Credential permissions.


Main - Client connections

Navigation: Client User Interface > Main menu > Server >

Main - Client connections

In the main menu Server > Main settings > Client connections dialog, VisualCron clients are managed. Several VisualCron clients can be connected to the same VisualCron server, typically one client both has the VisualCron client application and the VisualCron tray client connected to the same server. See below for a list of clients that are connected to the currently selected server.

Main > Client connections

The VisualCron client can also switch its server connection in the Server/Username "track" in the top of the Server/Job/Task grid.


Servers

Navigation: Client User Interface > Main menu > Server >

Servers

Enter topic text here.


Servers - MFT Server

Servers - MFT

Navigation: Client User Interface > Main menu > Server > Servers >

Servers - MFT

In the main menu Server > Servers > MFT the MFT Server settings are managed.

The MFT Server provides built in support for hosting, inside VisualCron, for the following server types:

·SFTP

·FTP

The advantages of using VisualCron for this are:

·You are not dependent on any second installation of a third party server.

·VisualCron can react faster to any changes within the server through the MFT Trigger. The MFT Trigger can react on various events like file uploaded, download, folder created etc

·Through the Web Client, VisualCron users can manage the files (delete, upload, download)

Main > Servers > MFT Server

Allow MFT

Starts all predefined sub MFT servers (FTP, SFTP etc) at startup when this is checked.

Change server state

Turns on and of the selected MFT server.

MFT Servers list

This is the list of existing MFT servers (of any type).

Upon pressing the Add Servers icon, the Server settings dialog is opened.

Main > Servers > MFT Server > Servers > Server settings sub tab

Server name

The name of the MFT server.

Server type

Select MFT server type.

Permissions

The permissions grid controls who can access the specific MFT server. Click add to add new permission or double click/Edit to edit a permission.

Main > Servers > MFT Server > Servers > SFTP Endpoints sub tab

SFTP Endpoints list

An endpoint is a combination of IP and port the specific MFT server listens to. Click add to add a new MFT server.

SFTP Endpoint

Name

Optional name for the Endpoint for easier identification.

IP

The IP the Endpoint should listen too. 0.0.0.0 are all IPs on the network card.

Port

The port to use for the Endpoint. Default 22 for SFTP server.

Force compression

This property specifies whether the non-compressed transfer is supported by the server. When the property is set to true, CompressionAlgorithms[SSH_CA_NONE] is turned off and the server advertises only ZLIB compression (and not NONE).

Use UTF8

Text ...

Root folder

Base folder for the Endpoint files.

Default Credential

The Credential that should be used for accessing root folder (is needed on network drives).

Session timeout

Timeout for the session in milliseconds. If this property value is 0, the operation will expire after system-default timeout (which is 2 hrs 8 min for TCP stack).

Allow password authentication

If the user should be allowed to authenticate with his/her password.

Allow public-key authentication

If the user should be allowed to authenticate with his/her private key.

Allow keyboard-interactive authentication

If the user should be allowed to authenticate with keyboard-interactive authentication.

The user must authenticate using ANY of the above methods

Any of the allowed must be used for authentication.

The user must authenticate using ALL of the above methods

All allowed must be used for authentication.

FTP Endpoint->Main settings

Name

Optional name for the Endpoint for easier identification.

IP

The IP the Endpoint should listen too. 0.0.0.0 are all IPs on the network card.

Port

The port to use for the Endpoint. Default 21 for FTP server.

Root folder

Base folder for the Endpoint files.

Default Credential

The Credential that should be used for accessing root folder (is needed on network drives).

Passive mode IP

The IP used for passive mode.

Use UTF8

When checked UTF8 will be used for communication if available.

Session timeout

Timeout for the session in milliseconds. If this property value is 0, the operation will expire after system-default timeout (which is 2 hrs 8 min for TCP stack).

Outgoing speed limit

Speed in bytes per second for outgoing traffic. Default 0 is unlimited speed.

Incoming speed limit

Speed in bytes per second for incoming traffic. Default 0 is unlimited speed.

FTP Endpoint->Additional settings

X509 certificates

If you select TLS or SSL for security of the FTP endpoint you can optionally

Use passive mode

FTP is a TCP based service exclusively. There is no UDP component to FTP. FTP is an unusual service in that it utilizes two ports, a 'data' port and a 'command' port (also known as the control port). Traditionally these are port 21 for the command port and port 20 for the data port. The confusion begins however, when we find that depending on the mode, the data port is not always on port 20. In order to resolve the issue of the server initiating the connection to the client a different method for FTP connections was developed. This was known as passive mode, or PASV, after the command used by the client to tell the server it is in passive mode.

Passive mode host

Enter IP or DNS name for resolving IP for passive mode or check Use default host for using the current IP of the server.

Use default host

Use the current IP of the server.

Use custom port range

Enter any port range for incoming Passive connections. If not checked - random ports will be used.

Main > Settings > MFT Server > Users sub tab

Users list

This is the list of MFT users. A MFT user can be linked to an existing VC user or be specific for MFT server only.

Upon pressing the Add Users icon, the User settings dialog is opened.

Main > Settings > MFT Server > Users > Main settings sub tab

Link to VC User

It is possible to link a VC user to a MFT user or use a specific user account just for MFT. When link is selected it will be using the username and password for the specific VC user.

Login

Unless linked to VC user you enter the username here.

Password

Unless linked to VC user you enter the password here.

Show password

Shows the entered password.

Name

Unless linked to VC user you enter the name here.

Email

Unless linked to VC user you enter the email here.

Main > Settings > MFT Server > Users > Options sub tab

Base folder

Startup folder for the user.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Outgoing speed limit

These are the maximum number of bytes per second for outgoing transfer. 0 is unlimited.

Incoming speed limit

These are the maximum number of bytes per second for incoming transfer. 0 is unlimited.

Private key

The private key used for the connection

Private key password

The private key password used for the connection.

Test key

Text ...

Main > Settings > MFT Server > Users > Permissions sub tab

! Sub tab outgreyed, image missing


Servers - Sync Server objects

Navigation: Client User Interface > Main menu > Server > Servers >

Servers - Sync Server objects

Server Sync provides the ability to sync Jobs and global objects between two or ore more VisualCron Servers. It is idea for Master/Slave or Productio/Test relationships between Servers.

One Server can subscribe to the following events for all objects on another Server:

·Added (New)

·Updated

·Deleted

You can Sync objects manually or setup a Server to sync automatically.

This feature was introduced in version 9.2.0 of VisualCron.

Main window

The main window contains a list of all automated (real time) sync settings. Normally, one row represents a remote Server you want to sync from but it is possible to setup multiple sync settings against one Server.

Add

Opens the window for adding new Sync setting against a Server.

Edit

Opens the window to edit an existing Sync setting.

Delete

Deletes the selected Sync setting.

Clone

Opens the window to edit an existing Sync setting as a new Sync setting based on an existing Sync setting.

Change state

Turns on/off automatic Sync against a Server.

Sync now

Run a manual sync.

Sync settings

Active

This turns on/off all syncing from remote Server.

Connection

This is the remote VisualCron Connection being used.

Objects types to sync

Each object type, Jobs, Settings or other Global objects can be, in detail be synced. This is controlled in respective tab.

Sync all <objecttype> settings

This syncs all objects of that type. You can control the types of events to subscribe to, i.e. if you want to sync new, updated or deleted objects of that type.

Sync the following <objecttype> settings

This syncs selected components of that type. You can control in detail if you want to sync all events (new, updated or deleted) or just some events - down to individual object level. You select this in the grid of objects. Pressing Use selects all for that individual object.


Jobs - Jobs

Navigation: Client User Interface > Main menu > Server >

Jobs - Jobs

A defined Job is managed either from the main toolbar or by mouse right-click on a specific Job in the Server/Job/Task grid. To manage a Job you open the Add Job, Edit Job or Clone Job dialogs.

For each Job type, some Main settings must be defined. In order to run something automatically, one or more Triggers and one or more Tasks must be defined for each Job. Finally Time exceptions, Conditions, Timeout and Notifications may be defined for each Job.

The only mandatory setting in the Add Job/Edit Job/Clone Job windows is the Name information. When also the Task settings has been defined, the Job can be tested by the Test Job button (in the bottom of the Add Job/Edit Job/Clone Job windows).

Note: When you Clone Job, please make sure that all underlying variables in Tasks or triggers are updated correctly.

The Job settings are stored by VisualCron in the jobs.xml file, by default stored in the "C:\Program Files (x86)\VisualCron\settings\" folder.


Job - Main Settings

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Main Settings

In the the Add Job, Edit Job or Clone Job dialogs, the Main settings for a Job is available.

Add Job

Name

Mandatory parameter, unique name for the Job.

Description

Add information to see the difference between Jobs.

Run once (can be activated later)

Run missed Jobs once at start

This function can be used for a specific Job to let a Job automatically run if it should have been run during a time when the VisualCron service was down/stopped for any reason (typically due to server computer off). For example, a Job is supposed to run once a day at 08:00. Let's say that the server goes down at 07:00 because a power failure. The problem is corrected and the server goes up at 09:00. If the Run missed Jobs once at start box is checked, VisualCron will at startup check if the Job was supposed to run between the last time VisualCron was up and the current time. If so, that Job will be run once.

Note 1: Currently, run missed Jobs doesn't take time exceptions into account. A missed Job will run even if there was a time exception during that time.

Note 2: The "run missed events" behavior is not active when the server has been stopped by the user (i.e. server status "Off").

Remove Job after running

If you check this box the Job will be removed right after running.

Use run random value

To be selected if you want to run Jobs at irregular time intervals. Check the box and enter a probability value. For example value 2 means that the Job will run approximately 1 out of 2 times. So if you want your Job to run approximately three times an hour, you should specify value 20 and in the Time settings select to run it every minute. 1 out of 20 times, the Job will run every minute (60/20 = 3 times in one hour). Note that this is a probability value. In this case, the Job may run 2 times one hour and 4 times another hour.

Do not start if Job if is already running

When a Job is running it is "flagged" as running. If you don't want to execute your Job while it's running the check this box. This can be useful when using the new events which can trigger your Job very often if you set the watch parameters "loosely". If the Job is triggered when this box is checked, a log entry will inform that the Job wasn't run due to this setting.

Put Job in queue

When checked: if a Job is already running the actual execution Job is postponed until the current Job has completed. This option should be enabled for any Jobs that is using Event Triggers which allows unique processing of an object, i.e. a newly created file when using File Trigger.

Run Tasks in order

One Job can contain many Tasks. If you for some reason want to run your Tasks in a special order, check this checkbox. The specific Task order is set up under the Tasks tab. If you don't want to run the Tasks in order, VisualCron will try to run them at the same time. This can shorten the actual run time for the Job since some Tasks are dependant on external factors like a remote server.

Activate (when added)

By default a new Job is activated (will be run if the time is right) when it's added.

Job variables

See Job variables for more information.

Permissions..

From VisualCron version 6.1.2, permissions for a specific Job can be set. It is controlled by overriding the current existing groups. When a specific permission is overridden in a positive way (granting access) it becomes green in the grid and it becomes red if overridden in a negative way (denying access).


Job Variables

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Main Settings >

Job Variables

Job Variables are values/parameters that is connected to a specific Job. When comparing Job Variables with User Variables there are a couple of differences:

·Job Variables are stored in the Job and not global like User Variables - still it is possible to refer to a Job Variable from another place in VisualCron

·It is possible to override existing Job Variables with the Job/Task Control Task

·The Job Variables are edited from the main settings of the Job while the User Variables are edited in the Variables browser

·In the Variables browser you can see the Job Variables beneath each Job node while the User Variables are located under the User Variables node

Editing Job Variables

You find the Job Variables for a specific Job in the Job > Main settings tab by clicking on the Job Variables.. button in the lower right corner.

Add Job > Main settings

Job Variables

In the Job Variables window all Variables that are connected to the current Job are listed. You can Add new, Edit or Delete by clicking the buttons or by double click on row.

Add/Edit Job Variable

The add/edit Job Variable window lets you Add a new or Edit an existing Job Variable.


Job - Triggers

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Triggers

A Trigger is a part of a Job, the object that starts a Job. One Job can have one or more Triggers. A Trigger can either be based on Time (for example Every minute) or a system event (a file has been created). By default, Triggers are executed in an "OR-matter". This means Triggers do not wait for each other to start the Job. You can create dependencies between one or more Triggers.

By invoking the Add Job, Clone Job or Edit Job functions, the Triggers tab can be opened.

Job > Triggers tab

Add

By pressing the Add button, the different Time Trigger and Event Trigger options are listed.

Edit

Opens a Trigger for edit. Select a row first.

Delete

Deletes a Trigger. Select a row first.

Dependencies

By default, Triggers are executed in an "OR-matter". This means Triggers do not wait for each other to start the Job. You can create dependencies between one or more Triggers by clicking on Dependencies..

Job > Tiggers > Dependency

Trigger selection

In the check list box you can select all Triggers that should be in a dependency.

Wait type

For a Job to start all Triggers must fire (if a dependency exist) at least once. The wait time defines how long time before the state of firing should exist.

Wait infinite time for other Triggers

VisualCron will never reset state. For example, Trigger 1 might fire 1000 times and the Job will still not start because Trigger 2 has not yet fired.

Wait specified time for other Triggers

After a specified time the state will be reset on all Triggers in the dependency. If you want to use this option then select a time until the state should be reset.

Use sliding wait

When using specified time you can use sliding wait. This means that the state wait time will be reset for each Trigger that fires.

The grid in the Job > Triggers tab

The Trigger grid listing contains all Triggers that belong to the current Job. Each trigger is listed as a row in the Description table under the Add, Edit and Delete buttons. Mouse double-click on any part of the trigger row opens the same window as the Edit button.

The grid has 6 columns:

Active

By default Active. This checkbox indicates/controls if a Trigger should be active or not (if active it is waiting for the time/events).

Trigger type

This icon shows if it is a Time or Event Trigger.

Trigger inner type

This icon shows what kind of Time or Event Trigger. For example if the Event Trigger is of inner type File Trigger.

Dependency image

By default, Triggers are executed in an "OR-matter". This means Triggers do not wait for each other to start the Job. You can create dependencies between one or more Triggers. When a Trigger is not in a dependency this column is blank - otherwise, it will have a unique tag icon for each dependency collection.

Fired times of Trigger in dependency

How many times a Trigger has fired. This is only updated for Triggers within a dependency. A Job with dependencies do only fire when all Triggers have been fired once. After that - the fired times is reset.

Description

Name/description of the Trigger.

Reset Trigger dependency state when saving Job

This resets the state to zero on all Trigger that has a dependency.

Next run

The Date/time for the next run is shown in the bottom of the Job window.


Time Triggers

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers >

Time Triggers

For Time trigger select one of Interval or Custom types.

Job > Triggers > Add > Time trigger > Interval/Custom

Settings tab

Enter a description which will distinguish several triggers from each other in a trigger list. You can also choose between the Interval time trigger and Custom time trigger type triggers. One trigger type is always selected and the other option will be grayed out.

Interval tab

This time trigger is a simplified Custom time trigger. Different Interval options are available.

Custom tab

The Custom time trigger also allows setting of time details when a Job should be triggered.

Expire tab

The expiration date/time for the time trigger may be set. Also the handling (Deactivate/Delete trigger) of the expired trigger is selected.


Time Trigger - Interval

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Time Triggers >

Time Trigger - Interval

Set time trigger > Interval tab

Interval

The Time unit (day, hour, minute, second or specific days of week/month) how often the Job should be triggered

Every

The occurrence ( 1:st, 2:nd, etc.) is set.

Whatever interval time unit that is selected, also the Start time (date and time for first run occurrence) may be selected.


Time Trigger - Custom

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Time Triggers >

Time Trigger - Custom

Time trigger -> Custom tab

The Year, Month, Day, Hour, Minute and Second time parameters may be defined.

For each time unit, Every, Choose or Between can be selected. The Between ... option specifies a range of values for the specific time unit. For example, Between weekdays "Friday" and "Tuesday" means that the Job will run on "Friday", "Saturday", "Sunday", "Monday" and "Tuesday".

Examples

·Choosing for example day "31" results in that the Job will only execute on months with 31 days

·By default, Second = "0" is checked. In order to be able to set a correct time on a Job, a Job must have a least one second specified. Second "0" is the first second in a minute.

Next run

Next run is calculated every second. Next run is based on the values you enter in time settings using the time on the server. Note that next run is an indicative value, that is if you are about to add or edit a Job and you set that Job to run every minute it won't run every minute until you have finished the add/edit window and the Job has appeared in the Job list.

Note: Calculation of next run does not take any time exceptions into account.


Time Trigger - Expiration

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Time Triggers >

Time Trigger - Expiration

Time Trigger > Expire tab

Set date and time when the time/event trigger should be removed.

There are two kinds of expiration modes:

·Expire - the trigger will still remain in the Job but is inactive and cannot be triggered until it is set to active again

·Delete trigger - the trigger will be deleted from the Job and will never be seen again


Event Triggers

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers >

Event Triggers

The event trigger is a complex and sensitive but also powerful way to monitor the system. Events in the system can trig your Job to run if that is the intention. An example is if your web server service dies and you want to know and act upon that.

Most events are based on the WMI (Windows Management Instrumentation) interface. WMI is a management technology allowing scripts to monitor and control managed resources throughout the network. Resources include hard drives, file systems, operating system settings, processes, services, shares, registry settings, networking components, event logs, users, and groups. WMI is built into clients with Windows 2000 or above, and can be installed on any other 32-bit Windows client.

Using a WMI based trigger, requires some common settings to control the behavior. These common settings are located in the Main Settings tab of the Event Trigger window.

Security: Some Triggers require higher privileges than the default privileges of the LocalSystem account. You need to either change the user that runs the VisualCron service to an administrator or add LocalSystem user to the administrators group (requires a restart of the server). This is especially true when trying to monitor a remote event, like monitoring an event log on another server.

Warning: Some event based triggers, like the File event type, can in some cases, trigger several times a second. This will run your Job several times a second.

In the Triggers tab, clicking on Add > Event trigger, a selection window for the different event trigger types is opened.

Triggers > Add > Event Trigger > Main settings tab

It is possible to change the event trigger type in the top combo box, which results in that the current trigger type tab is exchanged.

Description

Enter a description which will distinguish several triggers from each other in a trigger list.

Auto description

This will general a description automatically based on Trigger type and settings.

Auto refresh description

This forces update of the description even though it is not empty.

Active

Determines if the current event is active from start. If not, it can be reactivated later. Default is active.

Run delay

You can set a delay which means that the trigger will fire x number of times before executing. Default is 1 which means that the it will fire when the first time it has been triggered.

Polling interval

This value is only used by certain WMI events, otherwise grayed out. The polling interval defines how often VisualCron should check for changes in the system. Default is every 60 second. Setting it to a lower value than 10 will increase the load on the server. What's good is that you won't miss any events even though you are not checking it every second. Changes are stored and if something has happened you will be notified at your polling interval. What is important to know is that if you are watching for state "stopped" at a service and the service has started then stopped, any change has not occurred since the service was stopped in the first place. The service has to be started before monitoring a "stopped" change. Also, if the the service has started before monitoring and it turns from started to stopped within the polling interval no change is observed and you won't be notified.

Remote event

This value is only used by certain WMI events, otherwise grayed out. Can remotely monitor another computer in the network, specify the name or IP address of the remote computer. The computer has to be in the local network. Default is "." which means that VisualCron is monitoring the the local computer. A network credential must be specified when connecting to a remote computer. Also you must check so that the remote computer let's this computer or user access the WMI on the remote computer.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Ignore Server Off (always run)

If checked, the Trigger will always run even though the Server status is Off.

Triggers > Add > Event Trigger > Timeout tab

If trigger has not fired in x time

Specify number of hours, minutes and seconds for the timeout.

Timeout action

When VisualCron detects the timeout it will fire the event.

Triggers > Add > Event Trigger > Expires tab

Expiration enabled

Check this option to enable an expiration type. You are able to set if a Trigger should be deleted or deactivated at a certain time or after a certain number of triggered times. Select either date or x time(s) the trigger has to fire before action.

Expire action

Select desired activity when a Trigger has expired. Choose between "Inactivate trigger" and "Delete trigger".


Event Trigger - VisualCron

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - VisualCron

The VisualCron event trigger watches internal processes of VisualCron. This Trigger subscribes on internal events, like when a Job has started or has been completed. Events that are happening in VisualCron are immediately caught by this event type. It is possible to monitor a local or remote Server instance.

Triggers > Add > Event Trigger > VisualCron tab

Local/Remote server

You can choose to monitor the current local Server or a remote VisualCron Server. If you want to monitor a remote Server you need to select Remote server and define a VisualCron Connection.

Job name

If you select an internal Trigger of type Job you need to specify a Job name.

VisualCron events

Jobs

Job completed

If the Job completes either successfully or fail.

Job completed - successfully

If the Job completes with success.

Job completed - failed

If the Job completes with failure.

Job missed

If the Job missed a Trigger according to schedule because Server was down or similar.

Triggers

Trigger inactivated

Any user or other activity that deactivates the Trigger

Trigger inactivated by error

If a Trigger fails monitoring something, i.e. if Connection fails for too many times.

Trigger expired (deleted or inactivated)

If the Expiration enabled is set and the Expire action is any reason.

Trigger expired (inactivated)

If the Expiration enabled is set and the Expire action is Inactivate Trigger.

Trigger expired (deleted)

If the Expiration enabled is set and the Expire action is Delete Trigger.

Trigger deleted

If the Trigger is deleted.


Event Trigger - MFT Server

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - MFT Server

The MFT Server event trigger monitors the internal MFT server for events. General creation and configuration of MFT server is made in MFT server settings.

Triggers > Add > Event Trigger > MFT Server > MFT event type sub tab

MFT Server name

Select all or a specific MFT endpoint.

Event type

Select all or specific MFT event type.

User

Select all or a specific User.


Event Trigger - File

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - File

The File event trigger monitors changes in a file system. The Trigger reacts on files that has been changed, removed or created based on special attributes. The Trigger is instant when file has been created. It is possible to retrieve the folder, full path or just the name of the created file so you can use it in your Tasks for example.

To monitor a change you have to specify a path. The file event is not based on WMI but can monitor a remote computer if you specify the appropriate credentials (username, password and computer name for the remote computer).

Triggers > Add > Event Trigger > File tab

Folder path

This is the directory you want to monitor.

File mask

The filter can be a complete file name or your can use *.* to monitor all files (default) or e.g. *.txt to monitors all text files. If you want to check for multiple file masks you can separate them with semicolon (;). For example: *.txt;*.xml

Exclude folder mask

Use this field, with our without wild cards, to exclude triggering files from (sub)folder matching the mask. The comparison will be done against the sub folder name. If you do want to check against the whole part of the path then check Compare with full path.

Compare with full path

See above.

Exclude file mask

This field is used the same as File mask but is used to exclude one or more file masks. If you want to check for multiple file masks you can separate them with semicolon (;). For example: *.txt;*.xml. To exclude special characters like # you need to wrap them like this:

[#]. For example: [#]*.txt

File/Folder watch type

There are a set of watch types which monitors changes that might occur to a file or directory:

·"Created" - the creation of a file or folder

·"Changed" - change of a file or folder. The types of changes include: changes to size, attributes, security settings, last write, and last access time

·"Deleted" - the deletion of a file or folder

·"Renamed" - the renaming of a file or folder

·

Include subfolders

This setting enables monitoring of all sub folders of the Path.

Use polling (Samba compatible)

Only use this option if you are monitoring a Samba file share. Samba does not support the normal file events so we are using our own polling technique instead.

Trigger when file has been released

If you are planning on using the file that was triggered directly you could use this option to ensure that the file has been fully changed/written before it is being triggered (and used by you or a later stage in VisualCron).

Trailing Trigger

When checked VisualCron will watch for changes within a file and through Variables deliver the change (of text) between write to the file. Use this Variable to track changes: {TRIGGER(Active|LastTrigger|File.Result.NewText)}

Notify filters

Specifies changes to watch for in a file or folder. These are used in conjunction with the watch types. Certain combinations can give different results. The following notify filters can be activated:

·"File name" - the name of the file

·"Directory name" - the name of the directory

·"Attributes" - the attributes of the file or folder

·"Size" - the size of the file or folder

·"Last write" - the date the file or folder last was updated

·"Last access" - the date the file or folder was last opened

·"Creation time" - the creation time for a file or folder

·"Security" - the security settings of the file or folder

You can combine the notify filters to watch for more than one kind of change. For example, you can watch for changes in the size of a file or folder, and for changes in security settings. This raises an event anytime there is a change in size or security settings of a file or folder.

On error reconnect attempts

Let say the remote folder you watch gets disconnected for some reason, perhaps the network or computer is down. The reconnect attempts value controls how many times VisualCron tries to reconnect. Default value is 3 times.

On error reconnect interval (seconds)

Let say the remote folder you watch gets disconnected for some reason, perhaps the network or computer is down. The reconnect interval which you can specify is the number of seconds it will wait between each reconnect attempt, in seconds. Value 1 to 500 is available. Default is 5 seconds which may be a long time when the network is down and a short time if the remote computer is down. VisualCron attempts to reconnect 3 times by default.

Duplicate file delay (milliseconds)

Some systems create duplicate Created/Changed events. The duplicate file delay is a time period where no new events are accepted from the same file name.

File watcher buffer

You can set the buffer to 4 KB or larger, but it must not exceed 64 KB. Increasing the size of the buffer can prevent missing file system change events. However, increasing buffer size is expensive, so keep the buffer as small as possible.

Trigger on existing files

Once the File Trigger has been setup you can click on the Trigger to manually fire on existing files in folder.

Task right-click > Triggers

Using File Trigger Variables in upcoming Tasks/Notifications

Whenever a file is created unique Variables will be created in VisualCron so you know exactly which file was created. It is common that users use wild cards or hard coded fields when later working with the created files - this will later end up in timing issues and working with the wrong file. Instead, whenever there is a Task or Notification with Source folder and Include file mask you should use these Variables:

Source folder: {TRIGGER(Active|LastTrigger|File.Result.TriggerFolder)} - this is the folder the file was created in

Include file mask: {TRIGGER(Active|LastTrigger|File.Result.Name)} - this is the name of the file that was created


Event Trigger - Remote file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Remote file

The Remote File event trigger is able to monitor file events on remote computers using the protocols FTP, SFTP and SCP.

Triggers > Add > Event Trigger > Remote file > Main settings tab

Connection

This Trigger uses the centrally stored Connections. Available protocol types are listed here. Click on Manage Connections to add a new one.

Watch for changes

You are able to watch for new, modified and deleted files. Select what you want the Trigger to fire for.

Wait for file being released

The Trigger will monitor a new file for modify date. If modify date has not changed since last check the Trigger will fire 'Created' event.

Reset status when updating Trigger (use current files as base)

This reloads the internal list of files. You should check this if you for some reason change the Connection.

On error reconnect attempts

Let say the remote server you watch gets disconnected for some reason, perhaps the network or computer is down. The reconnect attempts value controls how many times VisualCron tries to reconnect. Default value is 3 times.

On error reconnect interval (seconds)

Let say the remote server you watch gets disconnected for some reason, perhaps the network or computer is down. The reconnect interval which you can specify is the number of seconds it will wait between each reconnect attempt, in seconds. Value 1 to 500 is available. Default is 5 seconds which may be a long time when the network is down and a short time if the remote computer is down. VisualCron attempts to reconnect 3 times by default.

Triggers > Add > Event Trigger > Remote file > Location tab

This Task is using the standard VisualCron Folder filter to find one or more folders.

Triggers > Add > Event Trigger > Remote file > Date tab

This Task is using the standard VisualCron Folder filter to filter for created/modified date.

Triggers > Add > Event Trigger > Remote file > Size tab

This Task is using the standard VisualCron Folder filter to filter out files based on size.

Triggers > Add > Event Trigger > Remote file > Test tab

This Task is using the standard VisualCron Folder filter to test your current file filter - if it matches any existing files.

Triggers > Add > Event Trigger > Remote file > Download tab

Download file before triggering

Optionally, you can set the Remote file Trigger to download the file that was just Triggered.

Credential

Select a Credential if you are going to save to a network drive. Click the Settings icon to populate the drop-down list with available credentials.

Destination folder

The local folder where the file should be saved.

Overwrite options

If the file exists you can choose different overwrite options.

Resume transfer if failed

If an error occurs while downloading the file you can choose to retry X times and wait Y seconds between each retry.

Keep modified/created date

This option will set the same modified and creation date as the on the ftp.

Keep modified/created date

Sets the modified/created date on locally downloaded files to the same dates as the remote files.

Create relative folder structure

Creates relative folders if checked. If not checked all files (in sub folders) will be saved to destination folder.

Replace unsupported characters with character

If checked, VisualCron will replace any character that is not supported in Windows file system with the specified character.

Delete source file after download

Optionally delete the remote file after download.

Triggers > Add > Event Trigger > Remote file > Variables

Last run

When the Trigger was last run.

Name

The name of the file that was created/modified/deleted.

Folder

The folder of the file that was created/modified/deleted.

Path

The full path to the file that was created/modified/deleted.

Size

The size of the file that was created/modified/deleted.

Last modified

The last modified date of the file that was created/modified/deleted.


Event Trigger - Cloud file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Cloud file

The Cloud file event trigger is able to monitor file events in various online cloud services:

· Amazon S3

· Box

· DropBox

· Google Drive

· Microsoft Azure

· OneDrive

Different Connections are used depending on the wanted cloud service provider.

Triggers > Add > Event Trigger > Cloud file > Cloud file > Main settings tab

Watch for changes

You are able to watch for new, modified and deleted files. Select what you want the Trigger to fire for.

Reset status when updating Trigger (use current files as base)

This reloads the internal list of files. You should check this if you for some reason change the Connection.

On error reconnect attempts

Let say the remote server you watch gets disconnected for some reason, perhaps the network or computer is down. The reconnect attempts value controls how many times VisualCron tries to reconnect. Default value is 3 times.

On error reconnect interval (seconds)

Let say the remote server you watch gets disconnected for some reason, perhaps the network or computer is down. The reconnect interval which you can specify is the number of seconds it will wait between each reconnect attempt, in seconds. Value 1 to 500 is available. Default is 5 seconds which may be a long time when the network is down and a short time if the remote computer is down. VisualCron attempts to reconnect 3 times by default.

Triggers > Add > Event Trigger > Cloud file > Cloud file > Remote file filter tab

This Trigger uses the Cloud Remote file filter for filtering out files to check for.

Triggers > Add > Event Trigger > Cloud file > Cloud file > Download tab

Download file before triggering

Optionally, you can set the Remote file Trigger to download the file that was just Triggered.

Credential

Select a Credential if you are going to save to a network drive. Click the Settings icon to populate the drop-down list with available credentials.

Destination folder

The local folder where the file should be saved. Click the Folder icon in order to browse the folder tree.

Overwrite options

If the file exists you can choose different overwrite options.

Keep modified/created date

Sets the modified/created date on locally downloaded files to the same dates as the remote files.

Delete source file after download

Optionally delete the remote file after download.


Event Trigger - SQL

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - SQL

The SQL event trigger is able to monitor and Trigger upon a result value from a text or stored procedure query. The SQL Trigger supports all kind of database Connections.

Triggers > Add > Event Trigger > SQL > Connection sub tab

Database Connection

Select an existing database Connection, if not existing you need to create one first. Click the Settings icon to open the Manage Connections dialog. Once a connection is added you can select it in the combo box.

Credential for integrated security

If your Credential requires integrated security you should select a Windows user that has access to database. Click the Settings icon to populate the drop-down list with available Credentials.

Command timeout

How long time before the query times out.

Triggers > Add > Event Trigger > SQL > Trigger > Text sub tab

Enter the query in the text field. If you have a stored procedure - select the stored procedure tab.

Triggers > Add > Event Trigger > SQL > Trigger > Stored procedure sub tab

Enter the name of the stored procedure to execute. The grid shows all parameters. When clicking on the Add button, a parameter window will open. Enter parameter values for Name, Value, Data type and Parameter direction.

Validate value

If this value is checked VisualCron will validate the value against the value type. Unselect this if you are using a Variable as value and this Variable is not yet set.

Test your SQL Task before closing the VisualCron client. Errors will be reported in the log window.

Triggers > Add > Event Trigger > SQL > Trigger > Condition sub tab

Condition

Select the comparison method.

Data type

Select the result data type and the value to compare with.

Value to compare with

Enter a value/Variable to compare the result with. Click the Variables icon to open the the Variables list.

If value is the same as last time

You can control what happens if the same value comes two times in a row. By default the Trigger fire each time the Condition is met.


Event Trigger - Mail

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Mail

The Email event trigger is able to monitor a mailbox through the POP3 or the IMAP4 protocol. The actual connection properties are defined in the Connections window. Based on subject, sender and content different actions can be performed with the email.

Triggers > Add > Event Trigger > Email > Main settings tab

Description

Description or name of your Trigger.

Active

If the Trigger is active (watching) or not.

Polling interval

How often the mailbox is to be checked.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Ignore Server Off (always run)

The Trigger will run even though Server is set to off.

Triggers > Add > Event Trigger > Email > Email > Main settings tab

Connection

Select an existing POP3/IMAP4 connection, if not existing you need to create one first. Click the Settings icon to open the Manage Connections dialog. Once a connection is added you can select it in the combo box.

Mail folder

When VisualCron connects it uses the default folder retrieved from the mail server. If you want to change the folder you monitor you select "Use specified folder" and write the folder name in the text box.

Reset checked emails when modified

VisualCron keeps tracks on which emails that have been checked or not. When an email has been checked it is added to an internal list. In the next polling interval VisualCron will check if that email has been parsed or not. To keep this list and efficiency to a minimum it is recommended that you either delete or move the email once the email has been parsed. This is controlled in the Actions tab. If you, for some reason, wants VisualCron to reset that list you check this box and VisualCron will consider all emails found in the mail folder as new.

Triggers > Add > Event Trigger > Email > Email > S/MIME tab

VisualCron is able to decrypt S/MIME emails and verify signatures.

Decryption

If the email is encrypted you need a Certificate to decrypt it. A certificate is often retrieved from the sender of the Certificate and is in the X509 certificate standard. Once you have created or imported a certificate you need to check it in the list. If an email is encrypted VisualCron will try to use that certificate for decryption.

Manage Certificates

You can create/import your certificates defined in the Manage Certificates window.

Triggers > Add > Event Trigger > Email > Email > Conditions tab

The Email Trigger has some Conditions. The Conditions are there to evaluate certain values from the parsed email. Each evaluation returns a result. The following results exist: All match, Any match and No match. If all match the evaluation then it will return All match. If at least one is matching it will return Any match. If none are matching it will return No match. The actual evaluation of the Condition is different depending on what part of the email is evaluated. For example, when evaluating a subject you can choose among the following checks:

·"Equal" - the subject must match the string in the text box exactly

·"Not equal" - the subject must not match the string in the text box

·"Contains" - if any of the letters in the text box matches the subject it is returning a match

·"Don't contain" - if not any of the letters in the text box matches the subject it is returning a match

·"Don't check" - this Condition is not checked at all which is returning a match

From address

This Condition checks the actual address part of the message (not name of sender).

Subject

This Condition checks the subject of the email

Body

This Condition checks the body of the email

Received date

This Condition compares the date and time the message was received against a Variable. Please not that you can only use date Variables and that it does not matter what kind of formatting of the Variable you use.

Triggers > Add > Event Trigger > Email > Email > Actions tab

Actions are controlling what happens when the Conditions has been evaluated - depending on collective result.

Trigger

This action controls if the Job should be triggered or not depending on result.

Message on Server

This controls what happens with the message on the mail server. It is recommended that you delete or move the mail or VisualCron will check that email again in the next polling interval. If you leave the message on the server you can choose to mark it as read (this option is only available in IMAP4 because it does not exist in POP3 protocol). Note that VisualCron does not care if it is read or not - VisualCron has it's internal list to check if email has been checked or not.

Copy message to folder (not POP3)

This option copies a mail to another folder. It does not delete it unless you set Delete message on Server in previous setting. This option is only available when using IMAP4 as protocol mode.

Save email

Both the actual mail and/or attachment can be saved to a file. You can choose to save the email at a custom location or at the default location. By default the content is saved in "C:\Program Files\VisualCron\data\triggers\mail\{MailId}\{MailId}.eml". Attachments of an email are by default stored in the attachments folder; "C:\Program Files\VisualCron\data\triggers\mail\{MailId}\attachments".


Event Trigger - Process

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Process

The Process event trigger monitors process changes like when a process has started or stopped. With this Trigger VisualCron subscribe to start and stop notifications from the system.

Triggers > Add > Event Trigger > Process tab

Process name

Enter a process name which is listed in the Task Manager, e.g. "WINWORD.EXE". A list of processes from the server can be retrieved by clicking on the Select process button. In the list window, double-click on the desired process for selection. Note that the process name is case sensitive.

Process Event type

"Process start" it means that you are monitoring for new, created, processes. "Process end" means watching for termination of a running process.


Event Trigger - Service

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Service

The Service event trigger monitors changes is the status of a specific Windows service, stopped or started. The trigger reacts instantly on all changes.

A service is a process that runs in the background. List and details about installed services can be retrieved by going to Windows Control Panel -> Administrative Tools and open "Services".

Often, services start when the computer starts. Normally, a service stops when an error has occurred in the process. The Service Event Monitor is based on WMI. This means that you set the polling interval or use the 60 seconds as default.

Triggers > Add > Event Trigger > Service tab

Service name

To add a service event you must specify a service name and at least one state. Click the Refresh icon to populate the drop-down box with service names.

Service status

Tick the check boxes for the states you want to watch. When a service with a specific name changes or has changed to the selected state, the event is triggered. The following service states exist:

·"Stopped" - The service is not running

·"StartPending" - The service is starting

·"StopPending" - The service is stopping

·"Running" - The service is running

·"ContinuePending" - The service continue is pending

·"PausePending" - The service pause is pending

·"Paused" - The service is paused

Note: All services may not have all states implemented. Mostly, a service is either started or stopped. Started ("Running") and "Stopped" are always implemented for all services.


Event Trigger - Registry

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Registry

The Registry event trigger monitors a change in a registry tree, registry key or registry value. Registry changes can be monitored remotely, reacts directly and changes are not dependent on the polling interval. The event will be fired directly when a change occur.

Many programs and Windows itself stores information and change information during a Windows session. This event trigger is based on WMI.

You can examine the registry settings by starting "regedit.exe" from a Windows command window.

Triggers > Add > Event Trigger > Registry tab

Registry event type

The registry can be monitored for changes in the following ways:

·"RegistryKeyChange" - represents changes to a specific key. The changes apply only to the key, not its sub keys

·"RegistryTreeChange" - represents changes to a key and its sub keys

·"RegistryValueChange" - represents changes to a single value of a specific key

Hive

Name of the hive that contains the key (or keys) that is changed.

Registry key path

Path to the registry key. Use backspaces to separate trees. Do not start with a backspace. Registry Key

path example: "SOFTWARE\Microsoft\DirectX"

Registry value name

Name of the value in the registry key.

Example: "InstalledVersion" located in RegistryKeyPath: SOFTWARE\Microsoft\DirectX.


Event Trigger - Event log

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Event log

The Event log trigger is watching the Windows event log for changes. Many applications and Windows itself logs directly to the event log. With this trigger you can monitor the common logs or specific logs for changes based on event ID, source, message etc.

Some applications create their own log files and it is possible for you to create one or view events by the Windows application "Event viewer" which is found in Windows Control Panel -> Administrative tools. This event trigger is based on WMI.

Triggers > Add > Event Trigger > Event log tab

You can choose what kind of conditions to use by first enabling the setting and then enter a value in the text window or select a value. When enabling a condition you can choose to use "AND" or "OR". Think of it's as a query.

Log file

Probably you know what log file to look for. Select a specific log file or you may be flooded with Event log events from other log files.

Category id

Each application (event source) can define its own numbered categories and the text strings to which they are mapped. The Event Viewer can use the category to filter events in the log. The categories must be numbered consecutively beginning with number 1.

Category

This is a description of the numeric value, which could be, for example: "Kernel" or "Disk". Each application (event source) can define its own numbered categories and the text strings to which they are mapped. The text strings associated with the category are stored in the computer's registry. The Event Viewer can use the category to filter events in the log.

Event id

Event code is a numeric value to further distinguish an entry.

Event type

There exist some predefined event types which can be selected from the combo box. The predefined event types are:

·"Error" - An error event, indicates a significant problem the user should be aware of; usually a loss of functionality or data

·"Warning" - A warning event, indicates a problem that must not be taken care of immediately, but may indicate conditions that could cause future problems

·"Information" - An information event, indicates a significant and successful operation

·"SuccessAudit" - A success audit event, indicates a security event that occurs when an audited access attempt is successful; for example, logging on successfully

·"FailureAudit" - A failure audit event, indicates a security event that occurs when an audited access attempt fails; for example, a failed attempt to open a file

Description contains

The formatted, localized text for the message. This includes associated replacement strings. Enter a text that exists in a part of the description/message.

Source

The event source indicates what initiated the event. It is often an application name or the name of a subcomponent of the application if the application is large. Applications and services usually write to (and therefore are sources for) the Application log or a custom log. Device drivers usually write to the System log.


Event Trigger - MSMQ

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - MSMQ

The MSMQ event trigger is able to monitor a private or public queue for new messages. When a new message arrives you can use VisualCron Variables to extract the information in the new message. To use this Trigger you need to setup a MSMQ Connection.

Triggers > Add > Event Trigger > MSMQ tab

Credential

Select a Credential if you are going to monitor a remote MSMQ queue. Click the Settings icon to populate the drop-down list with available credentials.

Local/Remote MSMQ

You can choose to monitor a local or a remote MSMQ Server. If you want to monitor a remote MSMQ Server you need to define a Host name.

Queue

Select the queue to be received. Click the Refresh icon to populate the drop-down list of queues.

Troubleshooting:

Error: Retrieving the COM class factory for component with CLSID {1D9F85C0-9666-11D2-8927-0008C70C0622} failed due to the following error: 80040154 Class not registered (Exception from HRESULT: 0x80040154 (REGDB_E_CLASSNOTREG)).

Make sure you have installed MSMQ Triggers in Programs and Features dialog:


Event Trigger - RSS

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - RSS

The RSS event trigger is able to watch a remote RSS feed for changes. Based on content on certain parts of the feed item you can Trigger the Job.

Triggers > Add > Event Trigger > RSS > Main settings tab

Feed address

Text ... Click the Fetch button to

Trigger for each item - no conditions

Check this option if you just want to know when a feed has been updated. This setting will fire the Trigger each time a new item has been added.

Reset checked RSS items

Text ...

Ignore parse and load errors

Text ...

Timeout in seconds

Text ...

Note: As for all event triggers we recommend that you set "Put Job in queue" in the man settings of the Job. This will force VisualCron to process one item at a time. For example, if you let your RSS Trigger check every 60 seconds and two new items has been added since last check - then VisualCron will Trigger twice. In order to be able to use Variables from the Trigger correctly "Put Job in queue" needs to be set otherwise a mixup of Variables is possible.

Triggers > Add > Event Trigger > RSS > Conditions tab

Triggers > Add > Event Trigger > RSS > Security tab

Supported security protocols

Text ...

Auth type

Text ...

Credential

Select a Credential suitable for the selected authentication type. Click the Settings icon to populate the drop-down list with available credentials.

RSS Event Trigger Variables

In the Variables window you can find related Variables from the Trigger.


Event Trigger - Performance counter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Performance counter

The Performance counter Trigger lets you set up a watcher for the internal counters in Windows that are called Performance counters. Counters are used to provide information as to how well the operating system or an application, service, or driver is performing.

The counter data can help determine system bottlenecks and fine-tune system and application performance. The operating system, network, and devices provide counter data that an application can consume to provide users with a graphical view of how well the system is performing.

It is possible to monitor a remote computer by entering computer name and Credentials in the main settings.

Triggers > Add > Event Trigger > Performance counter tab

With VisualCron you can select a category and a specific instance of a counter to monitor a value. For example, in the screen shot below you can select the Process category with the % Processor time counter. This lets you monitor the CPU usage of a specific process. In the built in Conditions you can then select that (in this example); if this process is using more than 10% CPU for more than 10 seconds - then Trigger.


Event Trigger - System start/shutdown

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - System start/shutdown

The System Start/Shutdown Trigger is able to Trigger a Job when the computer has been startup or just before shutdown of the computer.


Event Trigger - Session change

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Session change

Unknown event type.

Event type

Select the session event type(s) you want to monitor.

All/Specified user

Select either All users or a specified user which these events should concern.


Event Trigger - Custom

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Custom

The Custom event trigger is a wrapper for the most common WMI events. There are thousands of events which opens up a lot of options. Almost every installed hardware device in a computer publish events, for example when the CDROM drive is ejected. This event is somewhat depreciated and replaced by the more advanced Performance Counter trigger.

Events that are not considered, may be taken care of by creation of your own WQL (WMI Query Language) query. VisualCron do not take any responsibility for customer created WQLs, however there is a lot of documentation available on the Internet.

When trying to find the right query for an event it's good to have a tool, e.g. the Microsoft WMI Code Creator. This tool let's you browse, test and construct your queries. The tool can be downloaded from here.

Path

WMI supports namespaces, allowing users to logically group WMI classes together. Each WMI provider normally registers its own WMI namespace and then all its classes within that namespace. For example, all Win32 WMI classes can be found in the namespace "root\cimv2", all IIS WMI classes can be found at "root\microsoftiisv2", and all LDAP WMI classes can be found at "root\directory\ldap". The root namespace is called "Root" and namespaces can have child namespaces and WMI classes. The default path is \root\CIMV2.

Event class name

Some drivers require that you specify their class belonging. If necessary, this information can be retrieved from the WMI Code Create. Normally, the Event class name is the "table name" when constructing a query.

Query

This is the field where the query is entered. If you need to specify a polling interval you do that in the query using the operator WITHIN. Example query:

SELECT *

FROM __InstanceOperationEvent

WITHIN 10

WHERE

TargetInstance ISA 'Win32_Processor'

AND TargetInstance.LoadPercentage > 15

This query checks if the CPU load is over 15%. WITHIN 10 means that it will check that every 10th second. Our recommendation is that you do not use a lower WITHIN value than 10, because this may keep your CPU too busy.

A new query in WMI Code Creator have to be tested before entering in VisualCron. Entering an invalid query may affect the VisualCron stability.

A few WMI links:

Microsoft WMI Scripting Primer

WMI error codes


Event Trigger - Printer

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Printer

The Event Trigger - Printer Trigger lets you monitor a printer for events within the spooler.

Printer name

Printer name as specified in devices.

Job name pattern

Mask for the job name from the printer queue.

Checked job status

Status of the job to which the Trigger will work.

Job user pattern

Mask for the user who sent the document for printing.

Job machine pattern

Mask for the name of the computer from which the document was sent to print and on which the user is working from the previous element.


Event Trigger - Network change

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Network change

The Network change Trigger is able to monitor changes on a network connection.

Network adapters

Select the network adapter(s) you want to monitor.

Type of events

Select the type of event you want to monitor.

Disconnected

Whenever the network adapter goes offline.

Connected

Whenever the network adapter goes online.

Media disconnected

Whenever a network media is disconnected.

IP address changed

Whenever the IP address changes.


Event Trigger - Slack

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Slack

The Slack Event Triggers triggers on new messages in the Slack cloud. This Trigger is using the Slack Connection.

Connection

Select a Slack Connection.

Text pattern

Select a condition to match the Slack message text.

User name

Select a condition to match the Slack message sender.

Channel name

Select a condition to match the Slack channel.

Received date

Select a condition to match the Slack message received date.


Event Trigger - AMQP

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - AMQP

The Advanced Message Queuing Protocol (AMQP) is an open standard application layer protocol for message-oriented middleware. The defining features of AMQP are message orientation, queuing, routing (including point-to-point and publish-and-subscribe), reliability and security. AMQP defines a self-describing encoding scheme allowing interoperable representation of a wide range of commonly used types. It also allows typed data to be annotated with additional meaning,[17] for example a particular string value might be annotated so that it could be understood as a URL. Likewise a map value containing key-value pairs for 'name', 'address' etc., might be annotated as being a representation of a 'customer' type.

The AMQP Trigger is using the AMQP Connection.

Name

Name of the queue. Click refresh to get all once you have selected a Connection.

Durable

Indicates what state of the terminus will be retained durably: the state of durable messages, only existence and configuration of the terminus, or no state at all.

Timeout

Timeout duration that an expiring source will be retained. The source starts expiring as indicated by the expiry-policy.

Dynamic

Dynamic request dynamic creation of a remote node. When set to true by the receiving link endpoint, this field constitutes a request for the sending peer to dynamically create a node at the source. In this case the address field MUST NOT be set. When set to true by the sending link endpoint this field indicates creation of a dynamically created node. In this case the address field will contain the address of the created node. The generated address SHOULD include the link name and other available information on the initiator of the request (such as the remote container-id) in some recognizable form for ease of traceability.


Event Trigger - SQS

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - SQS

Amazon Simple Queue Service (SQS) is a fully managed message queuing service that enables you to decouple and scale microservices, distributed systems, and serverless applications. SQS eliminates the complexity and overhead associated with managing and operating message oriented middleware, and empowers developers to focus on differentiating work. Using SQS, you can send, store, and receive messages between software components at any volume, without losing messages or requiring other services to be available. Get started with SQS in minutes using the AWS console, Command Line Interface or SDK of your choice, and three simple commands.

The Amazon SQS Trigger in VisualCron is using the Amazon Connection.

Amazon SQS Trigger settings

Queue

Filter on one or more queue names. If not set it will watch all.

SenderId

Filter on SenderId. If not set it will watch for all.

Message text

Filter on message text. If not set it will watch for all.

Min created DateTime

Filter on min created time. If not set it will watch for all.

Max created DateTime

Filter on max created time. If not set it will watch for all.

Attribute name

Filter on attribute name. If not set it will watch for all.

On error reconnect attempts

How many times it will try to reconnect on error.

On error reconnect interval (seconds)

How often it will try to reconnect.


Event Trigger - Azure Queue Storage

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Triggers > Event Triggers >

Event Trigger - Azure Queue Storage


Job - Time Exceptions

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Time Exceptions

Time exceptions are "global", which means that once a time exception is defined it can be selected by one or more Jobs. The activated collections include time definitions when the Job will NOT run, i.e. blocking time(s) and interval(s) set in the other Time settings sub tabs.

A time exception is a complement to the Time trigger settings.


Job - Conditions

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Conditions

Condition sets are global and the included conditions for Jobs and Tasks are managed in the same way, see Global - Conditions for details.


Job - Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Tasks

A Task for a Job is managed either by mouse right-click on a Job (in the Server/Job/Task grid) and select Add Task to Job '<Job name>' or by right-click on an existing Task and select Edit Task '<Task name>'.

The above is an example of the Task > Main settings window.

For each Job, one or more Tasks must be defined.

By default, a defined Job or Task is set to the "Active" state, but it is possible to inactivate each Job or Task individually, see Activate/Inactivate Job for more information.


Loop functionality

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Loop functionality

Summary

“Loops” are introduced in VisualCron version 6.0.0. Loops let you run several Tasks multiple times in three loop types:

1. For

2. For Each

3. While

During a loop you are able to access loop runtime Variables. For example, where you are in the current iteration and all related values.

Architecture

Loops are objects that are stored in a Job. On Job can contain a maximum number of loops equal to the maximum number of Tasks. Loops are defined by a start Task and end Task. Anything in between will be looped in Task order. Loops cannot cross each other - you cannot create a loop in a loop.

Task Conditions are checked each time before a Task is run, independent of if Task is in loop or not.

Loop types

There are three different loop types:

For

A loop type with and x and y value where x and y are numeric values.

While

A loop type that can compare two values according to a specific data type (i.e. string, integer) and comparison method (i.e. larger than, contains, equal).

For each

A loop type that iterates through an existing y value. A list of some sort.

Working with loops

Loop display

If one or more Tasks belong to a loop you can see that in the loop column. You will see how the loop stretches over itself or more Tasks.

Purple loop: For loop

Green loop: While loop

Blue loop: For Each loop

Add/Edit loop

In the Task list, in main window or Task list of add/edit Job you can double click in the “Loop” column in each Task row. This will open up existing or new Loop settings window.

Add loop option

Add loop > Main settings

In the main settings you enter the descriptive name of the Loop. You also set which Task the loop should start and end with.

Add loop > Loop settings

In the loop settings you control the loop type by clicking on one of the three radio buttons.

You can click on the Variable button next to each text field to find and insert a Variable that can be used in the field.

For x to y

Enter two numerical values or Variables that contain numerical values.

While x

Depending on type comparison you enter different kind of values/Variables.

For each x in y

Enter a Variable that contains a list. You may need to alter field separator, text qualifier or line break depending on the format of the Variable list.

Sleep/Wait in each iteration

Sets the wait time between each iteration. This is especially interesting if you are using a While loop because you might want to save resources and not check _all_ the time.

Limitations

Set the maximum number of iterations. If your y value is less than 1000 then lower or keep value to prevent never ending loops.

Add loop > Loop settings > Loop Variables

Any Variable can be used in the settings of the actual loop to provide dynamic x and y values. Also, a set of dynamic, loop context sensitive Variables exist. You find them in the Variables browser:

Loop Id

Each loop in a Job has an internal Id.

Loop name

You are able to set a name of a loop which can be accessed through this Variable.

Loop type

If it is a For, For Each or While loop.

Preset X value

The original left hand value that you used in a For or While loop.

Preset Y value

The original right hand value in For, While or For Each loop.

Current X value

The value of the position in the loop. This value is interesting when using For or For Each loop.

Current Y value

The current value of the right hand value. Should be the same as Preset Y value in most scenarios.

Current Y position in list

A numeric value of the position in the y list. Used when using a For Each loop type.

Y value list

A list containing all rows in y.

Id of Task that loops starts with

Task Id for the selected start Task in the loop.

Id of Task that loops ends with

Task Id for the selected end Task in the loop.

Column position that it used in For Each loop

The numeric value of column position where x value is picked up.

Field separator

The character that is used to separate feilds in For Each loop.

Text qualifier

The surrounding character of each column.

Line break

The line break character that is used in each column.

Number of loop iterations so far

Number of loop “laps”/iterations that has been done so far.

Maximum allowed iterations before exiting a loop

A limit that prevents loop for going on forever. Default 1000. This value is showed here.

Deleting a loop

To delete a loop you open the Add/Edit Job window and go to Tasks tab. Right click/select a Task row that contains a loop and click on Delete loop. This will only delete the related loop - not the Tasks in it.

Changing Task order

A change of Task order (clicking up/down in the numeric box in the Task list) affects any existing loop.

If a loop covers 3 Tasks and the first Task is moved up it will include any Task that becomes number two in the list.

Deleting Tasks

If a start or end Task is deleted VisualCron will attempt to shift start or end Task, if loops covers more than one Task. If all Tasks that a loop covers are deleted the loop itself will be deleted.


File filter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

File filter

The file filter is a part of many Tasks and other objects within VisualCron. The purpose of the file filter is to provide a standardized way of filtering out files for a given Task.

Evaluation

The file filter is evaluated the following way:

·Location AND Content AND Date AND Size AND Attributes = filtered files

·Date = Date older than AND/OR Date newer than

·Size = Size smaller than AND/OR Size larger than

File filter > Location

Contains the basic properties of finding one or more files.

Credentials

To access a remote computer you may need to use a Credential. Normally that Credential is a remote or AD user with "Local logon" unchecked. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Folder

The folder path where the source file(s) reside. You can input several folders by separating with semicolon ";" like this: C:\Temp;C:\test. Click the Folder icon to browse the folder tree.

Include sub folders

If the file filter should look for files in sub folders then check this option.

Exclude folder(s)

If the file filter should exclude folder(s) to look for files. Click the Folder icon to browse the folder tree. You can exclude multiple sub folders by separating them with semicolon. Please not that the exclusion is exact to a specific folder. For example:

C:\subfolder\main2 - this will exclude files in that folder only.

C:\subfolder\main2* - this will exclude files in this folder and sub folders to this folder.

Include file mask

Define your file mask for the file name here. When not using the Is regex string, you can use the normal wildcard characters like * or ?. You can input more than one file mask by separating them with semicolon ";" like this: *.doc;*.txt. Click the File icon to browse for files.

Is regex
If the include file mask is a regular expression. For more information about regular expressions please look here: http://www.regular-expressions.info/

Case sensitive
If the file name search is case sensitive.

Exclude file mask
It is possible, the same way, to use a exclusion filter. When not using “Is regex” string here you can use the normal wildcard characters like * or ?.

Is regex
If the exclude file mask is a regular expression. For more information about regular expressions please look here: http://www.regular-expressions.info/

File filter > Content

Makes it possible to check found files for content.

The default Content property is Don’t check. Use the drop-down list to select the desired property.

File filter > Date

Makes it possible to check the created/modified date against a Variable value.

There are two types of checks Older than and Newer than. These can be combined with AND/OR or used separately. Only date variables can be used here. Once you have selected a Variable it can be previewed when hovering over text box (tool tip) or in the group caption.

Click the Variables icons to view and select available Date Variables.

File filter > Size

Makes it possible to filter out files based on size. Like the Date filter it can be combined with AND/OR and check can be done on Larger than or Smaller than.

Check if file is smaller than x size

Select this to enable size checking. Enter a value in the numeric text box and select the size unit to compare with. Default is kilobyte(s). If the size on the file is smaller than the value you enter in the numeric box it will return true (= file will be included).

Check if file is larger than x size

Select this to enable size checking. Enter a value in the numeric text box and select the size unit to compare with. Default is kilobyte(s). If the size on the file is larger than the value you enter in the numeric box it will return true (= file will be included).

File filter > Attributes

All files have different attributes. If you want to check for a specific attribute you can use whether to include or exclude a file based on attribute.

Include all attributes

The default is checked, uncheck if you want to filter on attributes.

Include attribute(s), Exclude attribute(s)

Check the attributes you want to include or exclude.

File filter > Result

The filtered files can be presented (in output) in different ways. It is possible to sort the result on various values like name, modified date, created date and size. You can also limit the number of rows returned to, for example, only list the top 3 files according to the current sorting.

Sort

It is possible to sort the result on various values like name, modified date, created date and size. If sort is unchecked the files will just be presented in the order they are discovered.

Limit

Check this if you want to limit the number of rows returned. It will be limited according to the number (which could be a Variable) and the current sorting.

File filter > Test

Makes it possible to test your current file filter - if it matches any existing files

Show filtered files

The test will use the selected Credential. Click to test the filter.


Remote file filter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Remote file filter

The remote file filter is a limited version of the normal local file filter. The difference is that the remote file filter is limited for remote Tasks (like FTP/SFTP) and Triggers (Remote file).

Evaluation

The file filter is evaluated the following way:

·Location AND Content AND Date AND Size AND Attributes = filtered files

·Date = Date older than AND/OR Date newer than

·Size = Size smaller than AND/OR Size larger than

Remote file filter > Location sub tab

This tab contains the basic properties of finding one or more files.

Folder

The folder path where the source file(s) reside. You can input several folders by separating with semicolon ";" like this:

C:\Temp;C:\test

Include sub folders

If the file filter should look for files in sub folders then check this option.

Treat unknown types as files

Some servers to not report the correct item type (file or folder) when listing items and instead reporting unknown type. When checking this property VisualCron will treat unknown types as files.

Include file mask

Defined your file mask for the file name here. When not using “Is regex” string here you can use the normal wildcard characters like * or ?. You can input more than one file mask by separating them with semicolon ";" like this:

*.doc;*.txt

Is regex
If the include file mask is a regular expression. For more information about regular expressions please look here: http://www.regular-expressions.info/

Case sensitive
If the file name search is case sensitive.

Exclude file mask
It is possible, the same way, to use a exclusion filter. When not using “Is regex” string here you can use the normal wildcard characters like * or ?.

Is regex
If the exclude file mask is a regular expression. For more information about regular expressions please look here: http://www.regular-expressions.info/

Remote file filter > Date sub tab

It is possible to check the created/modified date against a Variable value.

Remote file filter > Size sub tab

It is possible to filter out files based on size. Like the Date filter it can be combined with AND/OR and check can be done on Larger than or Smaller than.

Remote file filter > Result sub tab

The filtered files can be presented (in output) in different ways. It is possible to sort the result on various values like name, modified date, created date and size. You can also limit the number of rows returned to, for example, only list the top 3 files according to the current sorting.

Sort

It is possible to sort the result on various values like name, modified date, created date and size. If sort is unchecked the files will just be presented in the order they are discovered.

Limit

Check this if you want to limit the number of rows returned. It will be limited according to the number (which could be a Variable) and the current sorting.

Remote file filter > Test sub tab

In the Test tab you can test your current file filter - if it matches any existing files. The test will use the selected Credential. Click on Show filtered files to test filter.


Cloud remote file filter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Cloud remote file filter

In order to simplify and unify common parameters, the standard VisualCron Cloud remote filter is used in the below list of Cloud Tasks:

· List item(s)

· Download file(s)

· Delete item(s)

Location sub tab

Connection

To use a specific cloud service you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Bucket/Container

This property is used for Amazon Cloud services to specify the Bucket.

Source folder

This is the remote source folder. Click the Folder icon to select the folder.

Item mask

The file/folder mask. Use wild cards like * and ?. Click the File icon to select the file.

Filter

Select whether you want to get Files, Folders or All.

Case sensitive

Check if you want a case sensitive match.

Include sub folders

Check if you want to include sub folders and not just the base Source folder.

Date sub tab

Modified date

Use a Variable to, for example, download files older than a specific modified date.

Created date

Use a Variable to, for example, download files older than a specific modified date.

Size sub tab

Check if file is smaller than x size

Filter files that are smaller than a value/Variable.

Check if file is larger than x size

Filter files that are larger than a value/Variable.

Result sub tab

Sort

By checking sort you can sort the found files according to your desired order. This is important if you later want to limit the result to, for example, the 10 newest files.

Limit

How many files you want to return.

Test sub tab

The Test tab lets you test the result of your set filters to see what is really returned.


Folder filter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Folder filter

The folder filter is similar to the file filter but filters out folders only. It is used in various Tasks.

Folder filter > Location sub tab

Credentials

To control a remote computer you may need to use a Credential. Normally that Credential is a remote or AD user with "Local logon" unchecked The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Base folder

Where the search filter should start finding folders. Click the Folder icon to browse the folder tree.

Include base folder

If the base folder should be included in the result.

Include sub folders

If sub folders of the base folder should be included in the result.

Include folder mask

Wild card for filtering out folder names. Separate multiple folder names with semicolon ";" like this: C:\Temp;C:\test. Click the Folder icon to browse for files.

Is regex

If the include folder mask is a regular expression

Case sensitive

If case sensitive search should be done on the include folder mask.

Folder filter > Date sub tab

There are two types of checks Older than and Newer than. These can be combined with AND/OR or used separately. Only date variables can be used here. Once you have selected a Variable it can be previewed when hovering over text box (tool tip) or in the group caption.

Click on the Variables icons to view and select available Date Variables.

Folder filter > Size sub tab

Check if folder is smaller than x size

Select this to enable size checking. Enter a value in the numeric text box and select the size unit to compare with. Default is kilobyte(s). If the size on the folder is smaller than the value you enter in the numeric box it will return true (=folder will be included).

Check if folder is larger than x size

Select this to enable size checking. Enter a value in the numeric text box and select the size unit to compare with. Default is kilobyte(s). If the size on the folder is larger than the value you enter in the numeric box it will return true (=file folder be included).

Folder filter > Test sub tab

Show filtered folders

The test will use the selected Credential and lets you test your folder filter - what folders it returns based on the filter.


Task - Main Settings

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Main Settings

A set of different Task types can be defined using the Add/Edit Job > Tasks tab, then press the Add button to display the list of Tasks.

Add Job > Tasks > Add tab

After selecting a Task, in this case the Internal > Set Job Variable, the Set Job Variable > Main Settings tab is displayed. Also, the selected Task is preset as Task type but this may be changed.

Set Job Variable > Main Settings tab

Note: If several Tasks are defined for a Job and the Tasks are under execution, the Task information fields will include just executed, present and previous information. In the Add/Edit Job > Tasks window, adjust the Change Task order in which the Tasks are executed.

Encoding

The encoding property sets which encoding to use. This feature is not implemented in all Tasks. If you got any encoding problem please contact support.

Execution context

Click the Change button to set Execution context.

Output

By default, VisualCron is capturing and storing all output from executed processes. If you don't want this and want Windows to capture all output you uncheck these options.

Task order

The task order can be changed by either clicking on the up/down arrows next to each Task or select a Task row and edit the Change Task order numeric field.

Edit Job > Tasks tab

Loop

Loops can be added to one or more Tasks, read more about loops here.


Process Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Process Tasks


Task Process - Execute

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Execute

The Execute Task lets you start a command or executable with arguments. Optionally you can run the process as a certain user with the help of Credentials.

Command

This is the path to the executable - always enter full path and name to the executable file.

The rightmost button opens a file browser for selection. The only mandatory parameter in the Execute window.

Arguments

Arguments don't have to start with a space key, look at the Add Task view for an example. Use "" around long arguments.

Working directory

This option may be used if you for example want to execute a PHP script which has no absolute links. Let say that the PHP script tries to write a file "test.txt". If you specify a working directory, you also specify where PHP will write the file. If not specified in this case, PHP will write the file where php.exe is stored, not where the script is stored (that is because the Working Directory by default will be where the command is located, in this case php.exe is the Task and the script is the argument).

Run in hidden window

When checked, VisualCron will run the Task in hidden mode which means that if a Task normally creates a window, this will not be displayed. If you want to hide a GUI application (winform) you must also check Use shell execute.

Use shell execute

False is unchecked and true refers to checked.

This setting concerns whether or not to use the operating system shell to start the process. Default is unchecked which means that the process is created directly from the executable file instead of (checked) use the shell when starting the process.

Working Directory

The Working Directory property behaves differently when Use shell execute is true than when Use shell execute is false. When Use shell execute is true, Working Directory specifies the location of the executable. If Working Directory is an empty string, the current directory is understood to contain the executable. When Use shell execute is false, the Working Directory property is not used to find the executable. Instead, it is used by the process that is launched and only has meaning within the context of the new process.

Setting this property to false enables you to redirect input, output, and error streams.

One reason to use shell execute is when you want to run a GUI application (winform) in hidden mode and not want output of the application. To make a winform application hidden you must use shell execute in combination with run in hidden window.

Run Task as

This functionality currently only works for the Task type "Execute". Select appropriate Credentials in the select box. You can add new credentials by clicking on the Manage credentials button.

Logon type

Logon type has been moved and settings for logging in with profile or not is located in the Credential now.

Note about domain:

If the user belongs to a domain you must specify that domain. If the computer is not connected to a domain you should use the exact computer name. This can be found when opening "My computer".

Note about arguments/parameters:

Use "" around arguments.

Run with API code

When using this option all processes as started through an API call of Win32 API.

This is the default option. Don't change this unless you get problems with Access Denied when opening Desktop in the log file.

Run with managed code

When using this option the all processes are started through the managed wrapper of the API. Don't change to this setting unless you get problems with Access Denied when opening Desktop in the log file.

Process priority

VisualCron Tasks can be run with any standard process priority. The following priorities are available:

·"Idle" - Indicates a process whose threads run only when the system is idle and is preempted by the threads of any process running in a higher priority class. An example is a screen saver. The idle priority class is inherited by child processes.

·"Below Normal" - Indicates a process that has priority higher than Idle but lower than Normal.

·"Normal" - Default value, indicates a normal process with no special scheduling needs.

·"Above Normal" - Indicates a process that has priority higher than Normal but lower than High.

·"High" - Indicates a process that performs time-critical Tasks that must be executed immediately for it to run correctly. The threads of a high-priority class process preempt the threads of normal or idle priority class processes. An example is the Task List, which must respond quickly when called by the user, regardless of the load on the operating system. Use extreme care when using the high-priority class, because a high-priority class CPU-bound application can use nearly all available cycles.

·"RealTime" - Indicates a process that has the highest possible priority. The threads of a real-time priority class process preempt the threads of all other processes, including operating system processes performing important Tasks. For example, a real-time process that executes for more than a very brief interval can cause disk caches not to flush or cause the mouse to be unresponsive.

Don't start Task if Task process is already running

If you want VisualCron to start a Task only if a process is NOT running, then check this box and enter the name of the process. The process name must be an existing process, for convenience use the "3-dotsbutton" and pick that process (ensure that it is running before you open the window).

Kill process / Close main window

Instead of adding two Tasks, one execute and one kill, you can specify the time the main window or process should be active. If you for example check the box and specify "Kill process" after "1 minute(s)", the Task will start and then terminated after exactly one minute. However, try "Close main window" instead of "Kill process". Killing the process is harder and may interrupt the process if it is trying to save anything on exit. Kill may also result in Task exit code -1. When trying to kill a hidden window you must use kill process.

Notes about Troubleshooting:

Error: The service cannot be started, either because it is disabled or because it has not enabled services associated with it

Always use the full path to the file. Also, make sure that you split up command and argument. For example, if your command is normally:

netsh DHCP server \\silvercreek dump

Then use:

Command: c:\windows\system32\netsh.exe

Argument: DHCP server \\servername dump

Error: You want do redirect output to file but it does not work or causes errors

By default VisualCron captures all output. The advantages with that is that you can reuse the data in other Tasks. For example, in the body of an Email Task.

Error: I get a UAC popup warning

Set the Execute Task to run "Hidden". From Vista and forward, a process started by a background process (in this case a service), must not interact with desktop.

Error: The process cannot be started because the file cannot be found

A couple of reasons:

1. If there is a dependency between ENVIRONMENT Variables for a new runtime or anything like that then you have to restart the VisualCron service to reload those variables. You can verify ENVIRONMENT Variables by creating a batch file that just "print %PATH%". You will then see existing Variables in

2. Make sure you use the full path to the file.

3. Do not mix arguments and path to executable in command. Divide them - see first error.

Error: Exit code -1073741502

There is a permissions problem, either on user level (the Credential you use) or the Local Security Policy settings on the server that prevents the SYSTEM account from running a process as another user. While the problem might be unknown there are some alternatives and workarounds:

Alternative 1

Make sure that the serviceuser account is a local administrator and member of the group BUILTIN/Administrators.

Alternative 2

If you use 8.1.2 or later:

1. Turn on Extended debugging in Server settings.

2. Edit the Credential that you use

3. Change Execution options to Use Win32 API CreateProcessAsUser

Workaround 1

Turn of UAC in the Server settings in VisualCron window and reboot

Error: Unhandled error when trying to start process: A required privilege is not held by the client. If the credential is removed, the job runs successfully.

Go to Server settings->Log and uncheck "Extended debug logging". Edit the Credential you use and change to option "CreateProcessWithLogonW".

If you use 8.1.1 or earlier:

Please try any of the following:

1. turn off UAC and reboot from Server settings

2. Open Services->Find VisualCron and right click and select Properties. Uncheck "Allow service to interact with desktop". Restart the service.

No output is captured

Try unchecking Use shell execute.


Task Process - Remote Execute

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Remote Execute

This Task type can execute commands on a remote server. If you want to execute commands locally you should use the Execute Task. Optionally you can wait for process completion.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Command

Enter full path and name to the executable file. The rightmost button opens a file browser for selection. The only mandatory parameter in the Execute window.

Arguments

Arguments don't have to start with a space key, look at the Add Task view for an example. Use "" around long arguments.

Working directory

This option may be used if you for example want to execute a PHP script which has no absolute links. Let say that the PHP script tries to write a file "test.txt". If you specify a working directory, you also specify where PHP will write the file. If not specified in this case, PHP will write the file where php.exe is stored, not where the script is stored (that is because the Working Directory by default will be where the command is located, in this case php.exe is the Task and the script is the argument).

Run in hidden window

When checked, VisualCron will run the Task in hidden mode which means that if a Task normally creates a window, this will not be displayed. If you want to hide a GUI application (winform) you must also check Use shell execute.

Note about arguments/parameters:

Use "" around arguments.

Process priority

VisualCron Tasks can be run with any standard process priority. The following priorities are available:

·Idle - Indicates a process whose threads run only when the system is idle and is preempted by the threads of any process running in a higher priority class. An example is a screen saver. The idle priority class is inherited by child processes

·Below Normal - Indicates a process that has priority higher than Idle but lower than Normal

·Normal - Default value, indicates a normal process with no special scheduling needs

·Above Normal - Indicates a process that has priority higher than Normal but lower than High

·High - Indicates a process that performs time-critical Tasks that must be executed immediately for it to run correctly. The threads of a high-priority class process preempt the threads of normal or idle priority class processes. An example is the Task List, which must respond quickly when called by the user, regardless of the load on the operating system. Use extreme care when using the high-priority class, because a high-priority class CPU-bound application can use nearly all available cycles.

·RealTime - Indicates a process that has the highest possible priority. The threads of a real-time priority class process preempt the threads of all other processes, including operating system processes performing important Tasks. For example, a real-time process that executes for more than a very brief interval can cause disk caches not to flush or cause the mouse to be unresponsive.

Note about Return codes:

Successful completion (0)

Access denied (2)

Insufficient privilege (3)

Unknown failure (8)

Path not found (9)

Invalid parameter (21)

Other (22–4294967295)

Note about Security settings:

These are the settings needed for a user account in Computer Management->WMI Control->Properties->Security tab->Select user and click Advanced:

Firewall settings on remote host

1. Run: netsh advfirewall firewall add rule name="WinRM-HTTP" dir=in localport=5985 protocol=TCP action=allow

2. Run winrm quickconfig and answered y on the activate question

Other security settings on remote host

Step 1. DCOM permission

1. Open Dcomcnfg

2. Expand Component Service -> Computers -> My computer

3. Go to the properties of My Computer

4. Select the COM Security Tab

5. Click on "Edit Limits" under Access Permissions, and ensure "Everyone" user group has "Local Access" and "Remote Access" permission.

6. Click on the "Edit Limit" for the launch and activation permissions, and ensure "Everyone" user group has "Local Activation" and "Local Launch" permission.

7. Highlight "DCOM Config" node, and right click "Windows Management and Instruments", and click Properties.

8. <Please add the steps to check Launch and Activation Permissions, Access Permissions, Configuration Permissions based on the default of Windows Server 2008>

Step 2. Permission for the user to the WMI namespace

1. Open WMImgmt.msc

2. Go to the Properties of WMI Control

3. Go to the Security Tab

4. Select "Root" and open "Security"

5. Ensure "Authenticated Users" has "Execute Methods", "Provider Right" and "Enable Account" right; ensure Administrators has all permission.

Step 3. Verify WMI Impersonation Rights

1. Click Start, click Run, type gpedit.msc, and then click OK.

2. Under Local Computer Policy, expand Computer Configuration, and then expand Windows Settings.

3. Expand Security Settings, expand Local Policies, and then click User Rights Assignment.

4. Verify that the SERVICE account is specifically granted Impersonate a client after authentication rights.

Note about Verifying security settings:

Run WBEMTest from local computer. Put domain, username and password and connect to remote machine.

https://technet.microsoft.com/en-us/library/cc180684.aspx?f=255&MSPPError=-2147217396

More information about ports

https://support.microsoft.com/en-us/help/832017/service-overview-and-network-port-requirements-for-windows#method39


Task Process - Execute script

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Execute script

This Task type is a version of the Execute Task - specialized for script execution. This Task executes VBScripts and JScripts.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File path

This is the full path to the script file.

Notes:

·This Task will return error if the standard error is not empty.

·Please view standard error or standard output column for more information.

·The standard error column will contain details about row number when failed.


Task Process - PowerShell

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - PowerShell

The PowerShell Task lets you execute PowerShell code on the fly or an existing PowerShell file.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Scope

You can execute on the local machine or on a remote machine. To execute on a remote machine you need to combine settings with a Credential.

Execute in x86 mode

This settings is forcing 32 bit execution of your PowerShell script.

PowerShell file

Full path to a PowerShell script.

PowerShell script text

You enter your PowerShell code here which will be compiled and run in real time.

Parameters

Click on Parameters button to edit parameters. You can parse parameters in the PowerShell script like this:

param (

  [string]$parameterkeyname1 = "mydefaultvalue1",

  [string]$parameterkeyname2 = "mydefaultvalue2"

)

Write-Output $parameterkeyname1

Passing back data from PowerShell

You can use these PowerShell commands to pass back output to VisualCron:

VisualCron standard output

write-output "my output"

VisualCron standard error

write-error "my error"

Raising/Throwing errors

Use the Powershell throw command to raise errors. By default we are considering the Task fail if it contains any text written to error output. When that happens the standard output is overwritten with debug information. To override this behavior go to On error tab of Task and uncheck Contains error output.

Troubleshooting

Access denied errors

Ensure PowerShell's ExecutionPolicy = Unrestricted

Start Windows PowerShell and type in the command below at the prompt and hit enter. It should return unrestricted.

get-executionpolicy

If it returns restricted then enter the command below at the prompt and hit enter.

set-executionpolicy unrestricted

If you receive an Access Denied message, then open a ticket with your IT Team to update this for you. You may need to provide the steps below to them:

Update the Registry Editor (HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\PowerShell\1\ShellIds\Microsoft.PowerShell) with a tag for ExecutionPolicy and set it to Unrestricted

System.TypeLoadException

If the ExecutionPolicy is setup correct and VisualCron returns the error below when running PowerShell, ask INFRA to upgrade PowerShell to the highest version available for the respective server. Recently we found that PowerShell v1 on a Windows 2008 SP2 servers will not execute PowerShell from VisualCron so we had to upgrade to PowerShell v2.

AuthorizationManager check failed

Please add/insert the share you are trying to access in the script to "trusted sites".

Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly 'System.Management.Automation, Version=3.0.0.0

You need to install PowerShell 3.0. You can download it here: https://www.microsoft.com/en-us/download/details.aspx?id=34595


Task Process - Kill

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Kill

The Process - Kill Task lets you stop a process on the same computer.

Process name

Enter the name of the process, i.e. notepad.exe. If you want to be sure of the name then you can start the process on the server and the click on "Select" to show a list of all running processes.

Case sensitive

If the process name matching should be case sensitive or not.

Type of kill The kill functionality in VisualCron can be used to shut down a running application or process.

The Type of kill can be one of:

·Kill process

·Close main window

Closing the main window of the application is a nicer method because the application may need to save some settings before it is closed down. It will close down the main window like when an application is terminated by clicking in the top right corner.

Please note that the application will not shut down if there is a dialog box to confirm exit (i.e. "Are you sure you want to quit?"). If this is used try to disable the confirm dialog or, if it's not possible, use the "Kill process" method.

"Kill process" terminates all processes with the defined name directly. It is similar to open the Task manager and right click to select "End process".

If more that one matching process is found

If several process are running that matches the Process name you have several options:

Terminate all matching processes

Kills all matching processes.

Terminate the newest process

Kills only the process that was last started.

Terminate the oldest process

Kills only the process that was started first of all processes.

Skip

Do not kill any process.

Conditions

Limits for memory and CPU to be considered in kill process.


Task Process - Remote Kill

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Remote Kill

The Process - Remote Kill Task can terminate a process on another server in the network. If you want to terminate local process then you should use the Kill Task instead.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Process name

Enter the name of the process, like notepad.exe. If you want to be sure of the name then you can start the process on the server and the click on "Select" to show a list of all running processes.

Case sensitive

If the process name matching should be case sensitive or not.

If more that one matching process is found

If several process are running that matches the Process name you have several options:

Terminate all matching processes

Kills all matching processes.

Terminate the newest process

Kills only the process that was last started.

Terminate the oldest process

Kills only the process that was started first of all processes.

Skip

Do not kill any process.


Task Process - Assembly execute

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Assembly execute

The Process - Assembly execute Task lets you specify a .NET .exe or .dll file and execute methods within that assembly. Select an assembly, class and method. Then double click on parameter rows to set values. Depending on the value type different input forms will be used.

Output

The Assembly execute will return a string representation of the result and will try to separate value by a comma if it is an array.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Select dll/exe file

This is the full path to the assembly file. If you move this Task to another place you need to move the assembly file as well. The file selection button open the explorer to select the file. The Refresh button reloads the class/method information.

Execute in x86 mode

Executes the assembly in a x86 process.

Local execution

Hosts the assembly in VisualCron instead of external process. Should only be used for simple assemblies without dependencies. Please note that you need to restart the VisualCron service to reload any assembly into memory with this option checked.

Load app.config if existing

Tries to load the app.config of your dll if it exists.

Class

This is the name of the Class.

Show only public types

When selecting a file or clicking refresh class information is loaded from the assembly. By default, only public classes are loaded. If you want to load class with other modifiers/visibility you must uncheck this.

Method

When you change the Class all methods within that Class will be populated into the method combo box.

Show only Public methods

When selecting a file or clicking refresh method information is loaded from the assembly. By default, only public methods are loaded. If you want to load method with other modifiers/visibility you must uncheck this.

Return type

This label shows the return type of the selected method. This is the type that will be converted to a string in the Output of the Task.

Parameters

Double click on parameter rows to set values. Depending on the value type different input forms will be used.


Task Process - .NET code execute

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - .NET code execute

The Process - .NET code execute Task is able to execute .NET code using languages C# or VB.NET.

You are able to use Variables wherever in the code and parameters. The output of the method is converted to string. The purposes of this Task could be many but you could use it to solve a specific problem for you (when no existing Task can do that for you).

The code is compiled in real time for each execution.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Language

Select either C# or VB.NET language. The syntax editor and compile methods will alter depending on selected language.

Edit references..

Add/remove any dll that you want to use as a reference to make our code work or be more compact.

Code

In this text box you insert your code. It is important that:

·The code exists in a class

·That you use static/shared methods only

Any return value will be converted to a string.

Method selection

Select the method you want to use. After you have added new code please press "Refresh methods" button.

Compile

This button tests if the code can compile and will return a popup with error if not.

Refresh methods

This button compiles the codes and add all existing static methods into the method combo box.

Run

This button compiles and runs the code so you can test it.

Parameters

If the selected method contains any parameter can double click on the row to add your own parameter value.


Task Process - Unmanaged dll call

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - Unmanaged dll call

Executes a method with parameters on an unmanaged dll.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Select dll/exe file

This is the full path to the assembly file. If you move this Task to another place you need to move the assembly file as well. The file selection button open the explorer to select the file.

Force 32-bit execution

Check this if you want your dll to execute in 32 bit mode. Otherwise it will be default of the system (most likely 64 bit).

Function name

Type the name of a public function.

Return type

Select return type of the method.

Calling convention

Set the type of calling convention.

Parameters

If the selected method contains any parameter can double click on the row to add your own parameter value. Click right click to add


Task Process - AS/400 Command

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Process Tasks >

Task Process - AS/400 Command

The Process - AS/400 Command Task lets you execute a command on a AS/400 server. The AS/400 Control Language (CL) is a scripting language for the AS/400 midrange platform bearing a resemble to the IBM Job Control Language and consisting of an ever expanding set of command objects (*CMD) used to invoke traditional AS/400 programs and/or get help on what these programs do.

Connection

Select a AS/400 Connection. You can set up the Connection here: AS/400 Connection.

Full command

Specify the command to call the program with any parameters according to the default format.

Note:

The AS/400 Command Task requires that you install IBM Client Access (V5R3 or later) on the VisualCron Server.


Net Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Net Tasks


Task Net - Web macro

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - Web macro

The Net - Web macro Task is able to record actions in the built in browser and later play it back in the background at any time.

Below are some features of the Web Macro Task in VisualCron:

·The playback is based on Chrome which gives you speed and compatiblity - also, Chrome plugins are supported (not Extensions but Pepper plugins)

·The playback of web recordings are done from a Windows service which requires zero interaction from a user – no one is required to be logged on. This means that multiple instance can be running at the same time and you can work on the computer at the same time without disturbing the background playback.

·Passwords are stored in an encrypted format VisualCron uses file filters, Variables, stored Credentials to dynamically present values (like dates).

·VisualCron can handle many web instances at the same time and copy/paste data between

·VisualCron handles popup windows.

·VisualCron supports uploading and downloading files – dynamically with file filters VisualCron supports proxy and proxy change anytime during the automation which helps if you want to create unique web requests.

·In VisualCron you can import Client certificates and they will be presented upon request.

·VisualCron supports multiple tabs and switching between tabs.

·When creating a tab you can choose to browse with Incognito mode.

·You are able to Print and take a screen shot (save to file).

·VisualCron lets you set any User-Agent you like VisualCron lets you inject JS anywhere in a page.

·VisualCron lets you override HTTP referrer.

·VisualCron lets you set Accept-Language.

·VisualCron lets you set GoogleId to support Google Speech and other APIs from Google

·VisualCron lets you control speed of playback, from typing text to waiting before and after a step.

Web macro > Main settings tab

Load images

Controls if the browser should load images or not. If you deselect this loading of page will be faster. Do not deselect this if you are dependent on images.

Block popups

When a popup to a new window occurs VisualCron will open that new window in a new tab. If you do not want this behavior you can check Block popups.

Lite mode

Text...

Disable WebSecurity

Text...

Override User-Agent

By default, the User-Agent of the current Chrome version is sent. If you want to override this you check this property and enter your User-Agent in text field.

Store cookies

Optionally VisualCron can store the cookies between each call. This is create if you first want to record entering some security questions. First check Store cookies, then record once entering the security questions. Then record again and any cookies from previous record will exist in memory.

Override referer

By default, the last page visited is sent as referer. If you want to override this you check this property and type in any referer you want to use in the text field.

Accept-Language

By default, English with US location Accept-Language will be sent. This might give you different results back (depending on developers of web page), for example how time and date is presented or which language a page is presented in. If you want a specific Accept-Language to be sent you can alter this here.

Google API

A number of features supported by the Chrome browser engine relies on certain Google API to function. For example, the location service relies on Google Map's GEO location service API, and speech recognition relies on Google's Speech API. In order to use these features, you must acquire and apply your Google API keys first.

Follow the steps below to acquire your Google API keys. Note that due to Google frequently updates their systems, the exact UI/step may be slightly different.

1.Visit https://console.developers.google.com/ and login with your Google account;

2.If you have not already created a project, you will be prompted to create a project;

3.After you have created a project, click "Use Google APIs" from the project's Dashboard;

4.Make sure the corresponding API is enabled. For example, to use speech recognition feature, you must enable "Speech API";

5.Select "Credentials" from the list on the left side, click "Create Credentials" -> "API Key" -> "Browser Key" to create an API key;

GoogleClientID

Your Google Client ID.

GoogleAPIKey

Your Google API key.

GoogleClientSecret

Your Google Client secret.

Recording a web macro

Click on the Record button to start recording. This open the Web macro recorder window (see screenshots and description later down).

Playing back a web macro

A web macro can be played back in both Client and Server. If you press Play it starts playing back in Client. You can also press Pause to stop playback.

Web macro > Steps tab

The Steps tab contains all recorded steps. Some of them can be edited/deleted by double clicking on Step or select and click Edit. Adding a step manually is currently not possible.

Set wait for all steps

Each Step has a Before and After step wait time in milliseconds. If you want to increase or decrease this on all steps you can click this button and set these values for all steps.

Auto-creation of steps and adding manually

Steps are auto-created during recording but it also possible to manually add some steps by clicking on toolbar or right click on an element in the browser.

Web macro > Proxy tab

The proxy tab lets you set the default proxy to use in all tabs. You can override this by adding the Set proxy step.

Web macro > Certificates tab

Certificates

The web macro Task supports handling of both Client and Server Certificates. The Client certificates are globally managed in Manage Certificates window. Add a client certificate - the will be presented to remote server when needed. By default all remote server certificates are accepted. We recommend this option checked to prevent playback issues.

Web macro > Plugins tab

There are two different type of plug-in standard: NPAPI and PPAPI. NPAPI originates from Netscape and were supported by all major browsers until Google developed PPAPI. The Chromium project (upon which both Google Chrome browser is built) has been supporting both for a while until finally it dropped NPAPI support. a result, VisualCron does not support NPAPI either.

To install Flash

1. Visit http://get.adobe.com/flashplayer/ with Google Chrome browser;

2. Look for "To download the Adobe® Flash® Player system plug-in, click here" in the page. Follow the link to the download page. If you can not find the link, then Adobe may have moved the page after this documentation was written. In that case please contact us or use this direct link:

http://get.adobe.com/flashplayer/?fpchrome

3. Check "Your System" section, click "Need Flash Player for a different computer?";

4. Select the correct Windows version, then select the "PPAPI" version from the drop down box. Do NOT select "NPAPI". These are two different type of plug-in interfaces. The current version of VisualCron only supports PPAPI;

5. Click "Download Now" to download install the Flash Player system plug-in. This will install the plug-in inside sub directory "Macromed\Flash" under your Windows system32 or SysWOW64 directory;

6. VisualCron should auto detect the plug-in next time you record. If not, specify the folling folder in plugin text field: C:\Windows\SysWOW64\Macromed\Flash

Auto scan common plugins

Indicating whether to automatically scan commonly used plugins.

Disable built in plugins

Disables the built-in PDF plugin.

Additional plugin folders

If you have plugins located elsewhere please add the folder(s) here. If more than one then separate with semicolon.

Web macro recorder window

When pressing Record or Play button the Web macro recorder window is opened.

Auto-creation and adding steps manually

Steps are auto-created during recording but it also possible to manually add some steps by clicking on toolbar or right click on an element in the browser.

Tabs

VisualCron handles multiple tabs. A tab is created automatically when a popup with new target window appears. You can also click on "New tab" and select to create a new tab. You can create a "Normal" tab or "Incognito tab". When using incognito mode no cookies are stored.

Right click menu

You can right click anywhere within the browser window but some menu items are context sensitive, like Add Download Step and Add Extract data Step.

Troubleshooting

Record works but playback gives Javascript errors

Try checking Web security checkbox in the Task.


Extract data step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Extract data step

The extract data steps extracts an attribute of a page element. This attribute can be stored in either local Job Variable or global User Variable.

To extract a certain attribute you right click on it and chose Add Extract data step below:

Then select the attribute you want to extract below:

Then set where you want to save the attribute value (in which Variable):

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Download step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Download step

The Download step is triggered automatically when a web page presents something for download - this could be initiated originally by a click.

Original file path

This field is filled later and contains the source file.

Credential

If you need to save the file on a network resource you probably need a Credential to elevate the rights. Use an existing or add one.

Folder

This is the destination folder.

File mask

This is the destination file mask / file name.

Overwrite options

Control what happens if the file already exists with these settings.

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Upload step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Upload step

The upload file step is created wherever you select a file to upload in a web page. What is important to know that the step is created there but then you can later edit the step to make it more dynamic.

The upload step uses the same file filter as the rest of VisualCron application.

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Print step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Print step

The Print step prints the current page(s). You add this step by either right clicking in web browser or click on the Print icon in toolbar.

The Print step exposes the most common printer settings.

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Proxy step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Proxy step

The Proxy step lets you change the proxy being used during run time. It overrides any previous set proxy in the Task.

Reload the current page after proxy change

If you do check this the the current page will not be affected.

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Inject JS step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Inject JS step

The Inject JS step lets you send javascript code for execution on the current page.

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Copy link address step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Copy link address step

The Copy link address steps lets you right click and copy a link.

This step is still in development

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Screenshot step

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - Web macro >

Screenshot step

The Screenshot step takes a screenshot of the current webbrowser and saves it to a file.

Wait tab

The wait tab controls how long time the step should wait before performing the step and after performing the step (in milliseconds).


Task Net - HTTP

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - HTTP

The Task type HTTP enables execution a remote script/load webpage with standard HTTP POST or HTTP GET. You can combine this function with logging the output of the script/page on a file or send the output by mail.

HTTP > Main settings tab

Endpoint/URL

This is the remote script or page to be called. Use the following format: http://www.yourwebpage.com/yourscript.php. If you use a GET you can either add parameters like ?mykey1=myvalue1&mykey2=myvalue2 or use the Parameters/Body tab to input parameters. If you use POST you should only use the Parameters/Body tab.

Proxy..

Select if you want to use a proxy.

Method

There are two kinds of methods which are most common when calling a remote script or page. Some web frameworks (such as PHP) provide separate mechanisms for accessing POST and GET data. POST is generally recommended because URL:s don't appear in web logs.

Version

Select which HTTP version to use. Default 1.1.

UserAgent

Optional. If your script requires a certain UserAgent you can use this field to let VisualCron pretend to be a certain UserAgent.

Timeout in seconds

This is the timeout of the web request. Default is 600 seconds.

KeepAlive

Set this property to true to send a Connection HTTP header with the value Keep-alive. An application uses KeepAlive to indicate a preference for persistent connections. When the KeepAlive property is true, the application makes persistent connections to the servers that support them.

When using HTTP/1.1, Keep-Alive is on by default. Setting KeepAlive to false may result in sending a Connection: Close header to the server.

AllowAutoRedirect

Set AllowAutoRedirect to true if you want the request to automatically follow HTTP redirection headers to the new location of the resource.

Expect 100 Continue

Enable this if you get HTTP error 417.

HTTP > Headers tab

Content-type header

This header controls the content type of the HTTP request. In the drop down most common headers can be found. This setting is also related to the Parameters/Body tab as it affects the way the body is posted.

Other headers

Custom headers can also be added by pressing Add button.

HTTP > Parameters/Body tab

Parameters/body

Depending on content-type header you can POST various content in the body. By selecting a tab you choose how the body is sent - please note that you need to set a matching content-header as well. Different body options;

x-www-form-urlencoded - use this for simple key/value pairs

form-data - use this if form-data content-type header required and if you want to POST multi-part data like files (and maybe text).

raw - use this for sending body text raw - for example when sending a Json request

binary - use this for sending a stream of binary data like one file

HTTP > Security tab

Supported security protocols

Set the supported security protocols (by your web server) to use the maximum security.

Credentials

Optional. If your script requires authentication you can select a credential from the combo box. By clicking on Manage credentials you can add or edit current credentials.

Auth type

What kind of authentication method that is used. No authentication method is used if no Credential is selected. By default NTLM auth type is used.

HTTP > Save content/response tab

Save content

Normally, the content from the request is stored in the HTTP output. For example, if you script returns a text it can be found the Result of the HTTP Task. It is stored in text mode. If you want to use the binary output, for example if you want to download a file, you should check Save content.

Credentials

Optional. If you want to save the content in a folder which requires network credentials then select a valid credential for that folder. By clicking on Manage credentials you can add or edit current credentials.

Folder path

Specify a path where you want to save the content/file.

Auto name file

Optional. If this box is checked your file will be named after the the last part of the url.

File name

The name of the file to be saved.

Exist options

Select how VisualCron should handle existing files. Append, overwrite, overwrite if newer or skip the saving.

Notes about Troubleshooting:

Error "The requested security protocol is not supported."

Try unchecking protocols in Supported security protocols. Start with disabling TLS1.1 and TLS1.2.


Task Net - Web service/WCF execute

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - Web service/WCF execute

The web service / WCF Task lets you execute web service- and WCF (basic HTTP binding) methods.

Output

This Task returns a string representation of the original return type (of the method).

Service tab

URL

This is the URL that points to the web service. If the method should be executed on a different port you separate original URL with a a colon and then enter the port number like this: http://mywebsite/mywebservice.asmx:8080

Proxy

If you want to execute through a Proxy you click on the "Proxy.." button which will show the proxy settings window.

Timeout in seconds

Time until the Task gives up to receive a response. Default one hour, 3600 seconds.

SOAP header (XML) - only available for discovery mode Web- and WCF service

An optional header to use before the normal XML message. Could be used for some simple authentication

SOAP action (XML) - only available for discovery mode SOAP Body

If you want a specific SOAP action you specify it here. Otherwise VisualCron will try to auto-generate it.

Discovery mode

Select if the service is a Web or WCF service or SOAP Body (through web service).

SOAP body (XML) - only available for discovery mode SOAP Body

Specify the SOAP body you want to send. For example:

<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:tem="http://tempuri.org/">

<soapenv:Header/>

<soapenv:Body>

<tem:ExportData>

<tem:exportName>abc123</tem:exportName>

<tem:userName>abc</tem:userName>

<tem:password>123</tem:password>

</tem:ExportData>

</soapenv:Body>

</soapenv:Envelope>

Binding

When selecting a WCF service you may select binding after refreshing the classes and methods. The binding tells VisualCron which communication method to use.

Class

This is the name of the Class.

Show only public types

When selecting a file or clicking refresh class information is loaded from the assembly. By default, only public classes are loaded. If you want to load class with other modifiers/visibility you must uncheck this.

Method

When you change the Class all methods within that Class will be populated into the method combo box.

Show only Public methods

When selecting a file or clicking refresh method information is loaded from the assembly. By default, only public methods are loaded. If you want to load method with other modifiers/visibility you must uncheck this.

Expect 100 Continue

Enable this if you get HTTP error 417.

Return type

This label shows the return type of the selected method. This is the type that will be converted to a string in the Output of the Task.

Parameters

Double click on parameter rows to set values. Depending on the value type different input forms will be used.

Security tab

Security - Authentication method

This Task lets you execute a web service with some different security methods for web authentication:

1. None - no authentication is made

2. Basic - Before transmission, the user name is appended with a colon and concatenated with the password. The resulting string is encoded with the Base64 algorithm. For example, given the user name Aladdin and password open sesame, the string Aladdin:open sesame is Base64 encoded, resulting in QWxhZGRpbjpvcGVuIHNlc2FtZQ==. The Base64-encoded string is transmitted and decoded by the receiver, resulting in the colon-separated user name and password string.

3. Digest - Digest authentication is intended to supersede unencrypted use of the Basic access authentication, allowing user identity to be established securely without having to send a password in plain text.

4. Windows - the current Windows user information on the client computer is supplied by client through a cryptographic exchange involving hashing with the Web server.

5. Certificate - this authentication method uses your existing Windows certificates when authenticating

Credential

This is the Credential that is used in the authentication method. Click on Manage Credentials to create a new Credential.

Notes about Troubleshooting:

The HTTP request is unauthorized with client authentication scheme 'Ntlm'. The authentication header received from the server was 'NTLM'.

The user name and/or password is wrong.


Task Net - FTP/FTPS/SFTP/SCP

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - FTP/FTPS/SFTP/SCP

The FTP Task lets you send files over the Internet according to the standardized FTP protocol, SCP and SFTP using the SSH protocol. It is possible to connect securely through FTPS with explicit and implicit encryption. The FTP/SCP/SFTPS Task uses the FTP/SCP/SFTP Connection for configuring how to connect to the remote server.

In VisualCron, the connection properties are separated from the FTP Task properties to give advantages such as re-use of connections.

To add a FTP Task, you select Task type "FTP/FTPS/SFTP/SCP" from the combo box in the Add/Edit Task -> Main settings tab and enter a name for the Task and specific data for the Task.

In the FTP/FTPS/SFTP/SCP tab, all the defined FTP commands that are associated with this Task are listed. These FTP commands are run in the list order. You can change the order by marking a row and click on the numeric up/down button. When different commands use different Connections, it is recommended that you run the commands with the same connection in order. Thus, VisualCron does not have to disconnect between commands which else will slow down the Task.

Click on FTP/FTPS/SFTP -> Add button to add a new FTP command in the Add/Edit FTP command window.

Command type

Select the appropriate FTP command.

The following commands exists currently:

·Upload file(s)

·Download file(s)

·Rename file(s)

·Copy/Move file(s)

·List files

·Delete file(s)

·Create folder

·Delete folder(s)

·Change folder

·Rename folder

·Custom command

Note 1: The Custom command method does not support custom commands that require a data connection such as STOR (Upload), RETR (Download), NLST and LIST (GetFolderContents), etc.

Note 2: This command type is not available for SFTP protocol type.

Connection

Click on the Manage connections button to add/edit existing connections. Select a connection once you have configured it.

Credential

Credentials could be needed if you want to upload or download files to or from a network drive. Click on the Manage credentials button to add a new credential. Be sure to specify a UNC path to the file/folder when uploading/downloading (\\servername\folder\file)


Command - Upload file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Upload file(s)

The upload command sends one or more files and creates recursive folders if necessary.

Upload > File filter sub tab

For upload, VisualCron uses the standard file filter to specify files that should be uploaded.

Upload sub tab

Delete source file after copy

Deletes the local file after being uploaded.

Destination folder

Enter the folder name where the files are to be sent. If your server supports relative paths, you could specify a destination folder in this way: /topfolder/subfolder

Overwrite options

·Overwrite - always if existing: if destination file already exists it will be overwritten

·Overwrite - if newer: if the source file is newer than the destination file the destination file will be overwritten

·Overwrite - if destination size is -: with this option you can overwrite a file depending on destination file size compared to the original file size on the ftp

·Do not overwrite if existing - VisualCron does not overwrite the existing file if it already exists

·Append if destination i smaller - otherwise overwrite: writes bytes to existing data until size is the same as source - if not smaller then a overwrite will done

·Append if destination i smaller - otherwise overwrite if newer: writes bytes to existing data until size is the same as source - if not smaller then a overwrite will done if source file is newer than destination file

·Append if destination i smaller - otherwise skip: writes bytes to existing data until size is the same as source - if not the file will not be sent

Resume if transfer failed

Will append to the file if something fails during transfer. The second interval will be used as a pause between each retry. Specify number of retries it will do before finally giving up.

Transfer type

Original transfer type settings are stored in the Connection. It is possible to override this setting for this specific command.


Command - Download file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Download file(s)

The download command is able to receive one or more files recursively if needed.

For download, VisualCron uses the remote file filter to specify files that should be downloaded.

Download sub tab

Delete source file after copy

Deletes the original file on the ftp after it has been downloaded.

Use raw listing fallback

Some old *nix servers have problems with the LIST command. You can try this function if download fails.

Destination folder

The local folder (or network drive) where you want store the file(s). Use credentials if you want store files on a network drive.

Overwrite options

·Overwrite - always if existing: if destination file already exists it will be overwritten

·Overwrite - if newer: if the source file is newer than the destination file the destination file will be overwritten

·Overwrite - if destination size is -: with this option you can overwrite a file depending on destination file size compared to the original file size on the ftp

·Do not overwrite if existing - VisualCron does not overwrite the existing file if it already exists

·Append if destination i smaller - otherwise overwrite: writes bytes to existing data until size is the same as source - if not smaller then a overwrite will done

·Append if destination i smaller - otherwise overwrite if newer: writes bytes to existing data until size is the same as source - if not smaller then a overwrite will done if source file is newer than destination file

·Append if destination i smaller - otherwise skip: writes bytes to existing data until size is the same as source - if not the file will not be sent

Resume if transfer failed

Will append to the file if something fails during transfer. The second interval will be used as a pause between each retry. Specify number of retries it will do before finally giving up.

Keep modified/created date

This option will set the same modified and creation date as the on the ftp.

Save files to destination folder

This option saves all files (including files in sub folders if Include sub folders are checked) in the root of the destination folder.

Save files to destination relative to source path

This option will create sub folders (if existing) relative to the Source folder in remote file filter. For example, if source is /ftp/download, destination is c:\test and files reside in /ftp/download/subfolder the folder c:\test\subfolder will be created for the file.

Save files to destination with full relative path

This option will create sub folders (if existing) by appending the current path to the destination path. For example, if source is /ftp/download, destination is c:\test and files reside in /ftp/download/subfolder the folder c:\test\ftp\download\subfolder will be created for the file.

Replace unsupported characters with character

If checked, VisualCron will replace any character that is not supported in Windows file system with the specified character.

Transfer type

Original transfer type settings are stored in the Connection. It is possible to override this setting for this specific command.


Command - List files

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - List files

For list files, VisualCron uses the remote file filter to specify files that should be listed.

List files sub tab

Output

Disable or enable Full path for listed files


Command - Delete file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Delete file(s)

For delete files, VisualCron uses the remote file filter to specify files that should be deleted.

Delete file sub tab

Delete file

Text ...


Command - Copy/Move file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Copy/Move file(s)

The Copy/Move command copies or moves one file on the remote server to another folder on the remote server.

This command uses the Remote file filter to identify files to move or copy.

Copy/Move sub tab

Destination folder

The folder which the file(s) should be moved/copied to.

Create folder if not existing

If this is checked the destination folder will be created if not existing.

New file name mask

The name that the file should have when entering the destination folder. Use * for keeping the original name.

Overwrite options

Optionally you can choose to copy/move only depending on file properties on the destination file (if it exists).

Keep existing file

If this property is checked the original file will be copied to the destination file and the original file will be kept. Otherwise, a move/rename will occur.


Command - Delete folder(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Delete folder(s)

The Delete folder(s) command deletes one or more folders on the remote server.

Delete folder sub tab

Folder

Specify the name of a folder to delete on the server. If the server supports it you can specify a relative path; /folder/subfolder. If not, you first have to use the change folder command (if you are not already in that folder).

If sub folder(s) to a folder to be deleted exist, also these are deleted.


Command - Create folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Create folder

The Create folder command creates a folder on the remote server.

Create folder sub tab

Folder name

Specify the folder name to be created. If the server supports it you can specify a relative path; /folder/subfolder. If not, you first have to use the change folder command (if you are not already in that folder).


Command - Change folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Change folder

The Change folder command changes to another folder location on the remote server.

Change folder sub tab

Folder name

Specify the folder name to change to. If the server supports it you can specify a relative path; /folder/subfolder. If not, you first have to use the change folder several times to get to your folder.


Command - Rename file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Rename file(s)

The Rename file command renames one or more files on the remote server.

For rename files, VisualCron uses the remote file filter to specify files that should be renamed.

Rename file sub tab

New name

The new relative file name.


Command - Rename folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Rename folder

The Rename folder command renames a folder on the remote server.

Rename folder sub tab

Original name

The original relative folder name.

New name

The new relative folder name.


Command - Custom command

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks > Task Net - FTP/FTPS/SFTP/SCP >

Command - Custom command

Custom commands can be sent. This can be useful if you need to send a command which is not implemented in VisualCron. However, not all commands are supported by all FTP servers. In order to determine which commands are supported, you can the send the "HELP" command (and turn on output logging from the connection).

Custom command sub tab

Enter the commands separated by new lines in the text box.


Task Net - SSH

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - SSH

The SSH Task lets you execute commands on a remote SSH server through the Command Channel of SSH. SSH servers are standard in Linux and exists on all kinds of operating systems. This lets you extend the execution to other operating systems.

In computing, Secure Shell or SSH is a set of standards and an associated network protocol that allows establishing a secure channel between a local and a remote computer. It uses public-key cryptography to authenticate the remote computer and (optionally) to allow the remote computer to authenticate the user. SSH provides confidentiality and integrity of data exchanged between the two computers using encryption and message authentication codes (MACs). SSH is typically used to log into a remote machine and execute commands.

VisualCron can, with the SSH Task, connect to a remote computer and execute commands securely via SSH. All output is captured and returned to the output of the Task.

Command type

You can execute one or more commands after each other. When one command is done, the next command in order is executed. The output of each command is added to the output of the Task. If you need to separate the output from the different commands, then add a new Task for each command.

Send command: This is a high-level method that connects to server, executes command and gets the entire response. Use this method to execute a simple command which does not require client-server interaction.

Send text: Use SendText to send a string data through the logical connection.

Connection

Before entering any command you must create a Connection. Click on Manage Connections to add a new Connection. Select SSH connection and alter connection settings. There are some specific settings for the SSH connection like if there is support for SSH1 or SSH2.

To add a new Command click on Add. Enter the Command in the text field and click on OK to save it.

If you are using Command type Send command, the environment variables are not picked up automatically but you can specify them in the text field.


Task Net - Ping

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - Ping

The ping Task is used to test whether a particular host is reachable across an IP network. It works by sending ICMP “echo request” packets to the target host and listening for ICMP “echo response” replies. ping estimates the round-trip time in milliseconds.

Hostname

The IP address or host name of the server you want to PING.

Timeout in milliseconds

Timeout before the reply is considered too long. Produces error if longer than timeout.

TTL

Time to live (sometimes abbreviated TTL) is a limit on the period of time or number of iterations or transmissions in computer and computer network technology that a unit of data (e.g. a packet) can experience before it should be discarded. Use a value between 1 and 255.


Task Net - Check port

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - Check port

The Net - Check port Task lets you check if a certain port on a host is up.

Hostname

The IP address or host name of the server you want to check port for.

Port

Port number to be used.

Protocol

Type of protocol to be used.

Timeout in milliseconds

Timeout before the reply is considered too long. Produces error if longer than timeout.


Task Net - Serial send

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - Serial send

The Serial send Task lets you communicate with a wide range of devices that uses COM port interface.

Connection

Serial connection parameters of the device to connect to.

Send text

Text to send to the device by connection.


Task Net - WebDAV - Download

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - WebDAV - Download

The WebDAV - Download Task lets you download documents based on a file filter. Web-based Distributed Authoring and Versioning (WebDAV) is a set of methods based on the Hypertext Transfer Protocol (HTTP) that facilitates collaboration between users in editing and managing documents and files stored on World Wide Web servers.

Connection

All WebDAV Task uses connection settings from a Connection. In Connections you can create a new WebDAV connection with all other details like Proxy. In the combo box you select the Connection after creation.

Source URL folder

This is the URL where the remote file(s) reside.

File mask

This field is able to use either the exact name of a file you want to copy/move or a combination with wild cards to find one or more files.

Destination folder

This is the local folder where the file(s) should be downloaded to.

Credential

Select a Credential if you want to download to a network drive.


Task Net - WebDAV - Upload

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - WebDAV - Upload

The WebDAV - Download Task lets you upload documents based on a file filter. Web-based Distributed Authoring and Versioning (WebDAV) is a set of methods based on the Hypertext Transfer Protocol (HTTP) that facilitates collaboration between users in editing and managing documents and files stored on World Wide Web servers.

The WebDAV - Upload Task lets you upload based on the standard file filter.

WebDAV Upload > Upload settings tab

Connection

All WebDAV Task uses connection settings from a Connection. In Connections you can create a new WebDAV connection with all other details like Proxy. In the combo box you select the Connection after creation.

Target URL Folder

This is the remote folder you want to upload to.


Task Net - WebDAV - Copy files

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - WebDAV - Copy files

The WebDAV - Copy/Move files lets you copy or move files that are located on one remote folder to another remote folder. Web-based Distributed Authoring and Versioning (WebDAV) is a set of methods based on the Hypertext Transfer Protocol (HTTP) that facilitates collaboration between users in editing and managing documents and files stored on World Wide Web servers.

Connection

All WebDAV Task uses connection settings from a Connection. In Connections you can create a new WebDAV connection with all other details like Proxy. In the combo box you select the Connection after creation.

Source file/folder

The full url to a file or folder you want to copy or move.

File/folder mask

This field is able to use either the exact name of a file or folder you want to copy/move or a combination with wild cards to find one or more files.

Filter

The filter decides what to copy/move. If you specify "Files" it will only use the File/Folder mask to find files.

Destination file/folder

The full url to a file or folder you want to copy or move to.

Delete

If checked, a "Move" operation will be done - otherwise copy (keep original file).


Task Net - WebDAV - Delete

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - WebDAV - Delete

The WebDAV - Delete lets you delete, one or more, files or folders. Web-based Distributed Authoring and Versioning (WebDAV) is a set of methods based on the Hypertext Transfer Protocol (HTTP) that facilitates collaboration between users in editing and managing documents and files stored on World Wide Web servers.

Connection

All WebDAV Task uses connection settings from a Connection. In Connections you can create a new WebDAV connection with all other details like Proxy. In the combo box you select the Connection after creation.

Folder URL

The full remote base folder URL.

File/folder mask

This field is able to use either the exact name of a file or folder you want to delete or a combination with wild cards to find one or more files.

Delete filter

If the file/folder mask should look for Files or Folders when deleting.


Task Net - WebDAV - Create folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Net Tasks >

Task Net - WebDAV - Create folder

The WebDAV - Create folder lets you create a remote folder. Web-based Distributed Authoring and Versioning (WebDAV) is a set of methods based on the Hypertext Transfer Protocol (HTTP) that facilitates collaboration between users in editing and managing documents and files stored on World Wide Web servers.

Connection

All WebDAV Task uses connection settings from a Connection. In Connections you can create a new WebDAV connection with all other details like Proxy. In the combo box you select the Connection after creation.

Folder URL

The full URL to the folder you want to create.


Messaging Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Messaging Tasks


Task Messaging - Email

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Email

The Messaging Email Task lets you send text and/or HTML emails that can be encrypted/signed through SMIME or PGP to one or more recipients. You may add attachments to the email. You can set priority and get notifications if file has been read or received.

Connection

You have to select a SMTP Connection. All connections are "global" and you can add new connections by clicking on Manage connection.

Subject

Subject of your message.

From name

The name that will appear as "from" in the email.

From email

The email address that will appear as "from" in the email.

Reply to email If you want another reply address than the From email you enter it here. Leave blank if you don't want to use it.

Priority

The priority of the email. Will be marked differently depending on what type of client the recipient has.

Security

You can choose to Sign and/or Encrypt the message in S/MIME or PGP/MIME format. Select appropriate method. When selected new tabs Sign/Encrypt will be enabled which needs further settings to complete the Task.

Message type

The message can be sent in text and/or html format. Check the boxes here and tabs will be enabled for editing.

Email -> Recipients sub tab

Recipients separator

If you specify multiple addresses manually or in a file, VisualCron needs to know how you separated these. Select the appropriate separator here.

Specify manually

Here you can manually enter email addresses separated by the appropriate separator.

Load from file

Specify a path to a file that contains a separated list of emails.

Send separate emails

By default, for privacy, VisualCron sends one email per recipient and does not show other recipients in the To-field. If you want to change this behavior you can uncheck this box.

Email -> Text sub tab

Enter the text message here. Will only be enabled if you have selected Text as message type.

Email -> HTML sub tab

Enter the HTML message here. Will only be enabled if you have selected HTML as message type.

Email -> IE Preview sub tab

In the IE Preview tab you can see how your HTML text would look in the Internet Explorer web browser.

Email -> Attachments sub tab

You can send any kind of attachment with the Email Messaging Task. If the attachments are located on a restricted area/network drive you must use a Credential to access it. You select the Credential when editing the attachment. The attachment tab shows a list. Click on Add, Edit or Delete to alter which attachments to use.

If Add is selected, the standard file filter definitions are opened.

Email > Sign (PGP/MIME) sub tab

In order to be able to activate the Sign settings, the Use PGP/MIME security features must be selected in the Email > Main settings window.

Sign message

Click on Sign message to activate signing

Use new features

Use this property for compatibility with old versions of PGP-compatible software. If this property is set to True, then newer and stronger algorithms will be used. If the property is set to False, then the result will be compatible with PGP 2.6.x, while the keys are compatible (i.e. don't use features not supported by PGP 2.6.x).

Choose key ring

Select one of existing key rings to match for senders email. When selecting a key ring all existing keys will be listed in the grid.

Manage key rings

Click on this button to create/import new key rings.

Password

If your key requires a password you should enter it here.

Email > Sign (S/MIME) sub tab

In order to be able to activate the Sign settings, the Use S/MIME security features must be selected in the Email > Main settings window.

Sign message

Click on Sign message to activate signing

Sign clear format

There are two possible types of message signing. If the first type is used any user will be able to read the message. If program that can't process signatures is used there is no way to check signature but it is still possible to read the message. When this type is used content-type of the message is 'multipart/signed'.

When second type is used, such program will be only able to show attachment with no meaning. But the second type is more protected against damages during passing the mail servers. When this type is used, content-type of the message is 'application/pksc7-mime; smime-type=signed-data'. Default value is True which corresponds to the first type.

Sign root header

Use this property to specify whether to sign root header of the message.

Manage certificates

Click on this button to create/import new certificates.

Choose certificate grid

You must select one certificate that matches your from address in order to be able to sign.

Email > Encrypt (PGP/MIME) sub tab

In order to be able to activate the Encrypt settings, the Use PGP/MIME security features must be selected in the Email > Main settings window.

Encrypt message

Click on Encrypt message to activate encryption

Choose key ring

Select one of existing key rings to match recipients email. When selecting a key ring all existing keys will be listed in the grid.

Manage key rings

Click on this button to create/import new key rings

Email > Encrypt (S/MIME) sub tab

In order to be able to activate the Encrypt settings, the Use S/MIME security features must be selected in the Email > Main settings window.

Encrypt message

Click on Encrypt message to activate encryption

Manage certificates

Click on this button to create/import new certificates.

Choose certificate grid

You must select a certificate that matches each recipient in order to encrypt.


Task Messaging - Email - Get headers

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Email - Get headers

The Messaging - Email - Getheaders Task retrieves all message headers (i.e. Subject, Date, To and From information.

Email - Get headers > Main settings sub tab

Connection

To use Email Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Mail folder

If desired, change to Use specified folder and use manual folder specification or click the Folder icon.

Decryption by

If email decryption is used, enter certificate name.

Email - Get headers > Conditions sub tab

From address, Subject, Body, Received date

If desired, filter email options for different items as selected by the individual drop-down lists. Please note that Body->Contains searches on whole words and cannot search on part of words.

Read option

If desired, filter by read state.

Email - Get headers > Attachment filter sub tab

File mask

If desired, filter attachment by file mask. Click the File icon to open to browse for an existing file mask file.

Size

If desired, filter by attachment size.


Task Messaging - Email - Get messages

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Email - Get messages

The Email Get Messages Task retrieves one or more messages.

Email - Get messages > Main settings sub tab

Connection

To use Email Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Mail folder

If desired, change to Use specified folder and use manual folder specification or click the Folder icon.

Message on server

If desired, change message on server options.

Decryption by

If email decryption is used, enter certificate name.

Save email

If desired, change save email options. For credential, click the Settings icon to open the Manage Credentials dialog.

Email - Get messages > Conditions sub tab

See the Task Messaging - Email - Get headers > Email - Get headers > Conditions sub tab

Email - Get messages > Attachment filter sub tab

See the Task Messaging - Email - Get headers > Email - Get headers > Attachment filter sub tab


Task Messaging - Email - Get single message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Email - Get single message

The Email Get Single Message Task retrieves one message by its ID or message index number.

Email - Get single message > Main settings sub tab

Connection

To use Email Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Mail identifier

Specify mail ID or index number for message that is to be retrieved.

Message on server

If desired, change message on server options.

Decryption by

If email decryption is used, enter certificate name.

Save email

If desired, change save email options. For credential, click the Settings icon to open the Manage Credentials dialog.

Email - Get single message > Attachment filter sub tab

See the Task Messaging - Email - Get headers > Email - Get headers > Attachment filter sub tab


Task Messaging - Email - Delete single message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Email - Delete single message

The Email Delete Single Message Task removes one message by its message ID or message index number.

Email - Delete single message tab

Connection

To use Email Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Mail identifier

Specify mail ID or index number for message that is to be deleted.


Task Messaging - Email - Delete messages

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Email - Delete messages

The Email Delete Messages Task removes one or more messages.

Email - Delete messages > Main settings sub tab

Connection

To use Email Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Mail folder

If desired, change to Use specified folder and use manual folder specification or click the Folder icon.

Decryption by

If email decryption is used, enter certificate name.

Email - Delete messages > Conditions sub tab

See the Task Messaging - Email - Get headers > Email - Get headers > Conditions sub tab

Email - Delete messages > Attachment filter sub tab

See the Task Messaging - Email - Get headers > Email - Get headers > Attachment filter sub tab


Task Messaging - XendApp

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - XendApp

The Messaging - XendApp Task send messages of multiple content types directly to your phone or other device. Combining the best features of SMS and email. See http://xendapp.com for more information.

XendApp is a platform for delivering instant messages to any device (phone/tablet). It is a free service which uses notification services to deliver a message. Registration can be done here.The XendApp Task uses the XendApp Connection.

Connection

The instant messaging sender is centrally stored in Connections. You need to create a Connection representing the user you want to send the message from.

Provider

Text ...

Channel

Text ...

Subject

Text ...

Content type

Text ...

Body

Text ...

Encrypt body

Text ...


Task Messaging - Instant messaging

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Instant messaging

The Messaging - Instant messaging Task lets you send a message by a number of instant messaging protocols including: MSN, Yahoo, Google Talk, ICQ, AIM and Jabber. The Task connects, send message and then disconnects. This Task uses the IM Connection.

Connection

The instant messaging sender is centrally stored in Connections. You need to create a Connection representing the user you want to send the message from.

Protocol

If you want to use MSN, Yahoo, Google Talk, ICQ, AIM or Jabber.

Recipient

This is the user name or email of the user that should receive the message. Please note that some protocols want the username instead of email and vice versa.

When using GTalk the recipient is the full email. Note that the sender in Connection should only be username - not email.

Message

This is the message that should be sent. You can use Variables in this fields.

Notes about Instant messaging:

No output.
When using GTalk the user name is just the user. For example if the email is visualcron@gmail.com you should just use "visualcron".


Task Messaging - SysLog

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - SysLog

The SysLog Task can be used for computer system management and security auditing as well as generalized informational, analysis and debugging message. It is supported by a wide variety of devices (like printers and routers) and receivers across multiple platforms. Because of this, SysLog can be used to integrate log data from many different types of systems into a central repository.

Host

Host name to connect to.

Message properties

Type of message to be sent.

Message

The Syslog message to be sent.


Task Messaging - Pushbullet - Send message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Pushbullet - Send message

The Pushbullet - Send message Task allows you to send a message to any contact and/or your own device and/or channel.

Connection

Select an existing global Pushbullet Connection for storing connection credentials.

Title

The notification title.

Body

The message of the notification.

Pushbullet - Send Message > Recipients > Devices sub tab

With Pushbullet you can send to a Contact, Device or a Channel. If you have selected a Connection these will refresh and you will be able to select on or more recipients.


Task Messaging - Pushbullet - Send SMS

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Pushbullet - Send SMS

The Pushbullet - Send SMS Task lets you to send an SMS through your registered device to any phone number. A device could be a phone that you have linked to Pushbullet services.

Connection

Select an existing global Pushbullet Connection for storing connection credentials.

Phone number

The recipient phone number.

Body

The message of the SMS.

Pushbullet - Send SMS > Sending device(s) > Devices sub tab

Devices

Select a phone (among the devices) that will send the SMS.


Task Messaging - Pushbullet - Send link

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Pushbullet - Send link

The Pushbullet - Send message Task allows you to send a link to any contact and/or your own device and/or channel.

Connection

Select an existing global Pushbullet Connection for storing connection credentials.

Title

The notification title.

Link

The URL that the user should get to when clicking on title.

Body

The message of the notification.

With Pushbullet you can send to a Contact, Device or a Channel. If you have selected a Connection these will refresh and you will be able to select on or more recipients.

Pushbullet - Send Link > Recipients > Devices sub tab


Task Messaging - Pushbullet - Send file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Pushbullet - Send file

The Pushbullet - Send file Task allows you to send a file to any contact and/or your own device and/or channel.

Connection

Select an existing global Pushbullet Connection for storing connection credentials.

Body

The message associated with the file being sent.

Pushbullet - Send file > File filter sub tab

Use the standard File filter to select one or more files to send.

Pushbullet - Send File > Recipients sub tabs

With Pushbullet you can send to a Contact or a Channel. If you have selected a Connection these will refresh and you will be able to select on or more recipients.


Task Messaging - Pushbullet - Upload file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Pushbullet - Upload file

The Pushbullet - Upload file Task allows you to upload one or more files to the Pushbullet cloud repository. This Task will return the URL to the uploaded file.

Connection

Select an existing global Pushbullet Connection for storing connection credentials.

Pushbullet - Upload file > File filter sub tab

Use the standard File filter to select one or more files to upload.


Task Messaging - Telegram - Send Bot message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Telegram - Send Bot message

Telegram Bot Send - Send message to subscribers of Telegram bot. Please read more about Telegram bots here.

Send to Token

Use the token from creating a new bot here.

Message

The message you want to send.


Task Messaging - Telegram - User Send message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Telegram - User Send message

Telegram User Send - Send message to users from user.

Send to Connection

Select and existing Telegram Connection.

Send to Phone number

The phone number of the user you want to send to including country code like; +1888555222

Message

The message you want to send.


Task Messaging - Slack - Send message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - Slack - Send message

The Task - Slack - Send message Task is able to send messages


Task Messaging - AMQP - Send message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - AMQP - Send message

AMQP - Send message Task sends a message to any of the supported message queue protocols that AMQP protocol supports. Currently;

·Azure Service Bus

·RabbitMQ

The AMQP Task uses the AMQP Connection.

Name

Name of the queue. Click refresh to get all once you have selected a Connection.

Durable

Indicates what state of the terminus will be retained durably: the state of durable messages, only existence and configuration of the terminus, or no state at all.

Timeout

Timeout duration that an expiring source will be retained. The source starts expiring as indicated by the expiry-policy.

Dynamic

Dynamic request dynamic creation of a remote node. When set to true by the receiving link endpoint, this field constitutes a request for the sending peer to dynamically create a node at the source. In this case the address field MUST NOT be set. When set to true by the sending link endpoint this field indicates creation of a dynamically created node. In this case the address field will contain the address of the created node. The generated address SHOULD include the link name and other available information on the initiator of the request (such as the remote container-id) in some recognizable form for ease of traceability.

Message body

The body consists of one of the following three choices: one or more data sections ("As an array" is set), one or more amqp-sequence sections ("As an array" is not set), or a single amqp-value section.

Message parameters

The message parameters are configured in the table, the name of the parameter is specified in the Name field in the form array name(parameter name), possible values ​​for the array name:

·Header

·Footer

·Properties

·ApplicationProperties

·DeliveryAnnotations

·MessageAnnotations

The Header array has the following parameters:

·Durable

·Priority

·Ttl

·FirstAcquirer

·DeliveryCount

The Properties array has the following parameters:

·GroupId

·CreationTime

·AbsoluteExpiryTime

·ContentEncoding

·ContentType

·CorrelationId

·ReplyTo

·GroupSequence

·Subject

·UserId

·MessageId

·To

·ReplyToGroupId

The remaining arrays do not have predefined parameters.

Delivery mode

You can force durable delivery mode by setting the following parameter:


Task Messaging - SNS - Publish message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Messaging Tasks >

Task Messaging - SNS - Publish message


Social Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Social Tasks


Task Social - Twitter - Tweet

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Tweet

The Twitter - Tweet Task publishes tweet in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Message

The tweet to be published.


Task Social - Twitter - Reply tweet

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Reply tweet

The Twitter - Reply tweet Task publishes a reply to a tweet in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Id reply to tweet Id

The tweet id to post a reply to

Message

The reply message to be sent


Task Social - Twitter - Get tweet

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Get tweet

The Twitter - Get tweet Task retrieves the latest or specified tweet in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Tweet Id

The tweet id to be retrieved where 0 specifies the latest tweet. The retrieved tweet is presented in output of the task.


Task Social - Twitter - Delete tweet

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Delete tweet

The Social - Twitter delete tweet Task deletes latest or specified tweet in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Tweet Id

The tweet id to be retrieved where 0 specifies the latest tweet. The retrieved tweet is presented in output of the task.


Task Social - Twitter - Follow/Unfollow user

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Follow/Unfollow user

The Social - Twitter Follow/Unfollow user Task follows or unfollows a user in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

User name

Twitter user to follow or unfollow.


Task Social - Twitter - Send direct message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Send direct message

The Social - Twitter Send direct message Task sends a direct message to a user in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

User name

Twitter user to send message to.

Note about Send direct message:

You cannot send a message to a user who are not following you.


Task Social - Twitter - Retweet/Undo retweet

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Retweet/Undo retweet

The Twitter - Retweet/Undo retweet Task retweets an existing tweet or undo a retweet in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Undo retweet

Deletes a previous retweet by all Twitter account accounts following the used account.

Tweet Id

Number part in link to tweet.


Task Social - Twitter - Like/Undo like

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Like/Undo like

The Twitter - Like/Undo like tweet Task performs a like or unlike on a tweet in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

UnLike tweet

Removes a previous liked tweet.

Tweet Id

Number part in link to tweet.


Task Social - Twitter - Search tweets

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Search tweets

The Twitter - Search tweets Task searches tweets in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Search query

A UTF-8, URL-encoded search query of 500 characters maximum, including operators. The only required search parameter.

Locale

Intended for language-specific consumers and the default should work in the majority of cases.

Max # of results

The number of tweets to return per page, up to a maximum of 100. Defaults to 15.

Geo data

Returns tweets by users located within a given radius of the given latitude/longitude.

Until

Returns tweets created before the given date. Date should be formatted as YYYY-MM-DD.

Since ID

Returns results with an ID greater than (that is, more recent than) the specified ID.

Max ID

Returns results with an ID less than (that is, older than) or equal to the specified ID.

Language

Returns tweets by language, given by an ISO 639-1 code.

Geo data

Returns tweets by users located within a given radius of the given latitude/longitude.

See Twitter Developer Documentation for detailed GET search/tweets information.


Task Social - Twitter - Get messages

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Get messages

The Twitter - Get messages Task retrieves sent or received messages in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Maximum number of messages

Specifies the number of direct messages to try and retrieve, up to a maximum of 200.

Since ID

Returns results with an ID greater than (that is, more recent than) the specified ID.

Max ID

Returns results with an ID less than (that is, older than) or equal to the specified ID.

Skip status

When checked, statuses will not be included in the returned user objects.

Include entities

The entities node will not be included when not checked.

See Twitter Developer Documentation for detailed GET messages information.


Task Social - Twitter - Get timeline

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Get timeline

The Twitter - Get timeline Task retrieves own or specified user timeline in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Home/User

Select own or specified user time-line.

Max count of tweets to retrieve

Specifies the number of Tweets to try and retrieve, up to a maximum of 200 per distinct request.

Since ID

Returns results with an ID greater than (that is, more recent than) the specified ID.

Max ID

Returns results with an ID less than (that is, older than) or equal to the specified ID.

Include entities

The entities node will not be included when not checked.

Exclude replies

This setting prevents replies from appearing in the returned timeline.

Trim user

When checked, each Tweet returned in a timeline will include a user object including only the status authors numerical ID.

See Twitter Developer Documentation for detailed GET timeline information.


Task Social - Twitter - Get mentions

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Get mentions

The Twitter - Get mentions Task retrieves of specified user in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

Max count of tweets to retrieve

Specifies the number of Tweets to try and retrieve, up to a maximum of 200 per distinct request.

Since ID

Returns results with an ID greater than (that is, more recent than) the specified ID.

Max ID

Returns results with an ID less than (that is, older than) or equal to the specified ID.

Include entities

The entities node will not be included when not checked.

Trim user

When checked, each Tweet returned in a timeline will include a user object including only the status authors numerical ID.

See Twitter Developer Documentation for detailed GET mentions information.


Task Social - Twitter - Get friends

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Get friends

The Twitter - Get friends Task retrieves a users friends on Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

User ID

The screen name of the user for whom to return results for.

Only IDs

Returns only friends ID numbers.

User name

The screen name of the user for whom to return results for.

See Twitter Developer Documentation for detailed GET friends information.


Task Social - Twitter - Get followers

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Social - Twitter - Get followers

The Twitter - Get followers Task retrieves a users followers in Twitter.

Connection

To use Twitter Tasks you need to create a Connection first. You do that in the Twitter Connection dialog.

User ID

The screen name of the user for whom to return results for.

Only IDs

Returns only followers ID numbers.

User name

The screen name of the user for whom to return results for.

See Twitter Developer Documentation for detailed GET followers information.


Task Facebook - Publish

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Social Tasks >

Task Facebook - Publish

Enter topic text here.


Database Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Database Tasks


Task Database - SQL

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Database Tasks >

Task Database - SQL

The SQL Task can execute a SQL command or a stored procedure against any database through ODBC, OLEDB and support for direct connections to MSSQL, Oracle and MySQL.

Select type of query; Text or Stored Procedure, only the active tab is saved.

SQL tab

Connection

To use the SQL Task you need to create a Connection first. You do that in the Connections dialog.

Credential

If you want to Execute with a trusted connection in MSSQL you need to use a Credential in combination with the Connection for trusted connection. The Credential must be a valid Windows user on the local server (if database is local) or a valid user on remote server (if server is not local).

Command Timeout

Timeout in seconds before the query should exit.

Text

Enter your SQL text query.

Split and run multiple queries with semicolon as separator

Text ...

SQL > Stored Procedure sub tab

Name of stored procedure

The name of the stored procedure to be executed. Click the Refresh icon to populate the drop-down list of stored procedures.

Parameters

The grid shows all defined parameters. Click the Add button to open the parameter window. Click other buttons to update the list of parameters.

Enter parameter values for Name, Value, Data type and Parameter direction.

Use null value

If checked, the NULL value will override the Value.

Validate value

If checked, VisualCron will validate the value with the value type. Leave not checked if you are using a Variable as value and the Variable is not yet set.

Test your SQL Task before closing the VisualCron client. Errors will be reported in the log window.

SQL > Job sub tab

The Job definitions are only valid for MSSQL.

Use this option if you want to execute a remote Package of type SSIS/DTS. You need to create a Job of your package first.

Name of Job

Specify the Job name if you want to execute a Job in the database.

Job steps

Define a flow of steps with decision points depending on correct or failed result.

Output tab

The output tab controls the format of the date output from the SQL Task.

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Add info messages to output

Internal SQL database engine debug and warning output will be added to Task output if this is checked.

Some SQL Task notes:

·use appropriate prefix on variable, normally @variablename

·take advantage of predefined connection strings

·when using ODBC, remembe to add your parameters in the order you want to use them

·if you have DNS connections - take advantage of them

·test SQL Tasks and look for error message in the log window

·if you are running PL-SQL statement on Oracle write them like this: BEGIN FM.MQ.ADD_MSG_DIRECT('FORM','LV_SENDER','LV_POSN_UPLOAD',213,'ORG_ID'); END;

·to get Output parameters please use the result Variables below:

Troubleshooting:

1. ODBC->ERROR [42000] [Microsoft][ODBC SQL Server Driver][SQL Server]Invalid parameter 1 (''): Data type 0x23 is a deprecated large object, or LOB, but is marked as output parameter. Deprecated types are not supported as output parameters. Use current large object types instead.

- Try changing data type from Text to VarChar or NVarChar.

- Also, make sure you are using the exact length of the parameter compared to the object in MSSQL.

2. The Size property has an invalid size of 0.

Try setting the same exact size as the parameter.

ORA03113

Try upgrading to the latest version of VisualCron.


Task Database - Execute DTS package

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Database Tasks >

Task Database - Execute DTS package

This Task lets you execute local DTS packages. VisualCron must reside on the server machine to be able to execute this Task. To execute remote DTS packages you can use the SQL Task and type Job.

Execute DTS package tab

Package located in file

Specify the full path to the file.

Package located in database

If the package is located in the database then you specify the package name here.

SQL Credential

When using a Trusted connection this should be a Windows user that have access to the SQL server. Use Load profile option in the Credential. The domain name must be the DNS name or IP of the SQL server. Click the Settings icon to open the Manage credentials dialog.

When not using a Trusted connection this should be the username and password of the SQL Server. The domain name must be the DNS name or IP of the SQL server.

Use trusted connection

Check this if you want to impersonate as a Windows user to access database instead of using SQL Server credentials.

Variables

If the package needs variables you enter them here by clicking on Add.


Task Database - Execute SSIS package

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Database Tasks >

Task Database - Execute SSIS package

This Task lets you execute local SSIS packages. VisualCron must reside on the server machine to be able to execute this Task. To execute remote SSIS packages you can use the SQL Task and type Job.

Execute SSIS package tab

MSSQL server version

Select if you are using MSSQL 2005 or 2008.

Execute in 32 bit mode

Check this if your MSSQL version is running in 32 bit mode.

Credential

A set of Credentials that is used to impersonate the whole SSIS call. Click the Settings icon to open the Manage credentials dialog.

Package located in file

Specify the full path to the file.

Package located in database

If the package is located in the database then you specify the package name here.

SQL Credential

Specify a Credential that consists of the server name or IP address together with user name and password.

Variables

If the package needs variables you enter them here by clicking on Add.

Note

For this Task to work you need to have installed, at least, SQL Server Integration Services, on the machine that VisualCron is installed on.

For more information, see SQL Server Integration Services.

Troubleshooting

Could not load file or assembly 'Microsoft.SqlServer.DTSRuntimeWrap'.

Install SQL Server Integration Services.


Task Database - Execute SSISDB package

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Database Tasks >

Task Database - Execute SSISDB package

The Task Database - Execute SSISDB package executes an existing package in from catalogs (SSISDB).

Execute SSISDB package tab

Connection

Text ...

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Package details

Text ...

Package parameters

Text ...


Task Database - SSRS

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Database Tasks >

Task Database - SSRS

The Database - SSRS Task lets you execute reports in SQL Server Reporting Services and return the result in various formats.

SSRS > Main settings sub tab

Connection

This Task type uses the global SSRS Connection type. Define username, password, host name and proxy in the Connection.

Report

Click Refresh to show the paths to all reports in the Reporting server. Select the path to an existing Report. You can find it in the Reporting Services Configuration Manager under Virtual Directory here:

Is SharePoint report

This defines that the execution is related to a SharePoint report.

Service type

This describes what kind of service type the Reporting server uses. Use SSRS for SQL Server 2005.

SSRS > Parameters tab

Click Refresh to load all parameters for the selected Report path. Add/Edit the values supplied to each report. You can click Add Multi-Value button if you want to supply a range of parameters. Alternatively, use a comma separated list and click CSV button.

SSRS > Destination tab

File format

This is the output file format.

Credential

If you need to save to a network share you should use a Credential. Click the Settings icon to open the Manage credentials dialog.

Folder

Destination folder for the output file.

File mask

Any file mask (compared to the actual report name). Using * uses the report name + extension.

Troubleshooting:

Exception in Task: System.Web.Services.Protocols.SoapException: You have attempted to use a rendering extension that is either not registered for this report server or it is not supported in this edition of Reporting Services

Check the file rsreportserver.config in  c:\Program Files\Microsoft SQL Server\MSRS10_50.MSSQLSERVER_RS\Reporting Services\ReportServer

The problem in our case is that via API we were requesting a report and attempting to convert the report from HTML to a different rendering extension. And, unfortunately, the specific Reporting Services instance’s configuration file has not been configured\extended to support the requested rendering format.

In MS SQL Server 2008-R2, the configuration file is located in a directory structure resembling the following:

 E:
   \Program Files
      \Microsoft SQL Server
         \MSRS10_50.MSSQLSERVER_RS
            \Reporting Services
               \ReportServer

In the configuration file, find the “Render” section:

< Configuration >

< Extensions >

< Render >

Within the Render section, find the corresponding “Extension” entry.

If your file format is HTML4 and you see the section try changing from name HTML4.0 to HTML4.


Task Database - Sync tables

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Database Tasks >

Task Database - Sync tables

The Database Sync tables Task synchronizes a database table from one database to another. This Task requires that you download the Microsoft Sync Framework from here.

Sync tables tab

Credential

Specify a Credential that consists of the server name or IP address together with user name and password. Click the Settings icon to open the Manage credentials dialog.

Source connection

To use the Sync tables Task you need to create a Source connection first. Click the Settings icon to open the Manage Connections dialog.

Source connection

To use the Sync tables Task you need to create a Destination connection first. Click the Settings icon to open the Manage Connections dialog.

Table copy parameters

Enter Table name and Schema name for the table to be copied.

One time copy

If checked everything will be copied once. If not checked then Triggers will be installed at source to keep track of changes for the next run.

Troubleshooting

Retrieving the COM class factory for component with CLSID {EC413D66-6221-4EBB-AC55-4900FB321011} failed due to the following error: 80040154 Class not registered (Exception from HRESULT: 0x80040154 (REGDB_E_CLASSNOTREG))., Retrieving the COM class factory for component with CLSID {EC413D66-6221-4EBB-AC55-4900FB321011}

Install the Microsoft Sync Framework. See link on top of this page.


Encryption Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Encryption Tasks


Task Encryption - PGP encrypt

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Encryption Tasks >

Task Encryption - PGP encrypt

The PGP - encrypt Task lets you encrypt one or more files using OpenPGP standard. You can either encrypt with PGP keys or plain password. Optional signing is also provided.

General PGP information is available.

The PGP Task is selected in the Add/Edit Task window by Encryption -> PGP. In the Main settings tab a name for the Task is entered.

PGP Encrypt > File filter > Location sub tab

In the File filter tab you define which files should be encrypted. Read more about file filter here.

PGP Encrypt > Encrypt sub tab

Here you have two major options when encrypting a file; either Encrypt, Sign or both.

Encrypt source

Mark this option to enable encryption of your file. The Recipients tab is connected to this property.

Encryption algorithm

VisualCron offers some standard algorithms. If you need any other algorithm then contact us.

Protection level

·"Low" - to get the key from password only, password hash is used

·"Normal" - hash from password and salt concatenation is used

·"High" - hash from multiple password and salt concatenation is used

Use conventional (password) encryption

A password will be used for encryption. Enter a password in the password field. You can use this for doing simple symmetric encryption without key rings.

Armor data

Use this property to determine if resulting data should be armored, i.e. wrapped into base64-cover.

Compress data before encryption

Specifies if the data should be compressed before encryption.

Use new features

Use this property for compatibility with old versions of PGP-compatible software.

If this property is set to True, then newer and stronger algorithms will be used in this Signinng willl be compatible with PGP 2.6.x, while Encrypt and sign will not.

If the property is set to False, then the result will be compatible with PGP 2.6.x, while the keys are compatible (i.e. don't use features not supported by PGP 2.6.x). Default value is True.

Sign source

Mark this option if you want to sign your file. Use the this option along with selecting private key rings in the PGP -> Signers tab.

Treat input as text

Use this property when you want to specify that input data must be interpreted as text.

Password

If you have a password on your private key, then enter it here.

Destination file/Destination folder

The destination file is the path to the file where the encrypted file should be saved or, when using Decrypt, where the decrypted file should be saved. When using wild cards this field will become Destination folder and all source files will be appended with ".pgp".

Use default naming for destination file

When decrypting a file you can either specify a file name in the Destination file or use this property. When using this property the original name (from the PGP MESSAGE) will be used when writing the file. When this property is checked you can use Destination file for specifying another folder than the source file folder location.

PGP Encrypt > Recipients sub tab

Specifies the key ring with public keys that belongs to the recipients of the file. Select a key ring, then mark the (public) keys that belongs to a recipient of the file.

PGP Encrypt > Signers sub tab

Specifies the key ring with keys which must be used for data signing. Select a key ring, then check the (private) keys you want to use for signing.

Key rings are managed in the PGP -> Recipients or the PGP -> Signers tabs by clicking on Manage Key Rings button. In the Manage PGP Key Ring window, click on the Add button to open the Add PGP Key Ring window. More information is available for manage PGP key rings.


Task Encryption - PGP decrypt

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Encryption Tasks >

Task Encryption - PGP decrypt

The PGP - decrypt Task can decrypt one more more encrypted files using the OpenPGP standard.

General PGP information is available.

PGP decrypt > File filter > Location sub tab

In the File filter tab you define which files should be decrypted. Read more about file filter here.

PGP decrypt > Decrypt sub tab

Select key ring

Select a key ring that contains the key that should be used for decryption.

Password

If the file is encrypted with a password then enter the password here.

Use same folder as source

The decrypted file will be placed in the same folder as were the original encrypted file was found.

Use custom destination folder

If the destination file name should be changed in some way then you can enter a new file mask for this here. Default "*.*" keeps the same original name.

Destination file mask

You can use a wild card to replace the original name. For example *.pdf keeps the original name but changes the extension to "pdf". You can use ? and * as wild card characters. ? replaces/matches a single letter.

Base destination file name on inner file name/Base destination file name on encrypted file name

Encrypted PGP files have an inner name that is set by encrypting tool. Normally, that name is the original file name. Sometimes it is different depending on tool. With this option you can choose if you want destination file mask and post process features to be based on the original name inside the pgp file or the encrypted file (the source, encrypted file).

Post process mask with Variable

Sometimes you might want to change the name with the help of a Variable. Use default * in the New name mask and then check this box to add support for Variable renaming.

The default value shows how to use this property. {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. {NEWNAME()} is the new name after the New name mask has been processed. You need this Variable pointer to find the "current" name you want to rename.

Overwrite if existing

If the destination file already exists it will be overwritten - otherwise nothing will happen.

Key rings are managed in the PGP -> Recipients or the PGP -> Signers tabs by clicking on Manage Key Rings button. In the Manage PGP Key Ring window, click on the Add button to open the Add PGP Key Ring window. More information is available for manage PGP key rings.

Troubleshooting

OpenPGP secret key for decryption found

This means that no PGP key, of OpenPGP key format, exists in the VisualCron key ring. Try importing it again.

No appropriate OpenPGP secret key for decryption found

This means that the selected PGP key ring does not contain the private key that is used for decryption.


Task Encryption - Encrypt (symmetric)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Encryption Tasks >

Task Encryption - Encrypt (symmetric)

Symmetric encryption Task provides simple encryption/decryption with a single password. The output is in RAW format, if you want PGP format then use the PGP Encrypt Task. The Task is using standard encryption algorithms like:

Provider Length (bits) Known Vulnerabilities

DES 64 yes

RC2 40-128 yes

Rijndael 128, 192, 256 no

TripleDES 128, 192 no

AES 128, 192, 256 no

If you have a choice, we recommend using AES encryption.

The Encryption - Encrypt (symmetric) Task is able to encrypt one or more files to a specific folder.

Encrypt > Encryption settings tab

Encryption algorithm

Select between the following encryption algorithms:

·DES

·RC2

·Rijndael

·TripleDES

·AES

Please note that different algorithms support different Key bit length.

Key bit length

The key bit length defines the strength of the encryption. The higher the better. Different algorithms support different key bit length.

Password

Select a password that will be used for encryption/decryption. The password is hidden in the interface but you can press Copy to copy the the password to clip board.

Encrypt > File filter tab

In the File filter tab you define which files should be encrypted. Read more about file filter here.

Encrypt > Destination tab

Destination

You can choose to encrypt files to same folder as where the original file was found by selecting Use same folder as source. If you select Use custom destination folder you are able to select a different destination folder for the encrypted file than source folder.

Destination file mask

Destination file mask is a quick way to change the file name to something else. By default it is using * which means that the same file name will be used for destination folder. If you are going to use * you need to use another destination folder. If you for example want to change the original extension to "enc" instead you can change this destination file mask to *.enc.

Post process mask with Variable

This property gives you more advanced ways to change the file name. We recommend that you use Destination file mask with value * when using this property. When checking this property the new name will be stored in a temporary variable {NEWNAME()}. You will be able to use this Variable for processing with other Variable functions. As an example we have provided the default value for this property: {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. The example uses the String.Replace method from the Variables window. It uses the {NEWNAME()} as input Variable with options to set a value that you want to replace from original file name "oldValue" and the new value "newValue".


Task Encryption - Decrypt (symmetric)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Encryption Tasks >

Task Encryption - Decrypt (symmetric)

Symmetric encryption Task provides simple encryption/decryption with a single password. The output is in RAW format, if you want PGP format then use the PGP Encrypt Task. The Task is using standard encryption algorithms like:

Provider Length (bits) Known Vulnerabilities

DES 64 yes

RC2 40-128 yes

Rijndael 128, 192, 256 no

TripleDES 128, 192 no

AES 128, 192, 256 no

If you have a choice, we recommend using AES encryption.

The Decrypt (symmetric) Task is able to decrypt one or more files from a specific folder.

Decrypt > Decryption settings tab

Encryption algorithm

Select between the following encryption algorithms:

·DES

·RC2

·Rijndael

·TripleDES

·AES

Please note that different algorithms support different Key bit length.

Password

Select a password that will be used for encryption/decryption. The password is hidden in the interface but you can press Copy to copy the the password to clip board.

Decrypt > File filter > Location sub tab

In the File filter tab you define which files should be decrypted. Read more about file filter here.

Decrypt > Destination tab

Destination

You can choose to decrypt files to same folder as where the original file was found by selecting Use same folder as source. If you select Use custom destination folder you are able to select a different destination folder for the decrypted file than source folder.

Destination file mask

Destination file mask is a quick way to change the file name to something else. By default it is using * which means that the same file name will be used for destination folder. If you are going to use * you need to use another destination folder. If you for example know it is a text file want to change the original extension from ".enc" instead you can change this destination file mask to "*.txt".

Post process mask with Variable

This property gives you more advanced ways to change the file name. We recommend that you use Destination file mask with value * when using this property. When checking this property the new name will be stored in a temporary variable {NEWNAME()}. You will be able to use this Variable for processing with other Variable functions. As an example we have provided the default value for this property: {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. The example uses the String.Replace method from the Variables window. It uses the {NEWNAME()} as input Variable with options to set a value that you want to replace from original file name "oldValue" and the new value "newValue".


String Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

String Tasks

Enter topic text here.


Task String - JSON filter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > String Tasks >

Task String - JSON filter

The String - JSON filter Task lets you perform JSON queries with the JSONPath and the JQ engine against a JSON file or value/Variable.

JQ filter manual: https://stedolan.github.io/jq/manual/

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File

Click the File radio button to enter a full file path to a JSON file. Click the File icon to browse for a JSON file.

Variable/Value

Enter Variable or value as input string. Click the Settings icon to to browse for Variables.

JSON filter engine

Select JSONPath or JQ program as a “filter”: it takes an input, and produces an output.

Filter expression

Enter the JSONPath or JQ filter expression. Click the Filter expression icon to browse the input stream structure.


File Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

File Tasks


Task File - Copy files

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Copy files

The Copy/Move file(s) Task lets you copy files easily based on file filters. Together with Credentials you are able to to copy/move from/to network drives.

In the Copy files dialog you add, edit, clone or delete copy items and change order of copy items. Changes may be done either by the toolbar buttons or mouse right click on the grid.

One Copy files Task may contain several copy items. For each copy item a source folder, a file mask and a destination folders is defined.

Clicking on the Add option opens the File filter > Location tab.

File filter > Location sub tab

The file filter sub tab contains the standard file filter. You use the file filter to "find" the files you want to copy.

Copy settings sub tab

In the copy settings sub tab you control destination folder, naming and what should happen if the file already exists.

Credential

To access a remote computer you may need to use a Credential. Normally that Credential is a remote or AD user with "Local logon" unchecked. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials. This Credential is used to access the destination directory.

Destination folder

Specify a absolute path to the directory you want to copy to.

Note 1: When you are accessing a network drive (a folder on a remote computer) as source or destination folder you must specify the path in UNC format and not the letter of the logical drive. For example Y:\remotefolder\ must be specified as \\remoteservername\remotefolder\.

Note 2: The folder path is not case-sensitive.

Note 3: To speed up copying it is recommended that you group the items that are using the same credential after each other. In this way, VisualCron does not need to switch between different (login) credentials.

Destination file name mask

You can use a wild card to replace the original name. For example *.pdf keeps the original name but changes the extension to "pdf". You can use ? and * as wild card characters. ? replaces/matches a single letter. When using the Destination file name mask, including a folder path such as "test\*" will create a subfolder in the destination folder named "test" and place the files you copy, in to that folder.

Post process mask with Variable

This property gives you more advanced ways to change the file name. We recommend that you use Destination file mask with value * when using this property. When checking this property the new name will be stored in a temporary variable {NEWNAME()}. You will be able to use this Variable for processing with other Variable functions. As an example we have provided the default value for this property: {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. The example uses the String.Replace method from the Variables window. It uses the {NEWNAME()} as input Variable with options to set a value that you want to replace from original file name "oldValue" and the new value "newValue".

Overwrite if existing

When this setting is checked, all matching files in the destination folder (older or never) will be replaced by the source files.

Overwrite if source file is newer

When this setting is checked, the destination file (if existing) will only be replaced if the source file is newer.

Don't overwrite if existing

When this setting is checked no files are overwritten if they exist.

Delete source file after copy

When this setting is checked, the source file (not the folder) will be deleted after a successful copy. Thus, the source file will be deleted even though it wasn't copied due to the settings of Overwrite if existing (if it was already existing) and Overwrite if source file is newer (if the source file was older than the destination).

Folder creation options

1.Create full folder structure

Creates the full directory structure from root folder and up.

2. Don't create sub folders

Puts all files in in the same (destination) folder

Log copy result to output

When this setting is checked, the result, source and destination file is added to the Task output. All files that are copied is added to the output.

The output has the following format: Source file path TAB -> TAB Destination file path TAB OK/FAILED

Both OK and FAILED files are added to the Task output. To the Task std. error only the failed items are added.

This setting is not default as it adds some extra information to send between the server and the client. Use this option only if you have a high speed connection, connecting locally or have a small amount of files.

Troubleshooting

Error 183 creating directory 'xxx': Cannot create a file when that file already exists

Most likely the destination Credential is wrong.

Writing thread not started

1. check that you use Credentials when trying to access a share

2. check that you use UNC paths like: \\servername\folder

3. if you use a Credential make sure that local login is unchecked in the Credential settings.


Task File - Sync files

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Sync files

The Task file - Sync files Task lets you sync files between two folders according to some file filters.

Multiple sync file items

You can add one or more file sync items in this Task.

Add file sync item->Source path and file filter tab

Use the regular file filter to filter what kind of files you want to sync.

Add file sync item->Destination path and sync settings tab

Credential

To access a remote computer you may need to use a Credential. Normally that Credential is a remote or AD user with "Local logon" unchecked. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials. This Credential is used to access the destination directory.

Destination folder

Specify a absolute path to the directory you want to sync between.

Destination->General tab

Sync type

Both sides - this option allows mirroring of files against two folders according to the current file filter.

Propagate deletions

If in one side the file is deleted - on the other side:

1.do nothing (the file remains)

2.delete file to trash

3.rename the deleted file by adding the version number to the name, the number of file versions in the directory is controlled

4.move the deleted file to the specified folder, manage the cleaning of the folder by the number of days or by file version numbers, the file rename format is set in the field, the current keywords are " {file}

" and "

{version}

", the first is replaced by the current name, the second is replaced with the version number, if the number of versions is exceeded, the previous versions of the files are renamed with the lower version number.

Destination->Advanced tab

Copy attributes->Copy file creation time

If the creation time of the file should be synced over

Copy attributes->Copy attributes

If file attributes should be synced over

Folder creation options->Create sub folders

Create sub folders when needed.

Folder creation options->Create full folder structure

Create full folder structure including empty folders.

Folder creation options->Don't create sub folders

Do not create any sub folders (sync to base folder).

Destination->Source side options tab

Compare files by->Compare checksum when needed

Ff the files are identical in length and the date of the last change, then compare the checksum of the contents of the files

Compare files by->Compare attributes

If the files are identical in length, modification date and content, then compare attributes

Deleted/changed conflicts->Do not change

Do nothing - do not change the situation.

Deleted/changed conflicts->Set as master side for the changes

When changes are detected on the other side - do not apply changes to this side

Deleted/changed conflicts->Get the newest or larger changes

If changes are detected on the other side, update the files if they are on the other side newer or larger

Same file/folder name conflicts->Do not change

Do not change the situation.

Same file/folder name conflicts->Add file to folder

If a directory on this side is found whose name coincides with the file name on the other hand - copy the file to this directory.

Same file/folder name conflicts->Rename file

When a directory on this side is found whose name matches the file name on the other side - copy the file with a new name.

Destination->Destination side options tab

Compare files by->Compare checksum when needed

Ff the files are identical in length and the date of the last change, then compare the checksum of the contents of the files

Compare files by->Compare attributes

If the files are identical in length, modification date and content, then compare attributes

Deleted/changed conflicts->Do not change

Do nothing - do not change the situation.

Deleted/changed conflicts->Set as master side for the changes

When changes are detected on the other side - do not apply changes to this side

Deleted/changed conflicts->Get the newest or larger changes

If changes are detected on the other side, update the files if they are on the other side newer or larger

Same file/folder name conflicts->Do not change

Do not change the situation.

Same file/folder name conflicts->Add file to folder

If a directory on this side is found whose name coincides with the file name on the other hand - copy the file to this directory.

Same file/folder name conflicts->Rename file

When a directory on this side is found whose name matches the file name on the other side - copy the file with a new name.

Log copy result to output

When this setting is checked, the result, source and destination file is added to the Task output. All files that are copied is added to the output.


Task File - Archive - compress

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Archive - compress

The Compress Task is able to compress files with the formats Zip,7z,Xz,Bzip2 Tar,Tar+Gzip and GZip.

The different formats provides different functionality and compatibility across different operating systems. The Tar and GZip formats can be used to read or write archives between Windows and Linux/Unix. The Zip format is the most versatile and the most common in Windows workstations. It allows you to encrypt your archive with a password and select a compression level.

VisualCron's Tar implementation is fully compatible (reading and creating) with the "USTAR" (Unix Standard TAR) archive format. The implementation is capable of reading, but not writing files with a "posix Tar" or "GNU Tar" format, as long as archive entries do not use the header extensions from either of these formats. If unsupported header extensions are encountered when reading a Tar archive, an exception will be thrown.

The USTAR format has a few limitations, two of which should be emphasized. It should be noted that these are limitations of the USTAR format and not of VisualCron's implementation.

First, the underlying representation (i.e., in the Tar format itself) of the name of an item in a Tar archive is represented by two fields, Name and Prefix (which corresponds roughly to the pathname). These fields are combined and exposed through the FullName property. The combined length of the file and path names cannot exceed 256 characters.

The second limitation is that the maximum size of file that can be archived is 8 GB. This does not mean that the maximum size of a Tar archive is 8 GB; a Tar archive can contain as many 8 GB items as is allowed by the file system of the operating system.

Although Tar and GZip are more commonly used on Unix or Linux platforms, incorporating Xceed's implementations of these file formats into your applications will ensure maximum compatibility with file types.

Tar and GZip are usually used together. Tar is an archive; it gathers a collection of files or folders into a single file, while preserving file system information (such as permissions, dates and the folder structure). However, Tar does not compress the files in any way. The GZip format on the other hand is typically used to compress single files (although it is possible for a GZip archive to contain multiple files, see Multi-file operations for details).

Using these two formats together, Tar to create an archive and then compressing it with GZip, can potentially attain greater compression ratios than using a compressing archiver such as ZIP. The ZIP format compresses the individual files and then archives them into a single .zip file. With a GZip Tar file, files are first archived into a .tar file and then the complete archive is compressed. The advantage is that the compression engine searches for similar patterns across the entire archive, rather than just within each individual file, thereby increasing the chances of finding the patterns for this kind of compression. Another advantage in using GZip is that it is currently not encumbered by patents. As a result, there are no additional licensing fees to worry about. When used together, the resulting files typically have a .tar.gz or .tgz extension.

When the Archive Task is selected in the Task window you are presented with a set of sub tabs within the Archive tab.

Archive - compress > Archive settings sub tab

The archive settings windows controls the main settings including what archiving format you would like to use and the archiving action; if you want to compress to an archive or extract an archive.

Archive type

VisualCron supports the archive types Zip,7z,Xz,Bzip2 Tar,Tar+Gzip and GZip.

Archive path

The archive path is the full path where your archive should be stored to or extracted from. You can choose any name for your archive but the following names are recommended:

·Zip: myarchive.zip

·Tar: myarchive.tar

·Tar+GZip: myarchive.tar.gz

·7zip: 7z

Use password

Password protection and encryption is only selectable for the Zip format. When checking this box you first enter a password and then examine the settings in the Compress tab. The zip format supports a light encryption algorithm which uses a string password to encrypt it's data. This type of encryption can resist attacks by amateurs if the password is well chosen and long enough (at least 16 characters, maximum of 80) but it will probably not resist attacks by determined users or experts. Therefore you should use long passwords, and whenever possible, do not solely rely on this encryption system to protect sensitive data.

Compression level

This option is available when the archive type Zip is selected. Set the compression level; higher compression level is slower but makes the file smaller.

Encryption method

This option is available when the archive type Zip is selected and password is used. There are two types of encryption methods available:

Compatible - The traditional ZIP encryption. This is a weak encryption method.

WinZipAES - The WinZip AES encryption method. This is a strong encryption method.

Encryption strength

This option is available when the archive type Zip is selected, password is used and WinZipAES encryption method is selected. Select an integer value representing the encryption strength of this file in bits, 256 is the highest bit setting and security of encryption strength.

Overwrite to archive if existing

When this option is selected, the archive will be overwritten (if existing).

Append to archive

If the archive exists it will be appended with new items.

Archive - compress > Content sub tab

This sub tab contains a list of items/objects to be compressed. Click on Add to add a new item.

The Archive item dialog is using the standard file filter for selecting one or more file that you want to add to the zip library. Read more about the file filter here.

Note: When you are accessing a network drive (a folder on a remote computer) as source or destination folder you must specify the path in UNC format and not the letter of the logical drive. For example Y:\remotefolder\ must be specified as \\remoteservername\remotefolder\.


Task File - Archive - extract

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Archive - extract

The Archive extract Task is able to extract a number of formats like Zip,7z,Xz,Rar, Bzip2,Tar, GZip, ISO and more.

Archive type

Select any of the supported archive types.

Extract to folder

Select which folder you want to extract the zip file(s) to.

Overwrite if existing

If checked, VisualCron will attempt to overwrite any existing files (from the zip folder).

Use password

If checked you are able to specify a password for the zip file.

File filter

A string that can include wild cards that control which inner files to extract. Split multiple entries with semicolon.

Case sensitive

If the file filter string should be case sensitive.

Archive - extract > Extract > Location sub tab

The extract tab contains the file filter that is used to find zip files for extraction.


Task File - List file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - List file(s)

The List files(s) Task retrieves a list of files based on the standard file filter. The list of files is added to the Output of the Task.

The main purpose of this Task is to use it for looping. For example, you could run this Task against a directory first - then use the output in the For Each loop type. The Loop will then iterate through all found files and each file can be accessed through the Loop Variables.

List file(s) > File filter > Location sub tab

The List file(s) Task uses the standard VisualCron File filter to define the properties of the listed files.

List file(s) > Output settings sub tab

Output settings

List file settings includes path and file separator options.


Task File - Read file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Read file

The Read file Task reads a specified file for use in standard output. This output can later be used in other Tasks. For example, you can use this Task to read a file that contains a message, this message can later be used in the text field of the Email Task. The content/output can be reached from the Variables.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File path

Select a path to the file you want to read.

Note: The output size is limited in VisualCron by default. To increase or remove the output limit go to the Server Settings.


Task File - Write file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Write file

The Write file Task lets you write any string to a file. The string could be a Variable, for example a result from another Task.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File path

The path to the file you want to write to.

Include BOM (if UTF8)

If checked, the byte order mark character is included in the start of the text stream

Append to file

Check this box if you to add rows to an existing file. If you want to overwrite the file please leave this unchecked.

Add new line

When appending you can check this if you want to add a new line for each string/value you add.

Value

The string/variable that you want to write to the file.


Task File - Touch file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Touch file

The Touch file Task set the last write time of one or more file(s). The Touch file Task uses the standard file filter to find files that you want to touch.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.


Task File - Delete file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Delete file

The File delete Task lets you delete file(s) with help of VisualCron file filter which can base deletion on file mask, date, size etc.

Delete file > File filter > Location sub tab

The file filter sub tab contains the standard file filter.

Delete file > Delete settings sub tab

Delete empty sub folders

If checked, empty sub folders are deleted.

Remove read only flag

If checked, the read-only folder attribute is removed, allowing delete of a read-only folder.


Task File - Rename file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Rename file

The Rename file Task renames a file. The destination file name can be altered with a wild card or a Variable.

Rename file > File filter > Location sub tab

In the VisualCron standard file filter tab you set the properties for finding files that you want to rename.

Rename file > Rename settings sub tab

In the rename settings you control the final file name.

New name mask

You can use a wild card to replace the original name. For example *.pdf keeps the original name but changes the extension to "pdf".

Post process mask with Variable

Sometimes you might want to change the name with the help of a Variable. Use default * in the New name mask and then check this box to add support for Variable renaming.

The default value shows how to use this property. {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. {NEWNAME()} is the new name after the New name mask has been processed. You need this Variable pointer to find the "current" name you want to rename.

Overwrite if existing

If the destination file already exists it will be overwritten - otherwise an error will be thrown.


Task File - Concatenate file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Concatenate file(s)

The File - Concatenate files Task is able to merge one or more files.

Concatenate files > File filter > Location sub tab

This Task uses the file filter to find one or more files to merge. Optionally, a specific file can be used (File B)

Concatenate files > Concatenate settings sub tab

Optional File B

You use the file filter to merge one or more files. Optionally, another file can be added. Specify the full path here.

Destination file

Enter the full path where the merged file should be saved to

Overwrite settings

You can control what happens if the file already exists:

·Overwrite if existing - overwrites the existing file

·Append - merges the new file with the existing

·Don't overwrite - skips the current operation and lets the current file be


Task File - List folders

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - List folders

The File - List folder Task lists all folders for the given filter and output format.

This Task is using the standard VisualCron Folder filter to find one or more folders.

List folders > Output settings sub tab

Output settings

List file settings includes folder path and folder separator options.


Task File - Create folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Create folder

The Create folder Task lets you create a folder.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Folder path

The path to the folder you want to create.


Task File - Rename folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Rename folder

The Rename folder Task renames a single folder.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Old folder path

The path to the existing folder.

New folder path

The path to the new folder.


Task File - Delete folders

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Delete folders

The Delete folder(s) Task lets you delete one or more folders.

This Task is using the standard VisualCron Folder filter to find one or more folders.


Task File - Get checksum

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Get checksum

The File - Get checksum generates a hash (checksum) value for a file and outputs it to standard output. While CRC (Cyclical Redundancy Checking) is the default algorithm, this Task also supports MD5 and several SHA (Secure Hash Algorithm) variants.

Get checksum > File filter > Location sub tab

The standard VisualCron File filter is used to specify one or more files you want to retrieve the checksum for.

Get Checksum > Output settings sub tab

Checksum algorithm

Indicates the algorithm to use during calculation. The available options are:

· CRC (default): Cyclical Redundancy Checking. Fastest and least secure.

· MD5: Message Digest 5. Slower and more secure than CRC.

· SHA1: Secure Hash Algorithm-1. Slower and more secure than MD5.

· SHA256: Secure Hash Algorithm-256. Slower and more secure than SHA1.

· SHA384: Secure Hash Algorithm-384. Slower and more secure than SHA256.

· SHA512: Secure Hash Algorithm-512. Slowest and most secure.


Task File - Set attributes

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Set attributes

The File - Set attributes Task lets you set attributes for one or more folders or files.

Set attributes > Main settings sub tab

Target

Select if you want to target by File or Folder. If you set Folder you use the Folder Filter Dialog and it will use the base folder (and sub folders if you select that). If you select Files you use the File filter dialog.

Change attributes

Select an attribute and if you want to turn on or off the attribute based on the files that are found.

Set attributes > File filter > Location sub tab

The standard VisualCron File filter is used to specify one or more files or folders you want to retrieve set attributes for.


Task File - Set owner

Task File - Change owner

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Change owner

The File - Change owner Task lets you change the owner of one or more files or folders.

Target

Select target for the Task, either files or folders. The File filter tab content will change between File filter and Folder filter depending on your selection.

It is important that you use a UNC path to the file/folder. For example F:\test should be written \\computername\f$\test in source folder.

Additional Credential

If you need extended permissions to set owner you can select a Credential here.

Windows User or Group

Controls who the new owner should be. Enter or click Refresh button to fill a list of users and groups.


Task File - Set file permissions

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Set file permissions

The File - Set file permissions Task lets you apply security permissions for one or more files.

Windows User or Group

Enter or click Refresh button to fill a list of users and groups.

Permissions

Add permissions you want to set for the files.

Folder processing options

Determines if folder, files or both should be affected by the new permissions.

Remove existing permissions associated with this user

Removes all existing permissions associated with the selected user.

Remove all existing permissions

Removes all existing permissions.

Remove all existing permissions including those inherited from parent access rules

Removes all existing permissions including those inherited from parent access rules.

Set file permissions > File filter > Location sub tab

This Task uses the standard VisualCron File filter to filter out files to set permissions for.


Task File - Set folder permissions

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Set folder permissions

The Folder - Set folder permissions Task lets you apply security permissions on one or more folders.

Windows User or Group

Enter or click Refresh button to fill a list of users and groups.

Permissions

Add permissions you want to set for the folders.

Folder processing options

Determines if folder, files or both should be affected by the new permissions.

Remove existing permissions associated with this user

Removes all existing permissions associated with the selected user.

Remove all existing permissions

Removes all existing permissions.

Remove all existing permissions including those inherited from parent access rules

Removes all existing permissions including those inherited from parent access rules.

Set folder permissions > Folder filter > Location sub tab

This Task uses the standard VisualCron Folder filter to filter out folders.


Task File - Base64 - encode

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Base64 - encode

The Encoding - Base 64 encode Task encodes a file or value to Base64 format and outputs to standard output file.

Source

Select File if you want to encode an existing file. When selecting File, the standard VisualCron File filter will be enabled. Select Value/Variable to use an existing value or Variable.

Base64 - encode > File filter > Location sub tab

This Task uses the standard VisualCron File filter to filter out files.

Base64 - encode > Destination sub tab

Destination

Select File if you want to save the encoded content to file or select Standard output to pass the value to the output of the Task.

Destination file

You can choose to save files to same folder as where the original file was found by selecting Use same folder as source. If you select Use custom destination folder you are able to select a different destination folder for the saved file than source folder.

Destination file mask

Destination file mask is a quick way to change the file name to something else. By default it is using * which means that the same file name will be used for destination folder. If you are going to use * you need to use another destination folder. If you for example know it is a text file want to change the original extension from ".enc" instead you can change this destination file mask to "*.txt".

Post process mask with Variable

This property gives you more advanced ways to change the file name. We recommend that you use Destination file mask with value * when using this property. When checking this property the new name will be stored in a temporary variable {NEWNAME()}. You will be able to use this Variable for processing with other Variable functions. As an example we have provided the default value for this property: {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. The example uses the String.Replace method from the Variables window. It uses the {NEWNAME()} as input Variable with options to set a value that you want to replace from original file name "oldValue" and the new value "newValue".


Task File - Base64 - decode

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > File Tasks >

Task File - Base64 - decode

The Decoding - Base 64 - decode Task decodes a file or value from Base64 format and outputs to standard output or file.

Source

Select File if you want to decode an existing file. When selecting File, the standard VisualCron File filter will be enabled. Select Value/Variable to use an existing value or Variable.

Base64 - decode > Destination sub tab

Destination

Select File if you want to save the decoded content to file or select Standard output to pass the value to the output of the Task.

Destination file

You can choose to save files to same folder as where the original file was found by selecting Use same folder as source. If you select Use custom destination folder you are able to select a different destination folder for the saved file than source folder.

Destination file mask

Destination file mask is a quick way to change the file name to something else. By default it is using * which means that the same file name will be used for destination folder. If you are going to use * you need to use another destination folder. If you for example know it is a text file want to change the original extension from ".enc" instead you can change this destination file mask to "*.txt".

Post process mask with Variable

This property gives you more advanced ways to change the file name. We recommend that you use Destination file mask with value * when using this property. When checking this property the new name will be stored in a temporary variable {NEWNAME()}. You will be able to use this Variable for processing with other Variable functions. As an example we have provided the default value for this property: {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. The example uses the String.Replace method from the Variables window. It uses the {NEWNAME()} as input Variable with options to set a value that you want to replace from original file name "oldValue" and the new value "newValue".


Image Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Image Tasks


Task Image - Adjust

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Adjust

The Image adjust Task lets you change colors, brightness and contrast in an existing image.

Image adjust > File filter > Location sub tab

In the File filter tab you define the image file to be adjusted. Read more about file filter here.

Image adjust > Adjust parameters sub tab

Adjust to

All image adjust values are set to 0 by default. For RGB and Gamma, select a value between 0 and 255 to intense a red, green or blue color.

Image adjust > Destination sub tab

Save to

Enter destination file and folder names.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Convert

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Convert

The Image convert Task converts an image from one format to another. Supported formats are png, bmp, jpg, tiff and gif.

Image convert > File filter > Location sub tab

In the File filter tab you define the image file to be converted. Read more about file filter here.

Image convert > Destination sub tab

Convert to format

Destination image format. If JPEG, optionally select JPEG quality.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Crop

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Crop

The Image crop Task removes the outer parts of an image according to dimensions specified to an existing image.

Image crop > File filter > Location sub tab

In the File filter tab you define the image file to be cropped. Read more about file filter here.

Image crop > Destination sub tab

Crop position and dimensions

Top and Left define the upper left corner of the cropped image.

Width and Height define the size of the cropped image.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.

Note about Image Crop:

Maximum values of Top and Left are related to the original image pixels.

The Width and Height values are applied to the resulting image after Top and Left modification.

If the Width or Height value is 0, the Width or Height value after Left or Top is used.


Task Image - Filter

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Filter

The Image filter Task applies a filter to enhance, modify or warp an image.

Image filter > File filter > Location sub tab

In the File filter tab you define which image that should be filtered. Read more about file filter here.

Image filter > Destination sub tab

Filter to

More or less gently modifies the source image to be blurred, sharpened or smoothed. Gaussian blur is the result of blurring an image, typically to reduce image noise and reduce detail.

More aggressive modification of the source image to Grayscale, Sepia Tone, Invert, Mean removal and Emboss

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Flip

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Flip

The Image flip Task flips an image horizontally or vertically.

Image flip > File filter > Location sub tab

In the File filter tab you define which image that should be flipped. Read more about file filter here.

Image flip > Destination sub tab

Flip type

Specify Horizontal or Vertical flip.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Get EXIF data

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Get EXIF data

The Image get EXIF data Task gets EXIF values from the file according to the user-defined parameter list.

Image get EXIF data > File filter > Location sub tab

In the File filter tab you define the image file to be checked for EXIF data. Read more about file filter here.

Image get EXIF data > Destination sub tab

Click on the "star" icon to add a new parameter row. Then use the drop-down list to select a group and finally the right-most drop-down list to select a tag. A defined parameter line is deleted by marking the line and the press the PC Del button.

If the desired tag doesn't exist in the drop-down tag list, it is possible to add a new value using an integer. This solves an issue e.g. based on a new value which has not yet been included the tag list.


Task Image - Join

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Join

The Image join Task joins two images side by side horizontally or top to bottom vertically.

Note about Image join:

There may be restrictions in image property deviations for files to be joined successfully.

Image flip > File filter for file 1/2 > Location sub tab

In the File filter tab you define which images that should be joined. Read more about file filter here.

Image join > Destination sub tab

Join mode

Specify Horizontally or Vertically.

File name

Specify name for the joined file


Task Image - Overlay

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Overlay

The Image overlay Task lets you place an image or text over an already existing image.

Overlay type

Specify Image or text.

Alignment

Position of the image to overlay.

Image overlay > File filter > Location sub tab

In the File filter tab you define which file to be overlayed. Read more about file filter here.

Image overlay > Image sub tab

Overlay image path

Defines the path and file name of the the image to overlay.

Image overlay > Destination sub tab

Save to

Enter destination file and folder names.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.

Page range

Defines image pages to be overlayed.


Task Image - Profile conversion

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Profile conversion

The Image profile conversion Task converts the image from the input color profile to the specified output color profile.

Image profile conversion > File filter > Location sub tab

In the File filter tab you define the image file to change the profile for. Read more about file filter here.

Image profile conversion > Destination sub tab

Input profile file

The current profile name of the input file.

Output profile file

The profile name to be applied to the output file.

Filter string for delete profile(s)

Text ...

Save to

Enter destination file and folder names.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Resize

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Resize

The Image resize Task resize an image by a percentage of the original size, by height and width (in pixels) or to a specific size.

Image resize > File filter > Location sub tab

In the File filter tab you define which image that should be resized. Read more about file filter here.

Image resize > Destination sub tab

Resize to

Specify for pixel dimensions, pixel percent, file size or DPI image resize.

Resample

Option that determines resizing or resampling the image. Resampling physically changes the number of pixels in the image.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Rotate

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Rotate

The Image rotate Task rotates an image by 90, 180 or a custom number of degrees. This Task can automatically deskew a skewed image.

Image rotate > File filter > Location sub tab

In the File filter tab you define which image that should be rotated. Read more about file filter here.

Image rotate > Destination sub tab

Rotate to

Select Rotate Right/Left 90 ° or custom value.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task Image - Scan document

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Image Tasks >

Task Image - Scan document

The Scan document Tasks lets you automate text, barcode and image scanning. It is possible to select individual parts of document and VisualCron will scan and save the content. Text will be available as Variables and it is possible to save images to file.


XML Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

XML Tasks


Task XML - Read node

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Read node

The XML Read node(s) Task can read any XML file and pickup a specific node in that XML file, with our without the surrounding XML.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Source->File

Enter the full path to the file you want to read from.

Source->Variable/Value

Paste any XML code or Variable that contains XML here.

XPath expression

XPath is a query language used for finding a specific object within XML. Enter the query manually or use the XPath browser by clicking the button.

Attribute

Optional. If you want to select a specific Attribute value of that node you can enter the attribute name here.

Select single node

If one or modes should be selected for output

Namespaces

VisualCron tries to load all namespaces that a XML file contains. If you want to Add one namespace manually you can click on Add. If you want to Reload all namespaces you can click on Reload.

XPath selection

The XML Browser lets you select a specific node in your XML file. When selected, you will have an XPath value which will be used during runtime of the Task. Click OK to save the path.

Output tab

In the output control how the output should look like. If you select Inner XML it will skip the parent XML tags while Outer XML will keep them.

Note:

If you are having problems retrieving a result it could be that you need to reference the namespace in the XPath query. For example:

XML

<?xml version="1.0" encoding="UTF-8"?><jobInfo

xmlns="http://www.force.com/2009/06/asyncapi/dataload">

<id>750f00000000Fw5AAE</id>

XPath

/x:jobInfo[1]/x:id[1]


Task XML - Create node

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Create node

The Create Node Task lets you insert a node in an already existing XML file.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File name

The full path to the XML file.

XPath expression

XPath is a query language used for finding a specific object within XML. Enter the query manually or use the XPath browser by clicking the button.

Name

The name of the node.

Value

The value in the node.

If node already exists

You are able to control what happens if the node already exists in the document.

Namespace

If the node is in a specific namespace you enter the name here.

Prefix

If a prefix is needed for finding the node then enter it here.

Insert as first child node

If one or more nodes already exist the new node will, by default, be added in the end of the list. If you want it to appear in the beginning then check this check box.

Create Node > Attributes tab

If you want to add attributes to the specific node you can enter name and value in the Attributes sub tab.


Task XML - Edit node

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Edit node

The Edit Node Task lets you change a specific node value or attribute in a XML file.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File name

The full path to the XML file.

XPath expression

XPath is a query language used for finding a specific object within XML. Enter the query manually or use the XPath browser by clicking the button.

Attribute

If a specific attribute should be edited then set the attribute name here.

Value

The value in the node.

Edit node

If the first found node should be edited or all.


Task XML - Delete node

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Delete node

The Delete node Task lets you delete a specific node in a XML file.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File name

The full path to the XML file.

XPath expression

XPath is a query language used for finding a specific object within XML. Enter the query manually or use the XPath browser by clicking the button.

Attribute

If a specific attribute should be deleted then set the attribute name here.


Task XML - Transform

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Transform

The XML - Transform Task transforms a XML file to HTML using an XSLT (Extensible Stylesheet Language) file. You can also provide the XSLT parameter which will be replaced by its value dynamically. XSLT is an XML-based language used for the transformation of XML documents into other XML documents.

The original document is not changed; rather, a new document is created based on the code of an existing one. The new document can be output to HTML or plain text.

XML Transform > File filter > Location sub tab

The XML Transform Task uses the standard VisualCron File filter to define the properties of the listed files.

XML Transform > Destination sub tab

XLST file

The path and file name of a XSLT file that resides on the local system which will be used to transform the specified XML file. Click the Folder icon to select the XSL folder/file.

Enable document function

If checked, support for the XSLT document function is enabled.

Enable script

If checked, support for embedded script blocks is enabled.

Parse DTD

If checked, the DTD will be parsed. Within an XML document's <!DOCTYPE>, there can be an internal subset of the DTD, or an external DTD can be referenced. In order to fully comply with the XML 1.0 or 1.1 specification, DTD must be parsed.

XLST parameters

Add/edit a XLST parameter using name and value to the parameter list. Select and press the Windows Del button to delete a parameter.

Save to

Enter destination file and folder names.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task XML - Validate

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Validate

The XML - Validate Task validates that an XML file is well-formed, schema compliant or DTD compliant.

A XML document with correct syntax is called "Well Formed". An XML document validated against a DTD or a Schema is both "Well Formed" and "Valid".

XML Validate > File filter > Location sub tab

The XML Transform Task uses the standard VisualCron File filter to define the properties of the listed files.

XML Validate > Destination sub tab

Validation type

A XML document with correct syntax is called "Well Formed". Schema validation uses a schema file (*.xsd), default attributes are expanded from schema and type information is supplied. Document Type Definition (DTD) validation expands default attributes and entities, but general entities are loaded and parsed only if they are used (expanded). No type information is supplied.

Namespaces

A list of namespace prefix/namespace URI items, to uniquely identify an element, to be used for validation.

XML Validate > Destination - Schema sub tab

If Validation type Schema is selected, an extra sub tab is added to define the external schema file. The extra XML Validate > Schema(s) > Location sub tab has the same layout as the above referred XML Validate > File filter > Location sub tab.


Task XML - Sign

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Sign

The XML - Sign Task signs an XML file with a specified key.

XML Sign > File filter > Location sub tab

The XML Transform Task uses the standard VisualCron File filter to define the properties of the listed files.

XML Sign > Destination sub tab

Signature type

Select the XML digital signature type to be used.

Canonicalization method

Select method for converting data into a "standard", "normal", or canonical form.

Signature method

The signature method to use for signing the request. This provides a valid hashing algorithm for signature calculation. Select HMAC or Signature main types and the desired sub type.

Certificate

In order to sign you need a certificate that includes a private key. Click the Settings icon to open the Manage Certificates dialog where a certificate is selected, imported or created.

Include public key

Specifies whether the key itself (its public part) must be included to the signature.

Key name

Enter the public key name to be able to decrypt. The KeyName element contains a string value (in which white space is significant) which may be used by the signer to communicate a key identifier to the recipient. Typically, KeyName contains an identifier related to the key pair used to sign the message, but it may contain other protocol-related information that indirectly identifies a key pair. Common uses of KeyName include simple string names for keys, a key index, a distinguished name (DN), an email address, etc.

Save to

Enter destination file and folder names.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task XML - Verify

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > XML Tasks >

Task XML - Verify

The XML - Verify Task verifies if the signature of the specified XML file is valid. If the XML file has been signed, this action can detect modifications to that file that may invalidate the signature.

XML Verify > File filter > Location sub tab

The XML Transform Task uses the standard VisualCron File filter to define the properties of the listed files.

XML Verify > Destination sub tab

Certificate

Click the Settings icon to open the Manage Certificates dialog where a certificate is selected, imported or created.


Service Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Service Tasks


Task Service - Start service

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Service Tasks >

Task Service - Start service

With the Task - Start service you can start a local or remote Windows service.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote Select the the Local radio button if you want to start a service on the local computer, select the Remote radio button if you want to start a service on a remote computer.

Hostname

The name of the remote computer.

Service name

The name of the service.


Task Service - Stop service

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Service Tasks >

Task Service - Stop service

With the Task - Stop service you can stop a local or remote Windows service.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote Select the the Local radio button if you want to stop a service on the local computer, select the Remote radio button if you want to stop a service on a remote computer.

Hostname

The name of the remote computer.

Service name

The name of the service.


Task Service - Restart service

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Service Tasks >

Task Service - Restart service

With VisualCron you can control local or remote Windows services. The Restart service Task tries to stop a service (for 3 minutes) then, when service has stopped, it starts the service again.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote Select the the Local radio button if you want to restart a service on the local computer, select the Remote radio button if you want to restart a service on a remote computer.

Hostname

The name of the remote computer.

Service name

The name of the service.


Office Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Office Tasks


Task Office - Excel - Get cell

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Excel - Get cell

The Excel - Get cell Task lets you extract data from certain worksheets, rows and colums.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Select Excel file

Select full path to the Excel file.

Worksheet

Select which worksheet in the workbook to access. Press the Get button to populate the list of existing worksheets.

Cell coordinates

The options for output of cell content.

Select Cell by position or Cell by reference if you want a single cell result.

Select Cells by position range if you want to obtain a Row to End row and Column to End column result.

Select Cell by reference range if you want to obtain a Cell reference to End cell reference result.

Select Get all cells if you want a result for a number of columns.


Task Office - Excel - Set cell

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Excel - Set cell

The Excel - Set cell Task sets one or more values in an Excel sheet starting on a specific position.

This task is similar to the Excel - Create Task. The difference is that this Task updates an existing document (or multiple documents).

The update is based on a Variable or direct value and the update starts in the cell position/reference and sheet that the user has specified. From that start point VisualCron will create a "table" based on content. The actual content could be a single cell but it can also be a table.

For example if the start position is 2,2 and the value is:

"col1row1,"col2row1"

"col1row12,"col2row2"

The output will be placed in 2,2 to 3,3:

Excel - Set cell > Source sub tab

Input value

The input value can either be hard coded string or Variable. It is important that input value matches format so that lines and columns are split in the right way. Please note that if you need another format than Text format in excel you need to specify column format in "Column format "tab.

Format

You need to adjust format controls so they fit the format of the incoming value. The text qualifier is any surrounding character.

Excel - Set cell > File filter > Location sub tab

If you have selected File as source you are able to set the standard VisualCron File filter values.

Excel - Set cell > Column format sub tab

In the columns tab you can override column format. Default format is @ which is a string. You can see different format options when editing or adding a column.

Add->Format

http://www.ozgrid.com/Excel/CustomFormats.htm

Excel - Set cell > Target sub tab

Worksheet

The worksheet to be updated.

Cell coordinates

The relative position the update should start at.

Excel - Set cell > Output sub tab

Save to..

You are able to control if the update should be saved to same file or different file.

Credential

If you are planning to save on a network location you can select a Credential.

Password protection

If you want to protect the file with Excel password authentication you can check this value and enter a password.

Remove password when saving

If you want to remove the password after execution you need to check this. You need to specify password for accessing the file the first time. After writing the "Use password.." option will be unchecked so that the Task does not try to open it with a password anymore.


Task Office - Excel - Convert

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Excel - Convert

The Excel - Convert Task is able to convert an Excel file into various Excel formats and text files

Excel - Convert > File filter > Location sub tab

The Excel convert Task uses the standard VisualCron File filter to define the source file to be converted.

Excel - Convert > Convert settings sub tab

Convert to ..

Select the desired format of the destination file.

Worksheet

Specify the source worksheet and the position in that worksheet. Press the Get button to populate the list of existing worksheets.

Save to ..

Enter destination file and folder name.

Folder

If Different folder and use file mask is selected, use manual folder specification or folder button

File mask

Save file with different name


Task Office - Excel - Get row count

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Excel - Get row count

The Excel - Get row count Task returns the number of rows for a specific worksheet in an Excel file

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Select Excel file

Select full path to the Excel file.

Worksheet

Select which worksheet in the workbook to access. Press the Get button to populate the list of existing worksheets.


Task Office - Excel - Create

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Excel - Create

The Excel - Create Task can create an Excel file from a CSV file or Variable.

Excel - Create > Source sub tab

Source

You can select File if the source for conversion is one or more files. You can also select Value/Variable if the source comes from a previous Task for example.

Format

You need to adjust format controls so they fit the format of the incoming file. The text qualifier is any surrounding character.

Excel - Create > File filter > Location sub tab

If you have selected File as source you are able to set the standard VisualCron File filter values.

Excel - Create > Columns sub tab

In the columns tab you can override existing columns or set columns if they do not exist. It is possible to override name and also format of column. Default format is @ which is a string. You can see different format options when editing or adding a column.

For faster addition of new columns we recommend using Import headers. This lets you import any existing first row of the document (in the same format you specified in the Source tab).

Column header source

You can choose to use the existing columns in the file but then it is not possible to apply formatting. If you add columns manually and select "Use columns from definition above" you are able to control name, width, format and order.

Include column headers in destination file

You can deselect this option if you do not want to include any existing headers in file.

Add->Format

http://www.ozgrid.com/Excel/CustomFormats.htm

Excel - Create > Output sub tab

Save to..

Depending on if you have selected File or Variable as source different options are available. If you have selected File all options are available and if you have selected Variable only Different folder and use file mask is available. When using Variable option the file mask must be the full name of the file.

Credential

If you are planning to save on a network location you can select a Credential.

Password protection

If you want to protect the file with Excel password authentication you can check this value and enter a password.

Sheet

The created Excel sheet name.


Task Office - Excel - Recalculate

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Excel - Recalculate

Recalculates an existing Excel function/formula within a document and saves the document afterwards. This Task cannot update data from other data sources. Use the Office Macro Task for that.

Excel - Recalculate > File filter > Location sub tab

In the File filter tab you define which files should be recalculated. Read more about file filter here.


Task Office - Office macro

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office Tasks >

Task Office - Office macro

The Office macro Task is able to execute macros located in Excel, PowerPoint, Access or Word. You are also able to specify parameters for the functions and their value types.

Credentials

You must specify a Credential, a remote server name, user name and pass word for a user on the remote server which the command will execute as. Click on the Manage credentials button to add a new Credential.

File type

Select either Excel, PowerPoint, Access or Word.

Execute in 32 bit mode

Set this to 32 bit if your Office is 32 bit - otherwise uncheck it.

File path

This is the full path to the document.

Password

Any password for accessing the document. Leave empty if no password is used.

Update file after execution

This saves the document after execution. Useful if you have performed a calculation on in the document.

Parameters

If a macro function needs parameters you can specify them here by clicking Add.

Choose appropriate value type and set the actual value. Normally VisualCron validates the value against the data type. If you use a Variable that validation can fail if the value is not set in the Variable. To prevent failure you can uncheck the Validate value checkbox.

Errors

Macro hangs / runs forever / is not doing what it is supposed to do

The Excel macro Task is the most sensitive Task in VisualCron. This is because of two major things;

1. there is a dependency to a desktop tool Excel.exe while VisualCron is running as a service in the background

2. the actual execution is being done in the background - a hang usually means that Excel exe has aborted execution with an error - that we cannot see becuase it is not executed in the desktop.

But we could do some different tests:

To rule out some issues please test the following:

1. we have created a test macro that just writes a file "vba.txt" in c:\ root. You can download this file from here: http://neteject.com/download/VisualCron/WriteFile.zip. Unzip it to a local folder.

2. Create a new Job with new Office macro Task using these settings:

3. Save and try to run the Job. Check if file vbs.txt has been created in c:\ root

If the above does not work it might be something wrong in your system like a faulty Excel installation or permission limitations. If it works, but your macro still does not you need to add debugging to your macro. Easiest way is to use similar code as in the test macro to write to file. Add writing a line for each line in your code to determine which line does not work. Depending on which line it is different solutions could be done. You might need to set a Credential in the Task.

Possible reasons for error:

1. you have not set the right 32 or 64 bit flag (it is not matching currently installed Office Macro)

2. when testing, always test local first

3. make sure you only use the macro name in Macro name field. No full path.

4. use default settings with Visible flag unchecked

5. make sure Credential is used correctly

Alternatively you can try using other Task types;

1. Execute Script Task - use this code:

'Code should be placed in a .vbs file
Set objExcel = CreateObject("Excel.Application")
objExcel.Application.Run "'C:\Users\Ryan\Desktop\Sales.xlsm'!SalesModule.SalesTotal"
objExcel.DisplayAlerts = False
objExcel.Application.Quit
Set objExcel = Nothing

2. Execute Task. Use full path to Excel.exe in command line and full path to your macro file with the module and macro name included like this: 'C:\Users\Ryan\Desktop\Sales.xlsm'!SalesModule.SalesTotal

You might need to set a Credential in the Task.

3. Execute Task - with Foreground mode. Use same settings as 2 but without the Credential. Go to main settings of the Task - Execution context. Set it to something like this:

System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.Runtime.InteropServices.COMException (0x800A03EC): Microsoft Excel cannot access the file 'C:\your file.xlsm'.

There are several possible reasons:

Solution

1. Create directory "C:\Windows\SysWOW64\config\systemprofile\Desktop " (for 64 bit Windows) or "C:\Windows\System32\config\systemprofile\Desktop" (for 32 bit Windows)

2. Set Full control permissions for directory Desktop (for user "SYSTEM")

Please do this for both 32 and 64 bit folder.

System.Runtime.InteropServices.COMException (0x800A07D1): You canceled the previous operation.

Try running the Task with a Credential that has option "Local logon" and "Load profile" checked.

{System.Runtime.InteropServices.COMException (0x800A03EC): Cannot run the macro Macro1'.

The macro may not be available in this workbook or all macros may be disabled.

Open the document and find the list of macros. Use the full path to the macro, like: MainModule.CalcSomething

Faulting application name: EXCEL.EXE

Faulting application name: EXCEL.EXE, version: 15.0.4719.1000, time stamp: 0x552cf4af

Faulting module name: VBE7.DLL, version: 0.0.0.0, time stamp: 0x54d16140

Exception code: 0xc0000005

Fault offset: 0x00008c0e

Faulting process id: 0x2914

Faulting application start time: 0x01d0a28e5b929b88

Faulting application path: C:\Program Files\Microsoft Office 15\Root\Office15\EXCEL.EXE

Faulting module path: C:\Program Files (x86)\Common Files\Microsoft Shared\VBA\VBA7.1\VBE7.DLL

Report Id: 9a82692d-0e81-11e5-9bb4-989096a28d27

Solution 1 - Recompile the Project

1. Open the workbook in Excel. Normally Excel will disable macros in a worksheet until you click a button to enable the macros. Do not enable the macros just yet.

2. Open the VBA editor. You can hit ALT+F11 or on the ribbon click Developer > Visual Basic

3. In the VBA editor double click your module or first module that contains your project. Add a commented line of code such as:

‘ This is a comment

Then click on the Debug menu at the top and click Compile VBA Project.

Repeat this step for each module in your workbook and then save the workbook.

4. Close the workbook and re-open it and enable the macros and test it.

Solution 2 - Disable Compile on Demand

In the VBE Editor in Excel, click on Tools > Options > General tab and click to uncheck “Compile on Demand”.

Alternatively you can set the following registry key:

HKEY_CURRENT_USER\Software\Microsoft\VBA\7.0\Common

Type: DWORD

Name: CompileOnDemand

Value: 0

0x800706BA along with COMException

System.Runtime.InteropServices.COMException (0x800706BE): The remote procedure call failed. (Exception from HRESULT: 0x800706BE)

Comment out any Quit command in your macro.


Reporting Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Reporting Tasks


Task Reporting - Crystal Reports

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Reporting Tasks >

Task Reporting - Crystal Reports

The Crystal Reports Task allows you to output Crystal reports in various formats like PDF, Excel and to printer. With this Task you can specify in-parameters and record filter. The record filter can further narrow down the report query.

This Task uses the Crystal Reports Connection. It requires runtime files to be installed on the Server. You can find this in the Connection.

Crystal reports > Main settings sub tab

Report file

This is the path to the report. If located on a network drive you need to specify the Source Credential)

Source Credential

If report file is on network drive you need to select a Credential.

Connection details

Select one ore more Connections here depending on how many database connections your report uses.

Destination file type

You can choose to output to file or printer.

Output format

A range of output formats exist when you select File destination type option.

Destination Credential

If the output file is on a network you need to specify a Credential.

Crystal reports > Parameters sub tab

Your report might include required or optional parameters. If parameters are already defined you can click on "Import parameters". This will import and list your parameters. You can then edit any parameter by double clicking on it (or press Edit). Import parameters button require that you have setup your Connection settings in the Task before pressing - otherwise VisualCron will not be able to query for parameters.

Crystal reports > Record filter sub tab

The record filter allows you to choose from existing columns in the report and specify filters - similar like WHERE in a SQL query. This way you can filter the report.

You can manually write the query in the Record filter text box or click "Reload" to load all existing columns, choose a condition, write a value and then press Add.

Crystal reports > Printer sub tab

The printer tab lets you control various printer settings if you have chosen Printer as output type.

The Crystal Reports Connection


System Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

System Tasks


Task System - Registry

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Registry

The Registry Task can perform various registry actions like read, rename and write values.

There are 7 kinds of registry Tasks:

Read value data

Reads a specific value based on Registry key and Value Name. Read value is stored in standard output of Task.

Create/Change value data

Creates or changes a value based on a name. You must also specify data type, String or DWORD.

Delete value

Deletes a specified value based on Registry key and Value Name.

Rename value

Deletes a specified value based on Registry key and Value Name and New value name.

Create key

Creates a Registry key.

Delete key

Deletes a Registry key.

Rename key

Renames a Registry key.

Browse button

Anytime you can click on the browse button to view or change the registry by yourself.


Task System - Shutdown

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Shutdown

The System shutdown Task can turn off a local or remote computer.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Hostname

The name of the remote computer.


Task System - Restart

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Restart

The System restart Task can restart a local or remote computer.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Hostname

The name of the remote computer.


Task System - Lock workstation

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Lock workstation

The Lock workstation Task locks the local computer. No settings are required.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Lock settings

Text ...


Task System - Unlock workstation

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Unlock workstation

The System Unlock workstation Task can auto-login or unlock a desktop. If a screen saver is running it will break free from that one too.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Unlock/Login settings

Text ...

Note: For Windows Server 2008 you must enable a setting in Local Security Policy


Task System - Logoff

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Logoff

The Logoff user(s) Task logs off one or more users - locally or remotely.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Logoff all users

Logs off all users currently logged on.

Logoff a certain user

Logs off the specified user in the username field.

Username

Enter the full username for the user you want to log off.


Task System - Hibernate

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Hibernate

The Hibernate Task can start Hibernation on a local or remote computer. When doing this on a local computer, it is also possible to wake up the computer at a specific time or after a certain time. A computer in hibernation mode uses 1% of normal power consumption and can be waked up at a certain time or through the LAN with the Wake up on LAN Task.

Hibernate mode writes an image of what you're currently working on to a special file on your hard drive, and then shuts your computer almost completely off. It takes a bit longer than Standby, since the writing process. Hibernate also takes a bit longer to resume, since you must go through essentially the normal boot process, although in Windows XP your computer wakes faster from Hibernate than in previous versions of Windows. The advantage is that you can leave your laptop in Hibernate mode for days without any negative effect. When you restart, you'll see everything exactly as you left it. Hibernate is the perfect mode for shutting down for the night or even the weekend.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Force

Force suspend/hibernate = do not send permission request to applications.

Wake up

Turns on or off wake up.

At a certain date and time

Wakes up the computer at the specified year, month, day, hour, minute and second.

At a certain time

Wakes up the computer at the specified hour, minute and second.

After a certain time

Wakes up the computer after a certain time; hour, minute and second.

Remark on Wake Up: Some computers can wake up from standby and not from hibernation, some work for both, and some for none. It all depends on the BIOS and the APM/ACPI capabilities, your motherboard, and your ATX power supply version.


Task System - Standby

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Standby

The Standby Task can start Standby/Sleep on a local or remote computer. When doing this on a local computer it is also possible to wake up the computer at a specific time or after a certain time. A computer in standby mode uses approximately 35% of the normal power consumption and can be waked up at a certain time or through the LAN with the Wake up on LAN Task.

In Standby mode, your computer might appear to be turned off but it could automatically restart. So shut down your computer completely when it's not in use e.g. on an airplane. Standby is not appropriate for long term use, on many laptops, overnight is probably pushing it on standby. And it has one important limitation, everything is in memory not saved to the hard drive.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Force

Force suspend/standby = do not send permission request to applications.

Wake up

Turns on or off wake up.

At a certain date and time

Wakes up the computer at the specified year, month, day, hour, minute and second.

At a certain time

Wakes up the computer at the specified hour, minute and second.

After a certain time

Wakes up the computer after a certain time; hour, minute and second.

Remark on Wake Up: Some computers can wake up from standby and not from hibernation, some work for both, and some for none. It all depends on the BIOS and the APM/ACPI capabilities, your motherboard, and your ATX power supply version.


Task System - Wake up

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Wake up

The Wake up Task prepare a computer for Wake up at a specific time or after a certain time.

At a certain date and time

Wakes up the computer at the specified year, month, day, hour, minute and second.

At a certain time

Wakes up the computer at the specified hour, minute and second.

After a certain time

Wakes up the computer after a certain time; hour, minute and second.

Remark on Wake Up: Some computers can wake up from standby and not from hibernation, some work for both, and some for none. It all depends on the BIOS and the APM/ACPI capabilities, your motherboard, and your ATX power supply version.


Task System - Wake up on LAN

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Wake up on LAN

The Wake up on LAN Task can wake a remote computer.

Introduction

Wake on LAN (WOL) support is implemented in the motherboard of the computer. The motherboard must have a WAKEUP-LINK header onboard and be connected to the network card via a special 3-pin cable. However, systems supporting the PCI 2.2 standard coupled with a PCI 2.2 compliant network adapter, typically do not require a WOL cable as the required standby power is relayed through the PCI bus. Most modern mother boards with an embedded Ethernet controller also support WOL.

Wake on LAN must be enabled in the Power Management section of the motherboard's BIOS. It may also be necessary to configure the computer to reserve power for the network card when the system is shut down.

In addition to get WOL to work, it is sometimes required to flash this feature to the card. You can do this in Windows from the properties of the network card in the device manager, on the Power Management tab. Check Only allow management stations to wake up the computer, to make sure it does not wake up on every single network activity that occurs.

How it works

The general process of waking a computer up remotely in a LAN is: The target computer is shut down, with power reserved only for the network card. The network card listens for a specific packet, called the "Magic Packet". The Magic Packet is broadcast on the broadcast address for a particular subnet or the entire LAN. The listening computer receives this packet, checks it for the correct information, and then boots if the Magic Packet data is matching.

Magic Packet

The Magic Packet is a broadcast frame, transmitted over port 0 (historically the most common port used), 7 or 9 (becoming the most common ports used). It can be sent over a variety of connectionless protocols (UDP, IPX) but UDP is most commonly used. The data that is contained in a Magic Packet is the a constant represented in hexadecimal: FF FF FF FF FF FF, followed by sixteen repetitions of the target computer's MAC address, possibly followed by a four or six byte password.

MAC Address

Enter the MAC address of the remote network card. Click on Scan/Find MAC to search for MAC's in your network.

Scan/Find MAC

Enter a host name or range like 192.168.1.1 to 192.168.1.100. Click on Search to start finding MAC's. Double click on row to use the MAC found.

Remark on Wake Up: Some computers can wake up from standby and not from hibernation, some work for both, and some for none. It all depends on the BIOS and the APM/ACPI capabilities, your motherboard, and your ATX power supply version.


Task System - Control monitor

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Control monitor

The Control monitor Task lets you turn on or off a monitor. Depending on the monitor type, the amount of power saved when turning off a monitor varies - but the monitor stands for a large amount of the total power consumption.

Some typical power consumption levels (watts) for computer equipment are:

·Desktop computer: 60W

·CRT (Cathode Ray Tube) monitor: 75W

·Flat screen monitor: 25W

·Laser jet printer: 7.2W

Select either Turn on or Turn off to control monitor power state.


Task System - Print document

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Print document

The Print document Task can print a document in number of formats like pdf, Word, images and text.

Print document > File filter > Location sub tab

In the File filter tab you define which file that should be printed. Read more about file filter here.

Print document > Print settings sub tab

Select printer

Select your desired printer here.

Printer settings

You can set some basic printer settings.

Page range

You can either print all pages of the document or select pages.

Pages

You can set the number of copies here.

Orientation

Select either portrait or landscape.

Document

Specify a path to the document you want to print.

Auto detect document type from extension

VisualCron tries to print the document from the extension name. It is important that the extension is correct otherwise you will get printing problems.

Specify document type

Instead of auto detecting, if you know the document type, you can specify it here.

Note

Printing images requires that you have any version of Microsoft Office installed.

Troubleshooting

I cannot see my printer

This is probably a permissions problem. Please check the sharing permissions on the printer. By default, the user account that runs the VisualCron service is SYSTEM account and that user needs to have this printer shared to.

Landscape mode is not working

Try checking the option Use fallback mode.


Task System - Windows update

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Windows update

The Windows update Task performs a Windows update in the background. You can select if you want to download updates only or install them as well.


Task System - Environment - Get variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Environment - Get variable

System - Environment - Get variable retrieves the value of an environment variable for a process, user or local machine.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Variable name

The name of an exiting variable contained in the selected scope.

Variable scope

Select Process, User or Machine variable scope. These variable scopes refers, more or less, to Windows 10 Process, User and System variables. The Windows process variables consist of Windows User and System variables.


Task System - Environment - Set variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Environment - Set variable

System - Environment - Set Variable sets the value of an environment variable for a process, user or local machine.

Variable name

The name of an exiting variable contained in the selected scope.

New value

The new value for the selected variable name.

Variable scope

Select Process, User or Machine variable scope. These variable scopes refers, more or less, to Windows 10 Process, User and System variables. The Windows process variables consist of Windows User and System variables.


Task System - Environment - Append variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Environment - Append variable

System - Environment - Append variable appends a value to an existing environment variable for a process, user or local machine.

Variable name

The name of a new variable to be appended.

Text for append

The value to be used by the variable name.

Variable scope

Select Process, User or Machine variable scope. These variable scopes refers, more or less, to Windows 10 Process, User and System variables. The Windows process variables consist of Windows User and System variables.


Task System - Environment - List variables

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Environment - List variables

System - Environment - List variables lists all variables for a process, user or local machine.

Variable scope

Select Process, User or Machine variable scope. These variable scopes refers, more or less, to Windows 10 Process, User and System variables. The Windows process variables consist of Windows User and System variables.

The Windows 10 User environment variables are stored in the registry key below:

HKEY_CURRENT_USER\Environment

The Windows 10 System environment variables are stored in the registry key below:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment


Task System - Environment - Delete variables

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Tasks >

Task System - Environment - Delete variables

System - Environment - Delete variable removes an environment variable for a process, user or local machine.

Variable name

The name of an exiting variable contained in the selected scope.

Variable scope

Select Process, User or Machine variable scope. These variable scopes refers, more or less, to Windows 10 Process, User and System variables. The Windows process variables consist of Windows User and System variables.

The Windows 10 User environment variables are stored in the registry key below:

HKEY_CURRENT_USER\Environment

The Windows 10 System environment variables are stored in the registry key below:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment


System Restore Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

System Restore Tasks


Task System restore - Create restore point

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Restore Tasks >

Task System restore - Create restore point

The System restore - Create restore point Task lets you create a restore point (of files and folders).

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local radio button if you want to control the local computer, select the Remote radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Description

Short description of the restore point.

Event type

Select applicable type of event related to system change.

Restore point type

Select applicable type of restore point related to application change.


Task System restore - Perform system restore

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Restore Tasks >

Task System restore - Perform system restore

The System restore - Perform system restore Task restores an existing system restore to original state.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local radio button if you want to control the local computer, select the Remote radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Sequence number

Text ...

Press the Get list button to populate the Sequence number list with previously created restore points.


Task System restore - List restore points

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > System Restore Tasks >

Task System restore - List restore points

The System restore - List system restore points Task returns a list of existing restore points.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local radio button if you want to control the local computer, select the Remote radio button if you want to control a remote computer.

Hostname

The name of the remote computer.


Event log Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Event log Tasks


Task Event log - Event log read

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Event log Tasks >

Task Event log - Event log read

The Event log Read Task retrieves event log records based on a filter.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Local or Remote

Select the the Local radio button if you want to control the local computer, select the Remote radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Event log entry filter

Text ...


Task Event log - Event log write

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Event log Tasks >

Task Event log - Event log write

The Event log Write Task writes an event log record value based on various parameters.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local or Remote

Select the the Local radio button if you want to control the local computer, select the Remote radio button if you want to control a remote computer.

Hostname

The name of the remote computer.

Event log entry

Text ...


Interactivity Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Interactivity Tasks


Task Interactivity - Popup

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Interactivity Tasks >

Task Interactivity - Popup

The Popup Task lets you display a message for one or more users. The feedback from the user, button or input, can then be returned back as a result and output for later processing.

The Popup Task has a number of purposes:

· Display a simple message

· Display a message and return input in form of buttons

· Display a message and return input in form of text boxes, radio boxes and other controls

The actual controls can return user defined values and the result of values can control the result of the Task.

Sample popup

Popup > Main settings sub tab

Popup position

Where the popup window is displayed.

Icon

The icon that is displayed next to the Message

Title

Title within the popup.

Message

(Optional) - the actual message or description that is shown

Show message

If the message should be displayed.

Play sound

You are able to select among a set of predefined sounds to play when window opens.

Blink in task bar

This makes the item in task bar blinking.

Modal window

This controls if the window should block other windows in the same application.

Bring to front

Display the Window top most.

Auto close after

You need to specify a timeout time for this popup message. This controls when the popup is auto-closed. When auto closing the dialog result is "Cancel".

Preview popup

Click this button to test the popup.

Popup > Target sub tab

Right now the Popup can be sent to single user(s), specified groups or the user that executes the Task/Job.

Popup > Buttons sub tab

You are able to select among common buttons for the popup. In the Result tab you can control how the press of a specific button affect the result of the Task. In the Output tab you control if the button value should be returned as output or if the Input should be returned.

You may also set the value that is returned for the specific button.

Popup > Input sub tab

The Input tab controls optional input control that you can use. For example if you want the user to input text or select a radio button, checkbox or combobox. If you want the output from the input control you need to change behavior in the Output tab.

You can also use a Variable source as input.

Caption

Use any Variable or text that contains a separation according to input separator. If you want the caption to be based on the value then check Use value as caption.

Value

Use any Variable or text that contains a separation according to input separator. The value property is what is returned when selecting an item.

Use value as caption

Value array will be used in caption array. Useful if you cannot or don't want to map caption to array (maybe only once source available).

Input separator

This is the type of character that seprates each value.

Mask input

If you want to display textbox that user supplies a password to for example.

Sort alphabetically

If checked, items are sorted alphabetically, otherwise in the order they are supplied.

You can add input controls by pressing the Add button.

Popup > Result sub tab

The Result tab controls the result of the Task (if it should fail or not) depending on what you select, write or click.

When adding or editing a "Popup Result" you are able to control what happens if, for example, the radio button is checked.

Popup > Output sub tab

In the output settings you control what is returned from the Task. By default the Button value is returned (Dialog result) but you can also return input values in output (Input values). When choosing input option "checkbox" each value will be returned in a new row.

Include caption

The Caption property is put in front of value like "captionvalue=inputvalue" when this option is checked.


Task Interactivity - Desktop macro

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Interactivity Tasks >

Task Interactivity - Desktop macro

The Desktop macro Task lets you automate in a visual way. Desktop macro Task records your mouse moves and keystrokes and can play them back for you any time. The Task is advanced in many ways. It can interact with any program and restore windows to their original place if they are misplaced before playback.

There are many uses for the Desktop macro Task, for example:

·web automation

·testing

·automate manual Tasks

·excel interaction

The Desktop macro Task is dependent on access to the desktop. Mouse moves and keystrokes must have a desktop to playback onto. To accomplish this, as the VisualCron Server is running as a service the VisualCron Tray Client is used for playback. This means also that the Task can only be run as a foreground Task.

Edit

This feature is currently unavailable but will let you edit mouse moves, key strokes in detail. Please let us know if you find this an important feature and we will prioritize it.

Length

Displays the playback length of the macro when played back with normal speed.

Start Recording

Minimizes the VisualCron windows and starts the recording. You can interrupt this any time by clicking CTRL + ALT + S or if you click on Stop button on Record dialog. During record you perform the steps which you want VisualCron to do later. One tip could be to take things slowly as the time it may take to open a program/window may vary.

Show record stop dialog

If this is property is unchecked you will not see the window with the Stop button. To stop recording you must press CTRL + ALT + S.

Show playback window

If this property is unchecked the playback popup will not be shown.

Suppress error message boxes

If this property is checked no message boxes will halt the application if a certain window is not found during playback.

Abort if no window is found

If this property is checked it forces the Task to abort when a certain window is not found.

Playback speed

The Desktop macro Task has 3 playback speeds:

1.Normal - plays back with the same speed as you recorded it

2.High - plays back with the double speed

3.Ultra - plays back with zero waiting time on mouse moves


Task Interactivity - Robot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Interactivity Tasks >

Task Interactivity - Robot

The Interactivity - Robot Task ...

Control

Text ...

Desktop macro

Text ...

Drop activity here

Text ...

System.Activities.Statements.Sequence

Text ...

Activity list (?)

Text ...


Task Interactivity - Send keys

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Interactivity Tasks >

Task Interactivity - Send keys

The Task type Send keys is a way to control another application that is already running. Most applications have shortcuts to perform different Tasks in that program. With "Send keys", VisualCron can put the focus on a running application and "send" a range of specified keystrokes to that program. It is possible to combine keystrokes, for example CTRL + SHIFT + A.

Application title

To be able to send keys, VisualCron needs to have the application title or the process name. Enter title name or open Active window titles by clicking on the select. Note that this retrieves application titles from computer where the server reside. This function does not search child windows. This function does not perform a case-sensitive search. You can also hold drag the arrow button over a specific window. Release the button when you have selected the window.

Class name

When dragging the arrow button you get more exact information on what window you want to reach - so use the drag functionality when you can. Class name is one of the properties used when sending keys to a window.

Process name

Some programs change their application title and it would then be better to fetch the main window from the process name instead of the application title. Write the process name or click on button ... to retrieve a list from the server.

Case sensitive

If you want your search of processes to be case sensitive the check this option.

Keys to send

These are the keystrokes you want to send. Look below for more information.

Most keyboard characters are represented by a single keystroke. Some keyboard characters are made up of combinations of keystrokes (CTRL+SHIFT+HOME, for example). To send a single keyboard character, send the character itself as the string argument. For example, to send the letter x, send the string argument "x".

Note 1: To send a space, send the string " ".

You can use Send keys to send more than one keystroke at a time. To do this, create a compound string argument that represents a sequence of keystrokes by appending each keystroke in the sequence to the one before it. For example, to send the keystrokes a, b, and c, you would send the string argument "abc".

The Send Keys method uses some characters as modifiers of characters (instead of using their face-values). This set of special characters consists of parentheses, brackets, braces, and the:

·plus - "+"

·caret - "^"

·percent - "%"

·tilde - "~".

Send these characters by enclosing them within braces "{}". For example, to send the plus character, send the string argument "{+}".

Brackets "[ ]" have no special meaning when used with SendKeys, but you must enclose them within braces to accommodate applications that do give them a special meaning (for dynamic data exchange (DDE) for example):

·To send bracket characters, send the string argument "{[}" (left bracket) and "{]}" (right bracket)

·To send brace characters, send the string argument "{{}" (left brace) and "{}}" (right brace)

Some keystrokes do not generate characters (such as ENTER and TAB). Some keystrokes represent actions (such as BACKSPACE and BREAK). To send these kinds of keystrokes, send the arguments shown in the following table:

Key {Argument}

----------------------------------------------------------

BACKSPACE {BACKSPACE}, {BS}, or {BKSP}

BREAK {BREAK}

CAPS LOCK {CAPSLOCK}

DEL or DELETE {DELETE} or {DEL}

DOWN ARROW {DOWN}

END {END}

ENTER {ENTER} or ~

ESC {ESC}

HELP {HELP}

HOME {HOME}

INS or INSERT {INSERT} or {INS}

LEFT ARROW {LEFT}

NUM LOCK {NUMLOCK}

PAGE DOWN {PGDN}

PAGE UP {PGUP}

PRINT SCREEN {PRTSC}

RIGHT ARROW {RIGHT}

SCROLL LOCK {SCROLLLOCK}

TAB {TAB}

UP ARROW {UP}

F1 {F1}

F2 {F2}

F3 {F3}

F4 {F4}

F5 {F5}

F6 {F6}

F7 {F7}

F8 {F8}

F9 {F9}

F10 {F10}

F11 {F11}

F12 {F12}

F13 {F13}

F14 {F14}

F15 {F15}

F16 {F16}

To send keyboard characters that are comprised of a regular keystroke in combination with a SHIFT, CTRL, or ALT, create a compound string argument that represents the keystroke combination. You do this by preceding the regular keystroke with one or more of the following special characters:

Key Special Character

----------------------------------------------------------

SHIFT +

CTRL ^

ALT %

Note 2: When used this way, these special characters are not enclosed within a set of braces.

To specify that a combination of SHIFT, CTRL, and ALT should be held down while several other keys are pressed, create a compound string argument with the modified keystrokes enclosed in parentheses.

For example, to send the keystroke combination that specifies that the SHIFT key is held down while:

·e and c are pressed, send the string argument "+(ec)"

·e is pressed, followed by a lone c (with no SHIFT), send the string argument "+ec"

You can use the SendKeys method to send a pattern of keystrokes that consists of a single keystroke pressed several times in a row. To do this, create a compound string argument that specifies the keystroke you want to repeat, followed by the number of times you want it repeated. You do this using a compound string argument of the form {keystroke number}. For example, to send the letter "x" ten times, you would send the string argument "{x 10}". Be sure to include a space between keystroke and number.

Note 3: The only keystroke pattern you can send is the kind that is comprised of a single keystroke pressed several times. For example, you can send "x" ten times, but you cannot do the same for "Ctrl+x".

Note 4: You cannot send the PRINT SCREEN key {PRTSC} to an application.


Task Interactivity - Wait

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Interactivity Tasks >

Task Interactivity - Wait

The Wait Task lets you insert a pause of any length.

Wait/sleep the specified days/hours/minutes/seconds/milliseconds before next Task is run.


Task Interactivity - Play sound

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Interactivity Tasks >

Task Interactivity - Play sound

The Play sound Task can play any sound file that the Media player can play. If you can't play a certain codec you need to install it so Media player can run it first.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

File path

Select the path to the file. Use variables if needed.


Internal Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Internal Tasks


Task Internal - Job/Task control

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Job/Task control

The Job/Task control can change/control status of a Job or Task. With this Task you are also able to start a Job or Task on a remote VisualCron Server.

The VisualCron Task uses the VisualCron Connection when you want to control a remote server.

Action

Select the appropriate Action. The following actions exist:

·Run Job - Starts a Job

·Stop Job - Stops a running Job

·Activate Job - Sets a Job to Active

·Inactivate Job - Inactivates a Job

·Run Task - Starts a Task

·Stop Task - Stops a Task

·Activate Task - Sets a Task to Active

·Inactivate Task - Sets a Task to Inactive

Run synchronous

Waits for Job or Task completion before continuing to next Task.

Inherit exit code from child Job/Task

By default the result from the Job/Task is inherited (sent back) to this Task. So, if the Task or Job you are trying to run fail with another exit code than zero then that exit code will be inherited by this Task - and also fail.

Inherit output from child Task

By default, output from the Task you want to run will not be send back to this Task. But if you want it to be sent back you can check this box.

Local/Remote server

You are able to execute a Job/Task located on a remote Server (where VisualCron is installed). To do that you select Remote server and then choose a VisualCron Connection.

Reload (Jobs)

Press this button to populate the Job list.

Job Variables

Job Variables are covered here. In this Task you can pass values at execution. If the keys are the same as the existing in the Job they existing Job Variables will be overwritten. One difference in the Job Variables window is that you have the option to refresh/load existing Job Variables. Click on the Get current Variables button and they will be refreshed (any existing Variables with same keys in the Task will be overwritten).

Translate Variables before sending

Checking this produces the same behavior as when you check similar on Set Variable Task - the Variable becomes a constant.

Update Job Variables

When enabled, the target Job Variables will be updated with the Variables supplied here.

Reload (Triggers)

Press this button to populate the Trigger list.

Reload (Tasks)

Press this button to populate the Task list.

Note about timeout

The execution timeout of this Task is determined first by settings in the Timeout tab. If no settings are used, the timeout on the Connection (in this case VisualCron Connection) is used.


Task Internal - Export settings

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Export settings

The Export settings Task does the same thing as Client File > Import/Export > Export settings but this Task lets automatically backup the VisualCron settings.

VisualCron uses a number of XML files to store settings, these are located in the VisualCron settings folder (by default installation: C:\Program Files (x86)\VisualCron\settings). Export/backup is performed by the VisualCron Server that you are currently connected to. You may Export settings across the Internet.

It is recommended to perform regular backups/exports to this file. If a setting error occurs and a backup exists in the default backup file path, VisualCron will use the backup file and automatically restore settings. It is a recommendation that you keep a backup file both in the default folder and in another place.

VisualCron is automatically adding a Job with the Export settings Task and it is a recommendation to keep this Task in your Job list.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Use default storing path

The default file for Export is C:\Program Files\VisualCron\backup\VC-Settings.zip.

Specific file path

If you want to store your backup file in another place or with another name, then enter the full file path here.

Export all server settings

It is recommended that you backup all settings. Check this radio button to backup all settings. This option is default.

Export the following settings

This option lets you select which settings to export.


Task Internal - Set Job Variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Set Job Variable

The Set Variable Task allows you to create or update a Variable. Variables can be used and reached throughout the whole application. You can use this to store static or dynamic values.

A Job variable is related to a job, thus when that specific job is exported, the Job variable is included.

Job

List of defined jobs.

Name/Unique key

The name you set on the Variable is also the unique key for the Variable. Wherever you want to use your defined Variable you use this Variable key: {USERVAR(variablename)}

Value

Set the requested value of the Variable here

Translate value to constant in Variable when running

Optional. If you, for example, use a Date Variable in the "Variable value" text box the Variable will be converted to a string when the Variable runs the first time - if not, the Variable keep the reference to the Variable. For example, if you use the current date as a Variable it will always show the current date when running in another Task (if unchecked). If this is checked, it will show the value of the date - from the last time the Variable was set.


Task Internal - Set User Variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Set User Variable

The Set Variable Task allows you to create or update a Variable. Variables can be used and reached throughout the whole application. You can this to store static or dynamic variables.

A User Variable is only global, which enables use anywhere in the application.

Name/Unique key

The name you set on the Variable is also the unique key for the Variable. Wherever you want to use your defined Variable you use this Variable key: {USERVAR(variablename)}

Translate value to constant in Variable when running

Optional. If you, for example, use a Date Variable in the "Variable value" text box the Variable will be converted to a string when the Variable runs the first time - if not, the Variable keep the reference to the Variable. For example, if you use the current date as a Variable it will always show the current date when running in another Task (if unchecked). If this is checked, it will show the value of the date - from the last time the Variable was set.

Description

Optional. If you want to distinguish your Variable further you can add a description.

Variable type

Currently, 3 Variable types exist. String, Int32 and Double. Note that the Variable type may be interested to set correctly if you want to compare/calculate/validate correctly.

Variable value

Set the requested value of the Variable here.

Validate value when saving

If checked, VisualCron will validate the value with the value type. Leave not checked if you are using a Variable as value and the Variable is not yet set.

Set a user defined Variable

1. Click on the Variables key in the Set Job Variable window.

2. Select User defined variables and click on Add.

3. After entering data, press the Add key

Name/Unique key
The name you set on the Variable is also the unique key for the Variable. Wherever you want to use your defined Variable you use this Variable key: {USERVAR(variablename)}

Description

Optional. If you want to distinguish your Variable further you can add a description.

Variable type

Currently, 3 Variable types exist. String, Int32 and Double. Note that the Variable type may be interested to set correctly if you want to compare/calculate/validate correctly.

Variable value

Set the requested value of the Variable here.


Task Internal - Calculate Variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Calculate Variable

The Calculate Variable Task lets you use different kind of math operations to modify and existing Variable.

Store value in Variable...

First you select an existing Variable to store the new value in.

Result box

Here you can preview the future value of the next calculation.

Left and right hand value

You can choose to either work with the current Variable, one or two other Variables or just two other values. By combining different settings you have the following choices:

·VariableX = VariableY (math operation) VariableZ

·VariableX = VariableX (math operation) Value1

·VariableX = VariableY (math operation) Value1

·VariableX = Value1 (math operation) VariableX

·VariableX = Value1 (math operation) VariableY

·VariableX = Value1 (math operation) Value2

Operation

The following math operations are available: Addition, Subtraction, Multiplication and Division

Validate value when saving

If checked, VisualCron will validate the value with the value type. Leave not checked if you are using a Variable as value and the Variable is not yet set.


Task Internal - Remove Variable

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Remove Variable

The Remove Variable Task lets you automate removal of existing Variables.

Variable name

Select the Variable name to remove.


Task Internal - Job report

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Internal Tasks >

Task Internal - Job report

The Task Internal - Job report Task creates a report on file or printer based on your existing Jobs and Tasks.

Job report > Output sub tab

Output type

Select output to printer, to file or standard (Task) output.

File

If output to file, select Credentials and output folder.

Internal > Job report > Job range sub tab

Job range

Select output of all Jobs or narrow down to specific Jobs.

Internal > Job report > Content sub tab

Job and Task selection

Select which properties of a Job and Task that will appear in the Job report.

Internal > Job report > Printer sub tab

If output to printer is selected in the Job report > Output sub tab, select printer settings.


Active directory Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Active directory Tasks


Task Active directory - Create AD Group

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Create AD Group

Creates a new Active Directory Group in the specified parent container. Groups are Active Directory (or local computer) objects that can contain users, contacts, computers and other groups that can be managed as a single unit.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select container button to select an existing Active Directory container.

Name

The name of the Active Directory group to be created.

Display name

The display name of the Active Directory group to be created.

Description

The description of the Active Directory group to be created.

Group type

An e-mail sent to a Security or Distribution group type sends the message to all members of the group.

A Security group manages user and computer access to shared resources and group policy settings. This allows setting permissions once on multiple computers in order to be able to easily change the group membership. The groups can also be used as e-mail distribution lists.

A Distribution group is used only for e-mail distribution lists in e-mail applications such as Microsoft Exchange or Outlook.

Group scope

Usually describe which type of users that a group consists of.

The Domain Local Group grant permissions to domain resources that are located in the same domain in which you created the domain local group. Membership of this group makes it possible to add members as user accounts, universal and global groups from any domain.

The Global Group contains users with similar function and can be given permission to access e.g. a printer or shared folder available in a local or another domain in same forest.

The Universal Group are used for e-mail distribution and can be granted access to resources in all trusted domains as a security principal in a Windows 2000 native or Windows server 2003 domain.


Task Active directory - Create AD Object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Create AD Object

Creates an Active Directory object of the specified type and name (i.e. computer. organizational unit).

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select container button to select an existing Active Directory container.

Type

The Computer or Organizational Unit type of Active Directory object to created.

Name

The name of the Active Directory group to be created.


Task Active directory - Create AD User

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Create AD User

Creates a new user at the specified Active Directory location.

Create AD User > General sub tab

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select container button to select an existing Active Directory container.

First/Initials/Middle/Last name

The user's different name parts.

Full name

First, Middle/Initial and Last Name parameters combined.

User logon name (@domain is allowed)

The logon name of the Active Directory user to be created.

User logon name (pre-Windows 2000)

The Pre-Windows 2000 logon name of the Active Directory user to be created. This defaults to the data entered in the User Logon Name property minus the @domain parameter (if applicable).

Password

The logon password of the Active Directory user to be created.

E-mail

The e-mail address of the Active Directory user to be created.

User must change password at next logon

If checked the user must modify the assigned password at next logon.

User cannot change password

If checked the user cannot change the assigned password. Only applicable only if the User must change password at next logon parameter is unchecked.

Password never expires

If checked the assigned password never expires.

Account is disabled

If checked the account to be created is in a disabled state.


Task Active directory - Delete AD Object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Delete AD Object

Deletes an explicit Active Directory object (i.e. user, computer, printer, etc.) at the specified path.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select object button to select an existing Active Directory object. Click the Select container button to select an existing Active Directory container.


Task Active directory - Get AD Group members

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Get AD Group members

Retrieves a list of group members in the Active directory to the output.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select group button to select an existing Active Directory group.


Task Active directory - Get AD Object path

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Get AD Object path

Populates the output with the LDAP (Lightweight Directory Access Protocol) path of the specified Active Directory object (i.e. user, computer, OU, etc.).

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select container button to select an existing Active Directory container.

Object type

The Active Directory object type in which to retrieve the path from. The options are: User, Computer, Group, Organizational unit and Printer.

Name

The name of an existing variable to be populated with the first object's LDAP path found in the Active Directory matching the name.


Task Active directory - Get AD property

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Get AD property

Retrieves and outputs the value of the specified property of the requested Active Directory object at the provided path.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select object button to select an existing Active Directory object. Click the Select container button to select an existing Active Directory container.

Property name

The property name of the Active Directory object in which to retrieve its value from (i.e. CN, CommonName, DN, DistinguishedName, etc.).


Task Active directory - List AD Object paths

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - List AD Object paths

Retrieves a list of the paths for all the Active Directory objects (i.e.computers, users, groups, etc.) at and below the specified path and populates a data set with resulting values. Results can be filtered by object type and/or a filter string.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Filter options

How to retrieve the Active Directory object's LDAP paths. Options are: Simple filter, Custom filter and ADO Query (SQL or LDAP syntax)

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select container button to select an existing Active Directory container.

Object type

The Active Directory object type in which to retrieve the path from. The options are: User, Computer, Group, Organizational unit and Printer.

Filter

Provides a filter string to search for specific Active Directory objects.


Task Active directory - Modify AD Group

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Modify AD Group

Allows an administrator to rename or delete an existing Active Directory group, as well as add users to, or delete users from a specific Active Directory group.

Modify AD Group > General tab

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Path

The LDAP path of the Active Directory group to modify. Click Select Group to select an existing group.

Action

The action to perform on the Active Directory group. The options are: Add user, Remove user, Rename group and Delete group.

Modify AD Group > Users tab

Add User's

Click the Add User(s) button and enter the property name of the Active Directory object (i.e. CN, CommonName, DN, DistinguishedName, etc.).

Troubleshooting

Error 0x80072035

Error 0x80072035 usually returns due to a password policy. This can be length, special characters, password history (password was used before). It would help to handle those errors to prrovide feedback to the user. A guide to handle these errors can be found here:

http://www.ozkary.com/2015/03/active-directory-setpassword-or.html


Task Active directory - Modify AD User

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Modify AD User

Enables, disables, deletes or renames an existing Active directory user. The action can also be used to change or reset the password of an Active Directory user.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Path

The LDAP path of the Active Directory user to modify. Click Select User to select an existing user.

Action

The action to be performed on the Active Directory user. The options are: Enable, Disable, Delete, Rename and Reset password.


Task Active directory - Move AD Object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Move AD Object

Moves the specific Active Directory object to the selected parent container.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select object button to select an existing Active Directory object. Click the Select container button to select an existing Active Directory container.

Move to this container

The LDAP path of the destination Active Directory container. Click the Select container button to select an existing destination Active Directory container.


Task Active directory - Rename AD Object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Rename AD Object

Renames the Active Directory object at the specified path to the provided name.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select object button to select an existing Active Directory object. Click the Select container button to select an existing Active Directory container.

New name

The desired new name of the Active Directory object.


Task Active directory - Set AD Object property

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Active directory Tasks >

Task Active directory - Set AD Object property

Sets the specified property of the selected Active Directory object to the specified name.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Parent path

The Lightweight Directory Access Protocol (LDAP) path of the parent Active Directory container. This is usually the top most container or the root of the directory data tree on a directory server. Click the Select object button to select an existing Active Directory object. Click the Select container button to select an existing Active Directory container.

Property name

The Active Directory object's property name.

Property value

The Active Directory object's property value.


SNMP Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

SNMP Tasks


Task SNMP - SNMP Get

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > SNMP Tasks >

Task SNMP - SNMP Get

Issues a GETNEXT message to an SNMP agent in order to inspect the value of the next variable. SNMP (Simple Network Management Protocol) is an UDP-based protocol used mostly in network management systems to monitor network-attached devices for conditions that warrant administrative attention.

SNMP Get > General tab

Agent IP Address

Text ...

Variable name

Text ...

Community

Text ...

SNMP Get > Advanced tab

Remote Port

Text ...

Time out after

Text ...

Broadcast delay

Text ...

SNMP version

Text ...

SNMP Get > Data tab

Use string notation for OIDs

Text ...

Use string notation for timetick values

Text ...


Task SNMP - SNMP Get Next

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > SNMP Tasks >

Task SNMP - SNMP Get Next

Issues a GETNEXT message to an SNMP agent in order to inspect the value of the next variable. SNMP (Simple Network Management Protocol) is a UDP-based protocol used mostly in network management systems to monitor network-attached devices for conditions that warrant administrative attention.

SNMP Get Next > General tab

Agent IP Address

Text ...

Variable name

Text ...

Community

Text ...

SNMP Get Next > Advanced tab

Remote Port

Text ...

Time out after

Text ...

Broadcast delay

Text ...

SNMP version

Text ...

SNMP Get Next > Data tab

Use string notation for OIDs

Text ...

Use string notation for timetick values

Text ...


Task SNMP - SNMP Get Bulk

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > SNMP Tasks >

Task SNMP - SNMP Get Bulk

Issues a GETBULK message to an SNMP agent in order to inspect a group of variables in a single transaction. This action is particularly useful for retrieving large tables. The GETBULK operation performs a GETNEXT operation for the first number of variable bindings in the request and performs a GETNEXT operation (continuous) for each of the remaining variable bindings in the request list. Note that the SNMP GETBULK command is not supported on devices using SNMPv1.

SNMP Get Bulk > General tab

Agent IP Address

Text ...

Return variable name for the first

Text ...

Community

Text ...

SNMP Get Bulk > Advanced tab

Remote Port

Text ...

Time out after

Text ...

Broadcast delay

Text ...

SNMP version

Text ...

SNMP Get Bulk > Data bindings tab

Variable name

Text ...

Use string notation for OIDs

Text ...

Use string notation for timetick values

Text ...


Task SNMP - SNMP Walk

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > SNMP Tasks >

Task SNMP - SNMP Walk

Issues a Walk message to an SNMP agent in order to inspect a group of variables. SNMP (Simple Network Management Protocol) is a UDP-based protocol used mostly in network management systems to monitor network-attached devices for conditions that warrant administrative attention.

SNMP Walk > General tab

Agent IP Address

Text ...

Variable name

Text ...

Community

Text ...

SNMP Walk > Advanced tab

Remote Port

Text ...

Time out after

Text ...

Broadcast delay

Text ...

SNMP version

Text ...

SNMP Walk > Data tab

Use string notation for OIDs

Text ...

Use string notation for timetick values

Text ...


Task SNMP - SNMP Set

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > SNMP Tasks >

Task SNMP - SNMP Set

Issues a SNMP SET message to an SNMP agent in order to alter the value of the variable. SNMP (Simple Network Management Protocol) is a UDP-based protocol used mostly in network management systems to monitor network-attached devices for conditions that warrant administrative attention.

SNMP Set > General tab

Agent IP Address

Text ...

Variable name

Text ...

Community

Text ...

Variable

Text ...

SNMP Set > Advanced tab

Remote Port

Text ...

Time out after

Text ...

Broadcast delay

Text ...

SNMP version

Text ...


Exchange Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Exchange Tasks

Microsoft Exchange Server är en e-postserver och en grupprogramvara.


Task Exchange - Create Exchange object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Exchange Tasks >

Task Exchange - Create Exchange object

Creates a new Exchange object, such as an appointment, task or contact.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange object type and properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Exchange - Get Exchange object(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Exchange Tasks >

Task Exchange - Get Exchange object(s)

Retrieves information regarding one or more Exchange objects and places the result in the output.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange object type and properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Exchange - Modify Exchange object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Exchange Tasks >

Task Exchange - Modify Exchange object

Modifies specific properties of an individual Exchange object.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange Object Address

Text ...

Exchange object type and properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Exchange - Delete Exchange object

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Exchange Tasks >

Task Exchange - Delete Exchange object

Deletes a single Exchange object. This activity uses the Exchange object ID of a specific object in order to delete it.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange Object Address

Text ...


Task Exchange - Delete Exchange objects

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Exchange Tasks >

Task Exchange - Delete Exchange objects

Deletes one or more Exchange objects, such as appointment, contact, email or task.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange object type and filter properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Sharepoint Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Sharepoint Tasks

Microsoft SharePoint is a web-based, collaborative platform that integrates with Microsoft Office. It is primarily sold as a document management and storage system, but the product is highly configurable and usage varies substantially between organizations.


Task Sharepoint - Create list

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Create list

The SharePoint - Create List Task creates a List in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The title of the group to create.

Description

A user defined description of the group to create.

Template type

Specifies a list template. Click the drop-down list and select an item from the list of available templates.

Quick launch

Specifies whether the list should be a quick launch item. The available options are:

·On

·Off

·DefaultValue

Enable attachments

If checked, specifies that list item attachments are enabled for the list. This parameter is unchecked by default.

Enable versioning

If checked. specifies that historical versions of list items and documents can be created in the list. This parameter is unchecked by default.

Enable folder creation

If checked, specifies that new list folders can be added to the list. This parameter is unchecked by default.

Columns

Columns are created by clicking the Add button using a Microsoft xml format.

Read more here: http://msdn.microsoft.com/en-us/library/office/ms457586.aspx


Task Sharepoint - Delete list(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Delete list(s)

The SharePoint - Delete List(s) Task deletes a list in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The title of the List to delete. This combobox supports wild cards for deleting one or more Lists. Click the Refresh icon to list available Lists.


Task Sharepoint - Describe list

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Describe list

The SharePoint - Describe List Task returns a description of a list in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The title of the List to describe. Click the Refresh icon to list available Lists.


Task Sharepoint - Get list(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Get list(s)

The SharePoint - Get List Task retrieves a list of Lists from the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.


Task Sharepoint - Update list

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Update list

The SharePoint - Update List Task updates a List in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The existing title of a list to update.

New title

The new title of the list to update.

Description

A user defined description of the list to update.

Template type

Specifies a list template. Click the drop-down list and select from the list of available templates.

Quick launch

Specifies whether the list should be a quick launch item. The available options are:

·On

·Off

·DefaultValue

Enable attachments

If checked, specifies that list item attachments are enabled for the list. This parameter is unchecked by default.

Enable versioning

If checked. specifies that historical versions of list items and documents can be created in the list. This parameter is unchecked by default.

Enable folder creation

If checked, specifies that new list folders can be added to the list. This parameter is unchecked by default.

Columns

Columns are created by clicking the Add button using a Microsoft xml format.

Read more here: http://msdn.microsoft.com/en-us/library/office/ms457586.aspx


Task Sharepoint - Add list item

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Add list item

Adds an item to an existing list on a SharePoint Services site. Lists usually appear in a multi-column/mult-row table of information which are basic building blocks of Web pages on a Windows SharePoint Services site. The columns represent lists and the rows represent items in those lists. If the specified list (column) does not exist, it will be created during runtime along with its associated value. If the column already exists, the specified value will be added to the next available row in that column.

The SharePoint - Update List Task updates a List in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The title of an exiting list to be added.

Field(s)

Text ...

Click the Refresh fields button to update all available fields.


Task Sharepoint - Update list item

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Update list item

The SharePoint - Update List Task updates a List in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

List item Id (full path)

The title of the list to be updated. Click the Folder icon to browse a SharePoint site in order to view or select a specific item.

Field(s)

Text ...

Click the Refresh fields button to update all available fields.


Task Sharepoint - Delete list item(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Delete list item(s)

The SharePoint - Delete List item(s) Task deletes one or more List item(s) in a List of the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

List item id

The Id of the list item. Click the Folder icon to select.


Task Sharepoint - Get list item(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Get list item(s)

The SharePoint - Get List item(s) Task retrieves a list of list items from a specific List in the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The displayed title for the list. Click the refresh button to list all available titles.

CAML Query

The query in CAML format to select one or more List items.

Field(s)

Text ...

Click the Refresh fields button to update all available fields.


Task Sharepoint - Upload file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Upload file(s)

The SharePoint - Upload file(s) Task uploads one or more files to the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Upload file(s) > File filter > Location sub tab

The List file(s) Task uses the standard VisualCron File filter to define the properties of the listed files.

Upload file(s) > Destination sub tab

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Destination folder

The destination folder for the files. Click the Folder icon to browse a SharePoint site in order to view or select a specific folder.

Overwrite

Optionally you can choose if you want to overwrite any existing file(s). If Don't overwrite is selected, this task fails if files with the same name are found in the destination.

Troubleshooting

File Not Found

Please check so that destination folder does not end with a forward slash /


Task Sharepoint - Download file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Download file(s)

The SharePoint - Download file(s) Task downloads one or more files from the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Source folder

The source URL of the file to download. Click the Folder icon to use the SharePoint Browser in order to view or select a specific contents such as files, folders and attachments.

File mask

Use wild cards to find and delete one or more files.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Destination folder

The folder that you want to save the files in. Click on the folder icon to select folder.

Overwrite options

Optionally you can choose if you want to overwrite any existing file(s) based on if existing or date. If Don't overwrite is selected, this task fails if files with the same name are found in the destination.


Task Sharepoint - List file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - List file(s)

The SharePoint - List file(s) Task retrieves a list of existing files from List in the SharePoint library based on a CAML query.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Title

The displayed title for the list. Click the Refresh icon to list all available lists.

CAML Query

The query in CAML format to select one or more files.


Task Sharepoint - Delete file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Sharepoint Tasks >

Task Sharepoint - Delete file(s)

The SharePoint - Delete file(s) Task deletes files from List in the SharePoint library based on a CAML query.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Source folder

The source folder for the files. Click the Folder icon to browse a SharePoint site in order to view or select a specific folder.

File mask

Use wild cards to find and delete one or more files.


Virtual server Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Virtual server Tasks

Microsoft Virtual Server was a virtualization solution that facilitated the creation of virtual machines on the Windows XP, Windows Vista and Windows Server 2003 operating systems. Virtual Server has been discontinued and replaced by Hyper-V.


Task Virtual Server - Start VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - Start VM

The Virtual Server - Start VM Task starts a specific virtual machine.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Virtual Machine Name

The host name of the virtual machine, Click the Refresh button to populate connected virtual machine names.

Wait for completion

Text ...

Resume paused machine

Text ...


Task Virtual Server - Pause VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - Pause VM

The Virtual Server - Pause VM Task puts a specific virtual machine in pause mode.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Virtual Machine Name

The host name of the virtual machine, Click the Refresh button to populate connected virtual machine names.

Options

Text ...


Task Virtual Server - Reset VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - Reset VM

The Virtual Server - Reset VM Task resets a specific virtual machine.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Virtual Machine Name

The host name of the virtual machine, Click the Refresh button to populate connected virtual machine names.

Start Virtual machine if turned off

Text ...


Task Virtual Server - Turn off VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - Turn off VM

The Virtual Server - Turn off VM Task turns off a specific virtual machine.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Virtual Machine Name

The host name of the virtual machine, Click the Refresh button to populate connected virtual machine names.

Options

Text ...


Task Virtual Server - Save VM state

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - Save VM state

The Virtual Server - Save VM state Task saves the current state of a specific virtual machine.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Virtual Machine Name

The host name of the virtual machine, Click the Refresh button to populate connected virtual machine names.

Wait for completion

Text ...


Task Virtual Server - Check VM status

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - Check VM status

The Virtual Server - Check VM status Task retrieves the status of a specific virtual machine.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Virtual Machine Name

The host name of the virtual machine, Click the Refresh button to populate connected virtual machine names.

If VM status is in transient state - wait for evaluation

Text ...


Task Virtual Server - List VM machines

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Virtual server Tasks >

Task Virtual Server - List VM machines

The Virtual Server - List VM machines Task retrieves a list of all virtual machines on a specific virtual machine.

Local or Remote

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

The name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Running

Text ...

Turned off (guest saved)

Text ...

Turned off (guest unsaved)

Text ...

Paused

Text ...

Other (includes all transient states)

Text ...

Invalid

Text ...


Dynamics CRM Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Dynamics CRM Tasks

Microsoft Dynamics CRM is a customer relationship management software package developed by Microsoft. The product focuses mainly on Sales, Marketing, and Service (help desk). It is part of the Microsoft Dynamics family of business applications.

The following versions of Dynamics CRM are supported:

·Dynamics CRM 2010

·Dynamics CRM 2013

·Dynamics CRM 2015

·Dynamics CRM 2016

·Dynamics CRM Online


Task Dynamics CRM - Get entity

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Get entity

The Dynamics CRM - Get Entity Task retrieves an Entity object from Dynamics CRM.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.

Attribute name

Click the Fill button to list existing attribute names to select the attribute you want to retrieve the value from.


Task Dynamics CRM - Create entity

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Create entity

The Dynamics CRM - Create Entity Task creates an Entity in Dynamics CRM.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity data

Click the Fill attributes button when you have selected an Entity and the related attributes will be listed. Type in the attribute value. Any attribute with blank values will be ignored (not created).


Task Dynamics CRM - Update entity

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Update entity

The Dynamics CRM - Update Entity Task updates a specific Entity object in Dynamics CRM.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.

Entity data

Click the Fill attributes button when you have selected an Entity and the related attributes will be listed. Type in the attribute value. Any attribute with blank values will be ignored (not created).


Task Dynamics CRM - Delete entity

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Delete entity

The Dynamics CRM - Delete Entity Task deletes an Entity in Dynamics CRM instance.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.


Task Dynamics CRM - List entity

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - List entity

The Dynamics CRM - List Entity Task lists entities in Dynamics CRM.

This Task is similar to Get entity but lists the values of a specific attribute on all objects within an entity.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Attribute name

Click the Fill button to list existing attribute names to select the attribute you want to retrieve the value from.


Task Dynamics CRM - Get audit data

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Get audit data

The Dynamics CRM - Get audit data Task retrieves auditing information from Dynamics CRM instance.

The audit data it will return a string containing list of changes made from the moment you have enabled audit.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.


Task Dynamics CRM - Set audit status

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Set audit status

The Dynamics CRM - Set audit data Task changes auditing status on a specific Entity in a Dynamics CRM instance.

The audit data it will return a string containing list of changes made from the moment you have enabled audit.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Auditing for organization

Enables/disables auditing for organization.

Auditing for entity

Enables/disables auditing for entity.

Note: If auditing is not enabled at the organization level, auditing of entities and attributes, even if it is enabled, does not occur. By default, auditing is enabled on all auditable entity attributes but is disabled at the entity and organization level.


Task Dynamics CRM - Start work flow

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Start work flow

The Dynamics CRM - Start workflow Task starts an existing work flow in Dynamics CRM.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.

Workflow

Click the Fill button to list existing work flows and select the one you want to run. Please note that the work flow needs to be of the type "on demand".


Task Dynamics CRM - Download attachment(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Download attachment(s)

The Dynamics CRM - Download attachment Task downloads one or more attachments a from Dynamics CRM instance.

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Destination folder

Local destination folder where the downloaded files should be stored. Click the Folder icon to browse and select a specific Dynamics CRM folder.

Source file mask

File mask for filtering out attachments in Dynamics CRM instance.


Task Dynamics CRM - Upload attachment

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Upload attachment

The Dynamics CRM - Upload attachment Task uploads one or more attachments to a Dynamics CRM instance.

Upload attachment > Main settings tab

Connection

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.

Mime type

Enter the mime type of the file(s) you are uploading if the Auto detect option does not work for you.

Upload attachment > File filter > Location sub tab

This Task uses the standard VisualCron File filter to define the properties of the listed files.


Task Dynamics CRM - Delete attachment

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Dynamics CRM Tasks >

Task Dynamics CRM - Delete attachment

The Dynamics CRM - Delete attachment Task deletes one or more attachments from a Dynamics CRM instance.

Connection details

To use Dynamics CRM Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Entity name

The logical name of the entity to get information from. Click the Fill button to list existing Entities in the Dynamics CRM instance.

Entity Id

Click the Fill button to list existing Entity Id's based on the selected Entity.

Filter

File filter for the attachments.


Cloud transfer Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Cloud transfer Tasks

Cloud storage is a model of data storage in which the digital data is stored in logical pools, the physical storage spans multiple servers (and often locations), and the physical environment is typically owned and managed by a hosting company.

The Cloud Tasks in VisualCron currently supports the following cloud services:

· Amazon S3

· Box

· DropBox

· Google Drive

· Microsoft Azure

· OneDrive

Different Connections are used depending on the different cloud service providers.

The same interface is shared for the different cloud services.

In order to simplify and unify common parameters, the standard VisualCron Cloud remote file filter is used in the below list of Cloud Tasks:

· List item(s)

· Download file(s)

· Delete item(s)


Task Cloud transfer - Upload file(s)

Task Cloud - Upload file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Cloud transfer Tasks >

Task Cloud - Upload file(s)

The Cloud - Upload file(s) Task let's you upload files to a cloud service like Amazon S3, Box, Dropbox, Google Drive, Microsoft Azure and OneDrive.

Upload file(s) > Main settings sub tab

Connection

To use a specific cloud service you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Bucket/Container

This property refers to "Container" in Windows Azure and "Bucket" in Amazon S3. For other cloud services this property is disabled. Click the Folder icon to list all available Buckets/Containers.

Destination folder

This is destination folder in the cloud - where the files should be uploaded to. Click the Folder icon to list folders from the cloud.

Keep modified/created date

If checked don't change the modified/created date of the file.

Upload file(s) > File filter > Location sub tab

This Task uses the standard VisualCron File filter to define the properties of the listed files.


Task Cloud transfer - List item(s)

Task Cloud - List item(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Cloud transfer Tasks >

Task Cloud - List item(s)

The Cloud - List item(s) Task is able to list files or folders in Cloud services like Amazon S3, Box, Dropbox, Google Drive, Microsoft Azure and OneDrive.

This Task uses the Cloud Remote file filter for settings.


Task Cloud transfer - Download file(s)

Task Cloud - Download file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Cloud transfer Tasks >

Task Cloud - Download file(s)

The Cloud - Download file(s) Task is able to download files with Cloud services like Amazon S3, Box, Dropbox, Google Drive, Microsoft Azure and OneDrive.

Download file(s) > Remote file filter sub tab

This Task uses the Cloud Remote file filter for settings.

Download file(s) > Destination sub tab

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Destination folder

The folder where you want to store the files. Click the Folder icon to list folders from the cloud.

Overwrite options

If the file is already existing you can choose to overwrite, only if newer or not overwrite.

Keep modified/created date

This take the modified/created dates from the downloaded file(s).

Delete source file after download

When download has been completed the source file in the cloud is deleted.


Task Cloud transfer - Create folder

Task Cloud - Create folder

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Cloud transfer Tasks >

Task Cloud - Create folder

The Cloud - Create folder Task is able to create a folder with Cloud services like Amazon S3, Box, Dropbox, Google Drive, Microsoft Azure and OneDrive.

Connection

To use a specific cloud service you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Bucket/Container

This property refers to "Container" in Windows Azure and "Bucket" in Amazon S3. For other cloud services this property is disabled. Click the Folder icon to list all available Buckets/Containers.

Path to new folder

The full path to the new folder.


Task Cloud transfer - Delete item(s)

Task Cloud - Delete item(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Cloud transfer Tasks >

Task Cloud - Delete item(s)

The Cloud - Create folder Task is able to delete items (files and folders) from a Cloud services like Amazon S3, Box, Dropbox, Google Drive, Microsoft Azure and OneDrive.

This Task uses the Cloud Remote file filter for settings.


Amazon EC2 Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Amazon EC2 Tasks

Amazon Elastic Compute Cloud (EC2) forms a central part of Amazon.com's cloud-computing platform, Amazon Web Services (AWS), by allowing users to rent virtual computers on which to run their own computer applications.


Task Amazon EC2 - Start instance

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Start instance

The Amazon EC2 - Start instance Task starts instance that uses an Amazon EBS volume as its root device.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Instance

The instance ID to start. Click the Refresh icon to populate the drop-down instance ID list.


Task Amazon EC2 - Launch instance

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Launch instance

The Amazon EC2 - Launch instance Task launches the specified number of instances using an AMI for which you have permissions.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Key pair name

The name of the key pair (Example: -k websvr-keypair). Click the Refresh icon to populate the drop-down Key pair name list.

Image Id

The unique ID of a machine image. Click the Refresh icon to populate the drop-down Image ID list.

Instance type

The size of the instance to launch. Click the Refresh icon to populate the drop-down Instance type list.

Subnet Id

Specify the CIDR block for the subnet (a subset of the VPC CIDR block) in the Avalability Zone. Click the Refresh icon to populate the drop-down Subnet ID list.

Availability Zone

The zone in which to launch the instance(s). Click the Refresh icon to populate the drop-down Availability Zone list.

Number of instances to launch

The number of instances based on the selected AMI to launch.

Note about xxx:

Text ...


Task Amazon EC2 - Stop instance

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Stop instance

The Amazon EC2 - Stop instance Task stops an instance that uses an Amazon EBS (Elastic Block Store) volume as its root device. When you stop an EC2 instance, the instance will be shutdown and the virtual machine that was provisioned for you will be permanently taken away and you will no longer be charged for the instance usage. The key difference between stopping and terminating an instance is that the attached bootable EBS volume will not be deleted. The data on your EBS volume will remain after stopping while all information on the local (ephemeral) hard drive will be lost as usual.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Instance

The instance ID to start. Click the Refresh icon to populate the drop-down instance ID list.

Force

If checked, the instance will be forced to stop. This may cause file system problems and is not recommended for Windows instances.


Task Amazon EC2 - Terminate instance

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Terminate instance

The Amazon EC2 - Terminate instance Task shuts down one or more instances. This operation is idempotent; if you terminate more than once, each call succeeds.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Instance

The instance ID to start. Click the Refresh icon to populate the drop-down instance ID list.


Task Amazon EC2 - Reboot instance

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Reboot instance

The Amazon EC2 - Reboot instance requests a boot of one or more instances. This operation is asynchronous; it only queues a request to reboot the specified instances. The operation succeeds if the instances are valid and belong to you. Requests to reboot terminated instances are ignored.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Instance

The instance ID to start. Click the Refresh icon to populate the drop-down instance ID list.


Task Amazon EC2 - List instance(s)_2

Task Amazon EC2 - List instance(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - List instance(s)

The Amazon EC2 - List instances lists existing instances according to the specified filter.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Filter

Filter for instances. Example: {"Name": "instance-type", "Values": ["t2.micro", "m1.medium"]}


Task Amazon EC2 - List security group

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - List security group

The Amazon EC2 - List security group Task returns a list of security groups according to the specified filter.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Filter

Filter for security groups. Example: {"Name": "instance-type", "Values": ["t2.micro", "m1.medium"]}


Task Amazon EC2 - List address(es)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - List address(es)

The Amazon EC2 - List address(es) Task lists information about one or more of your Elastic IP addresses.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Filter

Filter for elastic IP addresses. Example: {"Name": "instance-type", "Values": ["t2.micro", "m1.medium"]}


Task Amazon EC2 - List volume(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - List volume(s)

The Amazon EC2 - List volume(s) Task returns a list containing various status properties for filtered volume(s).

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Filter

Filter for volumes. Example: {"Name": "instance-type", "Values": ["t2.micro", "m1.medium"]}

Volume IDs

The ID of the volume to list.


Task Amazon EC2 - List snapshot(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - List snapshot(s)

The Amazon EC2 - List snapshots Task lists one or more of the Amazon EBS snapshots available to you. Snapshots available to you include public snapshots available for any AWS account to launch, private snapshots you own and private snapshots owned by another AWS account for which you've been given explicit create volume permissions.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Filter

Filter for snapshots. Example: {"Name": "instance-type", "Values": ["t2.micro", "m1.medium"]}


Task Amazon EC2 - Delete snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Delete snapshot

The Amazon EC2 - Delete snapshot Task deletes the specified snapshot. When you make periodic snapshots of a volume, the snapshots are incremental and only the blocks on the device that have been changed since your last snapshot are saved in the new snapshot.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Snapshots

The snapshot to be deleted. Click the Refresh icon to populate the drop-down snapshot list.


Task Amazon EC2 - Create snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - Create snapshot

The Amazon EC2 - Create snapshot Task creates a snapshot of an Amazon EBS volume and stores it in Amazon S3. You can use snapshots for backups, to make copies of instance store volumes and to save data before shutting down an instance.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Volume ID

The volume ID of the Amazon EBS volume.

Description

Descriptive text for the snapshot.


Task Amazon EC2 - List key pair(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Amazon EC2 Tasks >

Task Amazon EC2 - List key pair(s)

The Amazon EC2 - List key pair(s) Task lists one or more of your key pairs.

Connection

To use Amazon EC2 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Filter

Filter for key pairs. Example: {"Name": "instance-type", "Values": ["t2.micro", "m1.medium"]}


Azure Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Azure Tasks

Microsoft Azure (formerly Windows Azure) is a cloud computing service created by Microsoft for building, testing, deploying, and managing applications and services through a global network of Microsoft-managed data centers.


Task Azure - Start VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Start VM

The Azure - Start VM Task starts an existing virtual machine in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Start VM tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.


Task Azure - Stop VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Stop VM

The Azure - Stop VM Task stops an existing virtual machine in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Stop VM tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.

Deallocate

In the stopped (deallocated) state, there is no continues to bill for resources.


Task Azure - Restart VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Restart VM

The Azure - Restart VM Task restarts an existing virtual machine in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Restart VM tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.


Task Azure - Update VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Update VM

Feature not implemented yet. This Task is using the Microsoft Azure Connection.


Task Azure - Create VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Create VM

The Azure - Create VM Task creates an existing virtual machine in the Azure cloud.

Azure - Create VM tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.

Settings

Enter virtual machine settings. If applicable for a setting, click the Refresh icon to populate the drop-down list.


Task Azure - Start web site

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Start web site

The Azure - Start Web Site Task starts an existing web instance in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Start web site tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Web site

The Azure web instance name. Click the Refresh icon to populate the drop-down list.


Task Azure - Stop web site

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Stop web site

The Azure - Stop Web Site Task stops an existing web instance in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Stop web site tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Web site

The Azure web instance name. Click the Refresh icon to populate the drop-down list.


Task Azure - Restart web site

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Restart web site

The Azure - Restart Web Site Task restarts an existing web instance in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Restart web site tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Web site

The Azure web instance name. Click the Refresh icon to populate the drop-down list.


Task Azure - Remove web site

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Remove web site

The Azure - Remove Web Site Task deletes an existing web instance in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Remove web site tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Web site

The Azure web instance name. Click the Refresh icon to populate the drop-down list.


Task Azure - Create web site

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Azure Tasks >

Task Azure - Create web site

The Azure - Create Web Site Task creates a web instance in the Azure cloud. This Task is using the Microsoft Azure Connection.

Azure - Cleate web site tab

Connection

To use the Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Web

Enter web site information. Click the Refresh icon to populate the Geo region drop-down list.


Office365

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Office365

Enter topic text here.


Task Office365 - Get Calendar events

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office365 >

Task Office365 - Get Calendar events

The Office365 - Get Calendar event(s) Task lets you retrieve a Calendar event from the Office365 cloud. The Task uses the Office365 Connection.

Office365 - Get calendar events tab

Connection

To use the Office365 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.


Task Office365 - Add Calendar event

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office365 >

Task Office365 - Add Calendar event

The Office365 - Add Calendar Event Task lets you add a Calendar event in the Office365 cloud. The Task uses the Office365 Connection.

Office365 - Add calendar events tab

Connection

To use the Office365 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Event parameters

Event properties to be entered for the calendar event to be added.


Task Office365 - Update Calendar event

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office365 >

Task Office365 - Update Calendar event

The Office365 - Update Calendar event Task lets you update a Calendar event in the Office365 cloud. The Task uses the Office365 Connection.

Office365 - Update calendar events tab

Connection

To use the Office365 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Event parameters

Event properties to be entered for the calendar event to be updated.


Task Office365 - Delete Calendar event

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Office365 >

Task Office365 - Delete Calendar event

The Office365 - Delete Calendar event Task lets you delete a Calendar event in the Office365 cloud. The Task uses the Office365 Connection.

Office365 - Delete calendar events tab

Connection

To use the Office365 Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Calendar event

Calendar name and Event subject for the calendar event to be deleted.


Hyper-V Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Hyper-V Tasks

Microsoft Hyper-V, formerly known as Windows Server Virtualization, is a native hypervisor; it can create virtual machines on x86-64 systems running Windows.

Remote Hyper-V Tasks uses PowerShell. For more information how to configure PowerShell for remote access please look at this page:

http://www.howtogeek.com/117192/how-to-run-powershell-commands-on-remote-computers/


Task Hyper-V - List VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - List VM

The Hyper-V - List VM Task allows you to list virtual machines hosted on a specific, local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.


Task Hyper-V - Start VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Start VM

The Hyper-V - Start VM Task allows you to start a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Stop VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Stop VM

The Hyper-V - Stop VM Task allows you to stop a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Pause VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Pause VM

The Hyper-V - Pause VM Task allows you to pause a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Suspend VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Suspend VM

The Hyper-V - Suspend VM Task allows you to suspend a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Resume VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Resume VM

The Hyper-V - Resume VM Task allows you to resume a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Check VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Check VM

The Hyper-V - Check VM Task allows you to determine the state of a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Reset VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Reset VM

The Hyper-V - Reset VM Task allows you to reset a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.


Task Hyper-V - Create snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Create snapshot

The Hyper-V - Create snapshot Task allows you to create a system snapshot of a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.

Snapshot name

Enter the name of the snapshot. Click the Refresh icon to populate the drop-down list with available snapshots.


Task Hyper-V - Apply snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Apply snapshot

The Hyper-V - Apply snapshot Task allows you to apply an existing snapshot to a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.

Snapshot name

Enter the name of the snapshot. Click the Refresh icon to populate the drop-down list with available snapshots.


Task Hyper-V - Delete snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Hyper-V Tasks >

Task Hyper-V - Delete snapshot

The Hyper-V - Delete snapshot Task allows you to delete a system snapshot to a specific virtual machine hosted on a local or remote, Hyper-V Management Server.

Local/Remote server

Select the the Local server radio button if you want to control the local computer, select the Remote server radio button if you want to control a remote computer.

Server name

Host name of the remote server.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Virtual machine

Enter the name of the virtual machine. Click the Refresh icon to populate the drop-down list with available virtual machines.

Snapshot name

Enter the name of the snapshot. Click the Refresh icon to populate the drop-down list with available snapshots.


VMWare Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

VMWare Tasks

A VMWare guest task is used for an individual guest operating system or numerous guest operating systems running on multiple virtual machines.

External library

The VMWare Tasks require download and install of the VMWare VIX API on the VisualCron server:

https://my.vmware.com/web/vmware/free#desktop_end_user_computing/vmware_player/5_0

In the VMWare Tasks you can connect to VMWare Workstation or Server depending on Task type. The Connection settings window is the same for all VMWare Task types.


Task VMWare - Start VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Start VM

The VMWare - Start VM Task starts (power on) a virtual machine.

Start VM > Connection sub tab

Remote VMWare server

Press this radio button if you want to connect to a remote VMWare server like vSphere.

Connection

When connecting to a VMWare server you need to setup a VMWare Connection. Click the Settings icon to open the Manage Connections dialog.

Server VMX path

Path to the VMX file on the server. Click on the refresh button to reload the list with server VMX paths. Click the Refresh icon to populate the drop-down Server VMX path list.

Local VMWare workstation

Press this radio button if you want to connect to a local VMWare workstation.

Local VMX path

Select the local file VMX path to the local VMWare server. Click the Folder icon to display the folder of the server.

Guest OS Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Timeout in seconds

The number of seconds this Task will use to perform the Task. If you have a value in the Timeout tab of the Task it will override this value.

Start VM > VM Task settings sub tab

Launch GUI

Displays the interface of the virtual machine in the VMWare workstation application.


Task VMWare - Stop VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Stop VM

The VMWare - Stop VM Task stops (power off) a virtual machine.

Stop VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Stop VM > VM Task settings sub tab

Stop type

Hard, soft or trysoft specifies the behavior of the power operation.


Task VMWare - Suspend VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Suspend VM

The VMWare - suspend VM Task suspends a virtual machine.

Suspend VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Suspend VM > VM Task settings sub tab

No specific settings.


Task VMWare - Pause VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Pause VM

The VMWare - Pause VM Task puts a virtual machine in pause mode.

Pause VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Pause VM > VM Task settings sub tab

No specific settings.


Task VMWare - Resume VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Resume VM

The VMWare - Resume VM Task resumes a paused virtual machine.

Resume VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Resume VM > VM Task settings sub tab

No specific settings.


Task VMWare - Reset VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Reset VM

The VMWare - Reset VM Task resets a virtual machine.

Reset VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Reset VM > VM Task settings sub tab

Stop type

Hard, soft or trysoft specifies the behavior of the power operation.


Task VMWare - Get VM status

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Get VM status

The VMWare - Get VM status Task returns the current state of the virtual machine.

Get VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Get VM > VM Task settings sub tab

No specific settings.


Task VMWare - Create VM snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Create VM snapshot

The VMWare - Create VM snapshot Task creates a snapshot from the current state of the virtual machine.

Create snapshot > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Create snapshot > VM Task settings sub tab

Name

The name of the snapshot.

Description

The description of the snapshot.

Include memory

Captures the full state of a running virtual machine, including the memory.


Task VMWare - Revert to VM snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Revert to VM snapshot

The VMWare - Revert to VM snapshot Task restores the current snapshot to a specific one.

Revert to snapshot > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Revert to snapshot > VM Task settings sub tab

Snapshot name

The name of the snapshot. Click the Refresh icon to populate the drop-down snapshot list.


Task VMWare - Delete VM snapshot

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Delete VM snapshot

The VMWare - Delete VM snaphot Task deletes a specific snaphost of the virtual machine.

Delete snapshot > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Delete snapshot > VM Task settings sub tab

Snapshot name

The name of the snapshot. Click the Refresh icon to populate the drop-down snapshot list.


Task VMWare - List VM snapshots

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - List VM snapshots

The VMWare - List VM snapshots returns a list of existing snapshots of a virtual machine.

List snapshots > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

List snapshots > VM Task settings sub tab

No specific settings.


Task VMWare - Delete VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Delete VM

The VMWare - Delete VM Task lets you delete a virtual machine.

Delete VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Delete VM > VM Task settings sub tab

No specific settings.


Task VMWare - Clone VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Clone VM

The VMWare - Clone VM Task lets you clone a virtual machine.

Clone VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Clone VM > VM Task settings sub tab

Snapshot name

The name of the snapshot - if none specified the latest will be used. Click the Refresh icon to populate the drop-down snapshot name list.

Cloned file path

The path where the cloned file should be placed. Click the Folder icon to set folder for the cloned file.

Full clone

Full clone checked - creates a full, independent clone of the virtual machine.

Full clone unchecked - creates a linked clone, which is a copy of a virtual machine that shares virtual disks with the parent virtual machine in an ongoing manner. This conserves disk space as long as the parent and clone do not change too much from their original state.


Task VMWare - Install tools

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Install tools

The VMWare - Install tools Task installs the tools for the virtual machine.

Install tools > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Install tools > VM Task settings sub tab

No specific settings.


Task VMWare - Register VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Register VM

The VMWare - Register VM Task lets you register a virtual machine in the VMWare Server.

Register VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Register VM > VM Task settings sub tab

No specific settings.


Task VMWare - Unregister VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - Unregister VM

The VMWare - Unregister VM Task lets you unregister a virtual machine in the VMWare Server.

Unregister VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Unregister VM > VM Task settings sub tab

No specific settings.


Task VMWare - List VM

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - List VM

The VMWare - List VM Task lists all virtual machines in the VMWare Server.

List VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

List VM > VM Task settings sub tab

VM listing status filter

Check applicable boxes for the desired filtered result.


Task VMWare - [guest] Capture screen

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Capture screen

The VMWare - Capture screen Task lets you take a screenshot in the guest operating system.

[Guest] Capture screen > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Capture screen > VM Task settings sub tab

Image path

Full path to the image (png) file where the captured screen should be saved to. Click the Folder icon to browse folders and select a folder.


Task VMWare - [guest] Copy file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Copy file(s)

The VMWare - Copy file Task copies a file or directory from the guest operating system to the local system or copies a file or a directory from the local system to the guest operating system.

[Guest] Copy file(s) > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Copy file(s) > VM Task settings sub tab

Source folder

The folder you want to copy files from. Click the Folder icon to browse folders and select a folder.

Source file (mask)

File mask or name of file you want to copy. Click the File icon to browse file according to file mask and select a file.

From guest to host

Which direction the file should be copied. By default it it copying from the guest to host.

Destination folder

The folder you want to copy files to. Click the Folder icon to browse folders and select a folder.


Task VMWare - [guest] Rename file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Rename file

The VMWare - Rename file Task lets you rename a file in the guest operating system.

[Guest] Rename file > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Rename file > VM Task settings sub tab

Old file path

Old full path of file you want to rename. Click the File icon to browse and select an old file.

New file path

New full path of file you want to rename. Click the File icon to browse and save with a new file name.


Task VMWare - [guest] Delete file(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Delete file(s)

The VMWare - Delete file(s) Task lets you delete files on the guest operating system.

[Guest] Delete file(s) > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Delete file(s) > VM Task settings sub tab

Source folder

The folder you want to delete files from. Click the Folder icon to browse folders.

Source file (mask)

File mask or name of file you want to delete. Click the File icon to browse files according to file mask and select file(s) to be deleted.


Task VMWare - [guest] Directory exists

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Directory exists

The VMWare - Directory exists Task returns True or False depending on if a directory exists or not in the guest operating system.

[Guest] Directory exists > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Directory exists > VM Task settings sub tab

Source folder

The folder you want to check if existing. Click the Folder icon to browse folders.


Task VMWare - [guest] File exists

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] File exists

The VMWare - File exists Task returns True or False depending on if a file exists or not in the guest operating system.

[Guest] File exists > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] File exists > VM Task settings sub tab

File path

The full path to file you want to check if existing. Click the File icon to browse files.


Task VMWare - [guest] Delete directory

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Delete directory

The VMWare - Delete directory Task deletes a directory in the guest operating system.

[Guest] Delete directory > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Delete directory > VM Task settings sub tab

Folder

The folder you want to delete. Click the Folder icon to browse folders.


Task VMWare - [guest] Create directory

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Create directory

The VMWare - Create directory Task creates a directory in the guest operating system.

[Guest] Create directory > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Create directory > VM Task settings sub tab

Folder

The folder you want to create. Click the Folder icon to browse folders.


Task VMWare - [guest] Create temp file

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Create temp file

The VMWare - Create temp file Task creates a temporary file in the guest operating system and returns the full file path to the Task output.

[Guest] Create temp file > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Create temp file > VM Task settings sub tab

No specific settings.


Task VMWare - [guest] Run command

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Run command

The VMWare - Run command Task runs a program in the guest operating system.

[Guest] Run command > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Run command > VM Task settings sub tab

Full path to command

The full path to executable/batch file/etc. Click the File icon to browse files and select a command file.

Argument

The argument for the command.


Task VMWare - [guest] Open URL

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Open URL

The VMWare - Open URL Task opens an URL on the guest operating system.

[Guest] Open URL > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Open URL > VM Task settings sub tab

URL

The URL you want to open.


Task VMWare - [guest] Kill process(es)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] Kill process(es)

The VMWare - Kill process Task lets you kill processes in the guest operating system.

[Guest] Kill process(es) > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] Kill process(es) > VM Task settings sub tab

Process name

The name of the process you want to kill. Click the Refresh icon to populate the drop-down list with active process names.

Process Id

The process id of the process you want to kill. Click the Refresh icon to populate the drop-down list with active process IDs.


Task VMWare - [guest] List process(es)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > VMWare Tasks >

Task VMWare - [guest] List process(es)

The VMWare - List process(es) Task lets you list processes in the guest operating system and returns the process list to the Task output.

[Guest] List process(es) > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

[Guest] List process(es) > VM Task settings sub tab

No specific settings.


MSMQ Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

MSMQ Tasks

Microsoft Message Queuing or MSMQ is a message queue implementation developed by Microsoft and deployed in its Windows Server operating systems since Windows NT 4 and Windows 95. Windows Server 2016 and Windows 10 also includes this component.


Task MSMQ - Send message

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > MSMQ Tasks >

Task MSMQ - Send message

The MSMQ - Send message Task sends a message to the specified queue.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local MSMQ

Select this radio button if the activity will be performed on the local computer.

Remote MSMQ

Select this radio button if the activity will be performed on the remote computer.

Host name

The host name or IP address of the remote computer.

Queue

The name of the queue to retrieve the message from. Click the Refresh icon to populate the drop-down list of message queue names.

Label

The label of the text message to be sent.

Message

The text message to be sent.


Task MSMQ - Delete message(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > MSMQ Tasks >

Task MSMQ - Delete message(s)

The MSMQ - Delete message Task deletes messages from a specified queue.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Local MSMQ

Select this radio button if the activity will be performed on the local computer.

Remote MSMQ

Select this radio button if the activity will be performed on a remote computer.

Host name

The host name or IP address of the remote computer.

Queue

The name of the queue to retrieve the message from. Click the Refresh icon to populate the drop-down list of message queue names.

Filters

The filter settings for label, message text, date and sort direction of date to be used for deletion. Click on the Variables icons to select appropriate variables for the filter.


PDF Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

PDF Tasks

The Portable Document Format (PDF) is a file format used to present documents in a manner independent of application software, hardware, and operating systems.


Task PDF - Add footer/header

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Add footer/header

The PDF - Add footer/header Task lets you add an object like image or text in footer or header to a new or existing PDF file.

Add footer/header > Main settings sub tab

Existing/New file

Select Existing or New PDF file to operate upon, if new file enter file name. Click the File icon to browse location and file name for the PDF file.

Password

If the file is or will be password protected, enter password.

Vertical alignment

Select Header, Footer or Center vertical alignment of the image or text to be added. The Is background puts the image or text in the background of the document.

Content type

Select the Text or Image type

Page range

Set the operation to be performed on All pages or a range of pages.

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, click the Folder icon to browse and select folder.

File mask

Save file with different name.

Add footer/header > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.


Task PDF - Concatenate

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Concatenate

The PDF - Concatenate Task merges two or more files into one.

Concatenate > PDF files sub tab

In the PDF files tab you control which pdf files you want to concatenate and which order they should be added. Click the Add icon to select files using multiple File filters.

Concatenate > Destination sub tab

Destination folder

The folder the new file should be stored in. Can be overridden by option Use same folder as first file. Click the Folder icon to browse and select a folder.

Use same folder as first file

When checking this you use the folder from the first file that was found (in File filter - item 1).

File name

Name of the concatenated file - can be overridden by option Use same file name as first file.

Use same file name as first file

When checking this you use the file name from the first file that was found (in File filter - item 1).

Overwrite options

If a file exists you can choose Overwrite based on various criteria.


Task PDF - Split

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Split

The PDF - Split Task is able to split a PDF document in half, at a specific page or per specific pages or into even/odd pages.

Split > Main settings sub tab

Split type

How the pages should be split. The available options are:

Half - The document will be split in half (or as close to half as possible) determined by the total number of pages in the document. The output files will consist of the original filename followed by the range of pages that were split enclosed in parenthesis (i.e. myDocument (1-4).pdf, myDocument (5-7).pdf)

Page (default) - The document will be split into individual pages. The output files will consist of the original filename followed by an underscore and page number (i.e. myDocument - Page 1.pdf, myDocument - Page 2.pdf, myDocument - Page 3.pdf, etc).

Even / Odd - The document will be split into even and odd pages. The output files will consist of the original filename followed by the page type, either even or odd (i.e. myDocument_Even_Pages.pdf and myDocument_Odd_Pages.pdf).

At - The document will be split at the page specified. The output files will consist of the original filename followed by the range of pages that were split enclosed in parenthesis (i.e. myDocument (1-2).pdf, myDocument (3-6).pdf).

Page number

The page number the actual split should occur on. This property is only used if the Split type is of type Split at.

Page name format

How the output files should be named. Variable {#} contains the page number.

Password for file(s)

If any of the specified PDF files contains a password it should be entered here.

Page range

All pages - cover split functionality on all pages

Pages - cover split functionality on specified page

Split > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Split > Destination sub tab

Save to

The destination folder and file mask which the output files are saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Remove page(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Remove page(s)

The PDF - Remove pages(s) Task deletes one or more specified pages from a PDF document.

Remove page(s) > Main settings sub tab

Password for file(s)

If any of the specified PDF files contains a password it should be entered here.

Page range

The pages that should be removed. Specify a range like 2-4 or specific pages 1,3,5-6.

Remove page(s) > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Remove page(s) > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Get information

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Get information

The PDF - Get information Task retrieves PDF information in a specified format.

Get information > Main settings sub tab

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Get information > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Output tab

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Show information

The data from the document you want to include in output of Task.


Task PDF - Convert

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Convert

The PDF - Convert Task can convert between different file formats and the PDF format.

Convert > Main settings sub tab

To PDF->From

Currently this Task can convert _to_ PDF from the following formats;

·XPS

·PCL

·SVG

·EPUB

·MHT

·HTML

·TeX

·TXT

·CGM

·XML

·IMAGE (various formats)

From PDF->To

Currently this Task can convert _from_ PDF to the following formats;

·PDF (various formats)

·HTML

·DOC

·XLS

·PPT

·XPS

·XML

·TeX

·TXT

·SVG

·EPUB

·IMAGE (various formats)

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Page range

The pages that should be converted. Specify a range like 2-4 or specific pages 1,3,5-6.

Convert > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Convert > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Get field(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Get field(s)

The PDF - Get field(s) Task returns value(s) from a PDF document based on field name(s).

Get field(s) > Main settings sub tab

Fields grid

Enter the name of the fields you want to retrieve. In the Output tab you control which value(s) of the field you want to retrieve. To delete a field select a row and press the Delete button.

Get field names

You are able to retrieve existing field names from one ore more documents according to the file filter. Be sure to specify the document(s) in the file filter.

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Page range

The pages that should be processed. Specify a range like 2-4 or specific pages 1,3,5-6.

Get field(s) > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Get field(s) > Output tab

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Show information

The data from the document you want to include in output of Task.


Task PDF - Set field(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Set field(s)

The PDF - Set field(s) Task set field value(s) in one or more PDF documents.

Set field(s) > Main settings sub tab

Fields grid

Enter the name of the fields and their values you want to set here. You can retrieve all existing fields by pressing Get field names. To delete a field select a row and press the Delete button. Enter values for combobox/list box (both text and number) and/or checkbox (both "true" and 1 and 0).

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Page range

The pages that should be processed. Specify a range like 2-4 or specific pages 1,3,5-6.

Set field(s) > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Set field(s) > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Encrypt

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Encrypt

The PDF - Encrypt Task encrypts existing PDF files with a password or a Certificate.

Encrypt > Main settings sub tab

Certificate

Select an existing Certificate you have created/imported in Certificates manager.

Password->Owner password

Use this property to specify owner password.

Password->User password

Use this property to specify user password.

Password->Permissions

Use this property to specify user rights (permissions). User rights define, what actions can be performed when user's password is used for access.

Encryption algorithm

The encryption algorithm that will be used for encrypting the document. The following algorithms are available:

·AES/256 (Acrobat X)

·AES/256 (Acrobat 9)

·AES/128 (Acrobat 6,7)

·RC4/128 (Acrobat 5)

·RC4/40 (Acrobat 4)

Encrypt metadata

Use this property to specify if metadata are encrypted. Metadata contains some additional information about document such as its name, authors, etc. If value is True metadata will be encrypted.

Encrypt > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Encrypt > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Decrypt

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Decrypt

The PDF - Decrypt Task decrypts existing PDF files with a password or a Certificate.

Decrypt > Main settings sub tab

Certificate

Select an existing Certificate you have created/imported in Certificates manager.

Password->Owner password

Use this property to specify owner password.

Password->User password

Use this property to specify user password.

Decrypt > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Decrypt > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Sign

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Sign

The PDF - Sign Task signs existing PDF files with a Certificate and optionally adds a watermark image with details about the Certificate.

Sign > Main settings sub tab

Certificate

Select an existing Certificate you have created/imported in Certificates manager.

Show signature widget

If a watermark should be added or not to the document.

Signature type

What type of signature

Author

Author property for the widget.

Reason

Reason property for the widget.

Contact info

Contact info property for the widget.

Location

Location property for the widget.

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Sign > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Sign > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.

Sign > Signature widget sub tab

This option is only available if you have checked Show signature widget.

Properties->No rotate

If this property value is checked signature widget will not be rotated when document is rotated in browser.

Properties->No zoom

If this property is checked signature widget size will not be changed during zooming.

Properties->Print

If this property is checked the signature widget will be printed on paper.

Properties->Locked

If this property is checked signature widget can't be moved by the user.

Properties->Locked contents

Set this property to checked if widget's contents should be locked.

Properties->ReadOnly

If this property is checked the signature widget will not interact with the user (will not react on mouse, etc.)

Properties->No view

If this property is checked signature widget will not be displayed when document is viewed.

Properties->Toggle no view

If this property is checked the signature widget will be displayed only when user is moving mouse over it.

Properties->Signature widget background image

This image should be in jpeg format and will be displayed as a background image.

Properties->Auto stretch background

If this property is checked the background picture will be automatically stretched to fit the signature widget.

Properties->Stretch width

Specify the horizontal size of the stretched background picture.

Properties->Stretch height

Specify the vertical size of the stretched background picture.

Signature position and dimensions->AutoPos

If this property is checked signature widget will be placed to the upper right corner. If not checked Left and Top properties will be used as widget coordinates (from bottom left corner).

Signature position and dimensions->AutoSize

The signature will be auto-sized if checked. If not checked please set the Width/Height properties.

Show signature in page range->All pages

The signature stamp will be added to all pages.

Show signature in page range->Pages

The signature stamp will be added to the specified range of pages. Specify a range like 2-4 or specific pages 1,3,5-6.

Default text

This tab contains the properties that set the texts inside the widget

Default text->Auto text

If this property is checked texts to be displayed on the signature widget will be generated automatically on the grounds of information from the certificate. Otherwise texts will be taken from Algorithm caption, Algorithm Info, Signer caption, Signer Info and Header properties.

Default text->Hide default text

Set this property to cheched to hide the default text of the signature widget (signature algorithm, signing time, etc.).

Default text->AutoFontSize

If this property is cheked then the following values will be assigned to different font sizes: Title font size = 8.77, Timestamp font size = 4.89, Section title font size = 7, Section text font size = 5. Otherwise values will be used from defined values.

Default text->Font name

Add font name to use in widget

Custom texts

Use this property to specify any custom text to be added to the widget.

Custom texts->Text

The text to be added.

Custom texts->Left

Horizontal offset of the displayed text.

Custom texts->Top

Vertical offset of the displayed text.

Custom texts->FontSize

The font size of the text


Task PDF - Clear signature(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Clear signature(s)

The PDF - Clear signature(s) Task removes all or specific signatures within a PDF document.

Clear signature > Main settings sub tab

All signatures

Removes all signatures in the document.

Signature filters

Removes signatures based on comma separated like search.

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Clear signature > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Clear signature > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Add attachment(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Add attachment(s)

The PDF - Add attachment(s) Task attaches one or more files to a pdf file.

Add attachment(s) > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Add attachment(s) > Attachment files sub tab

In the Attachment files dialog you add, edit, clone or delete files and change order of the items. Changes can be done either by the toolbar buttons or mouse double click on an item.

Add attachment(s) > PDF Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.

Password for input files

Enter password if desired (optional setting).

Attachment description

Enter description to label the attached files (optional setting).


Task PDF - Get attachment(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Get attachment(s)

The PDF - Get attachment(s) Task extracts all files or specific files attached to a pdf document and saves them to the specified location file(s).

Get attachment(s) > Main settings sub tab

In the Get Attachment(s) > Main settings dialog you add or delete files to be retrieved from a PDF file with attachments. Selection of file names is only possible for files included in the PDF file.

Get attachment(s) > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Get attachment(s) > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Delete attachment(s)

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Delete attachment(s)

The PDF - Delete attachment(s) Task removes one or more attachments embedded in a pdf file.

Delete attachment(s) > Main settings sub tab

In the Delete Attachment(s) > Main settings dialog you add or delete files to be deleted from a PDF file with attachments. Selection of file names is only possible for files included in the PDF file.

Delete attachment(s) > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Delete attachment(s) > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Replace text

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Replace text

The PDF - Replace text Task finds and replaces a text string with another text string from a single page or all pages of a pdf file.

Replace text > Main settings sub tab

Find

Text string to search for (quotation marks shall not be added).

Is regular expression

To be checked if the string in the Find field is a regular expression.

Replace

The text string to replace the found string with.

Password for file(s)

If the source pdf file is password protected, enter password here.

Page range

Select All pages or a page range for text replacement.

Replace text > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Replace text > Destination sub tab

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Search text

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Search text

The PDF - Search text Task searches for the occurrence of one or more text strings in a pdf file..

Search text > Main settings sub tab

Find

Text string to search for (quotation marks shall not be added).

Is regular expression

To be checked if the string in the Find field is a regular expression.

Password for file(s)

If the source pdf file is password protected, enter password here.

Page range

Select All pages or a page range for text replacement.

Search text > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Output tab

Include text info names

If checked, text info names will also be shown.

Field separator, Text qualifier, Line break

Output control of text info attributes.

Show text infos

Selects which attributes to be sent to standard output as a result of the search text task execution.


Task PDF - Insert pages

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > PDF Tasks >

Task PDF - Insert pages

The PDF - Insert pages Task inserts blank pages or pages extracted from another pdf document into a pdf file.

Insert pages > Main settings sub tab

Password for file(s)

If the source pdf file is password protected, enter password here.

Page range

Select All pages or a page range for text replacement.

Extract page(s) from file

If pages shall be extracted from another file, specify full path file name here. Click the Folder icon to browse and select a folder.

Password for extract file

If the file to extract pages from is password protected, enter password.

Insert pages > File filter > Location sub tab

This tab uses the common file filter to filter out the files that should be processed in this Task.

Insert pages > Destination sub tab

Insert at

Page number in source document to start insert pages in.

Save to

The destination folder and file mask which the output file is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


SAP Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

SAP Tasks

SAP R/3 is the former name of the enterprise resource planning software produced by the German corporation SAP AG (now SAP SE). It is an enterprise-wide information system designed to coordinate all the resources, information, and activities needed to complete business processes such as order fulfillment, billing, human resource management, and production planning.

Remote Function Call is the proprietary SAP SE interface. Remote Function Call (RFC) is the standard SAP interface for communication between SAP systems. The RFC calls a function to be executed in a remote system. Remote function calls may be associated with SAP software and ABAP programming and provide a way for an external program to use data returned from the server.

ABAP (Advanced Business Application Programming) is a high-level programming language created by the German software company SAP SE. It is currently positioned, alongside Java, as the language for programming the SAP Application Server,


Task SAP - R/3 Job execute

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > SAP Tasks >

Task SAP - R/3 Job execute

The SAP - RFC Task lets you execute ABAP, external programs and external commands for use with SAP ERP.

SAP - R/3 Job Execute > Main settings sub tab

Connection

When connecting to a SAP server you need to setup a SAP Connection. Click the Settings icon to open the Manage Connections dialog.

Job

Text ...

Delete Job when complete

Text ...

Job steps

The work unit of the background processing system is the background job, each of which consists of one or more job steps.

In VisualCron the steps can be edited in the grid below:

SAP - R/3 Job Execute > Step sub tab

Jobs and job steps enable you to treat complex tasks as single units. That is, you can schedule several programs needed to complete a particular task as steps within a single job, with the advantage of the job being single logical container for all the steps needed to complete the task.

Example

Assume that a particular data transfer with batch input requires that you start two programs, an external program to prepare the batch-input session and an internal program to process the session. Creating a job made up of two steps lets you handle the two programs as a single unit. Scheduling that one job schedules both programs. The results of each program's run can be seen in the job log.

Some background processing attributes apply to entire jobs and, therefore, to all job steps within a job. For example, the earliest possible start time for any job steps will be the start time for the job.

Step language

If your SAP System runs with an Arabic, Cyrillic, or Asian character set, then you may need to change the language specified in the standard background jobs listed above. Languages are assigned to jobs based on job steps. Be sure that the language specified in the job step definition in each of these jobs is set to English (EN).

This change is required because not all languages are available with all code pages. If the job’s specified language is not available, the job will not run.

Step types

The background processing system makes a distinction between external commands for normal users and external programs for system administrators. You can see this distinction when scheduling a job from Transaction SM36, with separate fields for external commands and external programs. You can also call ABAP programs.

External commands are predefined, authorization-protected commands for end users. External programs are unrestricted, directly entered commands reserved for system administrators.

The type of external command and external program is unrestricted, meaning that you can use either compiled programs or scripts. Such programs can be run on any computer that can be reached from the SAP System. Parameter passing to non-SAP programs is completely unrestricted except by the predefinition mechanism for external commands.

Output of non-SAP programs, particularly error messages, is included in the job's log file.

Specifications required for an external command or program are:

- External command + Type of operating system + (Parameters) + Target host system

- External program + Parameters + Target host system

ABAP programs

ABAP programs can be used as job steps. Module pools and function groups, which are collections of ABAP modules, are not allowed. The specifications required for an ABAP job step are:

ABAP program + Variant + Print and archiving parameters + Language

External commands

External commands are predefined commands for end users. They are operating-system independent and are protected by authorizations, so that normal end users can schedule only those commands that the system administrator permits them to.

With an external command, an ordinary end user—any user without background processing administrator authorization—may run a host system command or program that has been pre-defined by the administrator in the SAP System. The user who schedules the external command must have the authorization required for the external command.

External commands let you control what your users do outside the SAP System. End users can run only the commands and arguments that you specify in external command definitions. And you can control access to external commands with SAP authorizations.

For additional security, external command definitions are operating-system specific. For example, you can define variants of a command for UNIX and Windows NT hosts. A user who schedules an external command must specify the type of operating system in which the command is to run. The system then automatically selects the correct operating system variant or issues an error if the required variant has not been defined.

External programs

External programs are unrestricted commands that are neither pre-defined or restricted by authorizations. A user with administrator authorization can enter any of these in a job step.

With an external program, a system administrator can enter any desired host operating system command or program in a job step. No SAP authorizations test is carried out before executing the command.

External programs give an administrator—a user with the background processing administration authorization (authorization object S_BTCH_ADM Batch processing: Batch Administrator)—the flexibility to run any required host system command without any administrative preparation in the SAP System.

The purpose of this distinction is to let system administrators execute any required external program while restricting normal users to authorizations-tested external commands.

SAP - R/3 Job Execute > Log sub tab

Job

Text ...


Informatica Tasks

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings >

Informatica Tasks

Enter topic text here.


Task Informatica - Run Job

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks > Task - Main Settings > Informatica Tasks >

Task Informatica - Run Job

Enter topic text here.


Task - Main Settings - Execution Context

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Main Settings - Execution Context

The execution context sets in what environment/context the Task should be run. VisualCron offers two different kind of execution contexts, background or foreground execution.

Background execution (default)

Background execution is default. When a Task executes in the background it is run from the VisualCron Server service. This allows execution when no one is logged on to the computer. This option is the most efficient way of executing in VisualCron. The problems you may face with this option are that some Tasks require certain Credentials, access environment variables, drive mappings or desktop access (can't access or wrong desktop).

Credentials. To solve the problem where a certain user is needed to run a Task, we use Credentials in VisualCron. Almost anywhere you can use Credentials for accessing a file or executing a Task as a certain user.

Environment variables. Environment variables are loaded when you load a user profile. If you want to access those you need to specify a Credential in an Execute Task and then select option Load profile.

Network drives. Normally, you should use UNC (\\servername\path\file) paths together with Credentials instead of mapping network drives. Network drives are not shared across users and since VisualCron is running as SYSTEM it can't see the drives mapped by a certain user. By specifying a UNC path instead you are sure that a logical drive is not removed etc. If you really need to work with Network drives you should use the mapping utility within VisualCron. It allows you to map the same network drives in SYSTEM context that you have in your USER context.

Desktop access. Starting with Windows Vista, security has changed. For example, services are no longer allowed to launch applications with Interactive content (a window). The reason for this is that you can break the application anytime and get Administrator access. This is correct from a security perspective and to handle this you can launch your applications in hidden mode (hidden property in Execute Task). If you for some reason need to interact with other windows you can use the Foreground execution.

Foreground execution

Foreground execution is handled by the VisualCron Tray Client.

When using foreground execution you use a selected session to execute as. This means, that you are able to get access to the desktop and same variables, network drives etc. as when you normally run a command from the DOS prompt. Use foreground execution when you want to access a specific window.

This feature is implemented in the following Task(s):

· Process - Execute

· System - Control monitor

· Interactivity - Desktop macro

· Interactivity - Robot

· Interactivity - Send keys

Instead of executing a file from the Windows service VisualCronService.exe we are executing through the VisualCron Tray Client. This requires that the proper Tray Client session that you specify in the Execution Context window is connected to the VisualCron service. The Tray Client is automatically started when a user logs in.

If a specified Tray Client session is logged in, the VisualCron Server sends a command to the Tray Client. The Tray Client then executes and reports back to the Service which in turn reports back to all connected VisualCron clients.

In the Execution context window (which you reach from main Task window) you set the execution context parameters.

Task > Main settings > Execution context

VisualCron Server location

Some Tasks (currently only Execute Task) allows execution on the local machine but also remote VisualCron Server. Select a VisualCron Connection to execute the Task on a remote VisualCron Server. Please note that VisualCron needs to be installed in the remote location.

Background/Foreground execution

Background execution is default and requires no logged in Tray Client. When choosing Foreground execution you get a set of extra parameters.

Execution target

You can choose to Execute on any desktop sessions - this executes on the first available session. By default you can Execute on same user session as unlock Credential - this means that VisualCron will launch the process on the same user that is set in Before execution.

You can also choose to Execute on specified desktop session. You can choose from the list of connected sessions and click Select. If you are locally connected you can also click on Select current which retrieves information about your session.

User name

The user that you want to execute as / use the session from.

Session ID

One user can be connected to several sessions. You can either accept to Use any session or specify a selected session.

Note 1: If you are not executing on the same user and session as you have selected you will not see interface/window of the process you started.

Note 2: For Windows 2008 you must enable a setting in Local Security Policy

Before execution

Note that the VisualCron Tray Client needs to be running in order to execute a foreground Task. If no one is logged in the desktop is not active and no Tray Client is started. There is also a scenario when the computer may be locked. This prevents Tasks that need access to desktop (for example the Desktop Macro Task) to be able to run. The solution to that is to tell VisualCron to perform a logon/unlock. If the computer is locked VisualCron will try to unlock. If no user is logged in VisualCron will logon. You need to check Logon/Unlock using Credential and specify a Credential. Note that the Credential must match the desktop session (if you are not using Execute on any desktop session).

If multiple users are logged in at the same time you need to handle this as only one user can be active. There are 3 options for this:

1. Disconnect - disconnects the session for other user

2. Lock - locks the computer of the active session (however only the person who locked can unlock)

3. Logoff - signs out the other user (current applications will be closed)

After logon/unlock

You can choose that VisualCron should automatically lock after logon. This could be interesting if you want access to the desktop environment but to keep security (desktop locked). When checking Lock VisualCron will lock after a successful login.

After execution

You may want to "close" after yourself. Lock or logoff current user. Select Do nothing if you want to keep the desktop open.

Troubleshooting

Failed to connect to Credential Provider. Pipe result: 0

1. Make sure you have tried rebooting after the VisualCron install - this installs the the Credential provider properly

2. Make sure you have enabled this setting in the Local Security Policy

3. Test with recommended settings "Execute on same user as unlock Credential" and check "Logon/Unlock using Credential". Select the Credential you want to logon as (recommended is that it is same user as you normally is logged in as)

4. Test the Credential in Manage Credentials->Edit->Test. Make sure that Local login and Load profile is checked before testing. If it does not work it might be something with password or username.

5. If it still does not work then enable Extended debugging in Server settings->Log. Try to run the Job manually. Send the files server_startup.txt together with log_serverDATE.txt to support@visualcron.com


Task - Conditions

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Conditions

Condition sets and the included conditions for Jobs and Tasks are managed in the same way, see Global - Conditions for details.


Task - <Task type>

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - <Task type>

Based on the selected Task type in the Task > Main settings tab, this tab reflects the current Task type selection and provides additional specific Task type settings. See the specific Task type under the Task - Main settings chapter for more details.


Task - On error

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - On error

The On error tab in the Task window controls what is causing an error in VisualCron. Compare this with Task Flow which controls what happens when a Task completes.

Add/Edit Task > On error tab

Error causes

Different Task types have different reasons to fail. The goal is that you should be able to control what actually is considered an error by you - for all kinds of Tasks. We have not implemented handling for all kinds of errors but if you request handling for a specific error, in our request forum, we will add that.

Error cause categories

VisualCron evaluates a set of different error categories that will trigger the Task into error state:

·"All errors" - all kinds of errors raise a Task error

·"Only selected errors" - only items that you select in the list raises a Task error

·"All except selected" - only items that you have not select in the list raises a Task error

Exit code collection

Exit codes controls the result of the Task. By default we are using the Windows exit code scheme which basically means that 0 is success and the rest are errors defined in Windows by Microsoft. It is possible to create your own collection of exit codes and control which exit code is success or not and its description. Read more about this here.

Output/Variable error handling

It is possible to control if the Task should raise an error based on output, output (err) and any Variable/value that matches a certain condition at runtime. It is also possible to do the opposite, override an error based on these conditions.

Raise error

Not set - Default setting which means that there will be no other error handling than the "Error cause" on top of On error tab.

Raise error - this means that if the conditions below match any success of Task will be overridden with an error and specified exit code.

Do not raise error - this means that if the conditions below match any failure of Task will be overridden with success and the specified exit code.

Exit code

This exit code overrides the current exit code when the condition is matched. The default value is 77777.

Check type

You can choose to check output (std), output (err) or evaluate a Variable/value in real time. When evaluating a Variable/value use both the first and second text field.

Type

This controls with what data type the comparison is made.

Condition

This is the type of condition that it is trying to match on; Equal, Contains, Not equal etc.

Value/Variable

This is the field where you enter the value you want to match the condition with. Click the Variables icon to open the Variables list.


Task - Timeout

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Timeout

Timeout is a way to abort an action that didn't run as expected, typically a connection or a response that doesn't happen within a reasonable time interval.

The timeout value can be set both at Task and Job level.

Add/Edit Task > Timeout tab

When the timeout is activated, all processes related the current Task will be terminated.


Task - Notifications

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Notifications

Notifications for Jobs and Tasks are managed in the same way, see Global - Notifications for more information.


Task - Flow

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Flow

The Task Flow controls what happens at start, complete, success and failure of a Task with additional conditions based on output, exit code etc. One or more Flows can be created depending on how you want to control the Flow in various situations.

This feature was introduced with version 7.0.0 and replaced existing Notifications tab.

Add/Edit Task > Flow tab

The main listing above contains a verbose description of when (On error/On success/On complete) and what happens - the flow action.

If a new default flow is also desired for a previously defined Task, you need to click the Get default flows icon for each Task flow you want the default flow for. For more information about Default flows, see Server > Settings > Default flows.

Add/Edit Task > Flow > Add/Edit tab

The Task Flow window is divided into two parts:

·Task Condition

·Task flow control

Task Condition

The Task Condition controls when and with what conditions the flow should be started.

Event type

·On start - performs the action at start (before Task is running)

·On error - performs the action when the Task has failed

·On success - performs the action when the Task returns success result

·On complete - performs the action when the Task completes - regardless of result

·On running longer than - performs the action if the Task runs longer than specified time

On running longer than

This option lets you control what happens if the Task run longer than a specified time. Click on the Edit timeout to specify the time.

Event condition

Event conditions contains some basic conditions that are optionally evaluated when the event type is matched. If you do not want to use any conditions you set it to the "Always" which means that the flow will continue whenever the event has been raised.

·Always - will continue without evaluating any condition

·If output - matches a value you enter with output of the Task

·If error output - matches a value you enter with output (err) of the Task

·If other value - If other value/Variable - matches any two values - could be two Variables or a mix. Click the Variables icon to open the Variables list.

·If exit code - matches a value with the exit code of the Task

Type/Condition

When you have selected an event condition you decide how to match this condition - with what value and data type. As for the condition, you can select from Equal, Not equal, Contains and Not contains.

Value/Variable

Enter a value or click the Variables icon to open the Variables list.

Task Flow control

The flow control group controls the action when the Task Condition has been matched with event and condition.

(Before version 7.0.0. these settings were presented in the On error tab)

Stop Job

Stops the Job execution immediately. No further Tasks will be run.

Continue to next Task in order

Ignores the error and continue to the following Task.

Wait and retry

Waits a specified time and then try to run the Task again. You can choose how many times VisualCron will try to do this before stopping the Job completely. Optionally you can check "If finally failing - goto Task" to set it to continue with other Task if it has failed for all specified retry times.

Go to Task

Runs a specified Task in the same Job. You also have option to continue running the following Tasks in order - after that Task.

Run following Tasks in order

The default behavior which means that it will run all Tasks defined after this Task. If you only want it to run the specified Task then uncheck this option.

Stop Job and run specified Job

Stops the current Job and executes another Job.

Run Notification

Runs the specified Notification. Click the Settings icon to populate the drop-down list of existing Notifications.

Deactivate Task

Deactivates the current Task.

Deactivate Job

Deactivates the current Job.


Task - Exit code collection

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs > Job - Tasks >

Task - Exit code collection

Exit codes controls the result of the Task. By default, the Windows exit code scheme is used which basically means that 0 is success and the rest are errors defined in Windows by Microsoft. It is possible to create your own collection of exit codes/descriptions thus controlling which exit code is success or not.

There are a couple of settings that affects exit code collections:

1. Task > On error tab. Here you select which exit code collection should be used in the specific Task. Clicking on the button results in opening the specific exit code collection (see note 3 below).

2. Server > Main settings tab. Here you can control which exit code collection that should be used for new Tasks. Click the Setting icon to open the specific exit code collection (see note 3 below).

3. Server > Main settings > Default exit code collection > Settings icon. Editing exit code collections. Here you can switch between existing collections and create, edit, clone and delete exit codes. You can also edit individual exit codes by double clicking on a row.


Job - Timeout

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Timeout

The timeout value can be set both at Job and Task level, for Task level see Task - Timeout for more information.

Add/Edit Job > Timeout tab

When the timeout is activated, all processes related the current Job will be terminated.


Job - Notifications

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Notifications

Notifications for Jobs and Tasks are managed in the same way, see Global - Notifications for more information.


Job - Flow

Navigation: Client User Interface > Main menu > Server > Jobs - Jobs >

Job - Flow

The Flow can be set both at Job and Task level, for Task level see Task - Flow for more information.

History

"Flow" was introduced from VisualCron version 7.0.0. Basically we took parts from On error handling, added specific Condition handling and then merged handling of Notifications in it. The goal was to make it easier to control flow of Job and Tasks and adding more basic Condition functionality.

Job Flow

Job Flow has its own tab in the Job window. Job Flow adds controls what happens at different events:

·Job start

·Job complete

·Job fails

·Job success

·Job runs longer than

For example, upon failure you can choose to wait a couple of seconds and the retry the Job. Another thing you can do is to send you a Notification when the Job has failed. Besides the event you can add a condition that needs to be matched before continuing with the action in the flow.

Add/Edit Job > Flow tab

The list of "flows" are shown in the Flow tab. You can see the event, in this case "On error" and the action "Wait and retry Job". You can Add, Edit, Clone and Delete Flows in this tab.

If a new default flow is also desired for a previously defined Job, you need to click the Get default flows icon for each Job flow you want the default flow for. For more information about Default flows, see Server > Settings > Default flows.

Add/Edit Job > Flow > Add/Edit window

The Job Flow window are divided in two parts:

·Job Condition

·Job flow control /action

Job Condition

The Job Condition controls when and with what conditions the flow should be started.

Event type

·On start - performs the action at start (before Job is running)

·On error - performs the action when the Job has failed

·On success - performs the action when the Job returns success result

·On complete - performs the action when the Job completes - regardless of result

·On running longer than - performs the action if the Job runs longer than specified time

On running longer than

This option lets you control what happens if the Job run longer than a specified time. Click on the Edit timeout button to specify the time.

Event condition

Event conditions contains some basic conditions that are optionally evaluated when the event type is matched. If you do not want to use any conditions you set it to the "Always" which means that the flow will continue whenever the event has been raised.

·Always - will continue without evaluating any condition

·If other value/Variable - matches any two values - could be two Variables or a mix. Click the Variables icon to open the Variables list.

·If exit code - matches a value with the exit code of the Job

Type/Condition

When you have selected an event condition you decide how to match this condition - with what value and data type. As for the condition, you can select from Equal, Not equal, Contains and Not contains.

Value/Variable

Enter a value or click the Variables icon to open the Variables list.

Task Flow control

The flow control group controls what happens when the Job Condition has been matched with event and condition.

Wait and retry

Waits a specified time and then try to run the Job again. You can choose how many times VisualCron will try to do this before stopping the Job completely.

Run Job

Runs another Job (asynchronous or synchronous).

Run Notification

Runs the specified Notification (this replaces previous Notifications). Click the Settings icon to populate the drop-down list of existing Notifications.

Deactivate Job

Deactivates the current Job.


Jobs - Failed Jobs

Navigation: Client User Interface > Main menu > Server >

Jobs - Failed Jobs

In the main menu Server > Jobs > Failed Jobs dialog, the Failed Jobs list displays the failed Job with its failing Task since last run.

Jobs > Failed Jobs


Jobs - Running Jobs

Navigation: Client User Interface > Main menu > Server >

Jobs - Running Jobs

The VisualCron processes are monitored and ended from the main menu Server > Jobs > Running Jobs dialog. With this dialog all VisualCron processes are viewed, even those not visible in Windows Task Manager (e.g. a web request).

All processes that are started by VisualCron can be handled by the VisualCron client application.

Jobs > Running Jobs

Job process

When a Job is run by VisualCron a Job Process is started. A Job Process is a temporary working version of a Job. There can only exist one unique Job but many Job Processes derived from that Job, for example, many Jobs running at the same time.

The Job Process:

·keeps track of all Tasks that should be run

·checks conditions

·sends notifications

·updates the client with new status for a Task

Task process

A Task Process is created when a Task is run. The Task Process:

·notifies the client when a Task is started and completed

·performs the action, for example runs a command or POST to a website

The Task Process has an Id which enables control of the actual Task Process. A Task Process is a temporary version of a Task. There can only exist one unique Task but many Task Processes derived from that Task. This occurs when many Job Processes are running at the same time.

The Process Manager

In the process manager you can see all active processes. You are also able to Stop these processes in different ways. The result of pressing the Stop button is dependent on currently selected row and ViewStyle.

The selectable view styles changes the way VisualCron presents the hierarchy of the processes and also affects how the Stop button will work.

When you click on Stop on a:

·Job row - all Job Processes and its Task Process will be stopped

·Task row - all Task Processes that are spawned from the Task will be stopped

·Job Process - the Job Process and its Task Processes will be stopped

·Task Process - a single Task Process will be stopped


Global - Certificates

Navigation: Client User Interface > Main menu > Server >

Global - Certificates

A certificate is a digitally signed statement from one entity (person, company, etc.) that states that the public key of another entity has a particular value. Trusting the certificate's signature implies that you trust that the association in the certificate between the specified public key and the other entity are authentic.

VisualCron can handle standard X509 certificates. These can be stored at the server location and be available for reuse in Tasks like the Email Task. The Manage certificates dialog is available in the main menu Server > Global objects > Certificates.

Global > Certificates

The Manage certificates window lets you view currently stored Certificates and their properties.

Import certificate

You can currently import certificates from files with the following format:

·PFX

·CER/DER/KEY

·PEM

·SPC/PVK

You import certificates by clicking the Import certificate icon. Remember to change the file filter to see your particular certificate file format.

Export certificate

You can export in the following formats:

·PFX

·PEM

·CER/KEY

You export certificates by clicking the Export certificate icon. Change file filter to change file saving format.

Create certificate

To start the Generate certificate wizard click on the Create certificate icon.

Global > Certificates > Create

Select type of certificate (currently only Self-signed certificate).

Global > Certificates > Create 2

Hash algorithm

Use this property to get or set algorithm that will be used for hash calculation.

Public key strength

Use this property to control the strength of the public key in bits.

Global > Certificates > Create 3

Enter subject info for the certificate. Remember to set the Email property if you are going to use the Certificate in the Email Task.

Global > Certificates > Create 4

Enter validity period for the certificate.

Global > Certificates > Create 5

Last step. Click on Next to generate Certificate.

Delete certificate

Select a certificate row and click on the Delete certificate icon.

Certificate file formats supported by VisualCron

PFX (PKCS#12): Binary file format, which allows storing of one or more certificates and associated private keys in one file in encrypted form. The keys are encrypted with password. Microsoft's implementation of PFX loader doesn't support TripleDES encryption, so you need to care about this issue when you save the certificate for further use with Microsoft software.

PEM: Certificate and private key format, which includes base64-encoded DER data and optional text headers , enclosed into special begin and end marks. Private keys can be encrypted using DES (tripleDES) agorithm. Certificate and key can be saved to one file. The file can even contain several certificates and keys. PEM format is used by OpenSSL package.

SPC: Binary file format, which allows storing of certificates only (no private keys). Several certificates can be saved in one file. Private keys are usually saved to a separate file in DER or PVK format. Some implementations encode the PKCS#7 format to base64 text encoding (and sometimes even with UTF16), but this is not standard-compliant.

PVK: Binary file format for storing private keys with password-based encryption.

CER/DER/KEY: Basic certificate and key format, which represents pure certificate and key data in binary ASN.1 notation. Certificates and keys are stored separately. Some implementations encode the DER format to base64 text encoding (and sometimes even with UTF16), but this is not standard-compliant.


Global - Conditions

Navigation: Client User Interface > Main menu > Server >

Global - Conditions

Condition sets and the included conditions are "global", which means that once a condition set is defined, it can be selected by one or more Jobs and/or Tasks. However, a Job or a Task can only include one condition set. A condition set is defined either from the main menu Server > Global objects > Conditions dialog or the Add/Edit Job or the Add/Edit Task dialogs.

With conditions, the internal flow of Tasks included in a Job or the Job itself, can be controlled. Conditions are different kinds of "checks" which are evaluated before a Job or a Task is launched. One common condition could be if the previous Task returns an error based on the exit code. The outcome of the condition evaluation results in an action. The action could be to exit the Job because of the previous "failure".

Conditions are also evaluated before Notifications. If a condition check returns false then neither the Job/Task nor the notification is run. Thus the basic Job flow now looks like:

A condition set may include several conditions and these conditions can be of several types. The condition set criteria determine how the results of all included conditions are evaluated. The evaluation of a condition set can only result in one action, which affects the current or following Task or Job.

In the Add/Edit Job or the Add/Edit Task windows, click on the Conditions tab and you will see the currently defined condition set list.

Edit Job > Conditions tab

The condition set list consists of two bands, where the parent row is the condition set and the child rows are the conditions within the condition set.

Use

A condition can, by itself, be active or inactive. Check the Use box to the left of each condition set for each set you want to activate for your Job or Task. If inactive, the condition will be ignored.


Conditions - Main settings

Navigation: Client User Interface > Main menu > Server > Global - Conditions >

Conditions - Main settings

When clicking on Add, Edit or Clone or mouse right-click on a Condition Set row in a Condition Set window, the Add/Edit condition set window is opened.

Global > Conditions > Main settings tab

Description

A description of the Condition Set which appears in the Condition Set list.

Extended debug logging

Check this box if you want extra information about how the Condition Set moves from result to action. If you have problems with your conditions and want to find out why a Job or Task is/is not being run then use this option.


Conditions - Conditions

Navigation: Client User Interface > Main menu > Server > Global - Conditions >

Conditions - Conditions

A condition set is defined from the main menu Global > Conditions dialog.

Global > Conditions > Add/Update Condition set > Main settings tab

See Conditions Main settings for details.

Global > Conditions > Add/Update Condition set > Conditions tab

Use Conditions > Add to include conditions in the current condition set.

Global > Conditions > Add/Update Condition set > Actions tab

See Conditions Actions for details.

Global > Conditions

By clicking on the Conditions toolbar or by mouse right-click on a condition set, you are able to Add/Edit/Clone or Delete a condition set. In the Add/Edit condition set -> Conditions tab, the condition set and condition settings are handled.

The condition set includes the following settings:

·Description

·A set of conditions

·Actions based on different condition matching options

A condition uses the following settings:

·Condition type

·Description

·Condition Active

·Condition type parameters (dependent of the selected condition type)

Each condition type uses specific associated parameters. The following condition types exist:

· VisualCron

· File

· Folder

· Process

· Variable

· .NET


Condition - VisualCron

Navigation: Client User Interface > Main menu > Server > Global - Conditions > Conditions - Conditions >

Condition - VisualCron

The VisualCron condition lets you check internal values within VisualCron.

Global > Conditions > Condition set Add > Conditions Add > VisualCron select > VisualCron tab

First you have to select a Task or a Job that you want to check. Remember that conditions needs the setting Run Task in order if you want to check a Task.

Auto

VisualCron will check the previous Task values. This is only applicable for Tasks that have an internal relation within a Job contrary to Jobs which are independent on each other.

Specific

Use this setting to check a Task from another Job.

Match

The following match types exist:

·Job Exit code - A successful run of a Job returns exit code 0. If any of the Tasks return a non-zero value, the Job exit code will be inherited by the failing Task exit code.

·Job Is running - If the selected Job is currently running.

·Task Exit code - A successful run of a Task returns exit code 0. So, if you only want to run the next Task if the previous Task returned "Success" you select "Task exit code" - "Is" - "0". In the condition set where this condition belong, you select "Continue" in "MatchAll" and "Exit" in "MatchNone". Thus, if the exit code is "0" you will have one match and the action for "MatchAll" will be run. The action was continue which runs the Task it was supposed to run. If the exit code is not "0" (failure) it will not match your condition and therefore the action of "MatchNone" will be run. The action you specified was "Exit", which will terminate the current run of your Job.

·Task Output - This match type will check an output of a Task. The ordinary standard output for a Task is used and stored at a Task level. You can watch the previous output by double-click at the Task output row in the main window of VisualCron. In this condition you can compare the output in three ways. Exact match "Is" or "Is not" or if it "Contains" a certain string or character. Enter the desired match value in the text box to the right.

·Task Is running - If the selected Task is currently running.


Condition - File

Navigation: Client User Interface > Main menu > Server > Global - Conditions > Conditions - Conditions >

Condition - File

The File condition lets you check information about a certain file before running your Task or Job.

Global > Conditions > Condition set Add > Conditions Add > File select > File tab

File path

First you have to select a file. Write the full UNC path to the file, or select it by clicking on the File browser icon to the right.

Credentials

If your file is located at a network resource or any other protected area, it may require some "credentials" to access that file. Select a credential from the list. The credentials are stored globally, which lets you create new credentials that can be accessed in different levels and functions in VisualCron. Click on Manage credentials to add a credential that you may require.

File exists

Checks whether a file exists or not. Select true or false.

File content

This check type tries to read the content of a file and compare it, depending on your match type "Is", "Is not", "Contains", to the string you specify in the text box to the right.


Condition - Folder

Navigation: Client User Interface > Main menu > Server > Global - Conditions > Conditions - Conditions >

Condition - Folder

The Folder condition lets you check information about a certain folder before running your Task or Job.

Global > Conditions > Condition set Add > Conditions Add > Folder select > Folder tab

Folder path

First you have to select a folder. Write the full UNC path to the folder or select it by clicking on the Folder browser icon to the right.

Credentials

If your folder is located at a network resource or any other protected area it may require some "credentials" to access that folder. Select a credential from the list. The credentials are stored globally which lets you create new credentials that can be accessed in different levels and function of VisualCron. Click on Manage credentials to add a credential that you may require.

Folder exists

This checks whether a folder exists or not. Select True or False.


Condition - Process

Navigation: Client User Interface > Main menu > Server > Global - Conditions > Conditions - Conditions >

Condition - Process

The Process condition lets you check information about a certain process before running your Task or Job.

Global > Conditions > Condition set Add > Conditions Add > Process select > Process tab

Process name

Enter the process name or select the process from a list by clicking on the Select process button. Note that the check is case sensitive and that processes spawned from the VisualCron server may be in upper case. A good way to find the right process name, is to first start the Task Manager at the server from VisualCron and then select the process from the list.

Is running

This checks whether a process is running or not. Select True or False.


Condition - Variable

Navigation: Client User Interface > Main menu > Server > Global - Conditions > Conditions - Conditions >

Condition - Variable

The Variable Condition is able to compare two Variables or values. The values are compared differently depending which data type you select.

Global > Conditions > Condition set Add > Conditions Add > Variable select > Variable tab

Value 1

This is the first value you want to compare. Click the Variables icon to open up the Variable browser.

Type

The data type of the values. Values are converted and compared against the selected data type.

Condition

How the values should be compared. This affects the result of the Condition and Action in Condition set.

Value 2

The second value you want to compare. Click the Variables icon to open up the Variable browser.


Condition - .NET

Navigation: Client User Interface > Main menu > Server > Global - Conditions > Conditions - Conditions >

Condition - .NET

The .NET Condition was created to provide a Condition with almost no limits at all. The idea is that you create a method in the .NET languages c# or VB.NET. This method must:

·Be located within a class

·Be static

·Return a boolean

Global > Conditions > Condition set Add > Conditions Add > .NET select > .NET tab

Language

Select either C# or VB.NET language. The syntax editor and compile methods will alter depending on selected language.

Edit references..

Add/remove any dll that you want to use as a reference to make our code work or be more compact.

Code

In this text box you insert your code. It is important that:

·The code exists in a class

·That you use static/shared methods only

Any return value will be converted to string.

Method selection

Select the method you want to use. After you have added new code, press the Refresh methods button.

Compile

This button tests if the code can compile and will return a popup message with error if not.

Refresh methods

This button compiles the codes and add all existing static methods into the method combo box.

Run

This button compiles and runs the code so you can test it.

Parameters

If the selected method contains any parameter, you can double click on the row to add your own parameter value.


Conditions - Actions

Navigation: Client User Interface > Main menu > Server > Global - Conditions >

Conditions - Actions

The condition set actions controls what will happen depending on the results of the conditions within the condition set. All results are calculated to one final result.

Global > Conditions > Add/Update Condition set > Actions tab

The condition set criteria determine how the results of all included conditions in a condition set are evaluated. The following condition set criteria are valid:

·On Match All - all conditions returned a "match"

·On Match Any - one or more conditions returned a "match"

·On Match None - none of the conditions returned a "match"

·On Match Error - the condition check failed in some way, i.e. if an "access denied" occurred while checking a file condition

For each condition set criteria, a set of actions available:

·Wait - wait a specified time (always available)

·Continue - Run Task or Job if match (default value for On Match All and On Match Any)

·Next - Run next Task in queue (skip current)

·Retry - Wait specified time and re-run current Task

·Exit - Exit current Job (default value for On Match None and On Match Error)

·Run Job - Run specified Job (exits existing Job, runs specified Job)

·Run Task - Run specified Task in current Job, after completion it continues with next in order

Wait notes: The wait for each action is a pause between the actual condition check and the action. It can be used in several ways but is most commonly used with the "Retry" action. For example, you want to check if a file exists, but the condition check fails to find the file and thus the result is "Match None". With this result you want to Retry (check again if the file exists) and by the wait parameter you add a pause between each check.

The Wait action is not used at the first check when using the "Retry" action. This means that it won't pause before the first check, but on the following retries. For other action types, the "Wait" action is always used independent on if it is the first time or not.

Run Task notes: When Run Task is used, VisualCron tries to find the specified Task within the current Job. If found it runs that Task and Tasks that may follow, in order. When the Task does not reside within the current Job VisualCron only runs the Task alone and no following Tasks.

How the Actions affect Jobs and Tasks

The actions has different effects on Jobs and Tasks. The simple reason for that is that Jobs by themselves have no connection to each other like the Tasks, which are internally connected within a Job.

Actions affecting a Job condition:

·Continue - continues running Job

·Next - exits Job

·Retry - wait and recheck condition

·Exit - exits Job

·Run Job - exits Job try to run other Job

·Run Task - exits Job, runs single Task

Actions affecting a Task condition:

·Continue - continues running Task

·Next - runs next Task (if existing)

·Retry - wait and recheck condition

·Exit - exits Job

·Run Job - exits Job and runs Job x

·Run Task - if Job is the same as this current Job then it tries to run the Task within the Job process else it starts a new Job and runs the specified Task there

Handling of errors

By default, all errors that occur in the condition check leads to the "Exit" action. Example of errors the can occur:

·The condition points to a Job or Task that doesn't exist

·An error occurs in a condition check

·"Access denied" on file or folders

Task notes: Task flow only makes sense when using Run Tasks in order. Task conditions are only checked on Jobs which has the setting Run Tasks in order on.


Global - Connections

Navigation: Client User Interface > Main menu > Server >

Global - Connections

Based on the nature of some Jobs, Tasks or Notifications, a Connection is an essential part of the settings for that entity. Connections are global which means they are centrally stored and can be accessed by related Tasks and Triggers. Connections are used to specify to where and how VisualCron should connect to various instances like FTP servers, SQL servers etc. If a password to a FTP server has changed you only need to updated that in the Connection - not every Task it is used in.

Connections are viewed and updated in the Server > Global objects > Connections window. The connections may also be managed by Add/Edit Job -> Tasks -> Add/Edit -> Task type. Connections are global, thus if you change a connection definition, this will affect all entities using this connection.

Explorer

Many connections use some kind of explorer to test and navigate with the selected Connection, for example; SQL Explorer, Connection Explorer. Select a Connection and click on Explorer button.

Audit log

Click this button to view the Audit log for Connections.

Clear filter

When you open Manage Connections from a Task only the related protocols are visible. Click Clear filter to view all.

Currently the following Connection protocols exist:

· FTP

· FTP SSL Implicit

· FTP TLS Implicit

· FTP SSL Explicit

· FTP TLS Explicit

· SFTP

· SCP

· SSH

· SMTP

· POP3

· IMAP

· Exchange EWS

· Exchange WebDAV

· WebDAV

· SQL

· SSRS

· Amazon

· Microsoft Azure

· Dropbox

·Google Drive

· OneDrive

· Box

· VisualCron

· SharePoint

· IM

· XendApp

· Pushbullet

· Telegram

· Twitter

· Crystal reports

· VMWare

· Dynamics CRM

· AS/400

· SAP

Click on protocol link above to read more information and connection setting specifics of that protocol.


Connection - FTP

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - FTP

The FTP Connection stores connect and logon properties for normal and secure FTP server connections.

About FTP

File Transfer Protocol (FTP) is a standard network protocol used to transfer files from one host to another host over a TCP-based network, such as the Internet.

FTP is built on a client-server architecture and uses separate control and data connections between the client and the server. FTP users may authenticate themselves using a clear-text sign-in protocol, normally in the form of a username and password, but can connect anonymously if the server is configured to allow it. For secure transmission that hides (encrypts) the username and password, and encrypts the content, FTP is often secured with SSL/TLS ("FTPS"). SSH File Transfer Protocol ("SFTP") is sometimes also used instead, but is technologically different.

The first FTP client applications were command-line applications developed before operating systems had graphical user interfaces, and are still shipped with most Windows, Unix, and Linux operating systems. Dozens of FTP clients and automation utilities have since been developed for desktops, servers, mobile devices, and hardware, and FTP has been incorporated into hundreds of productivity applications, such as Web page editors.

"Implicit SSL" versus "explicit SSL" (per RFC 2228)

Connecting securely and authenticating are two distinct methods of establishing a secure connection with a FTP server. In the first case, the Secure FTP server may first require a SSL connection to be established, before the initial welcome message is sent. This is called an implicit SSL connection. In the second case, the connection is established in clear text and a special FTP command must be sent to the Secure FTP server to change the connection into a secure connection. This is called an explicit SSL connection.

In most cases, FTP servers that support SSL authentication will accept a normal connection on port 21. Once the connection is established, it is necessary to authenticate before logging in, using the Authenticate method. When explicitly securing the connection, it is also possible to secure data connections using the overload of the Authenticate method which requires a DataChannelProtection ENUM as a parameter.

Servers that require an implicit SSL connection usually listen on port 990 rather than 21

Protocol variants

·FTP

·FTP SSL Explicit

·FTP SSL Implicit

·FTP TLS Explicit

·FTP TLS Implicit

The FTP Connection stores connect and logon properties for normal and secure FTP server connections.

Manage Connections > Add > FTP > Main settings tab

Protocol type

VisualCron is able to connect using regular FTP and FTPS (with implicit and explicit encryption). Regular FTP offer no security and information is not encrypted. VisualCron supports both SSL 3.0 and TLS (SSL 3.1). SSL and TLS are protocols layered above connection protocols (such as TCP/IP) but beneath application protocols (such as FTP) that provide encrypted, authenticated communications between a client and a server.

Brute force test

When using FTP and you are unsure of connection properties you can use the Brute force test tool to test all connection combinations. Note, brute force test option is only available for FTP protocol.

.

Name

This is a descriptive name of the connection to distinguish from other connections.

Address

This is the host address to the server. It could be a DNS name or IP number.

Port

This is the remote connection port. Default port for regular FTP is 21. Default port for Implicit FTPS is 990.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set.

Manage Connections > Add > FTP > Authentication tab

Authentication type

Authentication type can either by Password or Public key. For the FTP protocol only password authentication is available. When using SFTP together with public key authentication you have to specify a path to a private key file.

Anonymous

If your connection does not require a user name and password this box should be checked.

Username

The user name for the connection.

Password

The password for the connection.

ACCT

This property is only for some proxies that require ACCT value. FTP protocol only.

Manage Connections > Add > FTP > Encryption tab

Use data channel encryption (PROT P)

If this property value is True the channel used for data transfer (files, directory listings) will be encrypted, otherwise only command channel will be encrypted.

Use command channel encryption

If this property value is True the command channel will be encrypted.

Use SSL session resumption

Text ...

For the FTP SSL/TLS connection types, an extra Certificates tab is provided.

Manage Connections > Add > FTP SSL/TLS > Certificates tab

Client certificates

Client certificates can be sent to the FTP server when connecting (implicit SSL) or when authenticating (explicit SSL). If the client certificate should be rejected by the server, an exception will be issued and the Task can not continue.

To add a client certificate, you need to click on Global Certificates. VisualCron is able to store certificates within itself. These certificates can be created by VisualCron or imported from other source. When you have create a Certificate you need to select it in the list of Certificates in the Certificates tab of the Connection properties.

Server certificates

The certificate that is received from the FTP server is verified against the VerificationFlags provided at connection or authentication. By default, if a certificate received from an FTP server contains anomalies, it will be rejected. If no anomalies are detected, it will be accepted. This behavior can be overridden by checking the Auto-accept server certificates checkbox. If not checked and a certificate anomaly is detected, a popup will be shown (if the client is logged in). The popup message will show why the server certificate was initially connected. You can choose to "Accept" or "Deny" the certificate. If accepted, it will be saved and you will not be asked again unless the server certificate has changed.

Manage Connections > Add > FTP > Extra settings tab

Transfer type

Select if you want to transfer through binary (default) or ASCII mode.

Sync data channel

This option specifies whether to synchronize data channel. Switch it on if component hangs when trying to establish data connection, i.e., on using commands list, upload, download.

Data connection type

This value is indicating if the FTP client should initiate the data connection rather than the FTP server.

If set to PASV, the PASV command will be sent to the FTP server rather than the PORT command. This results in that the FTP server will listen on a data port (other than its default) and wait for a data connection to be established by the FTP client. The reply to the PASV command includes the host and port address the FTP server is listening on.

If set to PORT, the PORT command will be sent and the FTP client will listen for an incoming data connection.

The FTP server will establish the data connection upon receipt of a transfer command.

Note: If you are having problems with connecting or sending/receiving files to/from a server, try the PASV setting.

Automatically adjust passive mode addres for NAT'ed servers

If this property is set to True, in passive mode data transfer, VisualCron will automatically set the address of the remote host to that from the control connection.

Override date format

VisualCron is trying to interpret the dateformat of files when listing files. In some situations there is a compatibility or a FTP server not behaving according to standard. In these cases you will see an error in the log file which contains the incoming date format. By overriding and using the same format as in the log you will force VisualCron to use this specific date format.

Proxy tab

Proxy servers allow a client to make indirect network connections. The client connects to the proxy, makes a request for a connection, file, etc. The proxy server then provides this resource by getting it from the requested address or by retrieving it from its cache. The advantages of using a proxy server can include filtering, connection sharing, increased speed and decreased bandwidth use. HTTP proxy servers are web servers that relay requests from a client to an external FTP server.

Manage Connections > Add > FTP > Proxy tab

Proxy type

Select the proxy type to be used.The FTP implementation supports the HTTP proxy type and the SFTP implementation supports the SOCKS4 and SOCKS5 proxy types.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.

Use proxy for data channel

By default, proxy is used for the data (sending channel). Uncheck this to circumvent proxy.

Log tab

This tab is not applicable for the email related (SMTP, POP3 and IMAP4) or SQL connection types.

Manage Connections > Add > FTP > Log tab

Log outgoing messages to Task output

All messages sent from VisualCron to the FTP server is logged and stored in the Task output.

Log incoming messages to Task output

All messages received from VisualCron to the FTP server is logged and stored in the Task output.

Troubleshooting

Control channel transfer error (error code is 10053)

Try checking "Auto accept all server certificates" in Certificates tab.

Server cannot perform SSL/TLS negotiation

FTP server either does not support TLS or SSL. Try switching between those.

10035 / 114690 / 425 error. Can connect but not list files. / Connection timeout after MLSD is sent

Try unchecking "Automatically adjust PASV for NATed servers"

534 Protection level negotiation failed

Check "Use data channel encryption (PROT P).

SSL Error: 73732

Make sure you checked the correct SSL version. Preferably only TLS 1.2.

Error: 75796

Try manually selecting the encryption algorithm.


Connection - FTP SSL Implicit (Port 990)

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - FTP SSL Implicit (Port 990)

See Connection FTP for details.


Connection - FTP TLS Implicit (Port 990)

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - FTP TLS Implicit (Port 990)

See Connection FTP for details.


Connection - FTP SSL Explicit (AUTH SSL)

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - FTP SSL Explicit (AUTH SSL)

See Connection FTP for details.


Connection - FTP TLS Explicit (AUTH TLS)

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - FTP TLS Explicit (AUTH TLS)

See Connection FTP for details.


Connection - SFTP

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SFTP

The SFTP Connection stores connect and logon properties for the transfer protocol SSH File Transfer Protocol (SFTP).

About SFTP

SFTP (SSH File Transfer Protocol, often called Secure File Transfer Protocol) is a protocol that lets you transfer files securely over a SSH connection. SFTP is not compatible with FTP (File Transfer Protocol), which has it's own security enhancements such as FTPS, FTP over SSL. SFTP is built on top of SSH connection. SSH supports various authentication schemes such as password-based and public key. Public key authentication requires a private key which can be linked to from the Security tab. The VisualCron implementation supports 3-5 of SFTP protocol (versions 1, 2 are outdated and not used anywhere). Default port for SFTP is 22.

Manage Connections > Add > SFTP > Authentication tab

Authentication type

Authentication type can either by Password or Public key. For the FTP protocol only password authentication is available. When using SFTP together with public key authentication you have to specify a path to a private key file.

Username

The user name for the connection.

Password

The password for the connection.

Public key vs password authentication

Public key authentication means that you specify the private key and any password for that key. Private keys can be loaded in SSH1, OpenSSH, Binary, Putty, IETF (Putty and IETF use different formats here) formats.

Private key group

These options are only used when using Public key authentication.

Private key path

This is the private key you have received from server administrator. Click the File icon to browse for the private key.

Password

The password for the public key.

Override authentication

By authentication, normally both Password and Keyboard authentication are suggested. Some servers do not support the VisualCron Auto authentication. Uncheck this and check the specified type of authentication you want to use.

Manage Connections > Add > SFTP > Extra settings tab

Transfer type

Select if you want to transfer through binary (default) or ASCII mode.

Sync data channel

FTP only option. This option specifies whether to synchronize data channel. Switch it on if component hangs when trying to establish data connection, i.e., on using commands list, upload, download.

Data connection type

FTP only option.

Max packet size

Use this property to specify the maximal length of packet in bytes. The default value is 262144, i.e., 256 KBytes.

Auto adjust transfer block

Use this property to enable or disable automatic adjustment of pipeline length and block sizes. By default automatic adjustment is enabled, and normally you don't need to disable it.

Pipeline length

Use this property to specify the number of upload or download requests sent before waiting for all requests to complete. The more requests are sent, the faster the transfer is. However, in case of error, all requests are discarded. Also, more pending requests means more memory used, so if speed is not critical and memory consumption is, set PipelineLength to 1. Default value is 10.

Download block size

Use this property to control the size of the single download request in bytes. The servers don't limit download request size, however the buffer is allocated to store the requests, so the larger the value is, the memory block is needed. If you have download speed problems you can try to set to 0 (which is automatic handling), alternatively if you are transferring large files you can use a value up to 2Mb (2097152).

Upload block size

Use this property to control the size of the single upload request in bytes. The servers don't limit upload request size, however the buffer is allocated to store the requests, so the larger the value is, the memory block is needed. If you have upload speed problems you can try to set to 0 (which is automatic handling), alternatively if you are transferring large files you can use a value up to 2Mb (2097152).

SFTP version support

Some SFTP servers do not support connections with specific SFTP versions. You can control in details what SFTP client versions that should be supported. http://en.wikipedia.org/wiki/SSH_File_Transfer_Protocol

Troubleshooting

Authentication types:

2 - public key authentication

4 - password authentication

16 - keyboard-interactive authentication

Authentication type 16 failed along with error 114

Try unchecking "Auto authentication" along with unchecking "Password authentication". The problem could also be that password or username is wrong.

Authentication type 4 failed along with error 114

Try unchecking "Auto authentication" along with unchecking "Keyboard authentication". The problem could also be that password or username is wrong.

Authentication type 2 failed along with error 114

Public key authentication is failing - maybe you are using the wrong private key or server uses password authentication.

Authentication failed for type 16 and 4 along with error 114

Currently you are using password authentication but it seems like the server requires public key authentication.

SFTP error 6

A pseudo-error which indicates that the client has no connection to the server

SFTP error 7 in combination with error 10058

Try unchecking Auto adjust MAC algorithms in Connection->Encryption. See Other Connection error->Set correct Encryption settings

SFTP error 11 in combination with error 10058

Try these solutions, one at a time:

1. open Authentication tab of Connection and uncheck "Auto authentication" and uncheck "Keyboard authentication".

2. open Encryption tab of Connection and uncheck "Auto adjust ciphers"

SFTP error 96273 / Failed to retrieve file list: SFTP component not connected

Possible causes;

·Wrong key exchange algorithm is used. See Other Connection error->Set correct Encryption settings.

·Alternatively try setting one SFTP version at a time, starting from 2, ending at 6.

·Username is empty

·If the Connection Explorer is working but Task not please check Task settings. Make sure that you use the correct directory back slash for example: \. We recommend that you use the button for selection instead of typing folders manually.

SFTP error 102

Go to Connection->Extra settings and alter these values:

Max packet size: 8096

Pipeline length: 16

Download block size: 2048

Upload block size: 2048

SFTP error 103

Wrong key exchange or mac algorithm is used. See Other Connection error->Set correct Encryption settings

SFTP error 10061

Try checking Encryption->Use compression. Also see Other Connection error->Set correct Encryption settings

Failed to upload/download full file (only part) (SFTP component not connected) / timeout when upload

If only part of file is uploaded or downloaded (or only small files are fully transferred) you can try to uncheck Auto adjust transfer block in Extra settings of the Connection. If you are having upload issues you can also increase Upload block size to 65536.You can also try to set Pipeline length to 1.

Other error codes

https://www.secureblackbox.com/kb/help/ref_err_sftperrorcodes.html

Public key errors

3329 (0x0D01) Public key is invalid - usually indicate that there is something wrong with the format of the file

3330 (0x0D02) Private key is invalid - usually indicate that there is something wrong with the format of the file

3331 (0x0D03) Error of reading from file

3332 (0x0D04) Error of writing to file

3333 (0x0D05) Algorithm is unsupported

3334 (0x0D06) Internal error

3335 (0x0D07) Buffer is too small

3336 (0x0D08) There is no private key

3337 (0x0D09) Wrong password for private key

3338 (0x0D0A) PEM algorithm is unsupported

Other Connection error->Set correct Encryption settings

1. try to first make it connect with free tool FileZilla

2. then enable verbose debugging in FileZIlla

3. analyze the verbose output and look for similar:

Key exchange algorithm

Trace: Doing Diffie-Hellman group exchange
Trace: Doing Diffie-Hellman key exchange with hash SHA-256

Encryption algorithm

Trace: Initialised AES-256 SDCTR client->server encryption

MAC algorithm

Trace: Initialised HMAC-SHA-256 client->server MAC algorithm

4. Open the Connection in VisualCron and try to fins matching settings in the Encryption tab:


Connection - SCP

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SCP

The SCP Connection stores connect and logon properties for the Secure Copy (SCP) protocol. The SCP protocol is a network protocol, based on the BSD RCP protocol, which supports file transfers between hosts on a network.

SCP uses Secure Shell (SSH) for data transfer and uses the same mechanisms for authentication, thereby ensuring the authenticity and confidentiality of the data in transit. A client can send (upload) files to a server, optionally including their basic attributes (permissions, timestamps). Clients can also request files or directories from a server (download). SCP runs over TCP port 22 by default. Like RCP, there is no RFC that defines the specifics of the protocol.

In VisualCron, the SCP Connection is used in the Net - FTP/FTPS/SFTP/SCP Task.

Manage Connections > Add > SCP > Main settings tab

Name

This is a descriptive name of the connection to distinguish from other connections.

Address

This is the host address to the server. It could be a DNS name or IP number.

Port

This is the remote connection port.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Manage Connections > Add > SCP > Authentication tab

Username

The user name for the connection.

Password

The password for the connection.


Connection - SSH

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SSH

The SSH Connection stores connect and logon properties for the Secure Shell (SSH) protocol. SSH provides a secure channel over an unsecured network in a client-server architecture, connecting a SSH client application with a SSH server. This connection allows you to connect and execute commands against Linux servers.

About SSH

Secure Shell (SSH) is a cryptographic network protocol for secure data communication, remote command-line login, remote command execution, and other secure network services between two networked computers that connects, via a secure channel over an insecure network, a server and a client (running SSH server and SSH client programs, respectively). The protocol specification distinguishes between two major versions that are referred to as SSH-1 and SSH-2.

The best-known application of the protocol is for access to shell accounts on Unix-like operating systems, but it can also be used in a similar fashion for accounts on Windows. It was designed as a replacement for Telnet and other insecure remote shell protocols such as the Berkeley rsh and rexec protocols, which send information, notably passwords, in plain text, rendering them susceptible to interception and disclosure using packet analysis. The encryption used by SSH is intended to provide confidentiality and integrity of data over an unsecured network, such as the Internet.

Manage Connections > Add > SSH - Secure Shell > Extra settings tab

Transfer type

FTP/SFTP only.

Data connection type

FTP only option.

Max packet size

Use this property to specify the maximal length of packet in bytes. The default value is 262144, i.e., 256 KBytes.

Auto adjust transfer block

Use this property to enable or disable automatic adjustment of pipeline length and block sizes. By default automatic adjustment is enabled, and normally you don't need to disable it.

Pipeline length

Use this property to specify the number of upload or download requests sent before waiting for all requests to complete. The more requests are sent, the faster the transfer is. However, in case of error, all requests are discarded. Also, more pending requests means more memory used, so if speed is not critical and memory consumption is, set Pipeline Length to 1. Default value is 10.

Download block size

Use this property to control the size of the single download request. The servers don't limit download request size, however the buffer is allocated to store the requests, so the larger the value is, the memory block is needed.

SFTP version support

SFTP only.

Troubleshooting

Other error codes

https://www.eldos.com/documentation/sbb/documentation/ref_err_ssherrorcodes.html


Connection - SMTP

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SMTP

The SMTP Connection stores connect and logon properties for Simple Mail Transfer Protocol (SMTP). SMTP is used for sending email.

About SMTP

Simple Mail Transfer Protocol (SMTP) is an Internet standard for electronic mail (e-mail) transmission across Internet Protocol (IP) networks. SMTP was first defined by RFC 821 (1982, eventually declared STD 10), and last updated by RFC 5321 (2008) which includes the Extended SMTP (ESMTP) additions, and is the protocol in widespread use today. It is an Application Layer protocol in the OSI reference model.

SMTP uses TCP port 25. The protocol for new submissions (MSA) is effectively the same as SMTP, but it uses port 587 instead. SMTP connections secured by SSL are known by the shorthand SMTPS on TCP port 465, though SMTPS is not a protocol in its own right.

While electronic mail servers and other mail transfer agents use SMTP to send and receive mail messages, user-level client mail applications typically use SMTP only for sending messages to a mail server for relaying. For receiving messages, client applications usually use either the Post Office Protocol (POP) or the Internet Message Access Protocol (IMAP) or a proprietary system (such as Microsoft Exchange or Lotus Notes/Domino) to access their mail box accounts on a mail server.

Manage Connections > Add > SMTP > Main settings tab

Test

It is possible to test the connection once you have set all settings. Click the Test button to start the test.

Name

The unique name for the Connection.

Address

The DNS name or IP address of the SMTP server.

Port

The port used by the SMTP server. Please note that it should match the port of the encryption. Normally encrypted connections uses port 465 or 587 while SMTP servers with no encryption uses port 25.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Default settings for some servers:

Exchange

Main settings
Address: yourservername
Port: 587

Encryption

Cryptographic protocol: TLS
Security Mode: Implicit

Office 365

Main settings

Address: smtp.office365.com

Port: 587

Encryption

Cryptographic protocol: SSL

Security Mode: Explicit

Gmail

Main settings

Address: smtp.gmail.com

Port: 465

Encryption

Cryptographic protocol: TLS

Security Mode: Implicit

Amazon SES

Address: email-smtp.us-east-1.amazonaws.com

Port: 465

Cryptographic Protocol: TLS

Security Mode: Implicit

Manage Connections > Add > SMTP > Authentication tab

Anonymous

Check this if you want to logon without providing user name and password.

Username

The user name for the email account.

Password

The password for the email account.

Manage Connections > Add > SMTP > Encryption tab

Cryptographic protocol

Encryption protocol to use; No encryption, SSL or TLS.

Security mode

Explicit or Implict encryption.

Allowed SSL/TLS versions

Some SMTP servers require certain versions of SSL/TLS. Check the versions that are allowed. Sometimes it is necessary to specify the specific allowed version.

Manage Connections > Add > SMTP > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.

Troubleshooting

Error 96260 when sending email or clicking Test email

Use full DNS name or IP instead of just "servername".

User authentication failed: Unaccepted server reply for command AUTH PLAIN (Gmail)

You need to allow less secure apps to access your Gmail account

Google may block sign-in attempts from some apps or devices that do not use modern security standards. Since these apps and devices are easier to break into, blocking them helps keep your account safe.

To disable this security feature:

·Sign in to Gmail

·Click here to access Less Secure App Access in My Account.

·Next to “Allow less secure apps: OFF,” select the toggle switch to turn ON.

This setting may not be available for:

Accounts with 2-Step Verification enabled: Such accounts require an application-specific password for less secure apps access.

G Suite users: This setting is hidden if your administrator has locked less secure app account access.

https://myaccount.google.com/lesssecureapps


Connection - POP3

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - POP3

The POP3 Connection stores connect and logon properties for the email server protocol POP3. The POP3 protocol is used to recieve emails. Later it has been superseded by IMAP but still used in some places. The POP3 Connection is used in the Email Trigger.

Connection > POP3 > Main settings tab

See Connection > SMTP > Main settings for more details.

Connection > POP3 > Authentication tab

See Connection > SMTP > Authentication for more details.

Default settings for some servers:

Office 365

https://support.office.com/en-nz/article/Settings-for-POP-and-IMAP-access-for-Office-365-for-business-or-Microsoft-Exchange-accounts-7fc677eb-2491-4cbc-8153-8e7113525f6c

Main settings

Address: outlook.office365.com

Port: 995

Encryption

Cryptographic protocol: SSL


Connection - IMAP4

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - IMAP4

The IMAP Connection stores connect and logon properties for the email server protocol IMAP4. The IMAP4 protocol is used to receive email. The IMAP Connection is used in the Email Trigger.

Manage Connections > Add > IMAP4 > Main settings tab

Test

It is possible to test the connection once you have set all settings. Click the Test button to start the test.

Name

The unique name for the Connection.

Address

The DNS name or IP address of the email server.

Port

The port used by the email server. Please note that it should match the port of the encryption. Normally encrypted connections uses port 993 while email servers with no encryption uses port 143.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Default settings for some servers:

Office 365

https://support.office.com/en-nz/article/Settings-for-POP-and-IMAP-access-for-Office-365-for-business-or-Microsoft-Exchange-accounts-7fc677eb-2491-4cbc-8153-8e7113525f6c

Main settings

Address: outlook.office365.com

Port: 993

Encryption

Cryptographic protocol: SSL

Gmail

Address: imap.gmail.com

Port: 993

Encryption

Cryptographic protocol: SSL

SSL Version: 3

Manage Connections > Add > IMAP4 > Authentication tab

Username

The user name for the email account.

Password

The password for the email account.

Alias

Please note that Alias, accessing a shared mailbox is not supported in the IMAP protocol. Use Exchange Connection instead.

Manage Connections > Add > IMAP4 > Encryption tab

Cryptographic protocol

Encryption protocol to use; No encryption, SSL or TLS.

Security mode

Explicit or Implict encryption.

Allowed SSL/TLS versions

Some IMAP4 servers require certain versions of SSL/TLS. Check the versions that are allowed. Sometimes it is necessary to specify the specific allowed version.

Manage Connections > Add > IMAP4 > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Connection - Exchange EWS

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Exchange EWS

The Exchange EWS Connection uses the Exchange Web Service protocol which is similar to the IMAP protocol - but have more Exchange options in general. Select this protocol if it is implemented by the Exchange server.

Manage Connections > Add > Exchange EWS > Main settings tab

Test

It is possible to test the connection once you have set all settings. Click the Test button to start the test.

Name

The unique name for the Connection.

Address

The url to the Exchange EWS service. Here is how you can obtain it:

For Microsoft Exchange Online / Office 365

Access your journaling mailbox account using Outlook Web App (OWA)

Click Options > See All Options > Account > My Account > Settings for POP, IMAP, and SMTP access

In the list of entries, locate the server name. The URL of exchange web service for the mailbox is the URL: https://<ONLINE_URL>/EWS/Exchange.asmx

For Microsoft Exchange (on premise)

The URL can be composed using the following syntax: https://<EXCHANGE_SERVER_HOSTNAME>/EWS/Exchange.asmx

Using Microsoft Exchange Management Shell

Open Exchange Management Shell and run the following command.

Get-WebServicesVirtualDirectory |Select name, *url* | fl

The output will be similar to the following:

Name : EWS (Default Web Site)

InternalNLBBypassUrl : https://server name/ews/exchange.asmx

InternalUrl : https://server name/EWS/Exchange.asmx

ExternalUrl : https://mail.domain.com/ews/exchange.asmx

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Manage Connections > Add > Exchange EWS > Authentication tab

Username

The user name for the email account.

Password

The password for the email account.

Alias

A string value indicating the shared mailbox. Only Exchange Web Service/WebDAV protocol supports this feature.

Manage Connections > Add > Exchange EWS > Encryption tab

Cryptographic protocol

Encryption protocol to use; No encryption, SSL or TLS. We recommend that you select TLS.

Allowed SSL/TLS versions

Some Exchange EWS servers require certain versions of SSL/TLS. Check the versions that are allowed. Sometimes it is necessary to specify the specific allowed version. We recommend that you use TLS 1.2.

Manage Connections > Add > Exchange EWS > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Connection - Exchange WebDAV

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Exchange WebDAV

The Exchange WebDAV Connection uses the Exchange WebDAV protocol which is similar to the IMAP protocol - but have more Exchange options in general. Select this protocol it it is implemented by the Exchange Server.

For MS Exchange interoperability, WebDAV can be used for reading/updating/deleting items in a mailbox or public folder. WebDAV for Exchange has been extended by Microsoft to accommodate working with messaging data. Exchange Server version 2000, 2003, and 2007 support WebDAV. However, WebDAV support has been discontinued in Exchange 2010 in favor of Exchange Web Services (EWS), a SOAP/XML based API.

Manage Connections > Add > Exchange WebDAV > Main settings tab

Test

It is possible to test the connection once you have set all settings. Click the Test button to start the test.

Name

The unique name for the Connection.

Address

The DNS name or IP address of the email server.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Manage Connections > Add > Exchange WebDAV > Authentication tab

Username

The user name for the email account.

Password

The password for the email account.

Alias

Text ...

Manage Connections > Add > Exchange WebDAV > Encryption tab

Cryptographic protocol

Encryption protocol to use; No encryption, SSL or TLS.

Allowed SSL/TLS versions

Some Exchange WebDAV servers require certain versions of SSL/TLS. Check the versions that are allowed. Sometimes it is necessary to specify the specific allowed version.

Manage Connections > Add > Exchange WebDAV > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Connection - WebDAV

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - WebDAV

The WebDAV Connection stores connect and logon properties for HTTP servers supporting the WebDAV protocol.

The WebDAV Connection is used by the following WebDAV Tasks:

· Net - WebDAV - Download

· Net - WebDAV - Upload

· Net - WebDAV - Copy files

· Net - WebDAV - Delete

· Net - WebDAV - Create folder

Web Distributed Authoring and Versioning (WebDAV) is an extension of the Hypertext Transfer Protocol (HTTP) that allows clients to perform remote Web content authoring operations. A working group of the Internet Engineering Task Force (IETF) defined WebDAV in RFC 4918.

The WebDAV protocol makes the Web a readable and writable medium.[1] It provides a framework for users to create, change and move documents on a server, typically a web server or web share. The most important features of the WebDAV protocol include the maintenance of properties about an author or modification date, namespace management, collections, and overwrite protection. Maintenance of properties includes such things as the creation, removal, and querying of file information. Namespace management deals with the ability to copy and move web pages within a server’s namespace. Collections deal with the creation, removal, and listing of various resources. Lastly, overwrite protection handles aspects related to locking of files.

Manage Connections > Add > WebDAV > Main settings tab

Name

The unique name for the Connection

Address

The DNS name or IP address of the server.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Manage Connections > Add WebDAV > Authentication tab

Authentication type

Select authentication type required for server; Basic, Digest or NTLM (Windows authentication).

Username

The user name for the WebDAV account.

Password

The password for the WebDAV account.

Manage Connections > Add > WebDAV > Encryption tab

Allowed SSL/TLS versions

Some servers require certain versions of SSL/TLS. Check the versions that are allowed. Sometimes it is necessary to specify the specific allowed version.

Manage Connections > Add > WebDAV > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Connection - SQL

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SQL

The SQL Connection is used in the Database - SQL Task and the Event trigger - SQL Trigger.

Use Connection guide wizard

Manage Connections > Add > SQL > Wizard

Use connection guide

This starts the wizard which suggests connection strings depending on database and connection type.

Use existing data source

This option lets you choose from existing ODBC data sources within the System DSN.

Use existing connection string

This lets you specify a plain connection string - if you have one from before.

Manage Connections > Add > SQL > Guide 1 - Step 1

Storage type

Normally a database, but you can also use file and other.

Database type

Select if it is an Oracle, MySQL, MSSQL or other database type.

Data provider

Different data providers exist for different database types. For Oracle, MySQL and MSSQL VisualCron provides direct connection and ODBC/OLEDB. For other database types you have to use either ODBC or OLEDB. A direct connection is faster than using ODBC or OLEDB.

Manage Connections > Add > SQL > Guide 1 - Step 2

In step 2 you select the connection type. In the Connection type select box there is a list of predefined connection strings. Choose the appropriate one and the connection string grid will be filled with connection parameters. Edit the parameter value to set username, password etc. The connection string is update in realtime in the connection string text box. Click the Refresh icon to refresh the parameters. When you are done you can test the connection by clicking on Test connection.

Note: To use trusted connection you may have to select a Credential in your final SQL Task. If you connect now you are using the user you are logged in as. When the actual SQL Task is being run it is normally run as SYSTEM. That is why you may need a Credential at a later stage - in the SQL Task.

Manage Connections > Add > SQL > Guide 1 - Step 3

At step 3 you save the actual connection by giving it a name.

Convert data types

When checked and using Stored procedures in combination with OLEDB/ODBC, VisualCron will try to, convert values to their specified format. Normally this is only needed and should only be used for certain databases like SYBASE/SAP.

Use existing data source wizard

Manage Connections > Add > SQL > Guide 2 - Step 1

Please select the System DSN you want to use.

Manage Connections > Add > SQL > Guide 2 - Step 2

Edit DSN parameters if needed.

Use existing connection string wizard

Manage Connections > Add > SQL > Guide 3 - Step 1

Enter the connection string.

Manage Connections > Add > SQL > Guide 3 - Step 2

The following parameters can be used for Oracle:

Choose the data provider (ODBC, OLEDB, MSSQL, MySQL, Oracle).

Manage Connections > Add > SQL > Guide 3 - Step 3

Enter the name of the Connection.

Convert data types

Text ...

Troubleshooting

Error ORA12514 when using Oracle Direct mode in Task

Make sure you are not using both SID and Service name in the Connection string. Delete one of them if you do as the must not be used together.

Error ORA-28009 and "Keydowrd not supported: dba privilege"

Try using "Connect Mode" parameter instead of "DBA Privilege". For example: Connect Mode=SYSDBA


Connection - SSRS

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SSRS

The SSRS Connection stores connect and logon properties for the Reporting Services (SSRS).

The SSRS Connection is used in the Database - SSRS Task. The Task is used to execute reports through SQL Server Reporting Services (SSRS).

Manage Connections > Add > SSRS > Main settings tab

Name

The unique name for the Connection.

Address

The IP or DNS name to the SSRS server. Do not use http prefix or full folder address.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set.

Manage Connections > Add > SSRS > Authentication tab

Username

Username for the SSRS server.

Password

Password for the SSRS server.


Connection - Amazon

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Amazon

The Amazon Connection stores connect and logon properties for the Amazon cloud services.

The Amazon Connection is currently used in the Cloud (S3) and Amazon EC2 Tasks that are accessing the Amazon Cloud services.

The Amazon Connection is used in the following Tasks:

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

· Messaging - SNS - Publish message

·All Amazon EC Tasks

·All Amazon DynamoDB Tasks

And the following Triggers

· Amazon SQS Trigger

Manage Connections > Add > Amazon > Main settings tab

Name

The unique name for the Connection

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Amazon > Authentication tab

Authentication type

Select password or public key authentication.

Access Key ID

The Access Key ID for the account.

Secret Access key

The Secret Access key for the account.

Private key

If public key authentication has been selected the select the path to the private key file and any password if used.

Manage Connections > Add > Amazon > Amazon tab

Region

Once authentication details have been filled you can click the refresh button to list available regions.

Use version 4 signatures

Signature Version 4 is the process to add authentication information to Amazon Web Services requests.

Amazon SQS

Create SQS queue

List SQS queus

Troubleshooting:

General

Test the S3 explorer if it is working there.

HTTP request failed with code 403 (Forbidden)

Test with S3 explorer and look for error message. Generally this error comes if you do not have listing permissions on Buckets for the user. Please add permission - otherwise Tasks will not work properly.

SignatureDoesNotMatch

Uncheck/Check Use version 4 signatures.

Connection lost (error code is 100353)

Most likely a proxy error. You need to define a Proxy in the Proxy tab of the Connection.

The hostname could not be parsed

Make sure you have selected a Amazon region.


Connection - Microsoft Azure

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Microsoft Azure

The Microsoft Azure Connection stores connect and logon properties for Microsoft Azure cloud services.

The Microsoft Azure Connection is used in the following Tasks:

Cloud Tasks

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

Azure Tasks

Azure - Start VM

Azure - Stop VM

Azure - Restart VM

Azure - Update VM

Azure - Create VM

Azure - Start web site

Azure - Stop web site

Azure - Restart web site

Azure - Remove web site

Azure - Create web site

Manage Connections > Add > Windows Azure > Main settings tab

Name

The unique name for the Connection

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Windows Azure > Authentication tab

Authentication type

For Cloud files use Password and for Azure Tasks use Public key (publish settings file) for Classic - for newer RM handling please use Application. See later down how to download.

Account name

The Account name for the account. Please note that when using Azure Tasks (not Cloud) you need to use publish settings file for authentication.

Account key

The Account key for the account. Please note that when using Azure Tasks (not Cloud) you need to use publish settings file for authentication.

Downloading publish settings file

1. open Powershell

2. type connect-azaccount - logon

3. type Get-AzurePublishSettingsFile

4. the browser will open. Select the subscription and click Validate and then click "Download Publish settings"

Application auth

Create Application here: https://portal.azure.com/#blade/Microsoft_AAD_RegisteredApps/ApplicationsListBlade

In the Azure portal - go to subscriptions and add Contributor role to the applicationg

Troubleshooting:

HTTP request failed with code 400, message is The value for one of the HTTP headers is not in the correct format.

This probably means that you are using Blobs or "cold" storage - we do not support that at the moment.

ResourceNotFound: No deployments were found. You need to select the right AzureSubscription.

https://stackoverflow.com/questions/35077602/why-does-new-azurereservedip-return-resourcenotfound-no-deployments-were-found

No Such Host Is Known

This means that the storage account name is wrong.


Connection - Dropbox

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Dropbox

The Dropbox Connection stores connect and login properties for the Dropbox cloud services.

Dropbox is a file hosting service. Dropbox allows users to create a special folder on their computers, which Dropbox then synchronizes so that it appears to be the same folder (with the same contents) regardless of which device is used to view it. Files placed in this folder are also accessible via the Dropbox website and mobile apps. Dropbox uses a freemium business model, wherein users are offered a free account with a set storage size and paid subscriptions for accounts with more capacity

The Dropbox Connection is used in the following Cloud Tasks:

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

Manage Connections > Add > Dropbox > Main settings tab

Name

The name of the Connection to uniquely identifying it.

Manage Connections > Add > Dropbox > Authentication tab

Use VisualCron registered app

If you use your own application, you need to uncheck the Use VisualCron registered app box (checked as default). If you want to use your own app, then click the Setup account link to create or enter in your own App key and App secret information.

App key

App key which you gets when registering application at Dropbox.

App secret

App secret which you gets when registering application at Dropbox.

How to create a connection using the VisualCron app

Check the Use VisualCron registered app box. Proceed to the How to connect your account to an app (Authentication) chapter below.

How to create a connection using your own Dropbox app

If you e.g. want your own logo and/or use your own permissions, you may choose to use your own app.

1. If you have not yet created your own app then click Setup account or go to: https://www.dropbox.com/developers/apps

2. Set and verify Redirect URI. When setting up Redirect URI you also need to match the Redirect URL in the Extra settings tab. The Redirect URI is used for authentication.

3. Insert the App key and App secret data in the Authentication tab.

How to connect your account to an app (Authentication)

1. You can choose to authenticate in your own browser or external by checking the Authenticate in internal browser box. Click on the Authenticate link.

2. Enter your Dropbox login credentials in order to allow the use of the VisualCron application to handle files in your Dropbox account.

Manage Connections > Add > Dropbox > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.

Manage Connections > Add > Dropbox > Extra settings tab

Troubleshooting

400 Invalid Redirect URI

Please use http://localhost and http://localhost:9999 for your redirect URI in your app on Dropbox.


Connection - Google Drive

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Google Drive

The Google Drive Connection stores connect and login properties for the Google cloud service Google Drive.

Google Drive is a cloud service from Google. You can use VisualCron to sync files between that service and a local folder.

The Google Drive Connection is used in the following Cloud Tasks:

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

Manage Connections > Add > Google Drive > Main settings tab

Name

The name of the Connection to uniquely identifying it.

Manage Connections > Add > Google Drive > Authentication tab

Use VisualCron registered app

If you use your own application, you need to uncheck the Use VisualCron registered app box (checked as default). If you want to use your own app, then click the Setup account link to create or enter in your own Client Id and Client secret information.

Client Id

Client Id which you gets when registering the application at Google Drive.

Client secret

Client secret which you gets when registering the application at Google Drive.

How to create a connection using your own Google Drive app

If you e.g. want your own logo and/or use your own permissions, you may choose to use your own app.

If you use your own application you need to uncheck Use VisualCron registered app in the Google Drive > Authentication tab then click Setup account or go to: https://console.developers.google.com/apis

How to create a connection using the VisualCron app

In the Google Drive > Authentication tab, the Use VisualCron registered app box shall be checked (default).

1. Check that the Authenticate in internal browser box is checked (default)

2. Click the Authenticate link. In the Google authentication window, enter your Google login credentials or approve handling (if you are already logged in to Google) of files in Google Drive.

3. Once the authentication is performed, click OK to save the connection

4. The connection can be tested by right-click and select Explorer in the Server > Global objects > Connections tab

5. Double-click on the Google Drive Connection in the Tools > Explore > Connection Explorer > Connections window to verify the current files in your Google Drive folder or in https://drive.google.com/drive/my-drive.

Manage Connections > Add > Google Drive > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Connection - OneDrive

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - OneDrive

The OneDrive Connection stores connect and logon properties for the Microsoft cloud service OneDrive.

You can use VisualCron to sync files between the OneDrive service and a local folder.

The OneDrive Connection is used in the Cloud Tasks:

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

Manage Connections > Add > OneDrive > Main settings tab

Name

The name of the Connection to uniquely identifying it.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > OneDrive > Authentication tab

Use VisualCron registered app

If you use your own application, you need to uncheck the Use VisualCron registered app box (checked as default). If you want to use your own app, then click the Setup account link to create or enter in your own Application Id and Application password information.

Application Id

Application Id which you gets when registering application at OneDrive.

Application password

Application password which you gets when registering application at OneDrive.

Setup app

In order to connect authentication to an account, an app has to be created at the cloud provider. See https://portal.azure.com/#blade/Microsoft_AAD_RegisteredApps/ApplicationsListBlade

Authenticate

Click on the Authenticate link to start authentication.

Authenticate in internal browser

You can choose to authenticate in your own browser or externally by checking the Authenticate in internal browser box. Click on the Authenticate link.

How to create a connection using the VisualCron app

In the OneDrive > Authentication tab, the Use VisualCron registered app box shall be checked (default).

1. Check that the Authenticate in internal browser box is checked (default)

2. Click the Authenticate link. In the Microsoft authentication window, login using your Microsoft account

How to create a connection using your own OneDrive app

If you e.g. want your own logo and/or use your own permissions, you may choose to use your own app.

First, uncheck the Use VisualCron registered app box.

You can create the Microsoft OneDrive app either by click on the Setup app link or by sign in to the Microsoft Application Registration Portal: https://apps.dev.microsoft.com/?mkt=en-US#/appList

1. In the Microsoft Register your application page, click the Add an app button

2. Enter Application Name for the app, i.e. "VisualCron", check the Guided Setup box and press the Create button

3. Select type Mobile and Desktop App

4. Select technology Windows Desktop (.NET)

5. Go directly to Test & Validate. Scroll down to the bottom and click the View app registration button

6. Copy the Microsoft Application ID to OneDrive > Authentication tab Application ID field

7. In the Microsoft application, click the Generate New Password button

8. Copy the generated password to OneDrive > Authentication tab Application password field

9. In the Microsoft application, check the Redirect URL and, if necessary, update the OneDrive > Extra settings > Redirect URL information accordingly

10. Click the Save button in the Microsoft application

11. In the OneDrive > Authentication tab, check the Authenticate in internal browser box and click on the Authenticate link to test the authentication. In the Microsoft authentication window, login using your Microsoft account

Manage Connections > Add > OneDrive > Extra settings tab

Create a OneDrive session (if not step 11, Authentication, above) is performed

Before you can use the Connection in Tasks and Triggers you need to create a session and connect your OneDrive account to the Application you created. You do this by opening the Connection Explorer and double click on the OneDrive Connection. Enter the OneDrive account details and give the Application the permissions. You are now ready to use the Connection in Tasks and Triggers.


Connection - Office365

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Office365

The Office 365 Connection is used in the following places:

·Office Tasks

·Microsoft Teams Trigger

·Microsoft Teams Task

Application Id

The application Id is the id you get from when you setup your application in Azure:

Application password

Setup app

Needed API permissions:

Authenticate

You setup the password/client secret here:

Redirect Url

You need to match the existing one in the Azure portal:


Connection - Box

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Box

The Box Connection stores connect and logon properties for the Box cloud services.

Box is a cloud service from Google that you have to pay for. You can use VisualCron to sync files between that service and a local folder.

The GoogleDrive Connection is used in the Cloud Tasks:

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

Manage Connections > Add > Box > Main settings tab

Name

The name of the Connection to uniquely identifying it.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Box > Authentication tab

Client Id

Client Id which you gets when registering application at Box. See sample below:

Client secret

Client secret which you gets when registering application at Box.

Authenticate

Click on the Authenticate link to start authentication.

Authenticate in internal browser

You can choose to authenticate in your own browser or externally by checking the Authenticate in internal browser box (default). Click the Authenticate link.

Manage Connections > Add > Box > Extra settings tab

Redirect Url

Please note that this url need to match url on Box web site like this:


Connection - VisualCron

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - VisualCron

The VisualCron Connection stores connect and logon properties for connecting internally between Clients and Servers. This is used to control Jobs/Tasks on other servers.

The VisualCron Connection is used in the Internal - Job/Task control Task and the Event trigger - VisualCron Trigger. The Connection is used to connect to a local or remote VisualCron Server instance.

Manage Connections > Add > VisualCron > Main settings tab

Name

The unique name for the Connection.

Address

The DNS name or IP of the VisualCron server.

Port

The port used by VisualCron - default 16444.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Not used.

Manage Connections > Add > VisualCron > Authentication tab

Username

The username for the user in the VisualCron Server.

Password

The password for the user in the VisualCron Server.

Manage Connections > Add > VisualCron > Proxy tab

Proxy type

The FTP implementation supports the HTTP proxy type and the SFTP implementation supports the SOCKS4 and SOCKS5 proxy types.

Address

Host name or IP number of the proxy server.

Port

Port of the proxy server.

Use credentials

Text ...

Username

A username to access the proxy server.

Password

A password to access the proxy server.


Connection - Sharepoint

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Sharepoint

The SharePoint Connection stores connect and logon properties for local SharePoint instances or the SharePoint online cloud service from Microsoft.

The SharePoint Connection is used for the SharePoint Tasks:

· SharePoint - Create list

· SharePoint - Delete list(s)

· SharePoint - Describe list

· SharePoint - Get list(s)

· SharePoint - Update list

· SharePoint - Add list item

· SharePoint - Update list item

· SharePoint - Delete list item(s)

· SharePoint - Get list item(s)

· SharePoint - Upload file(s)

· SharePoint - Download file(s)

· SharePoint - List file(s)

· SharePoint - Delete file(s)

Manage Connections > Add > SharePoint > Main settings tab

Name

The unique name for the Connection

Address

The address to the SharePoint server. The address should be the following format https://www.domainname.com/sites/sitename.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > SharePoint > SharepPoint tab

SharePoint version

Select between SharePoint Online or a local installation (SharePoint 2010/2013)

Manage Connections > Add > SharePoint > Authentication tab

Authentication type

Select type of authentication on the SharePoint server. Default (Windows), Basic, Anonymous or Forms.

Username

The username for the server.

Password

The password for the server.

Manage Connections > Add > SharePoint > Certificates tab

Client certificate

If the SharePoint server requires a client certificate, click the Manage Certificates button to select and import a certificate.

Troubleshooting

Cannot contact web site 'https://xxx.sharepoint.com/' or the web site does not support SharePoint Online credentials. The response status code is 'Unauthorized'

Allow access for Apps that don't use modern authentication.


Connection - IM

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - IM

The Instant Messaging Connection stores connect and logon properties for various chat protocols like Yahoo, Google Talk, ICQ, AIM and Jabber.

The IM Connection is used in the Instant Messaging Task.

Manage Connections > Add > IM > Main settings tab

Name

The unique name for the Connection

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > IM > Authentication tab

Username

The username for the messaging account. When using GTalk, the user name is just the user, for example if the email is visualcron@gmail.com you should just use "visualcron".

Password

The password for the messaging account.


Connection - XendApp

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - XendApp

The XendApp Connection stores connect and logon properties for the device messaging service XendApp.

XendApp is a platform for delivering instant messages to any device (phone/tablet). It is a free service which uses notification services to deliver a message. Registration is done here.

Manage Connections > Add > XendApp > Main settings tab

Test

It is possible to test the connection once you have set all settings. Click the Test button to start the test.

Name

The unique name for the Connection.

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > XendApp > Authentication tab

Username

The username for the registered XendApp account. Register here for free.

Password

The password for the registered XendApp account. Register here for free.


Connection - Pushbullet

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Pushbullet

The Pushbullet Connection is used with the free service from Pushbullet to send messages, files or SMS to any device.

The Pushbullet Connection is used in the following Tasks:

· Pushbullet - Send message

· Pushbullet - Send SMS

· Pushbullet - Send link

· Pushbullet - Send file

· Pushbullet - Upload file

Manage Connections > Add > Pushbullet > Main settings tab

Name

The name of the Connection to uniquely identifying it.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Pushbullet > Authentication tab

Token

A string token you get when you create an account at pushbullet.com.


Connection - Telegram

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Telegram

The Telegram Connection uses the free, cloud-based instant messaging service Telegram. Telegram client apps exist for Android, iOS, Windows Phone, Windows NT, macOS and Linux. Users can send messages and exchange photos, videos, stickers, audio and files of any type. Telegram also provides optional end-to-end encrypted messaging.

The Telegram Connection is used in the following Task:

· Telegram - User Send message

Setting up a Telegram application

In VisualCron you have the option, in the authentication tab, to use the existing Telegram app "VisualCron". If you for some reason, want to use your own app, you need to create one here and then enter App app_id and App api_hash in authentication tab.

Once you have created your app or selected to use the default one for VisualCron you enter your phone number and click on Request code. Use the code you obtain in your Telegram Client in VisualCron Code field.

Manage Connections > Add > Telegram > Main settings tab

Request code

Click this to receive a code to authorize VisualCron for sending messages. You need to enter Phone number for this to work.

Phone

Enter phone number including country code, i.e. +1888555222.

Manage Connections > Add > Telegram > Authentication tab

Use VisualCron registered app

See setup in top of documentation. Check this if you want to use the default VisualCron app.

App app_id

If you want to use your own app then copy this information from the settings of the app online.

App api_hash

If you want to use your own app then copy this information from settings of the app online.

Code

Once you have clicked Request code in main settings tab you will receive a code in your Telegram Client. Paste this here.


Connection - Twitter

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Twitter

The Twitter connection uses the online news and networking service Twitter where users post and interact with messages, "tweets", restricted to 40 characters. Registered users can post tweets, but those who are unregistered can only read them. Users access Twitter through its website interface, SMS or a mobile device app.

The Twitter Connection is used in the Twitter Tasks.

Manage Connections > Add > Twitter > Main settings tab

Name

This field will be filled by VisualCron once the PIN has been authenticated.

Manage Connections > Add > Twitter > Authentication tab

Use VisualCron registered app

When creating a Twitter Connection you have the option to use the registered VisualCron Twitter app or user your own app. If you have your own app you need to fill Consumer Key and Consumer Secret from Twitter web page - Application settings.

Get PIN

Click on Get PIN to start authorization against the VisualCron app or your own app.

Authorization of VisualCron to perform Twitter Tasks

To create a Connection you first need to authorize VisualCron to perform Twitter Tasks. This is done by retrieving a PIN through a Consumer key and Secret.

Use the VisualCron app

1. Click on Get PIN button in VisualCron.

2. Authorize the VisualCron app in the Twitter web page and you will receive a PIN.

3. Paste the PIN in the Get PIN field and click on Authenticate PIN.

Use your own app

If you want to use your own app (e.g. if you/your company already have an app or if you need special permissions) you need to:

1. Create your on app in Twitter if you have not done that

2. Uncheck Use VisualCron app registered app in Authentication page

3. Fill in the Consumer key and the Consumer secret from Twitter web page.

4. Click on Get PIN button in VisualCron.

5. Authorize VisualCron in the web page and you will receive a PIN.

6. Paste the PIN in VisualCron and click on Authenticate PIN.

Authorize the VisualCron app in browser

Authorize the VisualCron app in browser - Access granted - PIN received

Authorize use your own app in browser - Access granted - PIN received

Use VisualCron registered app

When creating a Twitter Connection you have the option to use the registered VisualCron Twitter app or user your own app. If you have your own app you need to fill Consumer Key and Consumer Secret from Twitter web page - Application settings.

Access token

Access token is retrieved and filled once you have authorized the app.

Access secret

Access secret is retrieved and filled once you have authorized the app.

PIN

After pressing Get PIN and you have authorized the app you need to copy/paste the PIN here. Then press Authenticate PIN.

Authenticate PIN

Click this button once you have retrieved and filled a PIN in the PIN field (after authorization).


Connection - Crystal reports

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Crystal reports

The Crystal reports Connection stores connect and logon properties for database connections to Crystal reports.

The Crystal reports Connection is used in Crystal reports Tasks. In the Task, one or more Connections can be selected depending on how many database connections your report uses.

Runtime binaries

Please note that in order to use the Crystal reports Task from a machine where VisualCron is installed you need to download and install the runtime for Crystal reports. Select the appropriate and latest version below depending on if you have a 32 or 64 bit machine.

https://wiki.scn.sap.com/wiki/display/BOBJ/Crystal+Reports%2C+Developer+for+Visual+Studio+Downloads

For 8.3.0 and later you need version 21:

http://downloads.businessobjects.com/akdlm/crnetruntime/clickonce/CRRuntime_32bit_13_0_21.msi

http://downloads.businessobjects.com/akdlm/crnetruntime/clickonce/CRRuntime_64bit_13_0_21.msi

Manage Connections > Add > Crystal reports > Main settings tab

Name

Use any name you like to identify this Connection among other Connections

Address

This must match the exact name of the ODBC/OLEDB connection name in ODBC administration window. Please note that this ODBC/OLEDB DSN name must exist in the System DSN tab as these are the only DSNs available across users. If your report uses connections from the User DSN you need to copy those to the System DSN. The database that you use is specified in the ODBC/OLEDB DSN.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Crystal reports > Authentication tab

Username

The username must match the same user that you use in the ODBC/OLEDB administration window.

Password

You need to set the password of the ODBC/OLEDB DSN.

Integrated security

Check this if you want to use Windows authentication against the database. For username and password use the Windows user.

Debugging

If you turn on Extended debugging in Server settings->Log you will be able to look at the log after execution and see what went wrong. Usually, it is one of the following problems:

1. the Address property does not match the name in System DSN

2. the ODBC/OLEDB DSN has only been created in user DSN and not the required System DSN

3. the Crystal reports document has not been updated to use the System DSN (but only uses User DSN)

4. the username or password do not match the one for the database

5. one or more Connections are missing in VC (if the Crystal report uses more than one)

Troubleshooting

Could not load file or assembly 'CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.2000.0'

In the IIS Manager on the server - set the application pool for my web application to not allow 32-bit assemblies or run the following script: C:\inetpub\AdminScripts\adsutil.vbs SET w3svc/AppPools/Enable32bitAppOnWin64 0 –


Connection - VMWare

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - VMWare

The VMWare Connection stores connect and logon properties for guest and remote VMWare instances.

The VMWare Connection is used for connecting to remote VMWare instances in the following Tasks:

· VMWare - Start VM

· VMWare - Stop VM

· VMWare - Suspend VM

· VMWare - Pause VM

· VMWare - Resume VM

· VMWare - Reset VM

· VMWare - Get VM status

· VMWare - Create VM snapshot

· VMWare - Revert to VM snapshot

· VMWare - Delete VM snapshot

· VMWare - List VM snapshots

· VMWare - Delete VM

· VMWare - Clone VM

· VMWare - Install tools

· VMWare - Register VM

· VMWare - Unregister VM

· VMWare - List VM

· VMWare - Capture screen (guest)

· VMWare - Copy files (guest)

· VMWare - Rename file (guest)

· VMWare - Delete files (guest)

· VMWare - Directory exists (guest)

· VMWare - File exists (guest)

· VMWare - Delete directory (guest)

· VMWare - Create directory (guest)

· VMWare - Create temp file (guest)

· VMWare - Run command (guest)

· VMWare - Open URL (guest)

· VMWare - Kill processes (guest)

· VMWare - List processes (guest)

Manage Connections > Add > VMWare > Main settings tab

Name

The unique name for the Connection

Address

The address to the VMWare server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > VMWare > Authentication tab

Authentication type

Choose between VIX or vSphere. VIX stands for the old API that uses COM libraries to manage vSphere. This is supported up to version 6.0 of vSphere. For future version the new vSphere API is used which is based on web services. The VMware vSphere® Web Services SDK includes all the components necessary to work with the VMware vSphere API, including WSDL files, sample code, and libraries. The vSphere Web Services SDK facilitates development of client applications that target the VMware vSphere API. With the vSphere Web Services SDK, developers can create client applications to manage, monitor, and maintain VMware vSphere components, as deployed on VMware® VMware vSphere® ESX®, ESXi™, and VMware® vCenter™ Server systems.

Username

The username for the server.

Password

The password for the server.

Troubleshooting

The protocol requested by peer '0 0 9 1' does not match expected '3 1 0 0'. Make sure both sides agree on protocol id and version.

Please upgrade remote server to AMQP 1.0. VisualCron supports AMQP 1.0 or later.


Connection - Dynamics CRM

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Dynamics CRM

The Dynamics CRM Connection stores connect and logon properties for a Dynamics CRM instance.

The Dynamics CRM Connection is used in the Dynamics CRM Tasks:

· Dynamics CRM - Get entity

· Dynamics CRM - Create entity

· Dynamics CRM - Update entity

· Dynamics CRM - Delete entity

· Dynamics CRM - List entity

· Dynamics CRM - Get audit data

· Dynamics CRM - Set audit status

· Dynamics CRM - Start work flow

· Dynamics CRM - Download attachment

· Dynamics CRM - Upload attachment

Manage Connections > Add > Dynamics CRM > Main settings tab

Name

The unique name for the Connection

Address

The address to the Dynamics CRM server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Dynamics CRM > Authentication tab

Username

The username for the server.

Password

The password for the server.


Connection - AS/400

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - AS/400

The AS/400 Connection stores connect and logon properties for the AS/400 operating system.

The AS/400 Connection is used in the AS/400 Task:

· Process - AS/400 Command.

Manage Connections > Add > AS/400 > Main settings tab

Name

The unique name for the Connection

Address

The address to the AS/400 server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Manage Connections > Add > AS/400 > Authentication tab

Username

The username for the server.

Password

The password for the server.


Connection - SAP

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - SAP

The SAP Connection stores connect and logon properties for SAP R/3 instances.

The SAP Connection is used in the SAP Task:

· SAP - R/3 Job execute

Manage Connections > Add > SAP > Main settings tab

Name

The unique name for the Connection

Address

The IP or DNS name to SAP server.

Manage Connections > Add > SAP > Authentication tab

Username

User name for the SAP instance.

Password

Password for the SAP instance.

Manage Connections > Add > SAP > Extra settings tab

System ID

The SAP System Identifier (sapsid) is a unique identification of a SAP System Instance. Within a SAP Customer Landscape it is essential to have each SAP instance

System number

The SAP server system number. This is mandatory if no value is supplied for Optional RFC Connection Parameters.

Client

The Client is a 'Customer'. We can say that each customer maps to one client. Within one SAP instance, a number of Clients can be created. No need to install separate software's for each and every customer.It provides isolation ,one client cannot see the data of other client..

External user name

The name of the user in the external system who caused the method call. The entry is of a documentary nature and should verify who made the call.

Language

The language ISO identifier to be used by the adapter. Default English.

Pool size

Max number of connections.

Troubleshooting

"Password logon no longer possible", "No RFC authorization for function module BAPI_XMI_LOGON", "You have no authorization to log on to interface XBP"

This is caused by incorrect user permissions in SAP. 1) Check with the SAP Administrator and make sure the user on the SAP side (from the Connection Profile being tested in the CCM) is not locked or having any issue related to authorizations/privileges. 2) Verify the authorizations of the user in the Connection Profile meet the minimums as documented in the Control-M for SAP Administrator Guide under the section "SAP Authorizations"


Connection - AMQP

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - AMQP

The AMQP Connection is used in:

· AMQP - Send message Task

· AMQP - Trigger

The Advanced Message Queuing Protocol (AMQP) is an open standard application layer protocol for message-oriented middleware. The defining features of AMQP are message orientation, queuing, routing (including point-to-point and publish-and-subscribe), reliability and security. AMQP defines a self-describing encoding scheme allowing interoperable representation of a wide range of commonly used types. It also allows typed data to be annotated with additional meaning,[17] for example a particular string value might be annotated so that it could be understood as a URL. Likewise a map value containing key-value pairs for 'name', 'address' etc., might be annotated as being a representation of a 'customer' type.

Currently, the following protocols are supported:

·Azure Service Bus

·Rabbit MQ

VisualCron supports AMQP version 1.0 or later.

Broker type

Select one of the two supported:

·Azure Service Bus

·Rabbit MQ

Username

Username for the service.

Password

Username for the service.

Schema

"AMQP" (port 5672) or "AMQPS" (port 5672). Azure Service Bus - have only AMQPS (port 5671)

Path

may be important for RabbitMQ - VirtualHost, the default is "/" in Azure Service Bus

Connection string

his property is used for administrative purposes - getting a list of queues, in RabbitMQ, here you need to specify the administrative port or path, for example, for local server installation - "http://localhost:15672/api/queues", for Azure Service Bus this is the Connnection String in the format: "Endpoint=sb://xxx.servicebus.windows.net/;SharedAccessKeyName=yyy;SharedAccessKey=zzz" and this default address is formed from the connection parameters: host (in the example, this is xxx.servicebus.microsoft.net/), username (yyy) and password (zzz).


Connection - Slack

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Slack

Slack is a cloud-based set of proprietary team collaboration tools and services. The Slack Connection is used in:

·Slack - Trigger

·Slack - Send message Task

Teams

Slack teams allow communities, groups, or teams to join through a specific URL or invitation sent by a team admin or owner. Although Slack was meant for organizational communication, it has been slowly turning into a community platform, a function for which users had previously used message boards or social media such as Facebook or LinkedIn groups. Many of these communities are categorized by topics which a group of people may be interested in discussing.

Messaging

Public channels allow team members to communicate without the use of email or group SMS (texting). They are open to everyone in the chat, provided they have first been invited to join the client. Private channels allow for private conversation between smaller sects of the overall group. These can be used to break up large teams into their own respective projects. Direct messages allow users to send private messages to a specific user rather than a group of people.[26] Direct messages can include up to nine people (the originator plus eight people). Once started this direct message group can be converted to a private channel.

Manage Connections > Add > Slack > Main settings tab

Manage Connections > Add > Slack > Authentication tab

Client Id

This needs to match the Client Id in online Slack settings.

Client secret

This needs to match the Client secret settings in online Slack settings.

Setup application

Setup application links opens Slack workspace creation link. See images below how to create a workspace

Authenticate

When you have created a workspace or have an existing you click on Authenticate. See images below about authentication.

Application token

More details..

Manage Connections > Add > Slack > Extra settings tab

Redirect Url

This setting is for first time authentication only. We recommend using http://localhost:9999 which should match Redirect Url settings in Slack. See images below.

Setting up Slack -> Create workspace

Setting up Slack -> Sign in

Setting up Slack -> Create Slack app

Setting up Slack -> Edit permissions

Setting up Slack -> Set Redirect URLs

Setting up Slack -> Set Basic information

Setting up Slack -> Authorize permissions for VisualCron


Connection - Informatica

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Informatica

The Informatica Connection is used in the following place:

Informatica Task


Connection - Telnet

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Telnet

Enter topic text here.


Connection - Facebook

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - Facebook

Enter topic text here.


Connection - PeopleSoft

Navigation: Client User Interface > Main menu > Server > Global - Connections >

Connection - PeopleSoft

Enter topic text here.


Global - Credentials

Navigation: Client User Interface > Main menu > Server >

Global - Credentials

Credentials are centrally stored in VisualCron for re-usage. Credentials might be needed in some of the following cases:

·Your Execute Task requires to run as a certain user to access certain rights

·You need to run an SQL with a trusted connection

·You need to do some kind of authentication against a web server

·Other permission request

Normally, all Tasks are launched from the VisualCron Server which runs as a service with LOCALSYSTEM account. That account may not have access to your network drives, certain folders etc. - that is why you need to use a Credential some times.

Credentials are encrypted when stored.

The Manage credentials window can be reached either from the main menu Server > Global objects > Credentials option.

Editing a Credential

Username

Username for the user you want to logon.

Password

Password for the user you want to logon.

Domain

Domain or computer name/IP where you want to logon.

Local login

This tells VisualCron to perform a local logon. This checkbox should be unchecked if you are using Credentials to gain access to a network drive (using a user/domain on another server as Credential).

Load profile

This is used on local accounts that are on the same server as VisualCron is installed. This option is only available if Local login is checked.

When checked, the following steps are taken:

Log on, then load the user profile in the "HKEY_USERS" registry key. The function returns after the profile is loaded. Loading the profile can be time-consuming, so it is best to use this value only if you must access the information in the "HKEY_CURRENT_USER" registry key or you have to access network resources. Windows Server 2003 and Windows 2000: The profile is unloaded after the new process is terminated, whether or not it has created child processes. Windows XP: The profile is unloaded after the new process and all child processes it has created are terminated.

When not checked, the following steps are taken:

Log on, but use the specified credentials on the network only. The new process uses the same token as the caller, but the system creates a new logon session within LSA, and the process uses the specified credentials as the default credentials. This value can be used to create a process that uses a different set of credentials locally than it does remotely. This is useful in inter-domain scenarios where there is no trust relationship. The system does not validate the specified credentials. Therefore, the process can start, but it may not have access to network resources. If you just want to access a network drive then you should specify the username, password and domain of the remote computer and use it with option "Network credentials only". To access network resources (from a local account) you have to use logon type: "With Profile". When you can - use "Network credentials only" as it is faster and takes less system resources. You must specify the UNC path. For example, you can't use the drive letter "Y:\yourfile.bat", you must use the path "\\server\folder\yourfile.bat".

Using and selecting a Credential

When you open the window, your current user name is written along with the name of your current computer/domain. Click on Add to create a centrally stored Credential. After adding the Credential it is available in all places where you can use Credentials. In those places you need to select the Credential you want to use like this:

Troubleshooting

Error -1073741502

See Execute Task


Global - Network Drives

Navigation: Client User Interface > Main menu > Server >

Global - Network Drives

VisualCron is by default running as the SYSTEM account. One problem you may face is that you can't see/access your network drives. This is a restriction in Windows - that network drives are not shared between accounts.

To handle this, a way to control network drives from the system account is implemented. This enables map/disconnect network drives directly from VisualCron.

In the main menu, click on Server > Global objects > Network drives to access the interface for mapping/disconnecting.

Map drive

When mapping a drive you need to specify a Credential, a user that has access to the network drives, that is either a domain user or a user on the remote server. Specify a wanted drive name and path.

Path should be entered in UNC format like this: "\\servernameORip\folder\"

Click on Map drive to map it. It is now controlled by VisualCron and each time VisualCron is started it tries to re-map the drives so these can be accessed after a server reboot.

Reconnect

If a drive has been disconnected during a VisualCron session you can reconnect it here.

Troubleshooting

A specified logon session does not exist

Try disabling this policy:

The specified network password is not correct

Double check so that date and time is matching (synced) between VisualCron and server of remote share.

Multiple connections to a server or shared resoource from the same user using multiple usernames are not allowed. Disconnect all previous verbands to the server or shared resource and try again.

Try using the IP instead of the DNS name to the server.

Access denied trying to connect to IFS (AS400) share

Local Security Policy -> Local Policies –> Security Options -> Change Network security: LAN Manager authentication level to NTLMv2 session security if negotiated

http://e1tips.com/2010/05/18/windows-vista-windows-7-ibm-iseries-ifs-mapped-drive/


Global - Notifications

Navigation: Client User Interface > Main menu > Server >

Global - Notifications

Notifications are since version 7.0.0 a way to create global, independent Tasks. The Notifications are stored centrally and are called from Job Flow or Task Flow. Any Task can be used as a Notification. The purpose of Notifications was originally to create, e.g. an Email Task once and then be able to re-use it in Job and Task Flow whenever you wanted to receive a Job or Task email with output or similar.

A notification is defined either from the main menu Server > Global objects > Notifications dialog or from the Job Flow or Task Flow.

You can Add, Edit, Clone and Delete Notifications.

To get specific instructions for each Task Notification please visit the help page for the relevant Task.

Below is a screenshot from Task Flow of a Task which, On error, also sends a Notification 'test'.

Variables

As usual you can use any Variable in any field within VisualCron.

View additional variable information.

Note: All variables are not available at all times. The variables are highly dependant on when you choose to notify. For example, specific Task variables are only available when you choose to Notify on start or Notify on complete. Also, if you choose to the variable Output you will get the output of the previous run when using when a Task has completed. The current output is not available until "when a Task has completed".


Notification log

Navigation: Client User Interface > Main menu > Server > Global - Notifications >

Notification log

Enter topic text here.


Global - PGP Key Rings

Navigation: Client User Interface > Main menu > Server >

Global - PGP Key Rings

What is PGP?

Pretty Good Privacy (PGP) is a strong encryption program used to encrypt files and e-mail. PGP is similar to PKI (Public Key Infrastructure) and is based on asymmetric (open-key) cryptography. The OpenPGP standard was originally derived from PGP.

How PGP encryption works

PGP encryption uses public-key cryptography and includes a system which binds the public keys to user identities. PGP message encryption uses asymmetric key encryption algorithms that use the public portion of a recipient's linked key pair, a public key, and a private key. The sender uses the recipient's public key to encrypt a shared key (a.k.a. a secret key or conventional key) for a symmetric cipher algorithm. That key is used, finally, to encrypt the plaintext of a message. Many PGP users' public keys are available to all from the many PGP key servers around the world which act as mirror sites for each other.

The recipient of a PGP encrypted email message decrypts it using the session key for a symmetric algorithm. That session key is included in the message in encrypted form and was itself decrypted using the recipient's private key. Use of two ciphers in this way is sensible because of the very considerable difference in operating speed between asymmetric key and symmetric key ciphers (the differences are often 1000+ times). This operation is completely automated in current PGP desktop client products.

The VisualCron implementation of PGP

In VisualCron you are able to encrypt/decrypt PGP files using the OpenPGP standard. Encryption and decryption is part of the PGP Task. You are also able to sign your files and manage public and private keys.

Manage PGP Key Rings

The PGP key rings are managed in the main menu Server > Global objects > PGP Key Rings dialog. Instead of pointing to public or private key files, VisualCron lets you generate or import this data and then centrally store it in VisualCron. A key ring is a set of keys, public or private. VisualCron wraps key rings in the manager. At a later stage, when you want to encrypt a file, you first select a VisualCron key ring and then the recipients or signers key from the same key ring.

Name/Description of VisualCron key ring

Choose a proper name for the VisualCron key ring so you later can distinguish it from other.

Create a key ring

You can either create an empty key ring or create a key ring from already existing public or private key ring files.

Import key(s) Mark the key ring and click on the Import key(s) icon to select a path to a key ring file.

Create key

Mark the key ring and click on the Create key icon.

Select encryption. Currently you can select "RSA" or "Elgamal/DSS" encryption. Contact us if you are interested in other encryption algorithms.

Strength

Select bit strength.

Username

Enter your name.

Email

Enter your email address.

Password

Enter password.

Click OK to generate the key.

Signing and revoking Mark a user in the key and click on either Sign selected or Revoke selected. Select a private key and then your password to continue signing/revoking.


Global - Time exceptions

Navigation: Client User Interface > Main menu > Server >

Global - Time exceptions

Time exceptions is a way to skip execution of a Job at a certain time or interval. A time exception collection is a package of one or more time exceptions. For example, a time exception collection may be "American Holidays" and one time exception could be the 4th of July. If you, for example, have a Job that runs every day and you want to skip running that Job on "American holidays", you check the time exception collection "American holidays" for this Job.

Collections with time exceptions are managed either from the main menu Server > Global objects > Time exceptions dialog or from the Add Job/Edit Job menu under the Time exceptions tab. When adding a collection, you can specify a name and a appropriate description. When a collection has been created, time exceptions can be added. Each collection is expandable, and when expanded, the underlying time exceptions are displayed. Setting of time exceptions work the same way as time settings for a Job. Collections and exceptions are managed (add, edit and delete) by mouse right-click in the collection/time exception list. During changes in the time settings, the Next exception time will be calculated at the status bar.

Note: Remember that a change of a collection affects all Jobs that use that specific collection.

The time exception settings are stored by VisualCron in the "timeexceptions.xml" file, by default stored in the "C:\Program Files\VisualCron\settings" folder.

An important feature is the import function, Time exceptions -> Collections -> Import. The import function can import collections that you or another person has created. If a collection already exists you'll be asked if you want to replace or skip the import of that collection.

Download time exceptions

US Federal Holidays 2009


Global - Variables

Navigation: Client User Interface > Main menu > Server >

Global - Variables

Introduction

From VisualCron version 4, the handling of variables has been changed. In previous versions, variable handling was only reached from Notifications. Now, variables can be reached from almost any place in the client application at any time. Also, the new variable handling offers greater customization possibilities. For example, when presenting a date variable, the format of the date can be totally customized.

Using variables

The variables are accessed from the main menu Server > Global objects >Variables window or at the status bar of each window that is able to use variables. Those windows have a Variables button in the status bar.

Almost all fields in the windows that have the Variables button can use variables. You can check if a field is able to receive variables if you try to drag and drop a variable to that field. If yes, the text field will go light blue while hovering over the field and a drop will be possible. If no, no drop will be possible.

The tree view is a hierarchy of variables. When opening at the (bottom) VisualCron variables -> Jobs item, you will see that your current Job is noted with a green arrow and its Tasks are reflected in the tree. Each Job can be browsed to show the Triggers, Tasks and variables connected to it.

The Variable Key text box

When a variable is selected in the tree view, the key name is automatically added to the Variable Key text box. At the same time, VisualCron tries to show the current value in the Value Preview text box. The Variable Key text box can be manually changed by you. For example, you may want to control the format of a date. The preview is updated in real time.

Hierarchy of variables

VisualCron is presenting different kind of variables. The tree, especially for the VisualCron variables root is built up as a hierarchy. In the root there are Jobs. When entering a Job, you can reach its triggers, Tasks etc. A trigger in turn may have a result object which can be browsed.

Parameter delimiters

By default, the parameters supplied to a Variables is using pipe (|) or comma (,). If you have these in the string already you might want to use an alternate parameter delimiter. You can do this by starting the parameters with the character you want to split with. For example, if you want to use @ as parameter delimiter you can create a Variable like this: {FILE(@Content@c:\textfile.txt)}

The root variables

Functions

Functions contains a set of string and path functions that can be useful for editing/changing text.

System variables

These are values collected from the current computer/server, such as Environment and Memory variables and system uptime.

Date variables

The current date, can be formatted in your way. There are also some preformatted variables. See here for more date/time variable details.

File variables

Variables related to files. For example, the Content argument gives the text content of a file.

Folder variables

Variables concerning folders. Currently this group contains paths to the current and system folder.

VisualCron variables

These are the most powerful variables which let you access a large part of your VisualCron Job and Task data.

User defined variables

You are able to create your own static or dynamic Variables - with different value types. To Add/Edit/Remove a Variable you ca either click at the Add/Edit/Delete buttons or create Tasks (Set Variable, Remove Variable, Calculate Variable) that does this.

The format of a variable

The below text is an example of a variable key. The first part begins with an "{" and the following text what kind of root variable to look for. In this case a Task. In the Manage variables window you can see, once you have selected a variable, the format of the variable in the status bar. In this case: {TASK (TaskId,Name)}. The parts within the parenthesis are the arguments. The first argument is the id of the Task. This id is generated by VisualCron once the Task has been created. The second argument "Name" tells us that once we have found the Task from it's id, we want to get its name.

Variable Key example: {TASK(7b9a0b42-ec36-482e-bd04-93ef8b655108,Name)}

Drag'n drop

By holding down your left mouse button on a variable a drag and drop action will start. While holding it down you can drag the variable to a field where you want to use it. Not all fields can receive variables. You can see if a field supports variables by moving it over a field. If a drop symbol becomes visible and the color of the field turns light blue you are able to release the mouse and the variable will be placed into the field.

Value preview

When clicking on a variable, VisualCron will try to obtain the value of the variable in real time. This value will be shown in the yellow Value Preview text box.

Active Job/Task vs specific Job/Task

In the Job list you will see a Job listed as "Active Job" with a red Job icon. An active Job could be any Job or Task that VisualCron currently is processing. All Jobs you have created are listed below the active Job. The Jobs that are listed below that active Job points to a specific Job or Task. For example, when using the Job.Name variable you will always get the same name (unless the name is changed) for that particular Job. When using the Active Job you will get the name of the Job that is currently processed when the variable is replaced.

The advantage of using "Active Job" is that you can prepare a Notification for example with Active Job or Task parameters. In the report from the Notification you will get different results, depending on the Job or Task that is being run. In that way Notifications can be reused.

The advantage of using a variable from a Job defined by you is that you know exactly which variable you get. You will always get that variable from that particular Job or Task.

Current Job/Task

The current Job or Task is the Job or Task that you currently are editing. It is marked by a green arrow to the right of the Job or Task name. It is there to help you find the Job or Task currently being edited. Note that the Job or Task is not available in the tree view until you have added it.

Previous Task

You can always refer to the last run Task by using the PrevTask Identifier, like this:

{TASK(PrevTask,Name)}

Triggers

The trigger is the part of the Job that makes a Job run. You are able to get information from that trigger.

Last Trigger and Specific trigger

The last trigger always exist as a part of the trigger tree. It represents the last trigger that executed your Job. Remember that you may have several triggers for one Job. By using the last trigger you can automatically get information about the last trigger without explicitly pointing to a specific trigger.

There are some things to consider about Last Trigger. If you use different kinds of triggers, for example one Event trigger and one Time trigger you can reach the generic variables like name, last run etc. What you can't always get is specific variables, like if you are pointing to a file name of the File event. That variable will not exist in the Last Trigger if the last trigger was a time trigger.

If you want to be sure that you always get specific trigger information you must point out a specific trigger in the tree view.

Trigger result variables

Some variables exist when a trigger has been added, for example a trigger name. Other variables are result variables and are created/updated when a trigger has been run. For example, when using a File event trigger you are watching a folder. You have a folder name and a file mask. These variables are available instantly.

Now, let's say you are monitoring for changes in *.txt files. Since you are using a file mask you may not know exactly which file that was changed. Now, with trigger result variables you are able to get that information. This information is stored after the trigger has been run and is instantly available for usage before the actual Job has been started.

Especially Event triggers have many variables that are available for usage when they have been triggered. Below is a description of what those variables contain.

Note that result variables are stored and always available once created. If your Job was triggered once you have the result variables. If you now go and change the actual trigger, the field values of the trigger will be changed but the actual result will remain until the trigger is being triggered again.

File event result variables:

Folder path

The folder path that the event is watching.

File mask

The file mask that was used when watching.

Type of change

Gets the type of folder event that occurred.

Path

Gets the fully qualified path of the affected file or folder.

Name

Gets the name of the affected file or folder.

More information:

Microsoft file system event arguments

EventLog event result variables:

Host

Name of the computer that generated this event.

Category

Translation of the subcategory, the translation is source specific.

Event code

Value of the lower 16-bits of the EventIdentifier property. It is present to match the value displayed in the Windows NT Event Viewer. Note that two events from the same source may have the same value for this property, but may have different severity and EventIdentifier values.

Event id

Identifier of the event. This is specific to the source that generated the event log entry and is used together with SourceName, to uniquely identify a Windows NT event type.

Event type

Windows Server 2003, Windows 2000, and Windows XP: Type of event in a number representation. See Type for string representation.

Value Meaning:

1 Error

2 Warning

3 Information

4 Security audit success

5 Security audit failure

Date created

The time the Source generated the event.

Log file

Name of Windows NT event log file. This is used together with RecordNumber to uniquely identify an instance of this class.

Message

Event message as it appears in the Windows NT event log. This is a standard message with zero or more insertion strings supplied by the source of the Windows NT event. The insertion strings are inserted into the standard message in a predefined format. If there are no insertion strings or there is a problem inserting the insertion strings, only the standard message will be present in this field.

Record number

Identifies the event within the Windows NT event log file. This is specific to the log file and is used together with the log file name to uniquely identify an instance of this class.

Source

Name of the source (application, service, driver or subsystem) that generated the entry. It is used, together with EventIdentifier to uniquely identify an Windows NT event type.

User name

User name of the logged-on user when the event occurred. If the user name cannot be determined, this value will be NULL.

Type

Type of event. This is an enumerated string. It is preferable to use the EventType property rather than the Type property.

Value Meaning

1 Error

2 Warning

4 Information

8 Security audit success

16 Security audit failure

More information:

Microsoft log events

Process event result variables:

Process name

Name of the process that was started/stopped.

Description

Description of an object.

Created date

Date the process began executing.

Path

Full path to the executable file of the process. Example: C:\WINDOWS\explorer.exe.

Command line

The command line that started a specific process, if applicable.

Process id

Global process identifier that you can use to identify a process.

More information:

Microsoft process info

Service event result variables:

Name

Unique identifier of the service that provides an indication of the functionality that is managed.

Display name

Display name of the service.

Path

Full path to the service binary file that implements the service.

State

Current state of the base service.

Values are:

·"Stopped"

·"Start Pending"

·"Stop Pending"

·"Running"

·"Continue Pending"

·"Pause Pending"

·"Paused"

·"Unknown"

Status

Current status of the object. Various operational and non-operational statuses can be defined. Operational statuses include: "OK", "Degraded", and "Pred Fail" (an element, such as a SMART-enabled hard drive, may be functioning properly but predicting a failure in the near future). Non-operational statuses include: "Error", "Starting", "Stopping", and "Service". The latter, "Service", could apply during mirror-resilvering of a disk, reload of a user permissions list, or other administrative work. Not all such work is on-line, yet the managed element is neither "OK" nor in one of the other states.

Values are the following:

·"OK"

·"Error"

·"Degraded"

·"Unknown"

·"Pred Fail"

·"Starting"

·"Stopping"

·"Service"

Exit code

Windows error code that defines errors encountered in starting or stopping the service. This property is set to ERROR_SERVICE_SPECIFIC_ERROR (1066) when the error is unique to the service represented by this class, and information about the error is available in the ServiceSpecificExitCode property. The service sets this value to NO_ERROR when running, and again upon normal termination.

Service specific exit code

Service specific error code for errors that occur while the service is either starting or stopping. The exit codes are defined by the service represented by this class. This value is only set when the ExitCode property value is ERROR_SERVICE_SPECIFIC_ERROR (1066).

More information:

Microsoft service info

Registry event result variables:

Hive

Name of the hive (subtree) that contains the key (or keys) that is changed. For example, HKEY_LOCAL_MACHINE.

Registry key path

Path to the registry key. For example, "SOFTWARE\Microsoft\WBEM\Scripting".

Registry value name

Name of the value in the registry key. For example, in the registry key HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\WBEM\Scripting you can detect changes in the value Default Namespace.

Value

Value of the specific specific key. Only available when using Registry Value Change event.

More information:

Microsoft registry info

Special characters

You can write special characters like new line etc using this format: https://docs.microsoft.com/en-us/dotnet/standard/base-types/character-escapes-in-regular-expressions inside the String.Print Variable: {STRING(Print|\n)}

Custom event result variables

Currently no result variables exist for this event type.

Missing a variable or field where you want to use a variable? If you feel that you could have usage of a certain variable in a certain place that currently not exists, please send a mail to support@visualcron.com. We will try to extend this functionality in the way you want it.

Limitations

Current state of tree view

The tree view shows the current state. The available variables are those that exist by the time you open the variables window. Variables added after this are not added to the tree view until you open it the next time. Also, a Job is not available until it has been added to the server.

Local previewing

When previewing the variables at the client, File variables like content, are based on files in the client. If you get a message that a file does not exist, the file may exist in the server hosted at another location.

2 levels of variable replacing

There is a limitation how deep VisualCron will go when searching for variables to replace. The reason for this is performance and also that there must be an end in searching for variables sometime. For example, let say you have a variable in your Name field of your first Job. The text in the Name field is: "Job {DATE (Week)}". When using the name variable of this first Job you will get the text "Job" and the current week number. Now, suppose you have a second Job. For some reason you want to use the value of the Name field of the first Job in the Name of your second Job. Now you add a specific variable pointing to the first Job in the Name field, for example "{JOB(id,Name)}". When executing the second Job, VisualCron will first try to reach the name of the first Job (level 1) and then when reaching that Job it finds that it contains the variable week. It will replace that variable too (level 2). This is the end of the search and VisualCron would not have continued if the first Job pointed to another Job that used another variable.

Old variables supported for a limited time

Variables created in VisualCron 4 may exist in your Notifications. Currently, VisualCron interprets those variables, but the support for those variables will be withdrawn for two reasons; 1 - the less flexibility in those variables and 2 - for performance reasons. Support for those variables will be withdrawn during the end of this year (2006) so please replace those with newer variables.

It is not possible to use a variable as argument

You can not enter a variable in another variables argument.


Date/Time Variables

Navigation: Client User Interface > Main menu > Server > Global - Variables >

Date/Time Variables

The following date/time field variables are used:

d | 08/17/2000
D | Thursday, August 17, 2000
f | Thursday, August 17, 2000 16:32
F | Thursday, August 17, 2000 16:32:32
g | 08/17/2000 16:32
G | 08/17/2000 16:32:32
m | August 17
r | Thu, 17 Aug 2000 23:32:32 GMT
s | 2000-08-17T16:32:32
t | 16:32
T | 16:32:32
u | 2000-08-17 23:32:32Z
U | Thursday, August 17, 2000 23:32:32
y | August, 2000
d, dd, ddd, dddd | Current day of the month d, dd=numeric, ddd=abbreviation (ie, "Wed"), dddd=spelled out.
f, ff, fff, ffff, fffff | Fractions of a second, varying numbers of digits
h, hh Hours | 12 hour format
H, HH Hours | 24 hour format
m, mm: | Minutes
M, MM, MMM, MMMM | Month. MM = 2 digit, MMM = abbreviation (ie, "Jan"), MMMM=spelled out
s, ss | Seconds
t, tt | AM/PM indicator
y, yy, yyyy | Year
z, zz, zzz | Time zone offset from GMT. Time separator
/ | Date separator
Any other character | Other characters
Examples: |
dddd, MMMM dd yyyy | Thursday, August 17 2000
ddd, MMM d "'"yy | Thu, Aug 17 '00
dddd, MMMM dd | Thursday, August 17
M/yy | 8/00
dd-MM-yy | 17-08-00

Other time span options:

totalmilliseconds

totalseconds

totalminutes

totalhours

totaldays

To get single date parts you can use percentage sign first:

{DATEFORMAT(%M)}

{DATEFORMAT(%d)}

More information:

Microsoft date time strings

If you have a problem with Variables displaying other format than system it might be because you need to check the following below:


Global - Task repository

Navigation: Client User Interface > Main menu > Server >

Global - Task repository

The Task repository is a shared Task library for the VisualCron community. The primary focus is on Tasks of type PowerShell and .NET Execute Tasks. The idea is that anyone can create a code snippet using any of these Task types and then share that code snipped (in Task) to the VisualCron community. After that, anyone in the community (depending on share settings) can access this Task and download locally.

The Task repository can be found in Server tab->Global objects->Task repository.

Variables

What makes Task repository even more useful is that you can execute these Task repository Tasks through Variables. In the Variables browser you can see all Task repository Tasks and send your own arguments. The Variable string itself can be used in any field within VisualCron.

Task repository - main window

Add

Opens the Add popup menu where you can select to add a Powershell or .NET Task for the repository.

Edit

Edits the Task in the selected row.

Clone

Clones the Task in the selected row.

Delete

Deletes the Task in the selected row.

Import

This creates a local Job with the selected Task. It is possible to click Import later to update an already existing Task with a another (maybe newer) local Task repository Task.

Refresh

Refreshes the list of local Task repository objects manually.

Search

Search field lets you filter the local Task repository on multiple columns.

Clear filter

Clears the existing search filter.

Online repository

Opens the community powered Online Task repoitory.

Upload

Uploads the selected local Task repository object to the Online repository. This can be done many times to update an existing object. Each time a new version is being created online and a diff can be made.

Online Task repository

View

Opens the Task repository Task for viewing

Delete

Deletes the selected Task repository object from the online repository. You can only delete your own objects.

Refresh

Reloads the online list of Task repository objects.

Download

Downloads the selected Task repository object to the local Task repository.


Information - Log

Navigation: Client User Interface > Main menu > Server >

Information - Log

In the main menu Server > Information > Log you can list events from the client and the server without saving and reading a log text file. By default, the server is sending all log events to the client. All the log window settings are controlled from the main menu Server > Settings > Log settings dialog.

Server > Information > Log

Menu File > Export

The log can be exported in Microsoft Excel format. Choose path, enter log file name and click on save.

Menu Filter

Filters are controlling what you see in the log window, not what is logged in the log files. The main filters control the log listing of log event types and are set by clicking on a specific filter in the Filters menu. When the icon is grayed out, the filter is active which means that the corresponding event type is not shown in the log listing.

In the Log area, the log listing is divided in a set of columns:

·Source - The origin of the event, either the server (a computer) or the client (a computer with a screen)

·DateEvent -The time when the event happened. Remember that the server time may differ from the client time if you are remotely connected

·Event type - An icon representing the event type which also corresponds to the one of the icons in the Filters menu

·Job - When a Job is connected to a certain event that Job name will be shown in this column

·Task - When a Task is connected to a certain event that Task name will be shown in this column

·Message - The verbose description of the event

The Status bar

The log window bottom status bar displays the number of shown log events / total log events and the when the last event was added to the log.


Information - Server Info

Navigation: Client User Interface > Main menu > Server >

Information - Server Info

The main menu Server > Information > Server info option shows some details related to the computer where the VisualCron server is installed, the current license status and information about the VisualCron server service.

Server > Information > Server info > Machine tab

Server > Information > Server info > License tab

This tab also shows:

·Activation code

·Server ID


License

Navigation: Client User Interface > Main menu > Server >

License

The main menu Server > Information > License option manages activation and deactivation of the VisualCron license.


Tools

Navigation: Client User Interface > Main menu >

Tools

The Tools tab is a part of the main menu.


Explore - File Explorer

Navigation: Client User Interface > Main menu > Tools >

Explore - File Explorer

With the main menu Tools > Explore > File Explorer option, you can view folders and files. The File Explorer behaves differently depending on if you are locally or remotely connected.

When you are remotely connected a different dialog will show that allows you to:

·Copy/Paste files and folders

·Upload a local file or folder to a remote folder

·Delete files and folders

·Rename files and folders

·Search for files remotely

Tools > Explore > File Explorer

Upload files and folders

Drag a file or a folder from a local folder into the File Explorer to copy a file/folder.

Search files

To search files use the field to the upper right and enter a value and press enter or search button. Press the search field X icon to clear a search result and revert back to original listing. Please note that we do not recommend searching a very large folder as it make take a long time and that the user interface will be blocked during that time.


Explore - SQL Explorer

Navigation: Client User Interface > Main menu > Tools >

Explore - SQL Explorer

With the main menu Tools > Explore > SQL Explorer option, you can use your existing SQL Connection or create new SQL Connections with the wizard to browse databases, tables and perform queries.

Tools > Explore > SQL Explorer

Connections tree and connecting

The connections tree shows the same Connections you see in the Connections window (if there is any SQL Connection).

There are 5 levels in the Connections tree:

- Connection name

- - Database name

- - - Tables

- - - - list of tables

- - - Views

- - - - list of vies

- - - Stored procedures

- - - - list of stored procedures

- - - - - Arguments to stored procedures

You will access these sub items by either double clicking on a Connection or right click and select Connect.

When connected you can:

·Open and edit a table by double clicking on a table

·Perform edit in form and grid view

·Delete rows

·Scroll through rows

·Filter rows

·Click on new query button to perform your own SQL query against any open connection

·Execute any stored procedure with parameters


Explore - Connection Explorer

Navigation: Client User Interface > Main menu > Tools >

Explore - Connection Explorer

With the main menu Tools > Explore > Connection Explorer option, there is one way to view your remote files, delete and transfer files - on your existing Connections. It is also a way of testing existing Connections and retrieve correct path for download or upload folders.

Tools > Explore > Connection Explorer, FTP Connection

Tools > Explore > Connection Explorer, SSH Connection

The Connections list

The Connection list shows all Connection types that are viewable by this Explorer. You can view FTP, SFTP, Terminal and SSH. You can right click on any connection and choose to set Properties or Connect.

Tools > Explore > Connection Explorer, Connection list

Drag and drop support

When connecting through FTP or SFTP you are able to drag and drop folders or files between source and destination.

Right click menu

Right click on a file or folder to:

·create a new folder

·delete a file or folder

·view (download and show with default application)

·rename a file or folder

·cut/copy/paste file or folder

·get properties of file or folder

Limitations

Some FTP servers require special parsing due to non-standard output. These may not work in the Client but work in the Tasks.


Server Monitor

Tools - Server Monitor

Navigation: Client User Interface > Main menu > Tools >

Tools - Server Monitor

The main menu Tools > Server monitor option shows some server performance parameters and Jobs information.

Tools > Server monitor


Task manager

Navigation: Client User Interface > Main menu > Tools >

Task manager


Report - Print Job report

Navigation: Client User Interface > Main menu > Tools >

Report - Print Job report

The main menu Tools > Report > Print job report option allows you to print or create documents which contains settings from Jobs and Tasks.

Tools > Report > Print job report

Job and Task selection

In the Job and Task selection group box you select which columns to include in the report. You can select columns from common/generic properties of Jobs and Tasks.

Report styling

The report styling group allows you to control header/footer and Jobs/Tasks details.

Printer settings

The printer settings group box lets you select printer, orientation and other common printer properties.

Generate and print

Generate

The generate button creates the report (based on column and styling settings) which will be visible in the Preview window.

Print preview

The Print preview button shows the print preview window.

Save as PDF

The Save as PDF button generates a PDF file and allows you to save it anywhere in the file system.

Save as HTML

Saves the report as HTML.

Print

Prints the report according to preview window on the selected printer.

Permission

To block a user from viewing the Job report you need to disable the Jobs Read property in User permissions > Groups.


Objects - Object relations

Navigation: Client User Interface > Main menu > Tools >

Objects - Object relations

The main menu Tools > Objects > Object relations option helps you to find relations between objects within VisualCron. Since many objects are "global" and can me reused, multiple relations may exist. It can be useful to know which relations an object have before deleting as it can be used in many places.

Tools > Objects > Object relations tab

Object type

Select the object type and all names of that object type will be listed under object name.

Object name

Once you have filtered out the object type you can select the name. When the name has been selected all internal objects, that use this object, will be listed in the grid below. For example, in the image above you can see that the Condition named "Check for file" is used in the Job "Test Job".

Result grid

In the result grid all objects that use the object name is listed. You can double click to edit any object that is listed in the grid.

The Object finder > Object search tab, in the above window, opens a window which uses the same structure as the main menu Tools > Objects > Object search option. See here for more information.


Objects - Object search

Navigation: Client User Interface > Main menu > Tools >

Objects - Object search

The main menu Tools > Objects > Object search option performs search for a string within all internal objects of VisualCron. All properties that matches this string will be listed in the result grid.

Tools > Objects > Object search tab

Search options

Check which objects you want to perform the search for. Enter a search string and choose if you want an exact search (exact match on string) or if a property contains a part of the search string.

Search result

The search result table shows the object name, the internal class in VisualCron, the property name of the object in the class and the Property value which is the string it was matched to. You can double click on an object to edit the information.


Objects - Audit log

Navigation: Client User Interface > Main menu > Tools >

Objects - Audit log

The main menu Tools > Objects > Audit log option is used to track changes among objects within VisualCron. These type of changes are logged an internal database - the same database where Job and Task logs are stored.

Tools > Objects > Audit log

The audit log is displaying the following information:

·Event date - when did the change ocur

·User - who did the change

·Type - what kind of object that was changed

·Job - the related Job name, if available

·Object - the name of the object

·Event type - what kind of event type (add/update/delete etc)

·Diff - if the object contains any changes to previous object

·Summary - a short, description of what was changed

The amount of data stored (history) is controlled by the Server > Settings > Log > Database.

By default, if you open the audit log from the Tools menu, the audit log is opened with no filters, displaying the events of today. The audit log can be opened from various places and use different filters by default. For example, if you right click on a Job, it will show you events for this specific Job only. If you open the audit log from the Credentials window (and do not click on a specific Credential) changes to all Credentials are listed.

Double clicking on a row opens the Versions window, see Audit log > Versions for details.


AuditLog Versions

Versions

Navigation: Client User Interface > Main menu > Tools > Objects - Audit log >

Versions

The main menu Tools > Objects > Audit log > Versions window shows all changes related to a specific object. It is also possible, in detail, to compare the actual changes. You can also revert back to a specific version - let say you made a change and then want to go back to a previous version.

Tools > Objects > Audit log > Versions

The window is divided in two parts. A list that contains all changes with search functionality and tabs containing info about the selected version.

When clicking on a row the information in the lower part is updated with details about the actual stored object.

By default, the versions window only shows the changes of today, to alter this, select another date. The number of days or rows stored is controlled by the same settings for Audit Log_Settings.

Revert to selected

This means that the object that you clicked on (right clicked or selected) will be updated (or re-created if no longer existing). The Revert functionality only updates the object itself - not any relations to it. This means, that if you for example revert a Task that used a Credential (that is no longer existing) that Task may not work until you recreate and reselect that Credential. Reverts are currently logged as Add or Update depending on if they exist from the beginning or not.

Object info tab

This tab contains basic information like:

·Name

·Id of object

·Created

·Modified

·Object size

There is also a Object relations button so you can see where this object is used.

Summary tab

This is the same information as in the Summary column but might be easier to read if there are a lot of changes.

Diff (previous version) tab

This shows, in detail, the property changes between the selected object and the previous version.

Diff (current version) tab

This shows, in detail, the property changes between the selected object and the current existing object.

Object XML tab

This shows the XML specification details for the selected object.


Schedule - Calendar

Navigation: Client User Interface > Main menu > Tools >

Schedule - Calendar

The main menu Tools > Schedule > Calendar option presents an overview of scheduled Jobs. This way you can, for example, plan your Tasks (so they don't run at the exact same time).

Tools > Schedule > Calendar

Permission

To block a user from viewing the Job report you need to disable the Jobs Read property in User permissions > Groups.


Flow chart - Flow chart

The main menu Tools > Flow chart > Flow chart option lets you view the internal steps within a Job. There are many ways to control the flow between Tasks. The Flow charts shows Triggers, Conditions, Tasks and Notifications.

Tools > Flow chart > Flow chart

Job selection

In the Jobs selection drop-down list shows you select which Job you would like to explore.

Refresh button

Refreshes the current view.

Show/Hide objects

In this menu you can check/uncheck which objects (Triggers, Conditions, Notifications, On error and Legend) the chart will show.

Show grid

Enables or disables the background grid.

Print preview

Opens the print preview window.

Page setup

Shows the printer page setup window.

Select printer

Opens the printer selection window.

Flow chart

The flow chart window includes the objects that is displayed in the top left area. A flow chart is drawn from top to bottom.

The following action can be performed:

·open an object for edit by double clicking on it

·hide a specific object type by right clicking on it and choose hide

·hover over each object (and arrows) to see details

Permission

To block a user from viewing the Job report you need to disable the Jobs Read property in User permissions > Groups.


GANTT chart

Navigation: Client User Interface > Main menu > Tools >

GANTT chart

The GANTT chart lets you view a timeline view of current Jobs. When they will execute and how long time (based on previous execution).

Filter

It is possible to filter the GANTT grid on certain criterias like Job name, group name etc.


Interface

Navigation: Client User Interface > Main menu >

Interface

The Interface tab is a part of the main menu.

The current servers, Jobs and Tasks are listed in the Server/Job/Task grid.

The format of the Job/Task listing is controlled from the main menu List tab. The Job/Task list can be customized by filtering a specific column and setting the columns to be visible/invisible.

A view filter can be defined for one column by a match criteria.

The number and the order of columns to view in the Job list can be modified.


Columns - Group Jobs

Navigation: Client User Interface > Main menu > Interface >

Columns - Group Jobs

With the main menu Interface > Columns > Group jobs option, it is possible to expand or compress to Jobs the Servers/Groups/Jobs/Tasks grid.


Columns - Set columns

Navigation: Client User Interface > Main menu > Interface >

Columns - Set columns

With the main menu Interface > Columns > Set columns option, each available Job/Task column can be set to visible/invisible and also the order of columns (from left to right) can be changed. All changes have immediate effect in the Server/Group/Job/Task grid.

VisualCron Interface Grid Set-Columns


Columns - Expand All

Navigation: Client User Interface > Main menu > Interface >

Columns - Expand All

The main menu Interface > Columns > Expand all option operates in the Server/Group/Job/Task grid and "Expand all" or "Collapse all" Jobs/Tasks related to a specific server.


Filter - Grid filter

Navigation: Client User Interface > Main menu > Interface >

Filter - Grid filter

With the main menu Interface > Filter > Grid filter option and the toolbar Grid filter button it is possible to show or hide the grid filter. When changing, the settings are saved and if checked when closing you will see the grid filter above the main grid when you start up the client again.

The grid filter lets you filter the list of Servers, Groups, Jobs and Tasks.

Press the Clear filter button to clear the filter field.

Select the Job attribute (in the drop down window starting with the "Job name" attribute) and then type characters in the filter field that shall match the selected attribute for the Job(s) you want to be shown in the Server/Jobs/Task grid. Filtering is dynamic, i.e. matching rows are instantly removed.

All changes have immediate effect on what is shown in the Server/Group/Job/Task grid.

Interface > Filter > Grid filter


Filter - Clear filter

Navigation: Client User Interface > Main menu > Interface >

Filter - Clear filter

With the main menu Interface > Filter > Clear filter option and the toolbar Clear filter button it is possible to remove all grid filter settings.


Task Output

Navigation: Client User Interface > Main menu > Interface >

Task Output

Different Task types produce different output. The output is divided in two:

·Output (standard) - this contains Task specific output and is different based on the Task type

·Output (error) - this contains any errors during the execution

You may be able to increase output details by checking Extra Task debugging in Main settings of the Task.

Accessing output

Output can be accessed by double clicking on the Standard output or Standard output (error) cells in each Task. If the output is empty double click will lead to Task edit mode.

Output format

Select Text, XML, Json or HTML output format.

Get full output

This requests the full output from the server. By default only 2000 characters are loaded by default.

Find/Replace

Searches within the ouput.

Goto line

Scrolls down to a specific line in the output.

Real time

By clicking on Real time output button the output window is updated in realtime instead of when the Task has finished. Before clicking on realtime output the previous output is shown.

The following Task types support real time output:

·Execute Task

·PowerShell Task

·.NET Execute Task

·SSISDB Task

·SSIS Tasks

·DTS Tasks

·FTP/SFTP/SCP Tasks

·Copy files / sync files

·Cloud Tasks

·HTTP Task


Help

Navigation: Client User Interface > Main menu >

Help

The Help tab is a part of the main menu.


Internal - Show Documentation

Navigation: Client User Interface > Main menu > Help >

Internal - Show Documentation

The main menu Help > Internal > Show documentation option opens the VisualCron Help dialog provided with the VisualCron installation.


Internal - API

Navigation: Client User Interface > Main menu > Help >

Internal - API

With the main menu Help > Internal > API option, you can select either the Show documentation (in PDF format) or the API reference window.


External - Forum

Navigation: Client User Interface > Main menu > Help >

External - Forum

The main menu Help > External > Forum option opens a new web browser window to the VisualCron users/tutorials/support/development discussion forum web page. We encourage you to use this forum e.g. for testimonials, problem solving or feature requests.


External - Contact Us

Navigation: Client User Interface > Main menu > Help >

External - Contact Us

The main menu Help > External > Contact us option opens a new web browser window to the VisualCron Contact web page.


External - Tutorials

Navigation: Client User Interface > Main menu > Help >

External - Tutorials

The main menu Help > External > Tutorials option opens a new web browser window to the VisualCron Demos web page.


About

Navigation: Client User Interface > Main menu >

About

The About tab is a part of the main menu.


About - About VisualCron

Navigation: Client User Interface > Main menu > About >

About - About VisualCron

The main menu About > About > About VisualCron option shows detailed VisualCron version information.


Feedback - Suggest A Feature

Navigation: Client User Interface > Main menu > About >

Feedback - Suggest A Feature

The main menu About > Feedback > Suggest a feature option opens the VisualCron Community Forum web page.


Toolbar

Navigation: Client User Interface >

Toolbar

The toolbar is located in the top of the VisualCron client screen, under the main menu but over the Grid filter (Servers/Jobs/Tasks list).


Server selection

Navigation: Client User Interface > Toolbar >

Server selection

If you have added multiple servers in the main menu File > Servers > Manage servers, you can quickly switch between these in the leftmost drop down list in the VisualCron client toolbar. Select the desired server you want to switch to. If you don't want to enter password between switches, then add the password in Manage servers window. During the server switch, the main window is disabled.

You can see which server you are connected to in the toolbar item list or in the main menu Server [<server name] tab. The progress of the server switch is visible in the progress bar to the right in the status bar of the main window - when full, all values has been loaded to the client.

Note: The VisualCron client is for performance reasons only connected to one server at a time. The information you see (Jobs etc.) are only related to the current server connection.


Manage servers

Navigation: Client User Interface > Toolbar >

Manage servers

The toolbar Manage servers icon performs the same function as the main menu File > Servers > Manage servers option. Both will open the Manage servers dialog where server connections are managed. See Manage servers for more information.


Disconnect/Connect

Navigation: Client User Interface > Toolbar >

Disconnect/Connect

The toolbar Disconnect/Connect option, disconnects or connects (depending on the current server connection status) the server name indicated in server selection part of the toolbar and in the main menu Server [<server name] tab.


Add Job

Navigation: Client User Interface > Toolbar >

Add Job

A new Job can be created by clicking on the toolbar Add Job option. For more information, see the Main - Jobs section.


Edit Job

Navigation: Client User Interface > Toolbar >

Edit Job

A marked Job in the Server/Job/Task grid can be opened for edit by clicking toolbar the Edit Job option. For more information, see the Main - Jobs section.


Clone Job

Navigation: Client User Interface > Toolbar >

Clone Job

A marked Job in the Server/Job/Task grid can be cloned by clicking toolbar the Clone Job option. See clone Job and the Main - Jobs section for more information.


Delete Job

Navigation: Client User Interface > Toolbar >

Delete Job

A marked Job in the Server/Job/Task grid can be deleted by clicking toolbar the Delete Job option.


Run Job

Navigation: Client User Interface > Toolbar >

Run Job

A marked Job in the Server/Job/Task grid can be run at any time by clicking toolbar the Run Job option.

The Job can be manually executed even if it is "Deactivated".


Server/Group/Job/Task area

Server/Group/Job/Task grid

Navigation: Client User Interface >

Server/Group/Job/Task grid

The Server/Group/Job/Task grid occupies the main part of the VisualCron Client application. This provides an overview where groups of all defined server connections with all their related Tasks and Jobs are shown. Also, most changes of server, Jobs and Tasks may be managed in this grid.

For each server, there are two child "tracks", where the first track(s) show the Job(s) defined for the server and the second child track show the Task(s) connected to each Job. The Task and Job tracks provide real time information about next execution and last execution result. Status of each Task, including error messages from Tasks, are showed in the Task list. The output is shown in under the heading columns. The full output is obtained by mouse double-click on the output column.

Jobs can be defined, viewed and deleted by Add, Edit, Clone or Delete. Furthermore, Jobs can be managed by the Export and Import functions. Once a Job is defined, it can be set to active or inactive.

By mouse right-click on a Job, some Job related information and statistics are available. General Job information, is included in the Tools > Explore > Server Monitor.

Jobs can be managed by the Toolbar buttons or the mouse right-click menu for a Job.

All Jobs are listed in the Job list grid. The Job list view can be changed by the Interface > Columns > Set columns option by filtering the Job list columns.

All executed Jobs return an exit code. If a Job runs successfully and exits normally, it will return 0 as exit code which means that it is successful. If any error should occur, a different exit code will be used.

Find out more about Windows exit codes.


Server heading

Navigation: Client User Interface > Server/Group/Job/Task area >

Server heading

Each defined server (connection) is presented in the Server/Job/Task grid as a group with a server/username heading followed by a set of child tracks with one row for each defined Job. All Tasks defined for a Job is finally presented as child tracks under each of these Jobs.


Server Info

Navigation: Client User Interface > Server/Group/Job/Task area > Server heading >

Server Info

Server info window lets you view various information about the machine hosting VisualCron. You access Server info from the Server -> Server info tab or mouse right-click on a server heading in the Server/Job/Task grid.


Job List

Navigation: Client User Interface > Server/Group/Job/Task area >

Job List

By mouse right-click on a Job in the Server/Group/Job/Task grid, Job related options are available. See list of Job and Task options in the Job List sub chapters.


Add Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Add Job

When a Job or a Task is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Add to add a new Job. A new Job can also be added by the toolbar Add Job button.


Add Task to Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Add Task to Job

When a Job or a Task is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Add Task to Job '<Job name>' to add a Task to a Job.


Edit Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Edit Job

When a Job is defined, right-click on the Job or Task in the Server/Job/Task grid and select Edit Job '<Job name>' to edit the Job. A Job, marked in the Server/Group/Job/Task grid, can also be edited by the toolbar Edit Job button.


Clone Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Clone Job

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Clone Job '<Job name>' to clone the Job.

A Job, marked in the Server/Group/Job/Task grid, can also be cloned by the toolbar Clone Job button.

All settings for an already defined Job can be cloned (copied) into a new Job. Except for pure Job settings all triggers, Tasks, notifications etc. are also copied to the new Job without any change. Only change of Job Name is necessary before the new Job can be saved, but of course any other change of the new Job is possible.

Clone Job always works locally, i.e. a cloned Job can only be added to the currently connected server.


Delete Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Delete Job

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Delete Job '<Job name>' to delete the Job. A Job, marked in the Server/Group/Job/Task grid, can also be deleted by the toolbar Delete Job button.


Delete selected Jobs

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Delete selected Jobs

If more than one Job is selected and a Job is right-clicked in the Server/Group/Job/Task grid, the Delete selected Jobs option is used to delete the selected Jobs. The Jobs, selected in the Server/Group/Job/Task grid, can also be deleted by the toolbar Delete Job button.


Cut Job/

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Cut Job/

When a Job is defined, right-click on the Job or Task in the Server/GroupJob/Task grid and select Cut Job '<Job name>' to cut the Job.


Copy Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Copy Job

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Copy Job '<Job name>' to copy the Job.

The copy Job function copies the Job temporarily to the memory which makes is possible to paste the Job to another server than the one that is currently connected.


Paste Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Paste Job

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Paste Job '<Job name>' to paste a previously copied Job.

The copy Job function copies the Job temporarily to the memory which makes is possible to paste the Job to another server than the one that is currently connected.


Run Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Run Job

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Run Job '<Job name>' to force an immediately execution of the selected Job. The Job will be executed even if it is "Inactivate".


Run Job with options

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Run Job with options

By right-click on a Job, the Run Job with options menu item lets you start the Job with certain parameters.

In the window that opens you can control the following:

·If it should start with or without Conditions

·If it should override Variables or use new ones

·If it should update current Job Variables with new ones or not

·If it should start from a certain Task on complete with a certain Task

Run Job with options

With Conditions

This controls if the Job should be started by checking Conditions before or not. Default is false.

Variables

Existing Job Variables will be listed here. It is possible to add new, delete or update Job Variables.

Update Job Variables

When checked, it will update existing Job Variables. If unchecked it will use the once specified when clicking Run but never update existing.

Tasks

You can choose to start from first Task or a certain Task and run to last Task or a certain Task.


Triggers

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Triggers

The Jobs right-click Triggers option opens the selection of Deactivate and Fire.


Run Task

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Run Task

If a Task for a Job is selected and the Task is right-clicked in the Server/Group/Job/Task grid, the selected Task is run.


Stop Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Stop Job

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Stop Job '<Job name>' to stop a Job that is currently executing.


Activate/Deactivate Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Activate/Deactivate Job

By default an added (new) Job is set to active. The "active" status for a Job is indicated by a green (green check icon) while the "deactive" status is indicated by a red (red cross icon) icon in the leftmost part for each specific Job in the Server/Group/Job/Task grid. It is possible to change status in the right-click menu for a Job by the Activate/Daactivate Job '<Job name>' option.

If you look at the Job list for status indication, please note that any Job list column, including the status column, can be set to invisible.

It is also possible to Activate/Deactivate a Task status by right-click on a Task and select the Activate/Deactivate Task '<Task name>' option.


Reset Job

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Reset Job

Enter topic text here.


Job log

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Job log

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Job log to open the log window.

The data in this window is based on the local database file. The number of entries in this file is limited by the Job Log settings in Server > Settings > Log settings > Database settings.

The dates you see is the From date and To date. These are the minimum and maximum values from the local database. Press the Get button to fetch the matching Job Job entries.

The Job log is always updated in real time, i.e. scheduled Tasks within the Job will show up while executing.

Job right-click > Job log

Filter

You are able to filter between All, Failed and Success job execution results.


Task log

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Task log

When a Task is defined, right-click on the Task in the Server/Group/Job/Task grid and select Task log to open the log window. This window looks the same as the one opened by Server > Information > Log (see Information log), except that the Task related log window only shows a specific Task history.


Audit log

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Audit log

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Audit log to open the audit log window.

This window uses the same structure as the main menu Tools > Objects > Audit log option. See here for more information.

Job > Audit log


Versions

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Versions

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Version to open the versions window.

This window uses the same structure as the main menu Tools > Objects > Audit log > Versions option. See here for more information.

Job > Versions


Object relations

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Object relations

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Object relations to open the Object finder window.

This Object relations tab uses the same structure as the main menu Tools > Objects > Object relations option. See here for more information.

Job > Object relations

The Object finder > Object search tab, in the above window, opens a window which uses the same structure as the main menu Tools > Objects > Object search option. See here for more information.


Show Statistics

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Show Statistics

The Jobs Show statistics option lists some basic definition and run information for a Job.


Show flow chart

Navigation: Client User Interface > Server/Group/Job/Task area > Job List >

Show flow chart

When a Job is defined, right-click on the Job or Task in the Server/Group/Job/Task grid and select Show flow chart to open the Flow chart window.

The Flow chart is available the main menu Tools > Flow chat > Flow chart option. See here for more information.


Task List

Navigation: Client User Interface > Server/Group/Job/Task area >

Task List

By mouse right-click on a Task, a set of Task options are available. These are similar to, and in some cases identical to, the options that are available for a Job in the Job List sub chapters.


Job folders

Navigation: Client User Interface >

Job folders

Job folders were introduced in version 8.3.5. With Job folders you can create a folder structure which you can reference Jobs to. When you click on that Job folder only the the Jobs, that belongs to that folder, will be filtered in the main grid.

Job folders are located in the left pane of the main window. You can right click in that window to create new folders. You can right click on a folder create a sub folder. Right click to Delete or Rename a folder.

In the right Job pane you can either right click on Add to folder and select a Job folder to add to. Once added you will have a selection mark next to the folder name in the popup menu. You can also drag one Job from the right pane into a Job folder in the left pane.


Status Bar

Navigation: Client User Interface >

Status Bar

The status bar is located in the bottom of the client window.


Client events

Navigation: Client User Interface > Status Bar >

Client events

More information to come.


Server Name

Navigation: Client User Interface > Status Bar >

Server Name

The VisualCron Server: <server name> that is currently connected to the client. The same name is also displayed in the main menu Server [<server name>] tab.


Server Time

Navigation: Client User Interface > Status Bar >

Server Time

The server time label displays the actual time on the server. If you only use VisualCron locally you will not see any difference from your local time. The server time is used by VisualCron for running of Jobs.

The displayed server time is only updated when you log on to the client. If you change the time on the server, it won't be shown in the client until next login. However, this does not affect the running of Jobs.

The format on the server time is based on your regional settings. If you want to change the format you go to Windows Control Panel -> Regional Settings. Changes won't take effect until you restart VisualCron.


Debug and Logging

Navigation: »No topics above this level«

Debug and Logging

Additional debug entries may be written into the client/server log files or sent by email.

See the following chapters for more information.


Debug

Navigation: Debug and Logging >

Debug

Settings for debug log entries are found in the main menu Manage -> Manage server settings -> Log settings tab.

Additional debug and log information is available for the server and log function.


Send Email

Navigation: Debug and Logging >

Send Email

The main email settings are found in the main menu Manage -> Manage server settings -> Email settings. Additional email setting information is available.

For each Job that shall use the Notification email feature, the Notification options are checked for the specific Job/Task in the Edit/Add Job -> Notifications or the Edit/Add Task -> Notifications tabs.


Technical information

Navigation: Debug and Logging >

Technical information

Some important VisualCron related folders and their usage

Folder name

Usage

C:\WINDOWS\system 32\

See remote and customized installation

C:\Program Files\VisualCron\

VisualCron default installation folder

C:\Program Files\VisualCron\backup\VC-Settings.zip

Default file name for exported settings

C:\Program Files\VisualCron\data\triggers\mail\{MailId}\{MailId}.eml

Default file name for a saved email

C:\Program Files\VisualCron\log\

Default log file folder, see settings for more information

C:\Program Files\VisualCron\settings\jobs.xml

Default Job settings file

C:\Program Files\VisualCron\settings\timeexceptions.xml

Default file name for time exceptions

C:\Program Files\VisualCron\settings\users.xml

Default users file name, see "forgot my password" for more information

C:\php\php.exe

Normal PHP file name, see PHP scripting for more information


Security

Navigation: »No topics above this level«

Security

Many actions has been taken to ensure security. Look at the following chapters to learn more.


SSL Encryption of Socket

TLS communication between Client and Server

Navigation: Security >

TLS communication between Client and Server

We are using the NetTcpBinding class uses TCP for message transport. Security for the transport mode is provided by implementing Transport Layer Security (TLS) over TCP. The TLS implementation is provided by the operating system.


Important Values are stored Encrypted

Navigation: Security >

Important Values are stored Encrypted

Important values like Username, Password etc. are encrypted by VisualCron with TripleDES ensuring that no one who gets the hands of the files can read and interpret that information.


Interactive logon

Navigation: Security >

Interactive logon

Windows 2008 and later security settings for Credential Provider

Two security settings are required for "Foreground execution":

1. Do not require CTRL+ALT+DEL

To make interactive logon work in Windows 2008 you must disable SAS (Secure Attention Sequence). You do this by opening Administrative tools->Local Security Policy.

In the Local policies you need to enable "Interactive logon: Do not require CTRL+ALT+DEL" as in the image below:

This security setting determines whether pressing CTRL+ALT+DEL is required before a user can log on.

If this policy is enabled on a computer, a user is not required to press CTRL+ALT+DEL to log on. Not having to press CTRL+ALT+DEL leaves users susceptible to attacks that attempt to intercept the users' passwords. Requiring CTRL+ALT+DEL before users log on ensures that users are communicating by means of a trusted path when entering their passwords.

If this policy is disabled, any user is required to press CTRL+ALT+DEL before logging on to Windows.

Default on domain-computers: Enabled: At least Windows 8/Disabled: Windows 7 or earlier.

Default on stand-alone computers: Enabled.

2. User Account Control: Admin Approval Mode for the Built-in Administrator account

To be able to communicate with the Credential Provider you need to disable this setting found in Administrative tools->Local Security Policy->User Account Control: Use Admin Approval Mode for the built-in Administrator account. After applying this setting a reboot of the computer is required.

This policy setting controls the behavior of Admin Approval Mode for the built-in Administrator account.

The options are:

• Enabled: The built-in Administrator account uses Admin Approval Mode. By default, any operation that requires elevation of privilege will prompt the user to approve the operation.

• Disabled: (Default) The built-in Administrator account runs all applications with full administrative privilege.


Commands, scripts and third party tools

Navigation: »No topics above this level«

Commands, scripts and third party tools

VisualCron in itself is quite clean in functionality. VisualCron just executes programs/commands at a given time or at a certain event. In this way there is no limit in how many things VisualCron can do. Any command can be executed that in itself does "anything". Here some utilities are presented, that can be useful for any Job. Some utilities may be developed by neteject.com and some by 3rd parties.

There are different ways to accomplish what you want to do. Most things can be done with any scripting language for example Perl, PHP or VBScript. You can also accomplish a lot with the built in commands in the operating system. Find the way that feels comfortable for you. Look in the examples section for some solutions.

Please submit your favorite command, program, tool or utility via the contact web page. Also, make a suggestion if you have an idea of a useful utility that can't be found elsewhere.

The solutions are divided into the followings parts:

Commands and batch files

These are built in commands in windows. Microsoft has provided a lot of tools for accomplishing different Tasks.

Scripts

With scripts you are more flexible. On Windows we recommend using PHP or VBScript.

Third party tools

This may be utilities written by other companies than neteject.com or Microsoft.


Commands and batch files

Navigation: Commands, scripts and third party tools >

Commands and batch files

With "commands", Windows commands are addressed. Windows has a lot of commands which are delivered with the operating system. All these can be executed with VisualCron. If you have a set of commands to be executed, then a batch file is recommended.

Windows commands from Microsoft

All Windows commands are described here:

Windows 2000

Windows XP Pro

Windows 2000 Resource Kit

Microsoft has written some commands that not are included in the operating system but can be downloaded for free here.

Writing your own batch file

What is a batch file? Read more about it here.

A list of useful batch files can be found here.


Scripts

Navigation: Commands, scripts and third party tools >

Scripts

By using scripts you can perform almost anything in Windows. There are several scripting languages that you can use, where the most common are:

·VBScript

·PHP

·Perl

All these scripting languages are free to use. Look at the section for each scripting language about how to install and use it with VisualCron.

To execute external scripts on another web server, use the Job type "HTTP" to POST or GET to a script on a server. Read more about it here.


Using PHP for scripting

Navigation: Commands, scripts and third party tools > Scripts >

Using PHP for scripting

Using PHP to perform Tasks on the computer provides many options. With PHP you can for example connect to different databases, read and process files, send mail, print files etc. PHP is quite easy to learn and is free for download. To read more about PHP and download the package go here.

After installing and configuring PHP in your way, it is easy to call your scripts from VisualCron. In the Command field, enter the full path to the php.exe file, normally "C:\php\php.exe". In the Arguments field you can enter several parameters to php.exe, for example "-q yourscript.php". This executes the script in a quiet mode and no window is shown.

Watch out if you use relative links in your script, if you do that you may want to specify a Working directory so that script knows where to find the relative paths.

Example of executing a php-script in VisualCron


Using VBScript for scripting

Navigation: Commands, scripts and third party tools > Scripts >

Using VBScript for scripting

What is VBScript?

Microsoft Visual Basic Scripting Edition brings active scripting to a wide variety of environments, including Web client scripting in Microsoft Internet Explorer and Web server scripting in Microsoft Internet Information Service.

Easy to Use and Learn

If you already know Visual Basic or Visual Basic for Applications (VBA), VBScript will be very familiar. Even if you do not know Visual Basic, once you learn VBScript, you are on your way to programming with the whole family of Visual Basic languages. Although you can learn about VBScript in just these few Web pages, they do not teach you how to write the code. To learn programming, take a look at Step by Step books available from Microsoft Press.

Windows Script

VBScript talks to host applications using Windows Script. With Windows Script, browsers and other host applications do not require special integration code for each scripting component. Windows Script enables a host to compile scripts, obtain and call entry points, and manage the namespace available to the developer. With Windows Script, language vendors can create standard language run-time modules for scripting. Microsoft will provide run-time support for VBScript. Microsoft is working with various Internet groups to define the Windows Script standard in order to make scripting engines interchangeable. Windows Script is used in Microsoft® Internet Explorer and in Microsoft® Internet Information Service.

Using VBScript in VisualCron

To execute VBScript from VisualCron you specify "wscript.exe" in the Command field. In the Arguments field you specify the full path to your script, for example "C:\myscripts\dosomething.vbs".

Example of executing .vbs script in VisualCron


Third-party tools

Navigation: Commands, scripts and third party tools >

Third-party tools

You can use VisualCron to run and control any other program. For example can you start a backup program at a certain time. Another example is to use VisualCron to record radio shows at certain times.

If you have any good program/utility that you use with VisualCron then please use the contact web page and tell us about it!


NirCmd

Navigation: Commands, scripts and third party tools > Third-party tools >

NirCmd

NirCmd is a small command line utility that allows you to do some useful Tasks without displaying any user interface. By running NirCmd with a simple command line option, you can write and delete values and keys in the Registry, write values into a INI file, dial to your internet account or connect to a VPN network, restart windows or shut down the computer, create shortcut to a file, change the created/modified date of a file, change your display settings, turn off your monitor, open the door of your CD-ROM drive, and more.

NirCmd can be found here.


FAQ

Navigation: »No topics above this level«

FAQ

If you want to know more about VisualCron or encounter any problem, please consult the listed questions/answers and read this manual.


How do I install VisualCron? / Upgrade procedure

How do I install VisualCron / Upgrade procedure?

Navigation: FAQ >

How do I install VisualCron / Upgrade procedure?

Download the latest revision of VisualCron to your desktop.

I do not have VisualCron installed

1.Double-click on the install icon.

2.Click on Next

3.Accept agreement

4.Choose wether you want to install the Client only or the Sever (you need the Server on the machine you want to run Tasks on)

5.Click Next until the install finishes

I already have VisualCron installed

1.Stop the Server by clicking on Stop in the main window.

2.Make sure that no Jobs are currently running.

3.As a precaution you can backup your Jobs before upgrading. Choose Export in main menu and store backup in a safe place.

4.Close the Client.

5.Uninstall the current version by choosing Uninstall from Start menu->VisualCron or from Control panel->Add/Remove programs

6.Double-click on the install icon on the downloaded setup

7.Click on Next

8.Accept agreement

9.Choose wether you want to install the Client only or the Sever (you need the Server on the machine you want to run Tasks on)

10.Click Next until the install finishes

VisualCron is now installed and you can start it by clicking on the desktop icon or from the folder VisualCron in the Windows start menu.

NOTE: If any upgrade procedure fails with an error then please examine this help.


Why is VisualCron using so much memory?

Navigation: FAQ >

Why is VisualCron using so much memory?

VisualCron is written in a .NET-language. Programs, which run under the .NET Framework have different memory handling. The memory handling is called Garbage Collection and it's handled automatically by the .NET Framework. When starting a .NET-application, the .NET-Framework allocates some memory, often more than needed. Memory is automatically freed when no longer needed by the application. Freeing memory takes system resources and is nothing that you want to do all the time.

Often only memory is freed when it's really needed. This may result in that a .NET application may appear to use more resources than it really do. The bottom line is that you don't have to worry about this as long as an application does not increase in memory in regular intervals - then it may be a problem (memory leak).


Why is the installation file so big?

Navigation: FAQ >

Why is the installation file so big?

The installation package may be quite big if you download the package with the .NET Framework included. This is because the .NET Framework package is about 24 MB by itself.

The .NET Framework package is included in XP SP2 and can be found as a separate update at Windows Update.


Why is VisualCron not free anymore?

Navigation: FAQ >

Why is VisualCron not free anymore?

A lot of resources and time has been spent on developing functionality that the users of VisualCron have requested. The producer of VisualCron, neteject.com, considers that the increased user value implies charging.


Why does my firewall warn/Why does VisualCron try to access the Internet?

Navigation: FAQ >

Why does my firewall warn/Why does VisualCron try to access the Internet?

At startup, VisualCron will try to check for new updates. To do this VisualCron needs to access the Internet. In this way you will be notified of the latest changes when a new version is released. If you don't want use this feature you can uncheck this option in the settings-dialog.

Also, from VisualCron version 2.0.0 and up, VisualCron needs to access the Internet in the following cases:

·When VisualCron is installed

·When trying to connect to a remote VisualCron server

·When trying the register name and email for newsletter

If you have a firewall application running, you should respond with "Allow connections on all ports, everytime".


Why does add/edit/delete takes some time to appear in Job list?

Navigation: FAQ >

Why does add/edit/delete takes some time to appear in Job list?

When your are adding/editing/deleting a Job you are also communicating with the server. To be sure that you, and everyone else connected to the server has the same information, all information has to go through the server and then back to your and other clients. Depending how fast your computer is, the speed of the connection and how busy your computer is, this action can take a moment.


How can I support VisualCron?

Navigation: FAQ >

How can I support VisualCron?

To be able to continue the VisualCron development, we need your support in different ways.

·We need your feedback on the current functions

·We need your bug reports

·We need to know how you want to use VisualCron

If you think you can help, send this information in the contact web page.


How do I move a license? / Activate VisualCron on a new server

Navigation: FAQ >

How do I move a license? / Activate VisualCron on a new server

If you already have activated VisualCron on one server you must de-activate your old install first before being able to activate on a new server.

To deactivate your old license you need to:

1.Install the trial on new server

2.Connect to the Server with the Client

3.Export any settings from old server through File menu->Export to a secure location

4.Import any settings in new server through File menu->Import

5.Choose Deactivate license in Server tab->License->Deactivate

6.Activate your license on the new server

Please note that Deactivation / Move a license requires that you have an active Maintenance.


Examples

Navigation: »No topics above this level«

Examples

In the following chapters, some user set-up examples are provided.


Setting a Job to run every second minute or 5 minutes

Navigation: Examples >

Setting a Job to run every second minute or 5 minutes

To set something to run every second minute you go to Add/Edit Job -> Time settings -> Minute.

If you want it to run every second minute you must have 1 minute between each execute. You can then for example choose minutes 0, 2, 4, 6, 8, 10, 12 and so on up to 58.

If you want to run every 5 minute you choose 0, 5, 10, 15, 20 and so on up to 55. Remember, if you want to do this every hour, you must also choose Every hour.


Using arguments/parameters for a Job

Navigation: Examples >

Using arguments/parameters for a Job

As VisualCron separates the executable file and the arguments (e.g. command line parameters for a batch file), all arguments are entered in the argument field. You don't need to start with a space character.

Here is one example which shows you how to run .vbs files.


Troubleshooting

Navigation: »No topics above this level«

Troubleshooting

In the following chapters, some troubleshooting hints are provided.


My Job does not run!

Navigation: Troubleshooting >

My Job does not run!

If your Job does not run then check this list, in the following order:

1.Is the Job active? If the icon for the Job in the Job list is red, then right click on the row and select Activate.

2.Is the VisualCron Server "On"? If the Start/Stop toolbar icon shows Start, click on the icon/button to Start the server.

3.Can you run the Job manually? Right click on the Job and select Run Job. If it does run then look at the time settings. What does next run say? Alter your time settings. If your Job does not run when you select Run Job then the command line or parameters might be wrong, please check.

4.Log in the server log and the output column if the Task. Perhaps you can find the error there.

5.Is your command and argument correct? You need to separate the argument from the command in the two fields. You can not write "C:\php\php.exe -q myscript.php" in the command line, in this case the command line must be "C:\php\php.exe" and the argument "-q myscript.php".

You can turn on debug for the server, see show log and log to file for more information. Run the Job manually again and the open the log file. Open the log file with the corresponding date. This log file may say something about the error. If you believe that the error is in VisualCron itself then send the log file to support@visualcron.com. Remember to turn debug off after turning it on because an activated debug option slows down VisualCron.


I can't start VisualCron!

Navigation: Troubleshooting >

I can't start VisualCron!

Please use the contact web page to describe the problem in more detail.

Include the following information:

·operating system

·Any error message you receive

·How far it goes. Do you see the login screen, anything else?


I can't connect to the VisualCron server!

Navigation: Troubleshooting >

I can't connect to the VisualCron server

Please check the following:

·Is the port and address correct?

·Open the Windows Control Panel -> Administrative Tools -> Services. In the list of services, locate VisualCron Service. Is the "VisualCron Service" started?

Open the log file server_startup.txt. If it contains:

ComService() exception (System.ArgumentException: It is likely that certificate 'CN=vc' may not have a private key that is capable of key exchange or the process may not have access rights for the private key.

Perform these steps:

1.Stop the VC server

2.Go to VisualCron installation folder

3.Start VisualCronService.exe manually right clicking on that and choose Run as->Administrator

4.Click on Delete Certificates button

5.Click on the Create Certificates button

6.Exit application

7.Start VisualCron service

8.Try to connect again


I have forgot my password to the server!

Navigation: Troubleshooting >

I have forgot my password to the server!

The password is located at the computer where the VisualCron Server is installed.

·Exit the VisualCron client

·On the computer where the VisualCron server is installed, open the Windows Control Panel -> Administrative Tools -> Services. Mark the "VisualCron Service" in the list, right click and select "Stop service"

·Delete the file called "users.xml". By default, the file is installed in the "C:\Program\VisualCron\settings" folder

·Go back to the Services window and select "Start service" for the "VisualCron Service"

·Start the VisualCron Client. Login with username "admin" and a blank/empty password. Remember to update the username and password when you have logged in


VisualCron error: Missing system file perfc009.dat

Navigation: Troubleshooting >

VisualCron error: Missing system file perfc009.dat

The error behind this message is: System.InvalidOperationException: Process performance counter is disabled, so the requested operation cannot be performed.

Probably has a third party application deleted an important system file called perfc009.dat. Just download it from here and extract with WinZip it to your system32 directory (normally "C:\WINDOWS\system32\"), then start VisualCron again.

Also, check that you have read access to the following key: HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT \CurrentVersion\Perflib\009


I am getting errors when trying to open the VisualCron documentation

Navigation: Troubleshooting >

I am getting errors when trying to open the VisualCron documentation

If you get error "No application is associated with the specified file for this operation" you probably not have Adobe Acrobat reader installed.

You can obtain and install it for free here: http://www.adobe.com/products/acrobat/readstep2.html


I can't download VisualCron!

Navigation: Troubleshooting >

I can't download VisualCron!

Please use the VisualCron support contact web page.


I am getting errors on Windows 98/ME, what can I do?

Navigation: Troubleshooting >

I am getting errors on Windows 98/ME, what can I do?

Generally, VisualCron 2.0.0 or later isn't supported in the Windows 98/ME environments. We use this statement because VisualCron 2.0.0 or later is not tested in these environments as VisualCron 1.6.0 was.

VisualCron may run correctly also in the Windows 98/ME environments. However, no support from neteject.com will be provided.


VisualCron client timeouts when connecting

Navigation: Troubleshooting >

VisualCron client timeouts when connecting

Problem 1: This can happen when you have stopped or started the VisualCron service manually or installed a new version. If VisualCron has started a Job before you did this and the Job is still running, then VisualCron still has a connection to that Job.

Exit the running Job. On the computer where the VisualCron server is installed, open the Windows Control Panel -> Administrative Tools -> Services. Mark the "VisualCron Service" in the list, right click and select "Restart service".

Problem 2: This can also happen if the default port 16444 is already used by the client or it could be any else reason.

To determine this you have to stop the VisualCron service in Control Panel -> Administrative Tools -> Services. Locate the server_settings.xml located in c:\program files\VisualCron\settings\. Open the file with notepad and change Debug to "True" instead of "False". Start the VisualCron service and try to login. Locate the log file in C:\Program files\VisualCron\log\ named log_serverXXXXXX.txt (current date) and send it to support.


My Windows command does not execute correctly, why?

Navigation: Troubleshooting >

My Windows command does not execute correctly, why?

Perhaps your program/Job is running when you double click it but not in VisualCron. Remember that commands in VisualCron are executed under the SYSTEM account, by default, which uses another environment than the ordinary user. When you double click on your command you execute it as the logged in user.

To produce the same result in VisualCron you need to connect a user to that Task. A user consists of a username, password and a domain/computer name - this is called a credential in VisualCron. Credentials can be centrally managed in VisualCron. You can add new credentials by choosing "Manage credentials" from the main menu. Be sure to have the right casing as it is case sensitive. Enter the username, password and computer name that you normally use when you execute this command or create a new account in the Control Panel.

To connect the added credential you edit your Task and select the credential (in the select box) in the add Task window. Try to execute again. Please contact support if you need further assistance.

Other problems that may appear:

You can't for example write "ftp.exe" as command line if you don't setup the environment for that.

Solution 1: point directly to the file, like C:\WINDOWS\system32\ftp.exe in the command line.

Solution 2: use C:\WINDOWS\system32\ as Working Directory and ftp.exe in the command line.

Solution 3: activate Use shell execute in the Task Execute settings. However, when using this option you can't redirect output.

Solution 1 or 2 are the recommended solutions.


My settings doesn't seem to work

Navigation: Troubleshooting >

My settings doesn't seem to work

A Job definition can be quite complex with triggers, Tasks, notifications etc. All setting windows have to be accepted (OK) and closed before a Job is scheduled correctly.


I am getting errors when trying to open a external link from VisualCron

Navigation: Troubleshooting >

I am getting errors when trying to open a external link from VisualCron

You are getting this error because you have Firefox as a default browser. The Firefox version you are using is an old version that contains a bug which produces this error. Please upgrade your browser at: http://www.firefox2.com/

Related errors:

·System.Diagnostics.Process.StartWithShellExecuteEx

·System.ComponentModel.Win32Exception


I am getting installation errors

Navigation: Troubleshooting >

I am getting installation errors

If you get installation errors then please:

1.Place the VisualCron.msi file in C:\

2.Open a command window and go to C:\

3.Enter the following text: "msiexec /i VisualCron.msi /log log.txt"

4.Please send the log.txt file using the contact web page


WMI is broken - setup fails

Navigation: Troubleshooting >

WMI is broken - setup fails

VisualCron is dependant on WMI and WMI needs to be fully working at the server side of VisualCron.

WMI, or Windows Management Instrumentation, is a Microsoft Windows component that publishes information about system objects. It's commonly used to perform Tasks like gathering statistics about system behavior or retrieving meta data about the computer or its applications (such as reading system logs, obtaining or modifying Registry values, manipulating remote desktops, and so on).

Unfortunately, it's easy for WMI to become damaged, and if that happens, the system may begin behaving very strangely. You may start seeing errors, some of them with the notice "Windows Management Instrumentation might be corrupted." (That message usually occurs if you're trying to edit WMI properties.)

One quick way to find out if WMI is broken is to enter wmimgmt.msc into the Start | Run box. This launches the WMI Management Infrastructure console, and if you get an error doing this, odds are WMI is broken.

If WMI is broken, how can it be fixed? The only Microsoft-endorsed way to repair WMI is to reinstall Windows. But for most of us, that isn't a practical approach. Another method is to force WMI to repair itself. Of all the WMI repair techniques I've seen, this five-step approach seems to work the best. (However, it may not work on all systems.)

1.At the command line, type net stop winmgmt. You may get a warning that other services need to be stopped as well; type Y and continue

2.Open Explorer and go to the folder called %SystemRoot%\System32\WBEM\Repository

3.Delete that folder and everything in it

4.Reboot the system normally

5.On the next login, open a command prompt and type the following commands in this order: winmgmt /clearadap winmgmt /kill winmgmt /unregserver winmgmt /regserver winmgmt /resyncperf

This procedure will force the WINMGMT service to re-register itself as well, although, if WMI is damaged, re-registering can be a problem. If this approach does not work, an in-place upgrade (i.e., a reinstall) might be required.


The VisualCron service does not start automatically

Navigation: Troubleshooting >

The VisualCron service does not start automatically

Cause

This issue may occur if the VisualCron Server service times out before it starts successfully. This issue is more likely to occur if your computer is heavily loaded.

Resolution

Warning - If you use Registry Editor incorrectly, you may cause serious problems that may require you to reinstall your operating system. Microsoft cannot guarantee that you can solve problems that result from using Registry Editor incorrectly. Use Registry Editor at your own risk.

To resolve this issue, increase the time-out value for service startup process. When you increase this value, the VisualCron Server service has more time to load when the computer starts. To increase the service startup time, create the following registry entry: Subkey: HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control Name: ServicesPipeTimeout Type: REG_DWORD Data: The number of milliseconds that you want to give the services to start in Typically, a data value of 45,000 is sufficient to keep the service from timing out. However, you can reduce or increase this value according to your specific startup requirements. For example, to use a time-out value of 60 seconds, assign a data value of 60,000 to the ServicesPipeTimeout registry entry. A larger data value does not decrease your computer's performance.

To create this registry entry, follow these steps:

1.Click Start, click Run, type regedit, and then click OK

2.Locate and then click the following registry subkey: HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control

3.Right-click Control, point to New, and then click DWORD Value

4.In the New Value #1 box, type ServicesPipeTimeout, and then press ENTER

5.Right-click ServicesPipeTimeout, and then click Modify

6.Click Decimal, type the number of milliseconds that you want to wait until the service times out, and then click OK. For example, to wait 60 seconds before the service times out, type 60000

7.Quit Registry Editor, and then restart the computer


Upgrade/Setup fails

Navigation: Troubleshooting >

Upgrade/Setup fails

When you are doing an upgrade the previous version is first uninstalled and then the new version is installed. If something should go wrong here you can end up with the error messages that says "The specified service does not exist as an installed service.". In this case you get nowhere because the program is installed but the service for VisualCron is not. The solution for this are the following steps (your settings will remain):

1.Download and install Microsoft Cleanup Utility from this page: http://support.microsoft.com/kb/290301

2.Run the "Windows Install Clean Up" that was installed

3.Locate VisualCron in the list and click on Remove

4.Remove all files in the VisualCron main folder but keep all sub folders (and their content)

5.Install the latest version VisualCron again


System.NotSupportedException: The server mode SSL must use a certificate

Navigation: Troubleshooting >

System.NotSupportedException: The server mode SSL must use a certificate

If you get this error in the log file you are missing some security pack from Microsoft. Please perform all updates available on Windows Update.


Error 114 in SFTP Task

Navigation: Troubleshooting >

Error 114 in SFTP Task

If you get error 114 in the SFTP Task you have not enabled password authentication at your SFTP server. Edit the configuration file and set:

passwordauthentication no

to

passwordauthentication yes


Uninstall fails - can't find package VisualCron.msi

Navigation: Troubleshooting >

Uninstall fails - can't find package VisualCron.msi

Try uninstalling from Add/Remove programs instead of the Uninstall link at the Start menu.


File not found / access denied

Navigation: Troubleshooting >

File not found / access denied

If you are working with files you may get the above error. Normally when you know a file is there but VisualCron can't find the reason is probably a permission error. What is important to know is that, if you use background execution, everything is being run from the Windows service. The Windows service is normally running as the LOCALSYSTEM user account.

Normally, the LOCALSYSTEM account has no network access and might be restricted to certain private folders. There are a couple of ways to come around this:

1.Add a credential to the Task. With a Credential VisualCron can impersonate as another user. Normally you should create the same Credential as you are logged in as.

2.Change the username of the Service. Even though you can do this we do recommend that you add the Credential instead.


Error loading Server settings

Navigation: Troubleshooting >

Error loading Server settings

If you get the following in the log file:

Error loading settings: System.IO.DirectoryNotFoundException: Could not find part of the path 'xxx\settings_server.xml'.

To resolve this you need to edit the registry on the Server machine.

1. Stop the VisualCron service

2. open RegEdit

3. to to HKEY_LOCAL_MACHINE\SOFTWARE\V-C

4. Edit key "ServerSettingsFolder" to a working folder path - default value is: C:\Program Files (x86)\VisualCron\settings

5. Start the service


Definitions

Navigation: »No topics above this level«

Definitions

In the following chapters, you'll find descriptions of definitions that are used in the VisualCron application and in this manual.


General

Navigation: Definitions >

General

Here you will find acronyms and descriptions of general computer terms:

Client/Server - Client/server describes the relationship between two computer programs in which one program, the client, makes a service request from another program, the server, which fulfills the request. Although the client/server idea can be used by programs within a single computer, it is a more important idea in a network.

FTP - File Transfer Protocol. A commonly used protocol for exchanging files over any network that supports the TCP/IP protocol (such as the Internet or an intranet).

GUI - Graphical User Interface. An interface that has pictures as well as words on the screen. With windows, icons, pull-down menus, and the mouse, the graphical user interface is easier to learn and work with.

HTTP - HyperText Transfer Protocol. The protocol most often used to transfer information from World Wide Web servers to browsers, which is why Web addresses begin with http://. Also called Hypertext Transport Protocol.

ISP - Internet Service Provider. An organization that offers users access to the Internet and related services.

PHP - PHP: Hypertext Preprocessor. An open source, reflective programming language.

SMTP - Simple Mail Transfer Protocol. The de facto standard for e-mail transmissions across the Internet.

Socket - One endpoint of a two-way communication link between two programs running on the network. A socket is bound to a port number so that the TCP layer can identify the application that data is destined to be sent.

SQL - Structured Query Language. The most popular computer language used to create, modify, retrieve and manipulate data from relational database management systems.

TCP - Transmission Control Protocol. Transport layer protocol (L4) that is one of the core protocols of the Internet protocol suite.

Tread - A part of a program that can execute independently of other parts. Operating systems that support multithreading enable programmers to design programs whose threaded parts can execute concurrently.

VB - Visual Basic. A computer programming language from Microsoft.

WAV - Or WAVE), short for Waveform audio format, is a Microsoft and IBM audio file format standard for storing audio on PCs.

WMI - Windows Management Instrumentation. In Microsoft Windows operating systems, a set of extensions to the Windows Driver Model.


VisualCron specific

Navigation: Definitions >

VisualCron specific

Some expressions are VisualCron specific:

Grid - The larger area in the VisualCron client window in which all Servers/Jobs/Tasks are visualized with basic data and their relationship to each other.

Notification - A notification is a way to deliver a result for a Job or Task.

Run (Job) - When the server time matches the Job time setting, a Job is run by VisualCron. Depending on Job type, different actions are performed (e.g. an application is executed).

Server status - The "On"/"Off" status of the VisualCron server.

Service status - The "Started"/"Stopped" status of the VisualCron server service.

Task type - Different type of activities that VisualCron can initiate. The Task type is a main setting in the Add Job/Edit Job -> Tasks -> Add/Edit dialog.


Documentation format

Navigation: Definitions >

Documentation format

In this documentation, the following format conventions are used:

visualcron.com | Link to a web page or a documentation chapter
Italics | Menu item, button or parameter name referring to the client user interface
Bold | Text paragraph name, note or defined word/expression
Bold/Italics | Tab name
"value" | Specific expression, parameter value, path or file name
<name> | Placeholder for a specific set of names
-> | Used for description of menu navigation, e.g. main menu Server -> Settings -> Main settings


Amazon Connection

Navigation: »No topics above this level«

Amazon Connection

The Amazon Connection is currently used in Amazon S3 and Amazon EC2 Tasks - Tasks that are accessing the Amazon Cloud services.

Main settings tab

Name

The unique name for the Connection

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Authentication type

Select password or public key authentication.

Access Key ID

The Access Key ID for the account.

Secret Access key

The Secret Access key for the account.

Private key

If public key authentication has been selected the select the path to the private key file and any password if used.

Amazon tab

Region

Once authentication details have been filled you can click the refresh button to list available regions.


Application Button

Navigation: »No topics above this level«

Application Button

The Application button is located in the top left part of the Windows window.

When clicked, a set of initial settings are available:

These settings are also available and described in the main menu File option.

The Exit function closes the VisualCron client window.


AS/400 Connection

Navigation: »No topics above this level«

AS/400 Connection

The AS/400 Connection is used in the Task Process - AS/400 Command.

Main settings tab

Name

The unique name for the Connection

Address

The address to the AS/400 server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the server.

Password

The password for the server.


Client Identification

Navigation: »No topics above this level«

Client Identification

The VisualCron identification consists of the VisualCron Client name and the VisualCron version.


Connection - Box

Navigation: »No topics above this level«

Connection - Box

The Box Connection stores connect and logon properties for the Box cloud services.

Box is a cloud service from Google that you have to pay for. You can use VisualCron to sync files between that service and a local folder.

The GoogleDrive Connection is used in the Cloud Tasks:

· Cloud - Upload file(s)

· Cloud - List item(s)

· Cloud - Download file(s)

· Cloud - Create folder

· Cloud - Delete item(s)

Manage Connections > Add > Box > Main settings tab

Name

The name of the Connection to uniquely identifying it.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Box > Authentication tab

Client Id

Client Id which you gets when registering application at Box.

Client secret

Client secret which you gets when registering application at Box.

Authenticate

Click on the Authenticate link to start authentication.

Authenticate in internal browser

You can choose to authenticate in your own browser or externally by checking the Authenticate in internal browser box (default). Click the Authenticate link.


Connection - Crystal reports

Navigation: »No topics above this level«

Connection - Crystal reports

The Crystal reports Connection stores connect and logon properties for database connections to Crystal reports.

The Crystal reports Connection is used in Crystal reports Tasks. In the Task, one or more Connections can be selected depending on how many database connections your report uses.

Runtime binaries

Please note that in order to use the Crystal reports Task from a machine where VisualCron is installed you need to download and install the runtime for Crystal reports. Select the appropriate and latest version below depending on if you have a 32 or 64 bit machine.

http://scn.sap.com/docs/DOC-7824

Manage Connections > Add > Crystal reports > Main settings tab

Name

Use any name you like to identify this Connection among other Connections

Address

This must match the exact name of the ODBC/OLEDB connection name in ODBC administration window. Please note that this ODBC/OLEDB DSN name must exist in the System DSN tab as these are the only DSNs available across users. If your report uses connections from the User DSN you need to copy those to the System DSN. The database that you use is specified in the ODBC/OLEDB DSN.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > Crystal reports > Authentication tab

Username

The username must match the same user that you use in the ODBC/OLEDB administration window.

Password

You need to set the password of the ODBC/OLEDB DSN.

Integrated security

Check this if you want to use Windows authentication against the database. For username and password use the Windows user.

Debugging

If you turn on Extended debugging in Server settings->Log you will be able to look at the log after execution and see what went wrong. Usually, it is one of the following problems:

1. the Address property does not match the name in System DSN

2. the ODBC/OLEDB DSN has only been created in user DSN and not the required System DSN

3. the Crystal reports document has not been updated to use the System DSN (but only uses User DSN)

4. the username or password do not match the one for the database

5. one or more Connections are missing in VC (if the Crystal report uses more than one)

Troubleshooting

Could not load file or assembly 'CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.2000.0'

In the IIS Manager on the server - set the application pool for my web application to not allow 32-bit assemblies or run the following script: C:\inetpub\AdminScripts\adsutil.vbs SET w3svc/AppPools/Enable32bitAppOnWin64 0 –


Connection - Exchange EWS

Navigation: »No topics above this level«

Connection - Exchange EWS

The Exchange EWS Connection uses the Exchange Web Service protocol which is similar to the IMAP protocol - but have more Exchange options in general. Select this protocol if it is implemented by the Exchange server.

Manage Connections > Add > Exchange EWS > Main settings tab

Test

It is possible to test the connection once you have set all settings. Click the Test button to start the test.

Name

The unique name for the Connection.

Address

The DNS name or IP address of the email server.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set. Currently this is overridden by the code page in the Task.

Manage Connections > Add > Exchange EWS > Authentication tab

Username

The user name for the email account.

Password

The password for the email account.

Alias

Text ...

Manage Connections > Add > Exchange EWS > Encryption tab

Cryptographic protocol

Encryption protocol to use; No encryption, SSL or TLS.

Allowed SSL/TLS versions

Some Exchange EWS servers require certain versions of SSL/TLS. Check the versions that are allowed. Sometimes it is necessary to specify the specific allowed version.

Manage Connections > Add > Exchange EWS > Proxy tab

Proxy type

Select the proxy type to be used.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.


Connection - FTP

Navigation: »No topics above this level«

Connection - FTP

The FTP Connection stores connect and logon properties for normal and secure FTP server connections.

About FTP

File Transfer Protocol (FTP) is a standard network protocol used to transfer files from one host to another host over a TCP-based network, such as the Internet.

FTP is built on a client-server architecture and uses separate control and data connections between the client and the server. FTP users may authenticate themselves using a clear-text sign-in protocol, normally in the form of a username and password, but can connect anonymously if the server is configured to allow it. For secure transmission that hides (encrypts) the username and password, and encrypts the content, FTP is often secured with SSL/TLS ("FTPS"). SSH File Transfer Protocol ("SFTP") is sometimes also used instead, but is technologically different.

The first FTP client applications were command-line applications developed before operating systems had graphical user interfaces, and are still shipped with most Windows, Unix, and Linux operating systems. Dozens of FTP clients and automation utilities have since been developed for desktops, servers, mobile devices, and hardware, and FTP has been incorporated into hundreds of productivity applications, such as Web page editors.

"Implicit SSL" versus "explicit SSL" (per RFC 2228)

Connecting securely and authenticating are two distinct methods of establishing a secure connection with a FTP server. In the first case, the Secure FTP server may first require a SSL connection to be established, before the initial welcome message is sent. This is called an implicit SSL connection. In the second case, the connection is established in clear text and a special FTP command must be sent to the Secure FTP server to change the connection into a secure connection. This is called an explicit SSL connection.

In most cases, FTP servers that support SSL authentication will accept a normal connection on port 21. Once the connection is established, it is necessary to authenticate before logging in, using the Authenticate method. When explicitly securing the connection, it is also possible to secure data connections using the overload of the Authenticate method which requires a DataChannelProtection ENUM as a parameter.

Servers that require an implicit SSL connection usually listen on port 990 rather than 21

Protocol variants

·FTP

·FTP SSL Explicit

·FTP SSL Implicit

·FTP TLS Explicit

·FTP TLS Implicit

The FTP Connection stores connect and logon properties for normal and secure FTP server connections.

Manage Connections > Add > FTP > Main settings tab

Protocol type

VisualCron is able to connect using regular FTP and FTPS (with implicit and explicit encryption). Regular FTP offer no security and information is not encrypted. VisualCron supports both SSL 3.0 and TLS (SSL 3.1). SSL and TLS are protocols layered above connection protocols (such as TCP/IP) but beneath application protocols (such as FTP) that provide encrypted, authenticated communications between a client and a server.

Brute force test

When using FTP and you are unsure of connection properties you can use the Brute force test tool to test all connection combinations. Note, brute force test option is only available for FTP protocol.

.

Name

This is a descriptive name of the connection to distinguish from other connections.

Address

This is the host address to the server. It could be a DNS name or IP number.

Port

This is the remote connection port. Default port for regular FTP is 21. Default port for Implicit FTPS is 990.

Timeout

The connection timeout in seconds. Connection will fail after this time is passed.

Code page

The table of values that describes the desired character set.

Manage Connections > Add > FTP > Authentication tab

Authentication type

Authentication type can either by Password or Public key. For the FTP protocol only password authentication is available. When using SFTP together with public key authentication you have to specify a path to a private key file.

Anonymous

If your connection does not require a user name and password this box should be checked.

Username

The user name for the connection.

Password

The password for the connection.

ACCT

This property is only for some proxies that require ACCT value. FTP protocol only.

Manage Connections > Add > FTP > Encryption tab

Use data channel encryption (PROT P)

If this property value is True the channel used for data transfer (files, directory listings) will be encrypted, otherwise only command channel will be encrypted.

Use command channel encryption

If this property value is True the command channel will be encrypted.

Use SSL session resumption

Text ...

For the FTP SSL/TLS connection types, an extra Certificates tab is provided.

Manage Connections > Add > FTP SSL/TLS > Certificates tab

Client certificates

Client certificates can be sent to the FTP server when connecting (implicit SSL) or when authenticating (explicit SSL). If the client certificate should be rejected by the server, an exception will be issued and the Task can not continue.

To add a client certificate, you need to click on Global Certificates. VisualCron is able to store certificates within itself. These certificates can be created by VisualCron or imported from other source. When you have create a Certificate you need to select it in the list of Certificates in the Certificates tab of the Connection properties.

Server certificates

The certificate that is received from the FTP server is verified against the VerificationFlags provided at connection or authentication. By default, if a certificate received from an FTP server contains anomalies, it will be rejected. If no anomalies are detected, it will be accepted. This behavior can be overridden by checking the Auto-accept server certificates checkbox. If not checked and a certificate anomaly is detected, a popup will be shown (if the client is logged in). The popup message will show why the server certificate was initially connected. You can choose to "Accept" or "Deny" the certificate. If accepted, it will be saved and you will not be asked again unless the server certificate has changed.

Manage Connections > Add > FTP > Extra settings tab

Transfer type

Select if you want to transfer through binary (default) or ASCII mode.

Sync data channel

This option specifies whether to synchronize data channel. Switch it on if component hangs when trying to establish data connection, i.e., on using commands list, upload, download.

Data connection type

This value is indicating if the FTP client should initiate the data connection rather than the FTP server.

If set to PASV, the PASV command will be sent to the FTP server rather than the PORT command. This results in that the FTP server will listen on a data port (other than its default) and wait for a data connection to be established by the FTP client. The reply to the PASV command includes the host and port address the FTP server is listening on.

If set to PORT, the PORT command will be sent and the FTP client will listen for an incoming data connection.

The FTP server will establish the data connection upon receipt of a transfer command.

Note: If you are having problems with connecting or sending/receiving files to/from a server, try the PASV setting.

Automatically adjust passive mode addres for NAT'ed servers

If this property is set to True, in passive mode data transfer, VisualCron will automatically set the address of the remote host to that from the control connection.

Override date format

VisualCron is trying to interpret the dateformat of files when listing files. In some situations there is a compatibility or a FTP server not behaving according to standard. In these cases you will see an error in the log file which contains the incoming date format. By overriding and using the same format as in the log you will force VisualCron to use this specific date format.

Proxy tab

Proxy servers allow a client to make indirect network connections. The client connects to the proxy, makes a request for a connection, file, etc. The proxy server then provides this resource by getting it from the requested address or by retrieving it from its cache. The advantages of using a proxy server can include filtering, connection sharing, increased speed and decreased bandwidth use. HTTP proxy servers are web servers that relay requests from a client to an external FTP server.

Manage Connections > Add > FTP > Proxy tab

Proxy type

Select the proxy type to be used.The FTP implementation supports the HTTP proxy type and the SFTP implementation supports the SOCKS4 and SOCKS5 proxy types.

Address

The host name or IP address of the proxy server.

Port

The port of the proxy server.

Use credentials

Text ...

Domain

The name of the domain to be created.

Username

The user name to access the proxy server.

Password

The password to access the proxy server.

Use proxy for data channel

By default, proxy is used for the data (sending channel). Uncheck this to circumvent proxy.

Log tab

This tab is not applicable for the email related (SMTP, POP3 and IMAP4) or SQL connection types.

Manage Connections > Add > FTP > Log tab

Log outgoing messages to Task output

All messages sent from VisualCron to the FTP server is logged and stored in the Task output.

Log incoming messages to Task output

All messages received from VisualCron to the FTP server is logged and stored in the Task output.

Troubleshooting

1. Control channel transfer error (error code is 10053)

Try checking "Auto accept all server certificates" in Certificates tab.

2. Server cannot perform SSL/TLS negotiation

FTP server either does not support TLS or SSL. Try switching between those.


Connection - SFTP

Navigation: »No topics above this level«

Connection - SFTP

The SFTP Connection stores connect and logon properties for the transfer protocol SSH File Transfer Protocol (SFTP).

About SFTP

SFTP (SSH File Transfer Protocol, often called Secure File Transfer Protocol) is a protocol that lets you transfer files securely over a SSH connection. SFTP is not compatible with FTP (File Transfer Protocol), which has it's own security enhancements such as FTPS, FTP over SSL. SFTP is built on top of SSH connection. SSH supports various authentication schemes such as password-based and public key. Public key authentication requires a private key which can be linked to from the Security tab. The VisualCron implementation supports 3-5 of SFTP protocol (versions 1, 2 are outdated and not used anywhere). Default port for SFTP is 22.

Manage Connections > Add > SFTP > Authentication tab

Authentication type

Authentication type can either by Password or Public key. For the FTP protocol only password authentication is available. When using SFTP together with public key authentication you have to specify a path to a private key file.

Username

The user name for the connection.

Password

The password for the connection.

Public key vs password authentication

Public key authentication means that you specify the private key and any password for that key. Private keys can be loaded in SSH1, OpenSSH, Binary, Putty, IETF (Putty and IETF use different formats here) formats.

Private key group

These options are only used when using Public key authentication.

Private key path

This is the private key you have received from server administrator. Click the File icon to browse for the private key.

Password

The password for the public key.

Override authentication

By authentication, normally both Password and Keyboard authentication are suggested. Some servers do not support the VisualCron Auto authentication. Uncheck this and check the specified type of authentication you want to use.

Manage Connections > Add > SFTP > Extra settings tab

Transfer type

Select if you want to transfer through binary (default) or ASCII mode.

Sync data channel

Text ...

Data connection type

FTP only option.

Max packet size

Use this property to specify the maximal length of packet in bytes. The default value is 262144, i.e., 256 KBytes.

Auto adjust transfer block

Use this property to enable or disable automatic adjustment of pipeline length and block sizes. By default automatic adjustment is enabled, and normally you don't need to disable it.

Pipeline length

Use this property to specify the number of upload or download requests sent before waiting for all requests to complete. The more requests are sent, the faster the transfer is. However, in case of error, all requests are discarded. Also, more pending requests means more memory used, so if speed is not critical and memory consumption is, set PipelineLength to 1. Default value is 10.

Download block size

Use this property to control the size of the single download request. The servers don't limit download request size, however the buffer is allocated to store the requests, so the larger the value is, the memory block is needed.

SFTP version support

Some SFTP servers do not support connections with specific SFTP versions. You can control in details what SFTP client versions that should be supported. http://en.wikipedia.org/wiki/SSH_File_Transfer_Protocol

Troubleshooting

Authentication types:

2 - public key authentication

4 - password authentication

16 - keyboard-interactive authentication

Authentication type 16 failed along with error 114

Try unchecking "Auto authentication" along with unchecking "Password authentication". The problem could also be that password or username is wrong.

Authentication type 4 failed along with error 114

Try unchecking "Auto authentication" along with unchecking "Keyboard authentication". The problem could also be that password or username is wrong.

Authentication type 2 failed along with error 114

Public key authentication is failing - maybe you are using the wrong private key or server uses password authentication.

Authentication failed for type 16 and 4 along with error 114

Currently you are using password authentication but it seems like the server requires public key authentication.

SFTP error 7 in combination with error 10058

Try unchecking Auto adjust MAC algorithms in Connection->Encryption.

SFTP error 11 in combination with error 10058

Try these solutions, one at a time:

1. open Authentication tab of Connection and uncheck "Auto authentication" and uncheck "Keyboard authentication".

2. open Encryption tab of Connection and uncheck "Auto adjust ciphers"

Other error codes

https://www.eldos.com/documentation/sbb/documentation/ref_err_sftperrorcodes.html

Failed to retrieve file list: SFTP component not connected

Could be that your SFTP server does not support all SFTP versions. Try unchecking the higher ones at "Extra settings" tab.

Public key errors

3329 (0x0D01) Public key is invalid - usually indicate that there is something wrong with the format of the file

3330 (0x0D02) Private key is invalid - usually indicate that there is something wrong with the format of the file

3331 (0x0D03) Error of reading from file

3332 (0x0D04) Error of writing to file

3333 (0x0D05) Algorithm is unsupported

3334 (0x0D06) Internal error

3335 (0x0D07) Buffer is too small

3336 (0x0D08) There is no private key

3337 (0x0D09) Wrong password for private key

3338 (0x0D0A) PEM algorithm is unsupported

SFTP component not connected

Try changing the SFTP version in the Connection.


Connection - VMWare

Navigation: »No topics above this level«

Connection - VMWare

The VMWare Connection stores connect and logon properties for guest and remote VMWare instances.

The VMWare Connection is used for connecting to remote VMWare instances in the following Tasks:

· VMWare - Start VM

· VMWare - Stop VM

· VMWare - Suspend VM

· VMWare - Pause VM

· VMWare - Resume VM

· VMWare - Reset VM

· VMWare - Get VM status

· VMWare - Create VM snapshot

· VMWare - Revert to VM snapshot

· VMWare - Delete VM snapshot

· VMWare - List VM snapshots

· VMWare - Delete VM

· VMWare - Clone VM

· VMWare - Install tools

· VMWare - Register VM

· VMWare - Unregister VM

· VMWare - List VM

· VMWare - Capture screen (guest)

· VMWare - Copy files (guest)

· VMWare - Rename file (guest)

· VMWare - Delete files (guest)

· VMWare - Directory exists (guest)

· VMWare - File exists (guest)

· VMWare - Delete directory (guest)

· VMWare - Create directory (guest)

· VMWare - Create temp file (guest)

· VMWare - Run command (guest)

· VMWare - Open URL (guest)

· VMWare - Kill processes (guest)

· VMWare - List processes (guest)

Manage Connections > Add > VMWare > Main settings tab

Name

The unique name for the Connection

Address

The address to the VMWare server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Code page

Code page being used.

Manage Connections > Add > VMWare > Authentication tab

Username

The username for the server.

Password

The password for the server.


Crystal reports Connection

Navigation: »No topics above this level«

Crystal reports Connection

The Crystal reports Connection is used in Crystal reports Tasks. In the Task, one or more Connections can be selected depending on how many database connections your report uses.

Runtime binaries

Please note that in order to use the Crystal reports Task from a machine where VisualCron is installed you need to download and install the runtime for Crystal reports. Select the appropriate and latest version below depending on if you have a 32 or 64 bit machine.

http://scn.sap.com/docs/DOC-7824

Main settings tab

Name

Use any name you like to identify this Connection among other Connections

Address

This must match the exact name of the ODBC/OLEDB connection name in ODBC administration window. Please note that this ODBC/OLEDB DSN name must exist in the System DSN tab as these are the only DSNs available across users. If your report uses connections from the User DSN you need to copy those to the System DSN. The database that you use is specified in the ODBC/OLEDB DSN.

Database

The name of the database is not set in VisualCron but in the ODBC administration window.

Authentication tab

Username

The username must match the same user that you use in the ODBC/OLEDB administration window.

Password

You need to set the password of the ODBC/OLEDB DSN.

Integrated security

Check this if you want to use Windows authentication against the database. For username and password use the Windows user.

Debugging

If you turn on Extended debugging in Server settings->Log you will be able to look at the log after execution and see what went wrong. Usually, it is one of the following problems:

1. the Address property does not match the name in System DSN

2. the ODBC/OLEDB DSN has only been created in user DSN and not the required System DSN

3. the Crystal reports document has not been updated to use the System DSN (but only uses User DSN)

4. the username or password do not match the one for the database

5. one or more Connections are missing in VC (if the Crystal report uses more than one)


Task Database - Execute DTS package

Navigation: »No topics above this level«

Task Database - Execute DTS package

This Task lets you execute local DTS packages. VisualCron must reside on the server machine to be able to execute this Task. To execute remote DTS packages you can use the SQL Task and type Job.

Package located in file

Specify the full path to the file.

Package located in database

If the package is located in the database then you specify the package name here.

SQL Credential

When using a Trusted connection this should be a Windows user that have access to the SQL server. Use Load profile option in the Credential. The domain name must be the DNS name or IP of the SQL server.

When not using a Trusted connection this should be the username and password of the SQL Server. The domain name must be the DNS name or IP of the SQL server.

Use trusted connection

Check this if you want to impersonate as a Windows user to access database instead of using SQL Server credentials.

Variables

If the package needs variables you enter them here by clicking on Add.


Task Database - Execute SSIS package

Navigation: »No topics above this level«

Task Database - Execute SSIS package

This Task lets you execute local SSIS packages. VisualCron must reside on the server machine to be able to execute this Task. To execute remote SSIS packages you can use the SQL Task and type Job.

MSSQL server version

Select if you are using MSSQL 2005 or 2008.

Execute in 32 bit mode

Check this if your MSSQL version is running in 32 bit mode.

Credential

A set of Credentials that is used to impersonate the whole SSIS call.

Package located in file

Specify the full path to the file.

Package located in database

If the package is located in the database then you specify the package name here.

SQL Credential

Specify a Credential that consists of the server name or IP address together with user name and password.

Variables

If the package needs variables you enter them here by clicking on Add.

Note

For this Task to work you need to have installed, at least, SQL Server Integration Services, on the machine that VisualCron is installed on.

For more information, see SQL Server Integration Services.


Task Database - SQL

Navigation: »No topics above this level«

Task Database - SQL

The SQL Task can execute a SQL command or a stored procedure against any database through ODBC, OLEDB and support for direct connections to MSSQL, Oracle and MySQL.

Select type of query; Text or Stored Procedure, only the active tab is saved.

SQL > Text sub tab

Connection

To use the SQL Task you need to create a Connection first. You do that in the Connections dialog.

Credential

If you want to Execute with a trusted connection in MSSQL you need to use a Credential in combination with the Connection for trusted connection. The Credential must be a valid Windows user on the local server (if database is local) or a valid user on remote server (if server is not local).

Command Timeout

Timeout in seconds before the query should exit.

Text

Enter your SQL text query.

Split and run multiple queries with semicolon as separator

Text ...

SQL > Stored Procedure sub tab

Name of stored procedure

The name of the stored procedure to be executed. Click the Refresh icon to populate the drop-down list of stored procedures.

Parameters

The grid shows all defined parameters. Click the Add button to open the parameter window. Click other buttons to update the list of parameters.

Enter parameter values for Name, Value, Data type and Parameter direction.

Use null value

If checked, the NULL value will override the Value.

Validate value

If checked, VisualCron will validate the value with the value type. Leave not checked if you are using a Variable as value and the Variable is not yet set.

Test your SQL Task before closing the VisualCron client. Errors will be reported in the log window.

SQL > Job sub tab

The Job definitions are only valid for MSSQL.

Use this option if you want to execute a remote Package of type SSIS/DTS. You need to create a Job of your package first.

Name of Job

Specify the Job name if you want to execute a Job in the database.

Job steps

Define a flow of steps with decision points depending on correct or failed result.

Output tab

The output tab controls the format of the date output from the SQL Task.

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Add info messages to output

Internal SQL database engine debug and warning output will be added to Task output if this is checked.

Some SQL Task notes:

·use appropriate prefix on variable, normally @variablename

·take advantage of predefined connection strings

·when using ODBC, remembe to add your parameters in the order you want to use them

·if you have DNS connections - take advantage of them

·test SQL Tasks and look for error message in the log window

·if you are running PL-SQL statement on Oracle write them like this: BEGIN FM.MQ.ADD_MSG_DIRECT('FORM','LV_SENDER','LV_POSN_UPLOAD',213,'ORG_ID'); END;

·to get Output parameters please use the result Variables below:

Troubleshooting:

1. ODBC->ERROR [42000] [Microsoft][ODBC SQL Server Driver][SQL Server]Invalid parameter 1 (''): Data type 0x23 is a deprecated large object, or LOB, but is marked as output parameter. Deprecated types are not supported as output parameters. Use current large object types instead.

- Try changing data type from Text to VarChar or NVarChar.

- Also, make sure you are using the exact length of the parameter compared to the object in MSSQL.

2. The Size property has an invalid size of 0.

Try setting the same exact size as the parameter.


Task Database - SQL

Navigation: »No topics above this level«

Task Database - SQL

The SQL Task can execute a SQL command or a stored procedure against any database through ODBC, OLEDB and support for direct connections to MSSQL, Oracle and MySQL.

Connection

The information about database, connection string and provider type are stored in Connections. Create a SQL Connection and select it in the Task.

Credential and trusted connections

If you want to Execute with a trusted connection in MSSQL you need to use a Credential in combination with the Connection for trusted connection. The Credential must be a valid Windows user on the local server (if database is local) or a valid user on remote server (if server is not local).

Timeout

Timeout in seconds before the query should exit.

Select type of query SQL Text or Stored Procedure, only the active tab is saved.

SQL Text Query sub tab

Enter your SQL in the text window of the SQL text tab.

SQL > Stored Procedure sub tab

Enter the name of the stored procedure to execute. The grid shows all parameters. When clicking on the Add button, a parameter window will open. Enter parameter values for Name, Value, Data type and Parameter direction.

Validate value

If this value is checked VisualCron will validate the value against the value type. Unselect this if you are using a Variable as value and this Variable is not yet set.

Test your SQL Task before closing the VisualCron client. Errors will be reported in the log window.

SQL > Job sub tab

If you want to execute a Job in the database you can specify the Job name in the text box of this tab.

Use this option if you want to execute a remote Package of type SSIS/DTS. You need to create a Job of your package first.

Output tab

The output tab controls how the date should be output:ed from the SQL Task.

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Some SQL Task notes:

·use appropriate prefix on variable, normally @variablename

·take advantage of predefined connection strings

·when using ODBC, remembe to add your parameters in the order you want to use them

·if you have DNS connections - take advantage of them

·test SQL Tasks and look for error message in the log window

·if you are running PL-SQL statement on Oracle write them like this: BEGIN FM.MQ.ADD_MSG_DIRECT('FORM','LV_SENDER','LV_POSN_UPLOAD',213,'ORG_ID'); END;

·to get Output parameters please use the result Variables below:


Date/Time Variables

Navigation: »No topics above this level«

Date/Time Variables

The following common date/time field variables are used:

d | 08/17/2000
D | Thursday, August 17, 2000
f | Thursday, August 17, 2000 16:32
F | Thursday, August 17, 2000 16:32:32
g | 08/17/2000 16:32
G | 08/17/2000 16:32:32
m | August 17
r | Thu, 17 Aug 2000 23:32:32 GMT
s | 2000-08-17T16:32:32
t | 16:32
T | 16:32:32
u | 2000-08-17 23:32:32Z
U | Thursday, August 17, 2000 23:32:32
y | August, 2000
d, dd, ddd, dddd | Current day of the month d, dd=numeric, ddd=abbreviation (ie, "Wed"), dddd=spelled out.
f, ff, fff, ffff, fffff | Fractions of a second, varying numbers of digits
h, hh Hours | 12 hour format
H, HH Hours | 24 hour format
m, mm: | Minutes
M, MM, MMM, MMMM | Month. MM = 2 digit, MMM = abbreviation (ie, "Jan"), MMMM=spelled out
s, ss | Seconds
t, tt | AM/PM indicator
y, yy, yyyy | Year
z, zz, zzz | Time zone offset from GMT. Time separator
/ | Date separator
Any other character | Other characters
Examples: |
dddd, MMMM dd yyyy | Thursday, August 17 2000
ddd, MMM d "'"yy | Thu, Aug 17 '00
dddd, MMMM dd | Thursday, August 17
M/yy | 8/00
dd-MM-yy | 17-08-00

Other time span options:

totalmilliseconds

totalseconds

totalminutes

totalhours

totaldays

More information:

Microsoft date time strings

If you have a problem with Variables displaying other format than system it might be because you need to check the following below:


Dynamics CRM Connection

Navigation: »No topics above this level«

Dynamics CRM Connection

The Dynamics CRM Connection is used in the Dynamics CRM Tasks:

Task Dynamics CRM - Get entity

Task Dynamics CRM - Create entity

Task Dynamics CRM - Update entity

Task Dynamics CRM - Delete entity

Task Dynamics CRM - List entity

Task Dynamics CRM - Get audit data

Task Dynamics CRM - Set audit status

Task Dynamics CRM - Start work flow

Task Dynamics CRM - Download attachment

Task Dynamics CRM - Upload attachment

Main settings tab

Name

The unique name for the Connection

Address

The address to the Dynamics CRM server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the server.

Password

The password for the server.


Task File - Copy files

Navigation: »No topics above this level«

Task File - Copy files

The Copy/Move file(s) Task lets you copy files easily based on file filters. Together with Credentials you are able to to copy/move from/to network drives.

In the Copy files dialog you add, edit, clone or delete copy items and change order of copy items. Changes may be done either by the toolbar buttons or mouse right click on the grid.

One Copy files Task may contain several copy items. For each copy item a source folder, a file mask and a destination folders is defined.

Clicking on the Add option opens the File filter > Location tab.

File filter > Location sub tab

The file filter sub tab contains the standard file filter. You use the file filter to "find" the files you want to copy.

Copy settings sub tab

In the copy settings sub tab you control destination folder, naming and what should happen if the file already exists.

Credential

To access a remote computer you may need to use a Credential. Normally that Credential is a remote or AD user with "Local logon" unchecked. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials. This Credential is used to access the destination directory.

Destination folder

Specify a absolute path to the directory you want to copy to.

Note 1: When you are accessing a network drive (a folder on a remote computer) as source or destination folder you must specify the path in UNC format and not the letter of the logical drive. For example Y:\remotefolder\ must be specified as \\remoteservername\remotefolder\.

Note 2: The folder path is not case-sensitive.

Note 3: To speed up copying it is recommended that you group the items that are using the same credential after each other. In this way, VisualCron does not need to switch between different (login) credentials.

Destination file name mask

You can use a wild card to replace the original name. For example *.pdf keeps the original name but changes the extension to "pdf". You can use ? and * as wild card characters. ? replaces/matches a single letter.

Post process mask with Variable

This property gives you more advanced ways to change the file name. We recommend that you use Destination file mask with value * when using this property. When checking this property the new name will be stored in a temporary variable {NEWNAME()}. You will be able to use this Variable for processing with other Variable functions. As an example we have provided the default value for this property: {STRING(Replace|{NEWNAME()}|oldValue|newValue)}. The example uses the String.Replace method from the Variables window. It uses the {NEWNAME()} as input Variable with options to set a value that you want to replace from original file name "oldValue" and the new value "newValue".

Overwrite if existing

When this setting is checked, all matching files in the destination folder (older or never) will be replaced by the source files.

Overwrite if source file is newer

When this setting is checked, the destination file (if existing) will only be replaced if the source file is newer.

Don't overwrite if existing

When this setting is checked no files are overwritten if they exist.

Delete source file after copy

When this setting is checked, the source file (not the folder) will be deleted after a successful copy. Thus, the source file will be deleted even though it wasn't copied due to the settings of Overwrite if existing (if it was already existing) and Overwrite if source file is newer (if the source file was older than the destination).

Folder creation options

1.Create full folder structure

Creates the full directory structure from root folder and up.

2. Don't create sub folders

Puts all files in in the same (destination) folder

Log copy result to output

When this setting is checked, the result, source and destination file is added to the Task output. All files that are copied is added to the output.

The output has the following format: Source file path TAB -> TAB Destination file path TAB OK/FAILED

Both OK and FAILED files are added to the Task output. To the Task std. error only the failed items are added.

This setting is not default as it adds some extra information to send between the server and the client. Use this option only if you have a high speed connection, connecting locally or have a small amount of files.


Task File - Delete file

Navigation: »No topics above this level«

Task File - Delete file

The File delete Task lets you delete file(s) with help of VisualCron file filter which can base deletion on file mask, date, size etc.

Delete file > File filter > Location sub tab

The file filter sub tab contains the standard file filter.

Delete file > Delete settings sub tab

Delete empty sub folders

Option to delete empty sub folders

Remove read only flag

Text ...


Task File - Write file

Navigation: »No topics above this level«

Task File - Write file

The Write file Task lets you write any string to a file. The string could be a Variable, for example a result from another Task.

Credential

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

File path

The path to the file you want to write to.

Include BOM (if UTF8)

Text ...

Append to file

Check this box if you to add rows to an existing file. If you want to overwrite the file please leave this unchecked.

Add new line

When appending you can check this if you want to add a new line for each string/value you add.

Value

The string/variable that you want to write to the file.


FTP Connection

Navigation: »No topics above this level«

FTP Connection

About FTP

File Transfer Protocol (FTP) is a standard network protocol used to transfer files from one host to another host over a TCP-based network, such as the Internet.

FTP is built on a client-server architecture and uses separate control and data connections between the client and the server. FTP users may authenticate themselves using a clear-text sign-in protocol, normally in the form of a username and password, but can connect anonymously if the server is configured to allow it. For secure transmission that hides (encrypts) the username and password, and encrypts the content, FTP is often secured with SSL/TLS ("FTPS"). SSH File Transfer Protocol ("SFTP") is sometimes also used instead, but is technologically different.

The first FTP client applications were command-line applications developed before operating systems had graphical user interfaces, and are still shipped with most Windows, Unix, and Linux operating systems. Dozens of FTP clients and automation utilities have since been developed for desktops, servers, mobile devices, and hardware, and FTP has been incorporated into hundreds of productivity applications, such as Web page editors.

"Implicit SSL" versus "explicit SSL" (per RFC 2228)

Connecting securely and authenticating are two distinct methods of establishing a secure connection with a FTP server. In the first case, the Secure FTP server may first require a SSL connection to be established, before the initial welcome message is sent. This is called an implicit SSL connection. In the second case, the connection is established in clear text and a special FTP command must be sent to the Secure FTP server to change the connection into a secure connection. This is called an explicit SSL connection.

In most cases, FTP servers that support SSL authentication will accept a normal connection on port 21. Once the connection is established, it is necessary to authenticate before logging in, using the Authenticate method. When explicitly securing the connection, it is also possible to secure data connections using the overload of the Authenticate method which requires a DataChannelProtection ENUM as a parameter.

Servers that require an implicit SSL connection usually listen on port 990 rather than 21

Protocol variants

·FTP

·FTP SSL Explicit

·FTP SSL Implicit

·FTP TLS Explicit

·FTP TLS Implicit

Connection settings

Main settings tab

Protocol type

VisualCron is able to connect using regular FTP and FTPS (with implicit and explicit encryption). Regular FTP offer no security and information is not encrypted. VisualCron supports both SSL 3.0 and TLS (SSL 3.1). SSL and TLS are protocols layered above connection protocols (such as TCP/IP) but beneath application protocols (such as FTP) that provide encrypted, authenticated communications between a client and a server.

Brute force test

When using FTP and you are unsure of connection properties you can use the Brute force test tool to test all connection combinations. Note, brute force test option is only available for FTP protocol.

.

Name

This is a descriptive name of the connection to distinguish from other connections.

Address

This is the host address to the server. It could be a DNS name or IP number.

Port

This is the remote connection port. Default port for regular FTP is 21. Default port for Implicit FTPS is 990.

Timeout

Sets the timeout for the operation.

Authentication tab

Authentication type

Authentication type can either by password or public key. For the FTP protocol only password authentication is available. When using SFTP together with public key authentication you have to specify a path to a private key file.

Anonymous login

If your connection does not require a username and password this box should be checked.

Username

The username for the connection.

Password

The password for the connection.

ACCT

This property is only for some proxies that require ACCT value. FTP protocol only.

Public key group

These options are only used when using Public key authentication.

Private key file

This is the private key you have received from server administrator

Password

The password for the public key.

Override authentication

When authenticating we normally try both Password and Keyboard authentication. Some servers do not support our "auto authentication". Uncheck this and check the specified type of authentication you want to use.

Encryption tab

Use data channel encryption (PROT P)

If this property value is True the channel used for data transfer (files, directory listings) will be encrypted, otherwise only command channel will be encrypted.

Use command channel encryption

If this property value is True the command channel will be encrypted.

Certificates tab

For the FTP SSL/TLS connection types, an extra Certificates tab is provided.

Client certificates

Client certificates can be sent to the FTP server when connecting (implicit SSL) or when authenticating (explicit SSL). If the client certificate should be rejected by the server, an exception will be issued and the Task can not continue.

To add a client certificate, you need to click on Server -> Certificates. VisualCron is able to store certificates within itself. These certificates can be created by VisualCron or imported from other source. When you have create a Certificate you need to select it in the list of Certificates in the Certificates tab of the Connection properties.

Server certificates

The certificate that is received from the FTP server is verified against the VerificationFlags provided at connection or authentication. By default, if a certificate received from an FTP server contains anomalies, it will be rejected. If no anomalies are detected, it will be accepted. This behavior can be overridden by checking the Auto-accept server certificates checkbox. If not checked and a certificate anomaly is detected, a popup will be shown (if the client is logged in). The popup message will show why the server certificate was initially connected. You can choose to "Accept" or "Deny" the certificate. If accepted, it will be saved and you will not be asked again unless the server certificate has changed.

Proxy tab

Proxy servers allow a client to make indirect network connections. The client connects to the proxy, makes a request for a connection, file, etc. The proxy server then provides this resource by getting it from the requested address or by retrieving it from its cache. The advantages of using a proxy server can include filtering, connection sharing, increased speed and decreased bandwidth use. HTTP proxy servers are web servers that relay requests from a client to an external FTP server.

Proxy type

The FTP implementation supports the HTTP proxy type and the SFTP implementation supports the SOCKS4 and SOCKS5 proxy types.

Address

Host name or IP number of the proxy server.

Port

Port of the proxy server.

Username

A username to access the proxy server.

Password

A password to access the proxy server.

Use proxy for data channel

By default, proxy is used for the data (sending channel). Uncheck this to circumvent proxy.

Extra settings tab

Transfer type

Select if you want to transfer through binary (default) or ascii mode.

Data connection type

This value is indicating if the FTP client should initiate the data connection rather than the FTP server.

If set to PASV, the PASV command will be sent to the FTP server rather than the PORT command. This results in that the FTP server will listen on a data port (other than its default) and wait for a data connection to be established by the FTP client. The reply to the PASV command includes the host and port address the FTP server is listening on.

If set to PORT, the PORT command will be sent and the FTP client will listen for an incoming data connection.

The FTP server will establish the data connection upon receipt of a transfer command.

Note: If you are having problems with connecting or sending/receiving files to/from a server, try the PASV setting.

Automatically adjust passive mode addres for NAT'ed servers

If this property is set to True, in passive mode data transfer, VisualCron will automatically set the address of the remote host to that from the control connection.

Log tab

The Log tab provides features to debug/trace the connection.

This tab is not applicable for the email related (SMTP, POP3 and IMAP4) or SQL connection types.

Log outgoing messages to Task output

All messages sent from VisualCron to the FTP server is logged and stored in the Task output.

Log incoming messages to Task output

All messages received from VisualCron to the FTP server is logged and stored in the Task output.

Troubleshooting

Control channel transfer error (error code is 10053)

Try checking "Auto accept all server certificates" in Certificates tab.

Server cannot perform SSL/TLS negotiation

FTP server either does not support TLS or SSL. Try switching between those.

450 TLS session of data connection has not resumed or the session does not match the control connection

Check the Use SSL session resumption.


Google Connection

Navigation: »No topics above this level«

Google Connection

Enter topic text here.


IM Connection

Navigation: »No topics above this level«

IM Connection

The IM Connection is used in the Instant Messaging Task.

Main settings tab

Name

The unique name for the Connection

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the messaging account. When using GTalk the username is just the user. For example if the email is visualcron@gmail.com you should just use "visualcron".

Password

The password for the messaging account.


IMAP Connection

Navigation: »No topics above this level«

IMAP Connection

IMAP is a protocol used for retrieving email. The IMAP Connection is used in the Email Trigger.

Main settings tab

Test

It is possible to test the connection once you have set all settings. Click on this button to start the test.

Name

The unique name for the Connection

Address

The DNS name or IP of the email server.

Port

The port used by the email server. Please note that it should match the port of the encryption. Normally encrypted connections uses port 993 while email servers with no encryption uses port 143.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the email account.

Password

The password for the email account.

Default settings for different servers

Office 365

https://support.office.com/en-nz/article/Settings-for-POP-and-IMAP-access-for-Office-365-for-business-or-Microsoft-Exchange-accounts-7fc677eb-2491-4cbc-8153-8e7113525f6c

Main settings

Address: outlook.office365.com

Port: 993

Encryption

Cryptographic protocol: SSL


Task Internal - Calculate Variable

Navigation: »No topics above this level«

Task Internal - Calculate Variable

The Calculate Variable Task lets you use different kind of math operations to modify and existing Variable.

Store value in Variable...

First you select an existing Variable to store the new value in.

Result box

Here you can preview the future value of the next calculation.

Left and right hand value

You can choose to either work with the current Variable, one or two other Variables or just two other values. By combining different settings you have the following choices:

·VariableX = VariableY (math operation) VariableZ

·VariableX = VariableX (math operation) Value1

·VariableX = VariableY (math operation) Value1

·VariableX = Value1 (math operation) VariableX

·VariableX = Value1 (math operation) VariableY

·VariableX = Value1 (math operation) Value2

Operation

The following math operations are available: Addition, Subtraction, Multiplication and Division

Validate value when saving

Text ...


Jobs

Navigation: »No topics above this level«

Jobs

Enter topic text here.


License

Navigation: »No topics above this level«

License

NetCart VisualCron End-User License Agreement

This VisualCron End-User License Agreement (this "Agreement") is dated as of the date specified in the Sales Order (the "Effective Date") by and between You ("Licensee") and NetCart AB ("Licensor").

License Grant

"We", "us" and "our" refer to the NetCart company (with its initial development team and web site, neteject.com).

We hereby grant you a perpetual, nonexclusive license to use one copy of the VisualCron Server on any single computer, provided the Server software is in use only on one computer at any time. The "Software" includes the VisualCron Server, the VisualCron Client and other software components downloaded from http://www.visualcron.com. "Use" means to download, install, access, execute, or otherwise benefit from the Software.

This is a license, not a sales agreement, between you, the end-user and NetCart. "You" and "your" refer to any person or entity acquiring or using the Software, Documentation or any other item from visualcron.com ("VisualCron product" ) under the terms of this License Agreement, including any Affiliate, where "Affiliate" means any corporation or other legal entity that controls, is controlled by, or is under common control with You.

You may copy the VisualCron product for back-up, disaster recovery, testing and archival purposes, provided that the original and each copy is kept in your possession and that your installation and use of the VisualCron product does not exceed what is allowed by this License Grant.

The activation code delivered to you is personal to you and cannot be disclosed to any other person other than as a transfer of all your rights as described below. The use of your activation code by anyone other than you will be deemed a willful violation of this license.

Proprietary Rights

The VisualCron product is intellectual property of NetCart and is protected by Swedish copyright and patent laws, international treaty provisions, and applicable laws of the country in which it is being used. You agree to protect all copyright and other ownership interests of NetCart for all items in the VisualCron product supplied under this License Agreement. You agree that all copies of the items in the VisualCron product, reproduced for any reason by you, contain the same copyright notices, and other proprietary notices as appropriate, as appear on or in the original items delivered by NetCart.

NetCart retains title and ownership of the items in the VisualCron product, and all subsequent copies, regardless of the form or media in or on which the original and other copies may exist. Except as stated above, this License Agreement does not grant you any rights to patents, copyrights, trade secrets, trademarks or any other rights in respect to the items in the VisualCron product.

NetCart may transfer the ownership of the VisualCron product to another owner without prior notice at any time, subject to the terms of this Agreement.

Distribution

This VisualCron product may be freely distributed by special agreements between NetCart and other parties. Links to the http://www.visualcron.com website are welcome.

Things You May Not Do

1.Copy the VisualCron product except to make archival, disaster recovery, testing or backup copies or as provided above;

2.Modify or adapt the Software or merge it into another program;

3.Reverse-engineer, disassemble, decompile or make any attempt to discover the source code of the Software;

4.Sell, sublicense, rent, lease or lend any portion of the VisualCron product to any third party;

5.Transfer the license to anyone

Documentation

Documentation is provided online and by installation in PDF-format. Use Adobe Acrobat Reader to open the document. The Documentation can be changed anytime and therefore we recommend using the online documentation instead.

Update of the online Documentation is generally done with a new software release and as this is noted to our customers with a valid licence and/or registered users, this also indicates that the Documentation may be updated. See the specific release note for areas that are subject to the update.

Trial period

Each VisualCron product has a trial period of 45 days. The trial period gives you a chance to fully test the software, for free. After the trial period has ended you will no longer be able to control the VisualCron Server through the VisualCron Client.

If the trial period has ended, there is no way of using future upgrades without ordering the full license. See Upgrade/Updates.

Activation code

The activation key will lock the Software to the computer it is installed on. Once the activation key is used the code is consumed. This means that you only can activate once. Under limited circumstances, like the server has crashed, the activation key can be unlocked and consumed again. This requires special arrangement with a need to identify you as a buyer. This operation is not prioritized and unlocking may only be done once. Notwithstanding anything herein, we represent and warrant that we will not include any Trojan horses, worms or other codes designed to disable the Software once installed pursuant to a full license.

License types and limitations

Single server licenses - can be installed in and moved but may not be used on more than one server at the same time. This is installation purpose; may it be test, development or production machine.

Site license - allows unlimited server installations within a single physical location (typically a data center).

Country license - allows unlimited server installations within a single country.

World license - allows unlimited server installations world wide.

For "unlimited" cloud installations it is up to discussion depending on usage, expected quantity and locations. The suggested solution may result in a specific agreement that results in 2 or more Site licenses, a Country license or a World license.

Upgrades/Updates

Updates with new functionality and bug fixes may be released anytime. You need a Maintenance pack license in order to upgrade to a newer version than was existing at purchase date. The Maintenance license also give you access to priority support. The Maintenance pack must be purchased at the same time as when you purchase the license or within 30 days.

Bugs

If you find bugs, please report them on the contact web page.

Lifetime of VisualCron

Support

The support is limited to the way using of the Software functions included in the VisualCron download. No products or commands, outside the VisualCron download, are supported. The support is limited to the product life cycle described in Upgrades/Updates.

Term and Termination

This license agreement takes effect upon your downloading or acquisition of the VisualCron product and remains effective until terminated. You may terminate it at any time by destroying all copies of the VisualCron product in your possession. This license agreement will terminate upon 30 days written notice if you fail to comply with any of its terms or conditions. You agree on termination of this license to destroy all copies of the VisualCron product in your possession.

Product lifetime

The goal is to keep the VisualCron product "alive" and online as long as possible. The VisualCron product may cease to exist anytime without notice. All VisualCron product services like support, upgrades and unlocking will then also cease to exist. Notwithstanding anything herein to the contrary, in the event the VisualCron product ceases to exist with respect to support or availability, you shall retain all rights to use the product pursuant to the perpetual license set forth herein, except for the right to receive support, Upgrades or Updates.

No Warranty

VisualCron is a useful but also powerful tool. Any misuse can cause loss of data. The VisualCron product has no warranty of fitness, suitability for a particular purpose or satisfactory quality. The VisualCron product is provided to licensee "as is". NetCart is not responsible for any damage that may come through any use of the VisualCron product, except to the extent caused by our gross negligence or intentional misconduct.

General Provisions

This written license agreement is the exclusive agreement between you and us concerning the VisualCron product and supersedes any prior communication, advertising or representation concerning the VisualCron product.

This license agreement may be modified only by a writing signed by you and us.

In the event of litigation between you and us concerning the VisualCron product, the prevailing party in the litigation will be entitled to recover attorney fees and expenses from the other party.

Downloading and installing this Software indicates your acceptance of the foregoing agreement. If you choose to decline the foregoing agreement, you should not download or install the software.


Global - Network Drives

Navigation: »No topics above this level«

Global - Network Drives

VisualCron is by default running as the SYSTEM account. One problem you may face is that you can't see/access your network drives. This is a restriction in Windows - that network drives are not shared between accounts.

To handle this, a way to control network drives from the system account is implemented. This enables map/disconnect network drives directly from VisualCron.

In the main menu, click on Server > Global objects > Network drives to access the interface for mapping/disconnecting.

Map drive

When mapping a drive you need to specify a Credential, a user that has access to the network drives, that is either a domain user or a user on the remote server. Specify a wanted drive name and path.

Path should be entered in UNC format like this: "\\servernameORip\folder\"

Click on Map drive to map it. It is now controlled by VisualCron and each time VisualCron is started it tries to re-map the drives so these can be accessed after a server reboot.

Reconnect

If a drive has been disconnected during a VisualCron session you can reconnect it here.

Troubleshooting

A specified logon session does not exist

Try disabling this policy:


POP3 Connection

Navigation: »No topics above this level«

POP3 Connection

POP3 is a protocol used for retrieving email. Later it has been superseeded by IMAP but still used in some places. The POP3 Connection is used in the Email Trigger.

Main settings tab

Test

It is possible to test the connection once you have set all settings. Click on this button to start the test.

Name

The unique name for the Connection

Address

The DNS name or IP of the email server.

Port

The port used by the email server. Please note that it should match the port of the encryption. Normally encrypted connections uses port 995 while email servers with no encryption uses port 110.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the email account.

Password

The password for the email account.

Default settings for different servers

Office 365

https://support.office.com/en-nz/article/Settings-for-POP-and-IMAP-access-for-Office-365-for-business-or-Microsoft-Exchange-accounts-7fc677eb-2491-4cbc-8153-8e7113525f6c

Main settings

Address: outlook.office365.com

Port: 995

Encryption

Cryptographic protocol: SSL


Task Process - Remote Execute

Navigation: »No topics above this level«

Task Process - Remote Execute

This Task type can execute commands on a remote server. If you want to execute commands locally you should use the Execute Task. Optionally you can wait for process completion.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Command

Enter full path and name to the executable file. The rightmost button opens a file browser for selection. The only mandatory parameter in the Execute window.

Arguments

Arguments don't have to start with a space key, look at the Add Task view for an example. Use "" around long arguments.

Working directory

This option may be used if you for example want to execute a PHP script which has no absolute links. Let say that the PHP script tries to write a file "test.txt". If you specify a working directory, you also specify where PHP will write the file. If not specified in this case, PHP will write the file where php.exe is stored, not where the script is stored (that is because the Working Directory by default will be where the command is located, in this case php.exe is the Task and the script is the argument).

Run in hidden window

When checked, VisualCron will run the Task in hidden mode which means that if a Task normally creates a window, this will not be displayed. If you want to hide a GUI application (winform) you must also check Use shell execute.

Note about arguments/parameters:

Use "" around arguments.

Process priority

VisualCron Tasks can be run with any standard process priority. The following priorities are available:

·Idle - Indicates a process whose threads run only when the system is idle and is preempted by the threads of any process running in a higher priority class. An example is a screen saver. The idle priority class is inherited by child processes

·Below Normal - Indicates a process that has priority higher than Idle but lower than Normal

·Normal - Default value, indicates a normal process with no special scheduling needs

·Above Normal - Indicates a process that has priority higher than Normal but lower than High

·High - Indicates a process that performs time-critical Tasks that must be executed immediately for it to run correctly. The threads of a high-priority class process preempt the threads of normal or idle priority class processes. An example is the Task List, which must respond quickly when called by the user, regardless of the load on the operating system. Use extreme care when using the high-priority class, because a high-priority class CPU-bound application can use nearly all available cycles.

·RealTime - Indicates a process that has the highest possible priority. The threads of a real-time priority class process preempt the threads of all other processes, including operating system processes performing important Tasks. For example, a real-time process that executes for more than a very brief interval can cause disk caches not to flush or cause the mouse to be unresponsive.

Note about Return codes:

Successful completion (0)

Access denied (2)

Insufficient privilege (3)

Unknown failure (8)

Path not found (9)

Invalid parameter (21)

Other (22–4294967295)

Note about Security settings:

These are the settings needed for a user account in Computer Management->WMI Control->Properties->Security tab->Select user and click Advanced:

Firewall settings on remote host

1. Run: netsh advfirewall firewall add rule name="WinRM-HTTP" dir=in localport=5985 protocol=TCP action=allow

2. Run winrm quickconfig and answered y on the activate question

Other security settings on remote host

Step 1. DCOM permission

1. Open Dcomcnfg

2. Expand Component Service -> Computers -> My computer

3. Go to the properties of My Computer

4. Select the COM Security Tab

5. Click on "Edit Limits" under Access Permissions, and ensure "Everyone" user group has "Local Access" and "Remote Access" permission.

6. Click on the "Edit Limit" for the launch and activation permissions, and ensure "Everyone" user group has "Local Activation" and "Local Launch" permission.

7. Highlight "DCOM Config" node, and right click "Windows Management and Instruments", and click Properties.

8. <Please add the steps to check Launch and Activation Permissions, Access Permissions, Configuration Permissions based on the default of Windows Server 2008>

Step 2. Permission for the user to the WMI namespace

1. Open WMImgmt.msc

2. Go to the Properties of WMI Control

3. Go to the Security Tab

4. Select "Root" and open "Security"

5. Ensure "Authenticated Users" has "Execute Methods", "Provider Right" and "Enable Account" right; ensure Administrators has all permission.

Step 3. Verify WMI Impersonation Rights

1. Click Start, click Run, type gpedit.msc, and then click OK.

2. Under Local Computer Policy, expand Computer Configuration, and then expand Windows Settings.

3. Expand Security Settings, expand Local Policies, and then click User Rights Assignment.

4. Verify that the SERVICE account is specifically granted Impersonate a client after authentication rights.

Note about Verifying security settings:

Run WBEMTest from local computer. Put domain, username and password and connect to remote machine.

https://technet.microsoft.com/en-us/library/cc180684.aspx?f=255&MSPPError=-2147217396


SAP Tasks

Navigation: »No topics above this level«

SAP Tasks


Settings - Password rules

Navigation: »No topics above this level«

Settings - Password rules

Password rules extends existing User permissions with restrictions on the login and password policy. By default these rules are turned off. You can turn these on by checking Implement password rules.

General


Main - Settings

Navigation: »No topics above this level«

Main - Settings

In the main menu Server > Main settings > Settings dialog, there are a set of important setting groups/tabs. See the following sub chapters for information about other tabs than Main settings:

· Main - Settings - Users/Logon

· Main - Settings - Log settings

· Main - Settings - Email settings

· Main - Settings - Proxy

· Main - Settings - Folders

· Main - Settings - Web API

· Main - Settings - Web Client

· Main - Settings - MFT Server

Main > Settings > Main settings tab

Installed in a cluster environment

Check this if you are installing VisualCron on a shared drive.

Server port

VisualCron sends encrypted information across the default TCP port 16444. If you want to change this port you enter a new integer value here.

Override HTTP connection limit

This general setting controls number of HTTP connections that can be done from VisualCron. Increasing this might be good if you plan to run many HTTP requests at once (for example through the HTTP Task).

Default exit code collection

This sets the default exit code collection that is pre-selected in On error tab of a Task.

Renaming standard

For various Tasks VisualCron offers "rename" of various strings. Depending on your requirements there are 2 different implementations. The REN command standard follows renaming conventions of REN command. As many of these conventions were not logical to us and our customers we implemented our own renaming standard - adjusting some of the standards of the REN command.

Server language

This controls the language used on the Server (when writing to logs etc).

UAC - set UAC status

This control the Local Security Policy settings "User Account Control: Turn on Admin Approval Mode" and affects Execute Task primarily. If you use the Execute Task along with a Credential and get error -1073741502 you should disabled this property and reboot after the change.

This policy setting controls the behavior of all User Account Control (UAC) policy settings for the computer. If you change this policy setting, you must reboot your computer. The options are:

·UAC is disabled: (Default) Admin Approval Mode and all related UAC policy settings are disabled. Note: If this policy setting is disabled, the Security Center notifies you that the overall security of the operating system has been reduced.

·UAC is enabled: Admin Approval Mode is enabled. This policy must be enabled and related UAC policy settings must also be set appropriately to allow the built-in Administrator account and all other users who are members of the Administrators group to run in Admin Approval Mode.

Alternatively you can edit the registry and set:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows\NoInteractiveServices to 0


SFTP Connection

Navigation: »No topics above this level«

SFTP Connection

About SFTP

SFTP (SSH File Transfer Protocol, often called Secure File Transfer Protocol) is a protocol that lets you transfer files securely over SSH connection. SFTP is not compatible with FTP (File Transfer Protocol), which has it's own security enhancements such as FTPS, FTP over SSL. SFTP is built on top of SSH connection. SSH supports various authentication schemes such as password-based and public key. Public key authentication requires a private key which can be linked to from the Security tab. The VisualCron implementation supports 3-5 of SFTP protocol (versions 1, 2 are outdated and not used anywhere). Default port for SFTP is 22.

Connection settings

Authentication tab

Public key vs password authentication

Public key authentication means that you specify the private key and any password for that key. Private keys can be loaded in SSH1, OpenSSH, Binary, Putty, IETF (Putty and IETF use different formats here) formats.

Extra settings tab

Transfer type

Select if you want to transfer through binary (default) or ascii mode.

Data connection type

FTP only option.

Max packet size

Use this property to specify the maximal length of packet in bytes. The default value is 262144, i.e., 256 KBytes.

Auto adjust transfer block

Use this property to enable or disable automatic adjustment of pipeline length and block sizes. By default automatic adjustment is enabled, and normally you don't need to disable it.

Pipeline length

Use this property to specify the number of upload or download requests sent before waiting for all requests to complete. The more requests are sent, the faster the transfer is. However, in case of error, all requests are discarded. Also, more pending requests means more memory used, so if speed is not critical and memory consumption is, set PipelineLength to 1. Default value is 10.

Download block size

Use this property to control the size of the single download request. The servers don't limit download request size, however the buffer is allocated to store the requests, so the larger the value is, the memory block is needed.

SFTP version support

Some SFTP servers do not support connections with specific SFTP versions. You can control in details what SFTP client versions that should be supported. http://en.wikipedia.org/wiki/SSH_File_Transfer_Protocol

Troubleshooting

Authentication type 16 failed along with error 114

Try unchecking "Auto authentication" along with unchecking "Password authentication". The problem could also be that password or username is wrong.

Authentication type 4 failed along with error 114

Try unchecking "Auto authentication" along with unchecking "Keyboard authentication". The problem could also be that password or username is wrong.

Authentication type 2 failed along with error 114

Public key authentication is failing - maybe you are using the wrong private key or server uses password authentication.

Authentication failed for type 16 and 4 along with error 114

Currently you are using password authentication but it seems like the server requires public key authentication.

SFTP error 7 in combination with error 10058

Try unchecking Auto adjust MAC algorithms in Connection->Encryption.

SFTP error 11 in combination with error 10058

Try these solutions, one at a time:

1. open Authentication tab of Connection and uncheck "Auto authentication" and uncheck "Keyboard authentication".

2. open Encryption tab of Connection and uncheck "Auto adjust ciphers"

Other error codes

https://www.eldos.com/documentation/sbb/documentation/ref_err_sftperrorcodes.html

Failed to retrieve file list: SFTP component not connected

Could be that your SFTP server does not support all SFTP versions. Try unchecking the higher ones at "Extra settings" tab.

Public key errors

3329 (0x0D01) Public key is invalid - usually indicate that there is something wrong with the format of the file

3330 (0x0D02) Private key is invalid - usually indicate that there is something wrong with the format of the file

3331 (0x0D03) Error of reading from file

3332 (0x0D04) Error of writing to file

3333 (0x0D05) Algorithm is unsupported

3334 (0x0D06) Internal error

3335 (0x0D07) Buffer is too small

3336 (0x0D08) There is no private key

3337 (0x0D09) Wrong password for private key

3338 (0x0D0A) PEM algorithm is unsupported

SFTP component not connected

Try changing the SFTP version in the Connection.


SharePoint Connection

Navigation: »No topics above this level«

SharePoint Connection

The SharePoint Connection is used for the SharePoint Tasks:

· Task SharePoint - Create list

· Task SharePoint - Delete list(s)

· Task SharePoint - Describe list

· Task SharePoint - Get list(s)

· Task SharePoint - Update list

· Task SharePoint - Get List item(s)

· Task SharePoint - Delete list item(s)

· Task SharePoint - Upload file(s)

· Task SharePoint - Download file(s)

· Task SharePoint - List file(s)

· Task SharePoint - Delete file(s)

Main settings tab

Name

The unique name for the Connection

Address

The address to the SharePoint server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

SharePoint tab

SharePoint version

Select between SharePoint Online or a local installation (SharePoint 2010/2013)

Authentication tab

Authentication type

Select type of authentication on the SharePoint server. Default (Windows), Basic, Anonymous or Forms.

Username

The username for the server.

Password

The password for the server.

Certificates tab

Client certificate

If the SharePoint server requires a client certificate you can import and select it here.


OneDrive Connection

Navigation: »No topics above this level«

OneDrive Connection

Enter topic text here.


SMTP Connection

Navigation: »No topics above this level«

SMTP Connection

About SMTP

Simple Mail Transfer Protocol (SMTP) is an Internet standard for electronic mail (e-mail) transmission across Internet Protocol (IP) networks. SMTP was first defined by RFC 821 (1982, eventually declared STD 10), and last updated by RFC 5321 (2008) which includes the Extended SMTP (ESMTP) additions, and is the protocol in widespread use today. It is an Application Layer protocol in the OSI reference model.

SMTP uses TCP port 25. The protocol for new submissions (MSA) is effectively the same as SMTP, but it uses port 587 instead. SMTP connections secured by SSL are known by the shorthand SMTPS on TCP port 465, though SMTPS is not a protocol in its own right.

While electronic mail servers and other mail transfer agents use SMTP to send and receive mail messages, user-level client mail applications typically use SMTP only for sending messages to a mail server for relaying. For receiving messages, client applications usually use either the Post Office Protocol (POP) or the Internet Message Access Protocol (IMAP) or a proprietary system (such as Microsoft Exchange or Lotus Notes/Domino) to access their mail box accounts on a mail server.

Connection settings

Main settings tab

Test

It is possible to test the connection once you have set all settings. Click on this button to start the test.

Name

The unique name for the Connection

Address

The DNS name or IP of the SMTP server.

Port

The port used by the SMTP server. Please note that it should match the port of the encryption. Normally encrypted connections uses port 465 or 587 while SMTP servers with no encryption uses port 25.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used. Currently this overridden by the code page in the Task.

Authentication tab

Anonymous

Check this if you want to logon without providing username and password.

Username

The username for the email account.

Password

The password for the email account.

Encryption tab

Cryptographic protocol

Encryption protocol to use; SSL, TLS or no encryption.

Security mode

Explit or Implict encryption.

Allowed SSL/TLS versions

Some SMTP servers require certain versions of SSL/TLS. Control here which versions that are allowed. Sometimes it is necessary to specify the specific allowed version.

Default settings for different servers

Exchange

Main settings

Address: yourservername

Port: 587

Encryption

Cryptographic protocol: TLS

Security Mode: Implicit

Office 365

Main settings

Address: smtp.office365.com

Port: 587

Encryption

Cryptographic protocol: SSL

Security Mode: Explicit

Gmail

Main settings

Address: smtp.gmail.com

Port: 465

Encryption

Cryptographic protocol: TLS

Security Mode: Implicit

Amazon SES

Address: email-smtp.us-east-1.amazonaws.com

Port: 465

Cryptographic Protocol: TLS

Security Mode: Implicit


SQL Connection

Navigation: »No topics above this level«

SQL Connection

The SQL Connection is used in the SQL Task and the SQL Trigger.

Creating a new Connection

To create a new SQL Connection click on New Connection.

Use connection guide/wizard

This starts the wizard which suggests connection strings depending on database and connection type.

Use existing data source

This option lets you choose from existing ODBC data sources within the System DSN.

Use existing connection string

This lets you specify a plain connection string - if you have one from before.

Connection guide/wizard

Step 1

Storage type

Normally a database, but you can also use file and other.

Database type

Select if it is an Oracle, MySQL, MSSQL or other database type.

Data provider

Different data providers exist for different database types. For Oracle, MySQL and MSSQL VisualCron provides direct connection and ODBC/OLEDB. For other database types you have to use either ODBC or OLEDB. A direct connection is faster than using ODBC or OLEDB.

Step 2

In step 2 you select the connection type. In the connection type select box there is a list of predefined connection strings. Choose the appropriate one and the connection string grid will be filled with connection parameters. Edit the parameter value to set username, password etc. The connection string is update in realtime in the connection string text box. When you are done you can test the connection by clicking on Test connection.

Note: To use trusted connection you may have to select a Credential in your final SQL Task. When you connect now you are using the user you are logged in as. When the actual SQL Task is being run it is normally run as SYSTEM. That is why you may need a Credential at a later stage - in the SQL Task.

Step 3

At step 3 you save the actual connection by giving it a name.

Convert data types

When checked and using Stored procedures in combination with OLEDB/ODBC, VisualCron will try to, convert values to their specified format. Normally this is only needed and should only be used for certain databases like SYBASE/SAP.

Use existing data source wizard

Step 1

Please select the System DSN you want to use.

Step 2

Edit DSN parameters if needed.

Use existing connection string

Step 1

Fill in the connection string.

Step 2

Choose the data provider (ODBC, OLEDB, MSSQL, MySQL, Oracle).

Step 3

Set the name of the Connection.


SSH Connection

Navigation: »No topics above this level«

SSH Connection

About SSH

Secure Shell (SSH) is a cryptographic network protocol for secure data communication, remote command-line login, remote command execution, and other secure network services between two networked computers that connects, via a secure channel over an insecure network, a server and a client (running SSH server and SSH client programs, respectively). The protocol specification distinguishes between two major versions that are referred to as SSH-1 and SSH-2.

The best-known application of the protocol is for access to shell accounts on Unix-like operating systems, but it can also be used in a similar fashion for accounts on Windows. It was designed as a replacement for Telnet and other insecure remote shell protocols such as the Berkeley rsh and rexec protocols, which send information, notably passwords, in plaintext, rendering them susceptible to interception and disclosure using packet analysis.[2] The encryption used by SSH is intended to provide confidentiality and integrity of data over an unsecured network, such as the Internet.

Connection settings

Extra settings tab

Transfer type

FTP/SFTP only.

Data connection type

FTP only option.

Max packet size

Use this property to specify the maximal length of packet in bytes. The default value is 262144, i.e., 256 KBytes.

Auto adjust transfer block

Use this property to enable or disable automatic adjustment of pipeline length and block sizes. By default automatic adjustment is enabled, and normally you don't need to disable it.

Pipeline length

Use this property to specify the number of upload or download requests sent before waiting for all requests to complete. The more requests are sent, the faster the transfer is. However, in case of error, all requests are discarded. Also, more pending requests means more memory used, so if speed is not critical and memory consumption is, set PipelineLength to 1. Default value is 10.

Download block size

Use this property to control the size of the single download request. The servers don't limit download request size, however the buffer is allocated to store the requests, so the larger the value is, the memory block is needed.

SFTP version support

SFTP only.

Troubleshooting

Other error codes

https://www.eldos.com/documentation/sbb/documentation/ref_err_ssherrorcodes.html


System Requirements

Navigation: »No topics above this level«

System Requirements

VisualCron is designed for Windows based computers and runs on the following operating systems:

·Windows XP

·Windows 2003

·Windows 2008

·Windows 2012

·Windows Vista

·Windows 7

·Windows 8

Other requirements:

·.NET Framework, version 4.0 or above

Requirements for other software:

·Skype installation, useful for communicating with the VisualCron support

·PDF reader (e.g. Adobe Reader), required for reading of some documents


Task Azure - Restart VM

Navigation: »No topics above this level«

Task Azure - Restart VM

The Azure - Restart VM Task restarts an existing virtual machine in the Azure cloud.

Connection

To use Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.


Task Azure - Start VM

Navigation: »No topics above this level«

Task Azure - Start VM

The Azure - Start VM Task starts an existing virtual machine in the Azure cloud.

Connection

To use Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.


Task Azure - Stop VM

Navigation: »No topics above this level«

Task Azure - Stop VM

The Azure - Stop VM Task stops an existing virtual machine in the Azure cloud.

Connection

To use Azure Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

VM name

The Azure virtual machine name. Click the Refresh icon to populate the drop-down VM name list.

Service name

The Azure service name. Click the Refresh icon to populate the drop-down service name list.

Deallocate

In the stopped (deallocated) state, there is no continues to bill for resources.


Task Database - SSRS

Navigation: »No topics above this level«

Task Database - SSRS

The Database - SSRS Task lets you execute reports in SQL Server Reporting Services and return the result in various formats.

Connection

This Task type uses the global SSRS Connection type. Define username, password, host name and proxy in the Connection.

Report

Click Refresh to show the paths to all reports in the Reporting server. Select the path to an existing Report. You can find it in the Reporting Services Configuration Manager under Virtual Directory here:

Is SharePoint report

This defines that the execution is related to a SharePoint report.

Service type

This describes what kind of service type the Reporting server uses. Use SSRS for SQL Server 2005.

SSRS > Parameters tab

Click Refresh to load all parameters for the selected Report path. Add/Edit the values supplied to each report.

SSRS > Destination tab

File format

This is the output file format.

Credential

If you need to save to a network share you should use a Credential.

Folder

Destination folder for the output file.

File mask

Any file mask (compared to the actual report name). Using * uses the report name + extension.

Troubleshooting:

Exception in Task: System.Web.Services.Protocols.SoapException: You have attempted to use a rendering extension that is either not registered for this report server or it is not supported in this edition of Reporting Services

Check the file rsreportserver.config in  c:\Program Files\Microsoft SQL Server\MSRS10_50.MSSQLSERVER_RS\Reporting Services\ReportServer

The problem in our case is that via API we were requesting a report and attempting to convert the report from HTML to a different rendering extension. And, unfortunately, the specific Reporting Services instance’s configuration file has not been configured\extended to support the requested rendering format.

In MS SQL Server 2008-R2, the configuration file is located in a directory structure resembling the following:

 E:
   \Program Files
      \Microsoft SQL Server
         \MSRS10_50.MSSQLSERVER_RS
            \Reporting Services
               \ReportServer

In the configuration file, find the “Render” section:

< Configuration >

< Extensions >

< Render >

Within the Render section, find the corresponding “Extension” entry.

If your file format is HTML4 and you see the section try changing from name HTML4.0 to HTML4.


Task Image - Image resize

Navigation: »No topics above this level«

Task Image - Image resize

The Image resize Task resize an image by a percentage of the original size, by height and width (in pixels) or to a specific size.

Image resize > File filter > Location sub tab

In the File filter tab you define which image that should be resized. Read more about file filter here.

Image resize > Destination sub tab

Resize to

Specify for pixel dimensions, pixel percent, file size or DPI image resize.

Dimensions

Pixel dimensions measure the total number of pixels along an image’s width and height.

Resample

Decreasing the resolution at same document size decreases pixel dimensions.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, click the Folder icon to browse and select folder.

File mask

Save file with different name.


Task Image - Image resize

Navigation: »No topics above this level«

Task Image - Image resize

The Image resize Task resize an image by a percentage of the original size, by height and width (in pixels) or to a specific size.

Image resize > File filter > Location sub tab

In the File filter tab you define which image that should be resized. Read more about file filter here.

Image resize > Destination sub tab

Resize to

Specify for pixel dimensions, pixel percent, file size or DPI image resize.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, click the Folder icon to browse and select folder.

File mask

Save file with different name.


Task Image - Image get EXIF data

Navigation: »No topics above this level«

Task Image - Image get EXIF data

Enter topic text here.


Task Internal - Set User Variable

Navigation: »No topics above this level«

Task Internal - Set User Variable

The Set Variable Task allows you to create or update a Variable. Variables can be used and reached throughout the whole application. You can this to store static or dynamic variables.

A User Variable is only global, which enables use anywhere in the application.

Name/Unique key

The name you set on the Variable is also the unique key for the Variable. Wherever you want to use your defined Variable you use this Variable key: {USERVAR(variablename)}

Translate value to constant in Variable when running

Optional. If you, for example, use a Date Variable in the "Variable value" text box it will be converted to a string when the Variable runs the first time. For example, if you use the current date as a Variable it will always show the current date when running the Task. If this is checked, it will show the current date once and then display the same date in each execution.

Description

Optional. If you want to distinguish your Variable further you can add a description.

Variable type

Currently, 3 Variable types exist. String, Int32 and Double. Note that the Variable type may be interested to set correctly if you want to compare/calculate/validate correctly.

Variable value

Set the requested value of the Variable here.

Validate value when saving

Text ...

Set a user defined Variable

1. Click on the Variables key in the Set Job Variable window.

2. Select User defined variables and click on Add.

3. After entering data, press the Add key

Name/Unique key
The name you set on the Variable is also the unique key for the Variable. Wherever you want to use your defined Variable you use this Variable key: {USERVAR(variablename)}

Description

Optional. If you want to distinguish your Variable further you can add a description.

Variable type

Currently, 3 Variable types exist. String, Int32 and Double. Note that the Variable type may be interested to set correctly if you want to compare/calculate/validate correctly.

Variable value

Set the requested value of the Variable here.


Task PDF - Clear signature(s)

Navigation: »No topics above this level«

Task PDF - Clear signature(s)

Enter topic text here.


Task PDF - Convert

Navigation: »No topics above this level«

Task PDF - Convert

The Task PDF - Convert can convert between different file formats and PDF format.

Main settings sub tab

To PDF->From

Currently this Task can convert _to_ PDF from the following formats;

·XPS

·PCL

·SVG

·EPUB

·MHT

·HTML

·TeX

·TXT

·CGM

·XML

·IMAGE (various formats)

From PDF->To

Currently this Task can convert _from_ PDF to the following formats;

·PDF (various formats)

·HTML

·DOC

·XLS

·PPT

·XPS

·XML

·TeX

·TXT

·SVG

·EPUB

·IMAGE (various formats)

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Page range

The pages that should be converted. Specify a range like 2-4 or specific pages 1,3,5-6.

File filter sub tab

This tab uses the common file filter to filter out the documents that should be processed in the Task.

Destination sub tab


Task PDF - Decrypt

Navigation: »No topics above this level«

Task PDF - Decrypt

Enter topic text here.


Task PDF - Encrypt

Navigation: »No topics above this level«

Task PDF - Encrypt

Enter topic text here.


Task PDF - Get field(s)

Navigation: »No topics above this level«

Task PDF - Get field(s)

The PDF - Get field(s) Task returns value(s) from a PDF document based on field name(s).

Main settings sub tab

Get field names

You are able to retrieve existing field names from one ore more documents according to the file filter. Be sure to specify the document(s) in the file filter.

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Page range

The pages that should be processed. Specify a range like 2-4 or specific pages 1,3,5-6.

File filter sub tab

This tab uses the common file filter to filter out the documents that should be processed in the Task.

Output tab

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Show information

The data from the document you want to include in output of Task.


Task PDF - Get information

Navigation: »No topics above this level«

Task PDF - Get information

The PDF - Get information Task retrieves PDF information in a specified format.

Get information > Main settings sub tab

Password for file(s)

If any of the specified PDF files contains a password it should be entered here

Get information > Fie filter sub tab

This tab uses the common file filter to filter out the documents that should be processed in the Task.

Output tab

Include field names

If the columns should be included in the output or not.

Field separator

Here you can control what separates each field.

Text qualifier

The text qualifier is the parts surrounding a field. Normally nothing which is default.

Line break

Controls what type of line break should be used.

Show information

The data from the document you want to include in output of Task.


Task PDF - Add footer/header

Navigation: »No topics above this level«

Task PDF - Add footer/header

The PDF - Add footer/header Task lets you add an object like image or text in footer or header to a new or existing PDF file.

Existing/New file

Select Existing or New PDF file to operate upon, if new file enter file name. Click the File icon to browse location and file name for the PDF file.

Password

If the file is or will be password protected, enter password.

Vertical alignment

Select Header, Footer or Center vertical alignment of the image or text to be added. The Is background puts the image or text in the background of the document.

Content type

Select the Text or Image type

Page range

Set the operation to be performed on All pages or a range of pages.

Save to

The destination folder and file mask which the image is saved to.

Folder

If Different folder and use file mask is selected, click the Folder icon to browse and select folder.

File mask

Save file with different name.


Task PDF - Remove page(s)

Navigation: »No topics above this level«

Task PDF - Remove page(s)

The Task PDF - Remove pages(s) deletes one or more specified pages from a PDF document.

Remove page(s) > Main settings sub tab

Password for file(s)

If any of the specified PDF files contains a password it should be entered here.

Page range

The pages that should be removed. Specify a range like 2-4 or specific pages 1,3,5-6.

Remove page(s) > File filter sub tab

This tab uses the common file filter to filter out the documents that should be processed in the Task.

Remove page(s) > Destination sub tab

Save to

The destination folder and file mask which the document is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task PDF - Set field(s)

Navigation: »No topics above this level«

Task PDF - Set field(s)

The PDF - Get field(s) Task set field value(s) from in one or more PDF documents.


Task PDF - Sign

Navigation: »No topics above this level«

Task PDF - Sign

Enter topic text here.


Task PDF - Split

Navigation: »No topics above this level«

Task PDF - Split

The Task PDF - Split Task is able to split a PDF document in different ways. In half, at a specific page or per specific pages or into even/odd pages.

Split > Main settings sub tab

Split type

How the pages should be split. The available options are:

Half - The document will be split in half (or as close to half as possible) determined by the total number of pages in the document. The output files will consist of the original filename followed by the range of pages that were split enclosed in parenthesis (i.e. myDocument (1-4).pdf, myDocument (5-7).pdf)

Page (default) - The document will be split into individual pages. The output files will consist of the original filename followed by an underscore and page number (i.e. myDocument - Page 1.pdf, myDocument - Page 2.pdf, myDocument - Page 3.pdf, etc).

Even / Odd - The document will be split into even and odd pages. The output files will consist of the original filename followed by the page type, either even or odd (i.e. myDocument_Even_Pages.pdf and myDocument_Odd_Pages.pdf).

At - The document will be split at the page specified. The output files will consist of the original filename followed by the range of pages that were split enclosed in parenthesis (i.e. myDocument (1-2).pdf, myDocument (3-6).pdf).

Page number

The page number the actual split should occur on. This property is only used if the Split type is of type Split at.

Page name format

How the output files should be named. Variable {#} contains the page number.

Password for file(s)

If any of the specified PDF files contains a password it should be entered here.

Page range

All pages - cover split functionality on all pages

Pages - cover split functionality on specified page

Split > File filter sub tab

This tab uses the common file filter to filter out the documents that should be processed in the Task.

Split > Destination sub tab

Save to

The destination folder and file mask which the document is saved to.

Folder

If Different folder and use file mask is selected, use manual folder specification or click the Folder icon.

File mask

Save file with different name.


Task SAP - R/3 Job execute

Navigation: »No topics above this level«

Task SAP - R/3 Job execute

Job steps

The work unit of the background processing system is the background job, each of which consists of one or more job steps.

In VisualCron the steps can be edited in the grid below:

Jobs and job steps enable you to treat complex tasks as single units. That is, you can schedule several programs needed to complete a particular task as steps within a single job, with the advantage of the job being single logical container for all the steps needed to complete the task.

Example

Assume that a particular data transfer with batch input requires that you start two programs, an external program to prepare the batch-input session and an internal program to process the session. Creating a job made up of two steps lets you handle the two programs as a single unit. Scheduling that one job schedules both programs. The results of each program's run can be seen in the job log.

Some background processing attributes apply to entire jobs and, therefore, to all job steps within a job. For example, the earliest possible start time for any job steps will be the start time for the job.

Step language

If your SAP System runs with an Arabic, Cyrillic, or Asian character set, then you may need to change the language specified in the standard background jobs listed above. Languages are assigned to jobs based on job steps. Be sure that the language specified in the job step definition in each of these jobs is set to English (EN).

This change is required because not all languages are available with all code pages. If the job’s specified language is not available, the job will not run.

Step types

The background processing system makes a distinction between external commands for normal users and external programs for system administrators. You can see this distinction when scheduling a job from Transaction SM36, with separate fields for external commands and external programs. You can also call ABAP programs.

External commands are predefined, authorization-protected commands for end users. External programs are unrestricted, directly entered commands reserved for system administrators.

The type of external command and external program is unrestricted, meaning that you can use either compiled programs or scripts. Such programs can be run on any computer that can be reached from the SAP System. Parameter passing to non-SAP programs is completely unrestricted except by the predefinition mechanism for external commands.

Output of non-SAP programs, particularly error messages, is included in the job's log file.

Specifications required for an external command or program are:

- External command + Type of operating system + (Parameters) + Target host system

- External program + Parameters + Target host system

ABAP programs

ABAP programs can be used as job steps. Module pools and function groups, which are collections of ABAP modules, are not allowed. The specifications required for an ABAP job step are:

ABAP program + Variant + Print and archiving parameters + Language

External commands

External commands are predefined commands for end users. They are operating-system independent and are protected by authorizations, so that normal end users can schedule only those commands that the system administrator permits them to.

With an external command, an ordinary end user—any user without background processing administrator authorization—may run a host system command or program that has been pre-defined by the administrator in the SAP System. The user who schedules the external command must have the authorization required for the external command.

External commands let you control what your users do outside the SAP System. End users can run only the commands and arguments that you specify in external command definitions. And you can control access to external commands with SAP authorizations.

For additional security, external command definitions are operating-system specific. For example, you can define variants of a command for UNIX and Windows NT hosts. A user who schedules an external command must specify the type of operating system in which the command is to run. The system then automatically selects the correct operating system variant or issues an error if the required variant has not been defined.

External programs

External programs are unrestricted commands that are neither pre-defined or restricted by authorizations. A user with administrator authorization can enter any of these in a job step.

With an external program, a system administrator can enter any desired host operating system command or program in a job step. No SAP authorizations test is carried out before executing the command.

External programs give an administrator—a user with the background processing administration authorization (authorization object S_BTCH_ADM Batch processing: Batch Administrator)—the flexibility to run any required host system command without any administrative preparation in the SAP System.

The purpose of this distinction is to let system administrators execute any required external program while restricting normal users to authorizations-tested external commands.


Task Database - Execute SSISDB package

Navigation: »No topics above this level«

Task Database - Execute SSISDB package

The Task Database - Execute SSISDB package executes an existing package in from catalogs (SSISDB).

Connection

Text ...

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Package details

Text ...

Package parameters

Text ...


Task Exchange - Create Exchange object

Navigation: »No topics above this level«

Task Exchange - Create Exchange object

Creates a new Exchange object, such as an appointment, task or contact.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange object type and properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Exchange - Delete Exchange object

Navigation: »No topics above this level«

Task Exchange - Delete Exchange object

Deletes a single Exchange object. This activity uses the Exchange object ID of a specific object in order to delete it.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange Object Address

Text ...


Task Exchange - Delete Exchange objects

Navigation: »No topics above this level«

Task Exchange - Delete Exchange objects

Deletes one or more Exchange objects, such as appointment, contact, email or task.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange object type and filter properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Exchange - Get Exchange object(s)

Navigation: »No topics above this level«

Task Exchange - Get Exchange object(s)

Retrieves information regarding one or more Exchange objects and places the result in the output.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange object type and properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Exchange - Modify Exchange object

Navigation: »No topics above this level«

Task Exchange - Modify Exchange object

Modifies specific properties of an individual Exchange object.

Mailbox URL

Should have the following format: http://servername/exchange/recipient@company.com

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and pass word of the user that you want to login. Click on Manage credentials to add or edit Credentials. Select a Credential in the combo box.

Use Forms-based authentication

If not Windows Forms-based authentication is used, then Windows authentication is used.

Exchange Object Address

Text ...

Exchange object type and properties

Select the appropriate Exchange object in the list: Appointment, Contact or Task. Press the Add button to add a property to be defined. In the list of defined objects, mark and select: Remove, Move up and Move Down.


Task Process - PowerShell

Navigation: »No topics above this level«

Task Process - PowerShell

The PowerShell Task lets you execute PowerShell code on the fly or an existing PowerShell file.

Credentials

To control a remote computer you may need to use a Credential. The Credential must match the user name and password of the user that you want to login for. Select a Credential in the combo box or click the Settings icon to open Manage credentials in order to add or edit Credentials.

Scope

You can execute on the local machine or on a remote machine. To execute on a remote machine you need to combine settings with a Credential.

Execute in x86 mode

This settings is forcing 32 bit execution of your PowerShell script.

PowerShell file

Full path to a PowerShell script.

PowerShell script text

You enter your PowerShell code here which will be compiled and run in real time.

Parameters

Click on Parameters button to edit parameters. You can parse parameters in the PowerShell script like this:

param (

  [string]$parameterkeyname1 = "mydefaultvalue1",

  [string]$parameterkeyname2 = "mydefaultvalue2"

)

Write-Output $parameterkeyname1

Passing back data from PowerShell

You can use these PowerShell commands to pass back output to VisualCron:

VisualCron standard output

write-output "my output"

VisualCron standard error

write-error "my error"

Raising/Throwing errors

Use the Powershell throw command to raise errors. By default we are considering the Task fail if it contains any text written to error output. When that happens the standard output is overwritten with debug information. To override this behavior go to On error tab of Task and uncheck Contains error output.


Task Sharepoint - Upload file(s)

Navigation: »No topics above this level«

Task Sharepoint - Upload file(s)

The SharePoint - Upload file(s) Task uploads one or more files to the SharePoint library.

The SharePoint Tasks supports the following versions:

·SharePoint 2010

·SharePoint 2013

·SharePoint Online

Upload file(s) > File filter > Location sub tab

The List file(s) Task uses the standard VisualCron File filter to define the properties of the listed files.

Upload file(s) > Destination sub tab

Connection

To use SharePoint Tasks you need to create a Connection first. Click the Settings icon to open the Manage Connections dialog.

Destination folder

The destination folder for the files. Click the Folder icon to browse a SharePoint site in order to view or select a specific folder.

Overwrite

Optionally you can choose if you want to overwrite any existing file(s). If Don't overwrite is selected, this task fails if files with the same name are found in the destination.


Task type - HTTP POST/GET

Navigation: »No topics above this level«

Task type - HTTP POST/GET

Enter topic text here.


Task VMWare - Start VM

Navigation: »No topics above this level«

Task VMWare - Start VM

The VMWare - Start VM Task starts (power on) a virtual machine.

Start VM > Connection sub tab

Remote VMWare server

Press this radio button if you want to connect to a remote VMWare server like vSphere.

Connection

When connecting to a VMWare server you need to setup a VMWare Connection which consists of a username, password and address/ip. Click the Settings icon to open the Manage Connections dialog.

Server VMX path

Path to the VMX file on the server. Click on the refresh button to reload the list with server VMX paths. Click the Refresh icon to populate the drop-down Server VMX path list.

Local VMWare workstation

Press this radio button if you want to connect to a local VMWare workstation.

Local VMX path

Select the local file VMX path to the local VMWare server. Click the Folder icon to display the folder of the server.

Guest OS Credentials

Some Tasks require access to the actual desktop of the workstation. If that is needed you to select a Credential which matches a local user on the VMWare machine.

Timeout in seconds

The number of seconds this Task will use to perform the Task. If you have a value in the Timeout tab of the Task it will override this value.

Start VM > VM Task settings sub tab

Launch GUI

Displays the interface of the virtual machine in the VMWare workstation application.


Task VMWare - Deregister VM

Navigation: »No topics above this level«

Task VMWare - Deregister VM

The VMWare - Unregister VM Task lets you unregister a virtual machine in the VMWare Server.

Deregister VM > Connection sub tab

The Connection settings window is the same for all VMWare Task types. See Start VM for details.

Deregister VM > VM Task settings sub tab

No specific settings.


Timeout

Navigation: »No topics above this level«

Timeout

Enter topic text here.


Upgrading from VisualCron 7.x to 8.x

Navigation: »No topics above this level«

Upgrading from VisualCron 7.x to 8.x

No special configuration is needed.


VisualCron Connection

Navigation: »No topics above this level«

VisualCron Connection

The VisualCron Connection is used in the Job/Task control Task and the VisualCron Trigger. The Connection is used to connect to a local or remote VisualCron Server instance.

Main settings tab

Name

The unique name for the Connection

Address

The DNS name or IP of the VisualCron server.

Port

The port used by VisualCron - default 16444.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Not used.

Authentication tab

Username

The username for the user in the VisualCron Server.

Password

The password for the user in the VisualCron Server.

Proxy tab

Proxy type

The FTP implementation supports the HTTP proxy type and the SFTP implementation supports the SOCKS4 and SOCKS5 proxy types.

Address

Host name or IP number of the proxy server.

Port

Port of the proxy server.

Username

A username to access the proxy server.

Password

A password to access the proxy server.

Use proxy for data channel

By default, proxy is used for the data (sending channel). Uncheck this to circumvent proxy.


VisualCron Web Client

Navigation: »No topics above this level«

VisualCron Web Client

The VisualCron Web Client was introduced in version 7.6.5. It lets you connect from any device (phone/browser) to the VisualCron Server. The web client has a real time interface for viewing Job and Task information. It is still very limited compared to the normal Client but good for getting an overview and do basic things like running, activating and stopping Jobs and Tasks.

Installing the web client

Requirements

IIS 7 or later.

Installation

The web client runs inside Microsoft IIS - a web server. It is possible to install the web client in an existing IIS or install in the free IIS Express version. Installation and configuration of ports are done in Server settings->Web client.

Server > Settings > Web Client tab

The two group boxes display installation status of either IIS or IIS Express. You can see:

·which version of IIS is installed

·if the Web client is installed

·the local link to the web client

·the local path where the web Client is installed

·which port is used

Install

Click on Install to install the web Client. We recommend that you use the normal IIS if it is already installed. If you click Install on IIS Express then IIS Express will be installed first (if not installed already).

If you need to change port you can do that in IIS or by uninstalling and installing again with a new port.

Windows authentication

If you are using Active Directory as authentication method in VisualCron > Permissions then you probably want to enable Windows Authentication in the Web Client. Click the Enable button to enable.

Troubleshooting Web Client and installation

Preparations

Make sure that you have installed the selected roles and features in the Windows server.

Windows 2016 Server > Server Manager > Dashboard > Add roles and features

Installation errors when clicking install from the Client

Make sure that you have started the application as Administrator by right clicking on VisualCronClient.exe and select "Run as Administrator". Alternatively, turn off UAC and reboot.

HTTP Error 403.14 error - Forbidden

Please install ASP.NET 3.5 and 4.5 and other features in list mentioned above. Reboot if needed.

Web interface does not display correctly or not working

We recommend using Chrome or Firefox. If using IE make sure that Emulation mode is set to 10. See image below.

AD logon is not working

Open the website in IIS manager and make sure that Windows Authentication is enabled and all other authentication mechanisms are disabled.

When creating a new Server connection in server connection manager; 1. check Use AD 2. leave username and password empty

Installing the Web Client on other location than Server

Easiest way is to install the VisualCron Server on the IIS Server. Start the Client and connect locally and go to Server settings->Web client and install the web client as usual. Then stop and disable the VC service. For a custom installation package please contact support.

Web Client settings and logon

You logon into the web Client the same way you logon to the Windows Client. But, if you want to store settings you can click on the Login link to the upper right. It is possible to link settings and logon information to different open authentication systems like:

The advantage is that you can store settings like:

·Server connections

·Column settings

Facebook setup

1. create an App in Facebook

2. set facebookAppID and facebookAppSecret in web.config

Windows Live Id setup

1. You need to create your own app on https://account.live.com/developers/applications/index

2. * In API parameters add an URL for redirection, which finished with:

~/Home/WindowsLiveIdLogIn

( any domain can be used, like

"http://example.localhost.com:54257/Home/WindowsLiveIdLogIn" )

on the "Application settings" tab need to find an application Id and secret key.

3. In order to use redirection to local IP adrress (127.0.0.1) two approaches can be used:

a. Create a DNS record like "localhost.yourcompany.com" which points to 127.0.0.1

b. Or add a record to local "host" file ( %windir%/system32/drivers/etc/host, need to have administrative rights to edit that):

127.0.0.1 example.localhost.com

4. Setup IIS

4.1 * For IIS EXPRESS in C:\Users%username%\Documents\IISExpress\config\applicationhost.config

Change

<binding protocol="http" bindingInformation="*:54257:localhost" />

to

<binding protocol="http" bindingInformation="*:54257:example.localhost.com" />

4.2 * For IIS

Open Internet Information Services (IIS) Manager:

In the Connections pane, expand the server name, expand Sites, and then click the Web site on which you want to configure the bindings.

In the Actions pane, click Bindings.

In the Site Bindings dialog box, click Add.

In the Add Site Binding dialog box, add the binding information(example.localhost.com), and then click OK.

5. in web.config update these entries with app Id and secret from liveId application :

<add key="wll_appid" value="appid" />

<add key="wll_secret" value="secret" />

Manual Web Client installation

It is possible to manually install the web client. The current requirements are:

·the Web Client needs to be installed on the same machine as VisualCron

·IIS 7 or later is required on that machine

·a specific folder needs to be referenced from IIS

Steps for installing the Web Client are:

1. install the VisualCron Server on the machine

2. open IIS and add an application pool called "VisualCronWebClientAppPool". Setings are .NET 4.0 and Integrated mode

3. Right click on Sites > Add Website.

4. Select the VisualCronWebClientAppPool as Application pool.

5. Set the site name to "VisualCronWebClient".

6. Set the physical path to the "WebClient" folder in the VisualCron installation folder (normally in program files (x86)/VisualCron/WebClient).

7. Set any port (default 9000).

8. Click OK to save the web site

9. If you want to us AD for authentication you need to disable Anonymous Authentication and enable Windows Authentication

10. Enter url localhost:9000 in your browser to access the Web Client


VMWare Connection

Navigation: »No topics above this level«

VMWare Connection

The VMWare Connection is used for connecting to remote VMWare instances in the following Tasks:

Task VMWare - Start VM

Task VMWare - Stop VM

Task VMWare - Suspend VM

Task VMWare - Pause VM

Task VMWare - Resume VM

Task VMWare - Reset VM

Task VMWare - Get VM status

Task VMWare - Create VM snapshot

Task VMWare - Revert to VM snapshot

Task VMWare - Delete VM snapshot

Task VMWare - List VM snapshots

Task VMWare - Delete VM

Task VMWare - Clone VM

Task VMWare - Install VM tools

Task VMWare - Register VM

Task VMWare - Unregister VM

Task VMWare - List VM

Task VMWare - Capture screen (guest)

Task VMWare - Copy file (guest)

Task VMWare - Rename file (guest)

Task VMWare - Delete file (guest)

Task VMWare - Directory exists (guest)

Task VMWare - File exists (guest)

Task VMWare - Delete directory (guest)

Task VMWare - Create directory (guest)

Task VMWare - Create temp file (guest)

Task VMWare - Run command (guest)

Task VMWare - Open URL (guest)

Task VMWare - Kill process (guest)

Task VMWare - List processes (guest)

Main settings tab

Name

The unique name for the Connection

Address

The address to the VMWare server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the server.

Password

The password for the server.


WebDAV Connection

Navigation: »No topics above this level«

WebDAV Connection

The WebDAV Connection is used in the WebDAV Tasks.

Web Distributed Authoring and Versioning (WebDAV) is an extension of the Hypertext Transfer Protocol (HTTP) that allows clients to perform remote Web content authoring operations. A working group of the Internet Engineering Task Force (IETF) defined WebDAV in RFC 4918.

The WebDAV protocol makes the Web a readable and writable medium.[1] It provides a framework for users to create, change and move documents on a server, typically a web server or web share. The most important features of the WebDAV protocol include the maintenance of properties about an author or modification date, namespace management, collections, and overwrite protection. Maintenance of properties includes such things as the creation, removal, and querying of file information. Namespace management deals with the ability to copy and move web pages within a server’s namespace. Collections deal with the creation, removal, and listing of various resources. Lastly, overwrite protection handles aspects related to locking of files.

Main settings tab

Name

The unique name for the Connection

Address

The DNS name or IP of the server.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used. Currently this overridden by the code page in the Task.

Authentication tab

Authentication type

Select authentication type required for server; Basic, Digest or Windows authentication.

Username

The username for the email account.

Password

The password for the email account.

Encryption tab

Allowed SSL/TLS versions

Some servers require certain versions of SSL/TLS. Control here which versions that are allowed. Sometimes it is necessary to specify the specific allowed version.


Windows Azure Connection

Navigation: »No topics above this level«

Windows Azure Connection

The Windows Azure Connection is used for the Cloud Tasks:

Task Cloud - Upload file(s)

Task Cloud - List item(s)

Task Cloud - Download file(s)

Task Cloud - Create folder

Task Cloud - Delete item(s)

Main settings tab

Name

The unique name for the Connection

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Account name

The Account name for the account

Account key

The Account key for the account.


Windows Caption

Navigation: »No topics above this level«

Windows Caption

The Windows caption is the top part of the VisualCron client window.

Apart from the ordinary Windows management buttons in the top right corner, it contains the Application button and the VisualCron identification.


XendApp

Navigation: »No topics above this level«

XendApp

XendApp is a platform for delivering instant messages to any device (phone/tablet). It is a free service which uses notification services to deliver a message.Registration can be done here.

Main settings tab

Name

The unique name for the Connection

Address

This field is not used.

Timeout

The connection timeout in seconds. Connection will fail after this time period.

Codepage

Code page being used.

Authentication tab

Username

The username for the registered XendApp account.

Password

The password for the registered XendApp account.